----------------------------------------------
-- AstAAABox.lua
-- by Lygin Gennady a.k.a .Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local AstAAAFrameWidth, AstAAAFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AstAAABox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

AstAAABox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AstAAAButton.Visible = GuidesVisibility -- display or undisplay Button
    AstAAACheck.Visible = GuidesVisibility  -- display or undisplay Check
    if AstAAACheck.Text ==  "o" then
		AstAAAFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AstAAAButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("center")
    :movetext(-3, 9)  
    :text(_("AA"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AstAAABox,0,0,0,0) 

AstAAACheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AstAAABox, 20, 0, 0, 0)

AstAAAButton.Action = (function()
        return
            function()
                display_AstAAA = not display_AstAAA
                if display_AstAAA then  
                    AstAAAFrame.Visible = true                     
                    AstAAACheck.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                   else          
                    AstAAAFrame.Visible = false                   
                    AstAAACheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()               
------------------------------------
AstAAAFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(csetbofill)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AstAAAFrameWidth)/2, height-AstAAAFrameHeight-2, (width-AstAAAFrameWidth)/2, 2)

 AstAAAFrame.Customdraw = function(this) 

            if AstAAA_firstTickDone then
            if not(AstAAACloseButtonDone) then
                AstAAACloseButtonDone = true
                makeCloseButton(AstAAACloseButton, AstAAAFrame, AstAAAButton)
            end
            else
                AstAAA_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    AstAAAFrame:attach(screenBox, width-AstAAAFrameWidth-36, height-AstAAAFrameHeight-128-27, 36, 128+27) 
               else
                    AstAAAFrame:attach(screenBox, width-AstAAAFrameWidth-200, height-AstAAAFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb+4, this.tb - 14)  
            textlayout:println(_("       Apollo, Atira, Aten:"))
end
--===================
-- Подключение команд 
-------------------------------------
AAA101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("YORP.00 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-1), 86, 5+14*1)

AAA101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/YORP")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10)
            end
        end
    end) ()
-------------------------------------
AAA102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color11)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Atira.03"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-2), 86, 5+14*2)

AAA102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Atira")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Adonis.1936"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-3), 86, 5+14*3)

AAA103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Adonis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
AAA104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amun.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-4), 86, 5+14*4)

AAA104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amun")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antinous.1948"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-5), 86, 5+14*5)

AAA105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antinous")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
AAA106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 2, 2+14*(gg-6), 86, 5+14*6)

AAA106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Apophis.04 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-7), 86, 5+14*7)

AAA107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Apophis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
AAA108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aristaeus.1977"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-8), 86, 5+14*8)

AAA108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aristaeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
AAA109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asclepius.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-9), 86, 5+14*9)

AAA109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Asclepius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aten.1976"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-10), 86, 5+14*10)

AAA110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aten")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
AAA111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ahau.1993"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-11), 86, 5+14*11)

AAA111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ahau")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bacchus.1977 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-12), 86, 5+14*12)

AAA112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Bacchus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
AAA113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bennu.1999 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-13), 86, 5+14*13)

AAA113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Bennu")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Beowulf.1999"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-14), 86, 5+14*14)

AAA114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Beowulf")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
AAA115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wils.–Har.1979"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-15), 86, 5+14*15)

AAA115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Wilson-Harrington")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Vishnu.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-16), 86, 5+14*16)

AAA116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Vishnu")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Geograph.1951!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-17), 86, 5+14*17)

AAA117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Geographos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 2, 2+14*(gg-18), 86, 5+14*18)

AAA118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 2, 2+14*(gg-19), 86, 5+14*19)

AAA119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
AAA120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hephaistos.1978"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-20), 86, 5+14*20)

AAA120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hephaistos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
AAA121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hypnos.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-21), 86, 5+14*21)

AAA121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hypnos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Golevka.1991 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-22), 86, 5+14*22)

AAA122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Golevka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Daedalus.1971"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-23), 86, 5+14*23)

AAA123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Daedalus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
AAA124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 2, 2+14*(gg-24), 86, 5+14*24)

AAA124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
AAA125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 2, 2+14*(gg-25), 86, 5+14*25)

AAA125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Duende.12 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-26), 86, 5+14*26)

AAA126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Duende")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Zeus.1988"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-27), 86, 5+14*27)

AAA127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Zeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Zephyr.1988"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-28), 86, 5+14*28)

AAA128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Zephyr")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Izhdubar.1993"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-29), 86, 5+14*29)

AAA129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Izhdubar")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Icarus.1949"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-30), 86, 5+14*30)

AAA130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Icarus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Illapa.1994"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-31), 86, 5+14*31)

AAA131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Illapa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Itokawa.1998 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-32), 86, 5+14*32)

AAA132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Itokawa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
AAA133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cadmus.1992"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-33), 86, 5+14*33)

AAA133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cadmus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Camillo.1985"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-34), 86, 5+14*34)

AAA134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Camillo")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
AAA135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Castalia.1998 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-35), 86, 5+14*35)

AAA135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Castalia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kwiila.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-36), 86, 5+14*36)

AAA136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Kwiila")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cruithne.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-37), 86, 5+14*37)

AAA137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cruithne")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
AAA138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Xanthus.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-38), 86, 5+14*38)

AAA138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Xanthus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
AAA139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cuno.1959"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-39), 86, 5+14*39)

AAA139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cuno")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Midas.1973"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-40), 86, 5+14*40)

AAA140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Midas")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Minos.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-41), 86, 5+14*41)

AAA141Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Minos")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
--================
AAA201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mithra.1987 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-1), 2, 5+14*1)

AAA201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mithra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) () 
-------------------------------
AAA202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mjolnir.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-2), 2, 5+14*2)

AAA202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mjolnir")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
                obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
AAA203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nereus.1982 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-3), 2, 5+14*3)

AAA203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nereus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
AAA204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oljato.1947"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-4), 2, 5+14*4)

AAA204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oljato")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
AAA205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orthos.1976"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-5), 2, 5+14*5)

AAA205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orthos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orpheus.1982"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-6), 2, 5+14*6)

AAA206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orpheus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pan.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-7), 2, 5+14*7)

AAA207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pan (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
AAA208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peleus.1993"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-8), 2, 5+14*8)

AAA208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peleus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
AAA209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Poseidon.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-9), 2, 5+14*9)

AAA209Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Poseidon")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
AAA210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ptah.1960"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-10), 2, 5+14*10)

AAA210Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/Ptah")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
AAA211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ra-Shalom.1978!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-11), 2, 5+14*11)

AAA211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ra-Shalom")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
--------------------------------
AAA212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 86, 2+14*(gg-12), 2, 5+14*12)

AAA212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(125)
            end
        end
    end) () 
-------------------------------
AAA213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sigurd.1992"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-13), 2, 5+14*13)

AAA213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sigurd")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) () 
-------------------------------
AAA214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
   :attach(AstAAAFrame, 86, 2+14*(gg-14), 2, 5+14*14)

AAA214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
AAA215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Syrinx.1981"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-15), 2, 5+14*15)

AAA215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Syrinx")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
AAA216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Summanus.1990"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-16), 2, 5+14*16)

AAA216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Summanus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
AAA217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Talos.1991"))
    :movable(false)
    :active(true) 
  :attach(AstAAAFrame, 86, 2+14*(gg-17), 2, 5+14*17) 

AAA217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Talos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
AAA218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tantalus.1975"))
    :movable(false)
    :active(true) 
  :attach(AstAAAFrame, 86, 2+14*(gg-18), 2, 5+14*18) 

AAA218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tantalus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
AAA219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Toutatis.1989 !"))        
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-19), 2, 5+14*19) 

AAA219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Toutatis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
AAA220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tomaiyowit.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-20), 2, 5+14*20) 

AAA220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tomaiyowit")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
AAA221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Toro.1948"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-21), 2, 5+14*21) 

AAA221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Toro")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(500)
            end
        end
    end) () 
--------------------------------
AAA222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tukmit.1991"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-22), 2, 5+14*22)

AAA222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tukmit")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(300)
            end
        end
    end) ()  
-------------------------------
AAA223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tjelvar.1998"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-23), 2, 5+14*23) 

AAA223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tjelvar")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
AAA224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ubasti.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-24), 2, 5+14*24) 

AAA224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ubasti")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phaethon.1983"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-25), 2, 5+14*25) 

AAA225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phaethon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
AAA226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hathor.1976"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-26), 2, 5+14*26) 

AAA226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hathor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Khufu.1984"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-27), 2, 5+14*27) 

AAA227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Khufu")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cerberus.1973 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-28), 2, 5+14*28)

AAA228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cerberus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eger.1982 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-29), 2, 5+14*29) 

AAA229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eger")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
AAA230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Epona.1986"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-30), 2, 5+14*30) 

AAA230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Epona")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Jason.1984"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-31), 2, 5+14*31) 

AAA231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jason")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
AAA232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1992 SK !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-32), 2, 5+14*32) 

AAA232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1992 SK")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
AAA233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstAAAFrame, 86, 2+14*(gg-33), 2, 5+14*33) 

AAA233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
AAA234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 KY26 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-34), 2, 5+14*34) 

AAA234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 KY26")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(10)
            end
        end
    end) ()
--------------------------------
AAA235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 ML14 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-35), 2, 5+14*35) 

AAA235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 ML14")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
AAA236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 WT24 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-36), 2, 5+14*36) 

AAA236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 WT24")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color11)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2000 ET70"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-37), 2, 5+14*37) 

AAA237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 ET70")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
AAA238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 EV5 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-38), 2, 5+14*38) 

AAA238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 EV5")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
AAA239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2012 DG61"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-39), 2, 5+14*39) 

AAA239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 DG61")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
 AAA240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 TB145"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-40), 2, 5+14*40) 

AAA240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 TB145")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
------------------------------ 
AAA241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2018 LA"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-41), 2, 5+14*41) 

AAA241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2018 LA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------