----------------------------------------------
-- AstBelt1BoxBox.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local AstBelt1FrameWidth, AstBelt1FrameHeight = 170, 14*gn+2+2
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AstBelt1Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

AstBelt1Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("AB"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AstBelt1Box,0,0,0,0) 

AstBelt1Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})					  
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AstBelt1Box, 20, 0, 0, 0)

AstBelt1Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AstBelt1Button.Visible = GuidesVisibility -- display or undisplay Button
    AstBelt1Check.Visible = GuidesVisibility  -- display or undisplay Check
    if AstBelt1Check.Text ==  "o" then
		AstBelt1Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AstBelt1Button.Action = (function()
        return
            function()

                display_AstBelt1 = not display_AstBelt1
                if display_AstBelt1 then  
                    AstBelt1Frame.Visible = true                     
                    AstBelt1Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                 else          
                    AstBelt1Frame.Visible = false                   
                    AstBelt1Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()               
------------------------------------------------------
AstBelt1Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AstBelt1FrameWidth)/2, height-AstBelt1FrameHeight-2, (width-AstBelt1FrameWidth)/2, 2)

 AstBelt1Frame.Customdraw = function(this) 

            if AstBelt1_firstTickDone then
            if not(AstBelt1CloseButtonDone) then
                AstBelt1CloseButtonDone = true
                makeCloseButton(AstBelt1CloseButton, AstBelt1Frame, AstBelt1Button)
            end
            else
                AstBelt1_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    AstBelt1Frame:attach(screenBox, width-AstBelt1FrameWidth-36, height-AstBelt1FrameHeight-128-27, 36, 128+27) 
               else
                    AstBelt1Frame:attach(screenBox, width-AstBelt1FrameWidth-200, height-AstBelt1FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb+4, this.tb - 14)       
            textlayout:println(_("   Near-Earth asteroids-1"))
end
--===================
-- Подключение команд 
-------------------------------------
AstBelt1101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0,1,0,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("First open the asteroids:"))
    :movable(false)
    :active(false) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-1), 2, 5+14*1)
-------------------------------------
AstBelt1102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aglaja-47"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-2), 86, 5+14*2)

AstBelt1102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aglaja")     
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------------
AstBelt1103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alexandra-54 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-3), 86, 5+14*3)

AstBelt1103Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Alexandra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amphitrite-29 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-4), 86, 5+14*4)

AstBelt1104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amphitrite")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            end
            celestia:settimescale(200)
        end
    end) ()
--------------------------------------
AstBelt1105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Angelina-64 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-5), 86, 5+14*5)

AstBelt1105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Angelina")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ariadne-43 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-6), 86, 5+14*6)

AstBelt1106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ariadne")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            end
            celestia:settimescale(200)
        end
    end) ()
-------------------------------------
AstBelt1107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asia-67"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-7), 86, 5+14*7)

AstBelt1107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Asia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------------
AstBelt1108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Astraea-5 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-8), 86, 5+14*8)

AstBelt1108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Astraea")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
--------------------------------------
AstBelt1109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Atalante-36"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-9), 86, 5+14*9)

AstBelt1109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Atalante")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ausonia-63 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-10), 86, 5+14*10)

AstBelt1110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ausonia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bellona-28 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-11), 86, 5+14*11)

AstBelt1111Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Bellona")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Vesta-4 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-12), 86, 5+14*12)

AstBelt1112Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/4 Vesta")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(2007, 9, 27, 23, 58, 55)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Victoria-12 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-13), 86, 5+14*13)

AstBelt1113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Victoria")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Virginia-50"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-14), 86, 5+14*14)

AstBelt1114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Virginia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Galatea-74"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-15), 86, 5+14*15)

AstBelt1115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Galatea (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Harmonia-40 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-16), 86, 5+14*16)

AstBelt1116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Harmonia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hebe-6 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-17), 86, 5+14*17)

AstBelt1117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hebe")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hesperia-69 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-18), 86, 5+14*18)

AstBelt1118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hesperia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hestia-46"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-19), 86, 5+14*19)

AstBelt1119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hestia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------------
AstBelt1120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hygiea-10 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-20), 86, 5+14*20)

AstBelt1120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hygiea")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Danae-61"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-21), 86, 5+14*21)

AstBelt1121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Danae")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Daphne-41+!"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-22), 86, 5+14*22)

AstBelt1122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Daphne")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Diana-78"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-23), 86, 5+14*23)

AstBelt1123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Diana")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Doris-48"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-24), 86, 5+14*24)

AstBelt1124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Doris")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eugenia-45+!"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-25), 86, 5+14*25)

AstBelt1125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eugenia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Europa-52 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-26), 86, 5+14*26)

AstBelt1126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/52 Europa")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euphrosyne-31"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-27), 86, 5+14*27)

AstBelt1127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euphrosyne")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Isis-42 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-28), 86, 5+14*28)

AstBelt1128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Isis")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------------
AstBelt1129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Irene-14 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-29), 86, 5+14*29)

AstBelt1129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Irene")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------------
AstBelt1130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iris-7"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-30), 86, 5+14*30)

AstBelt1130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iris (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kalypso-53"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-31), 86, 5+14*31)

AstBelt1131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/53 Kalypso")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kalliop.-22+!"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-32), 86, 5+14*32)

AstBelt1132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Kalliope")        
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color33) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cybele-65 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-33), 86, 5+14*33)

AstBelt1133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cybele")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Klytia-73 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-34), 86, 5+14*34)

AstBelt1134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Klytia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------------
AstBelt1135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Concordia-58"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-35), 86, 5+14*35)

AstBelt1135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Concordia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leukothea-35"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-36), 86, 5+14*36)

AstBelt1136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leukothea")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
-------------------------------------
AstBelt1137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leda-38 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-37), 86, 5+14*37)

AstBelt1137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leda (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Laetitia-39 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-38), 86, 5+14*38)

AstBelt1138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Laetitia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leto-68 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-39), 86, 5+14*39)

AstBelt1139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leto")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lutetia-21 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-40), 86, 5+14*40)

AstBelt1140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lutetia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Maja-66"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 2, 2+14*(gg-41), 86, 5+14*41)

AstBelt1141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Maja")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--===================
AstBelt1201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Massalia-20 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-2), 2, 5+14*2)

AstBelt1201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Massalia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Melete-56"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-3), 2, 5+14*3)

AstBelt1202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Melete")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Melpom.-18 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-4), 2, 5+14*4)

AstBelt1203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Melpomene")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Metis-9 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-5), 2, 5+14*5)

AstBelt1204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Metis (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mnemosyne-57"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-6), 2, 5+14*6)

AstBelt1205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mnemosyne")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nemausa-51"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-7), 2, 5+14*7)

AstBelt1206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nemausa")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Niobe-71"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-8), 2, 5+14*8)

AstBelt1207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Niobe")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
--------------------------------------
AstBelt1208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nysa-44 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-9), 2, 5+14*9)

AstBelt1208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nysa")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pales-49"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-10), 2, 5+14*10)

AstBelt1209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pales")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pallas-2 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-11), 2, 5+14*11)

AstBelt1210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pallas")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pandora-55 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-12), 2, 5+14*12)

AstBelt1211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pandora (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Panopaea-70"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-13), 2, 5+14*13)

AstBelt1212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Panopaea")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Parthenope-11 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-14), 2, 5+14*14)

AstBelt1213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Parthenope")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polyhymnia-33"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-15), 2, 5+14*15)

AstBelt1214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polyhymnia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pomona-32 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-16), 2, 5+14*16)

AstBelt1215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pomona")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Proserpina-26"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-17), 2, 5+14*17)

AstBelt1216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Proserpina")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------------
AstBelt1217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Psyche-16 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-18), 2, 5+14*18)

AstBelt1217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Psyche")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sappho-80 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-19), 2, 5+14*19)

AstBelt1218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sappho")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thalia-23 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-20), 2, 5+14*20)

AstBelt1219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thalia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Urania-30 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-21), 2, 5+14*21)

AstBelt1220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Urania")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Themis-24"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-22), 2, 5+14*22)

AstBelt1221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Themis")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Feronia-72 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-23), 2, 5+14*23)

AstBelt1222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Feronia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thetis-17 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-24), 2, 5+14*24)

AstBelt1223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thetis")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Fides-37 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-25), 2, 5+14*25)

AstBelt1224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Fides")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Flora-8 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-26), 2, 5+14*26)

AstBelt1225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Flora")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phocaea-25 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-27), 2, 5+14*27)

AstBelt1226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phocaea")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Fortuna-19 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-28), 2, 5+14*28)

AstBelt1227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Fortuna")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------------
AstBelt1228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color33) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Freia-76 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-29), 2, 5+14*29)

AstBelt1228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Freia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Frigga-77"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-30), 2, 5+14*30)

AstBelt1229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Frigga")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(smallfont) 
    :textcolor({0,1,1,1})   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ceres-1"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-31), 2, 5+14*31)

AstBelt1230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ceres")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Circe-34 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-32), 2, 5+14*32)

AstBelt1231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Circe")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eunomia-15 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-33), 2, 5+14*33)

AstBelt1232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eunomia")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurydike-75"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-34), 2, 5+14*34)

AstBelt1233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurydike")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurynome-79 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-35), 2, 5+14*35)

AstBelt1234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurynome")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euterpe-27 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-36), 2, 5+14*36)

AstBelt1235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euterpe")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Egeria-13 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-37), 2, 5+14*37)

AstBelt1236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Egeria")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------------
AstBelt1237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Elpis-59"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-38), 2, 5+14*38)

AstBelt1237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Elpis")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Erato-62 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-39), 2, 5+14*39)

AstBelt1238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Erato")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------------
AstBelt1239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Echo-60"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-40), 2, 5+14*40)

AstBelt1239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Echo")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------------
AstBelt1240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Juno-3 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt1Frame, 86, 2+14*(gg-41), 2, 5+14*41)

AstBelt1240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/3 Juno")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------------------
