----------------------------------------------
-- AstBelt2BoxBox.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------

require "locale";
require "closeButton";
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local AstBelt2FrameWidth, AstBelt2FrameHeight = 170, 14*gn+2+2;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AstBelt2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

AstBelt2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-4, 9)  
    :text(_("Bg212"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AstBelt2Box,0,0,0,0) 

AstBelt2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AstBelt2Box, 20, 0, 0, 0)

AstBelt2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AstBelt2Button.Visible = GuidesVisibility -- display or undisplay Button
    AstBelt2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if AstBelt2Check.Text ==  "o" then
		AstBelt2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AstBelt2Button.Action = (function()
        return
            function()

                display_AstBelt2 = not display_AstBelt2;
                if display_AstBelt2 then  
                    actual_renderflags = celestia:getrenderflags()                           
                    AstBelt2Frame.Visible = true;                     
                    AstBelt2Check.Text = "o"; 

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00)  
                 KeplerParamFrame.Visible = true; 
                 else          
                    AstBelt2Frame.Visible = false;                   
                    AstBelt2Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();               
------------------------------------------------------
AstBelt2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AstBelt2FrameWidth)/2, height-AstBelt2FrameHeight-2, (width-AstBelt2FrameWidth)/2, 2)

 AstBelt2Frame.Customdraw = function(this) 

            if AstBelt2_firstTickDone then
            if not(AstBelt2CloseButtonDone) then
                AstBelt2CloseButtonDone = true;
                makeCloseButton(AstBelt2CloseButton, AstBelt2Frame, AstBelt2Button);
            end
            else
                AstBelt2_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
               if height>=768  then              
                    AstBelt2Frame:attach(screenBox, width-AstBelt2FrameWidth-36, height-AstBelt2FrameHeight-128-27, 36, 128+27) 
               else
                    AstBelt2Frame:attach(screenBox, width-AstBelt2FrameWidth-200, height-AstBelt2FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,0,0.8});     
	    textlayout:setpos(this.lb+5, this.tb - 14);       
            textlayout:println(_("     Largest asteroids - 1"));
end;
--===================
-- Подключение команд 
-------------------------------------
AstBelt2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0,1,0,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("with a diameter of 300 kilometers :"))
    :movable(false)
    :active(false) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
-------------------------------------
AstLar1102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color81) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eris-2400"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-2), 86, 5+14*2)

AstLar1102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eris");     
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)              
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
--------------------------------------
AstBelt2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color81) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pluto-2302"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-3), 86, 5+14*3)

AstBelt2103Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Pluto");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color61) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Haumea-1960"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-4), 86, 5+14*4)

AstBelt2104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Haumea");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            end
            celestia:settimescale(200);
        end
    end) ();
--------------------------------------
AstBelt2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color81) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 OR10-1535"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-5), 86, 5+14*5)

AstBelt2105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 OR10");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color81) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Makemake-1430"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-6), 86, 5+14*6)

AstBelt2106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Makemake");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            end
            celestia:settimescale(200);
        end
    end) ();
-------------------------------------
AstBelt2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color63) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Quaoar-1250"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-7), 86, 5+14*7)

AstBelt2107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Quaoar");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
AstBelt2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color41) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2013 FY27-752"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-8), 86, 5+14*8)

AstBelt2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 FY27");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(800);
            end
        end
    end) ();
--------------------------------------
AstBelt2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Atalante-36"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-9), 86, 5+14*9)

AstBelt2109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Atalante");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ausonia-63 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-10), 86, 5+14*10)

AstBelt2110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ausonia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bellona-28 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-11), 86, 5+14*11)

AstBelt2111Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Bellona");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Vesta-4 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-12), 86, 5+14*12)

AstBelt2112Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/4 Vesta");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(2007, 9, 27, 23, 58, 55)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Victoria-12 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-13), 86, 5+14*13)

AstBelt2113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Victoria");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Virginia-50"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-14), 86, 5+14*14)

AstBelt2114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Virginia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Galatea-74"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-15), 86, 5+14*15)

AstBelt2115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Galatea (asteroid)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Harmonia-40 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-16), 86, 5+14*16)

AstBelt2116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Harmonia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hebe-6 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-17), 86, 5+14*17)

AstBelt2117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hebe");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hesperia-69 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-18), 86, 5+14*18)

AstBelt2118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hesperia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hestia-46"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-19), 86, 5+14*19)

AstBelt2119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hestia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
AstBelt2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hygiea-10 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-20), 86, 5+14*20)

AstBelt2120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hygiea");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Danae-61"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-21), 86, 5+14*21)

AstBelt2121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Danae");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Daphne-41+!"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-22), 86, 5+14*22)

AstBelt2122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Daphne");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Diana-78"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-23), 86, 5+14*23)

AstBelt2123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Diana");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Doris-48"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-24), 86, 5+14*24)

AstBelt2124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Doris");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eugenia-45+!"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-25), 86, 5+14*25)

AstBelt2125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eugenia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Europa-52 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-26), 86, 5+14*26)

AstBelt2126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/52 Europa");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euphrosyne-31"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-27), 86, 5+14*27)

AstBelt2127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euphrosyne");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Isis-42 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-28), 86, 5+14*28)

AstBelt2128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Isis");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
AstBelt2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Irene-14 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-29), 86, 5+14*29)

AstBelt2129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Irene");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
--------------------------------------
AstBelt2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iris-7"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-30), 86, 5+14*30)

AstBelt2130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iris");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kalypso-53"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-31), 86, 5+14*31)

AstBelt2131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/53 Kalypso");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kalliop.-22+!"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-32), 86, 5+14*32)

AstBelt2132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Kalliope");        
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color33) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cybele-65 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-33), 86, 5+14*33)

AstBelt2133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cybele");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Klytia-73 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-34), 86, 5+14*34)

AstBelt2134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Klytia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
--------------------------------------
AstBelt2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Concordia-58"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-35), 86, 5+14*35)

AstBelt2135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Concordia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leukothea-35"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-36), 86, 5+14*36)

AstBelt2136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leukothea");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(800);
            end
        end
    end) ();
-------------------------------------
AstBelt2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leda-38 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-37), 86, 5+14*37)

AstBelt2137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leda (asteroid)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Laetitia-39 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-38), 86, 5+14*38)

AstBelt2138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Laetitia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leto-68 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-39), 86, 5+14*39)

AstBelt2139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leto");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lutetia-21 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-40), 86, 5+14*40)

AstBelt2140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lutetia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Maja-66"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 2, 2+14*(gg-41), 86, 5+14*41)

AstBelt2141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Maja");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--===================
AstBelt2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Massalia-20 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-2), 2, 5+14*2)

AstBelt2201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Massalia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Melete-56"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-3), 2, 5+14*3)

AstBelt2202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Melete");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Melpom.-18 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-4), 2, 5+14*4)

AstBelt2203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Melpomene");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Metis-9 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-5), 2, 5+14*5)

AstBelt2204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Metis (asteroid)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mnemosyne-57"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-6), 2, 5+14*6)

AstBelt2205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mnemosyne");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nemausa-51"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-7), 2, 5+14*7)

AstBelt2206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nemausa");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Niobe-71"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-8), 2, 5+14*8)

AstBelt2207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Niobe");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
--------------------------------------
AstBelt2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nysa-44 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-9), 2, 5+14*9)

AstBelt2208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nysa");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pales-49"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-10), 2, 5+14*10)

AstBelt2209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pales");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pallas-2 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-11), 2, 5+14*11)

AstBelt2210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pallas");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pandora-55 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-12), 2, 5+14*12)

AstBelt2211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pandora (asteroid)");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Panopaea-70"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-13), 2, 5+14*13)

AstBelt2212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Panopaea");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Parthenope-11 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-14), 2, 5+14*14)

AstBelt2213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Parthenope");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polyhymnia-33"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-15), 2, 5+14*15)

AstBelt2214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polyhymnia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pomona-32 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-16), 2, 5+14*16)

AstBelt2215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pomona");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Proserpina-26"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-17), 2, 5+14*17)

AstBelt2216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Proserpina");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
--------------------------------------
AstBelt2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Psyche-16 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-18), 2, 5+14*18)

AstBelt2217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Psyche");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sappho-80 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-19), 2, 5+14*19)

AstBelt2218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sappho");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thalia-23 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-20), 2, 5+14*20)

AstBelt2219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thalia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Urania-30 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-21), 2, 5+14*21)

AstBelt2220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Urania");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Themis-24"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-22), 2, 5+14*22)

AstBelt2221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Themis");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Feronia-72 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-23), 2, 5+14*23)

AstBelt2222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Feronia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thetis-17 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-24), 2, 5+14*24)

AstBelt2223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thetis");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Fides-37 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-25), 2, 5+14*25)

AstBelt2224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Fides");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Flora-8 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-26), 2, 5+14*26)

AstBelt2225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Flora");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phocaea-25 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-27), 2, 5+14*27)

AstBelt2226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phocaea");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Fortuna-19 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-28), 2, 5+14*28)

AstBelt2227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Fortuna");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------------
AstBelt2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color33) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Freia-76 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-29), 2, 5+14*29)

AstBelt2228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Freia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Frigga-77"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-30), 2, 5+14*30)

AstBelt2229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Frigga");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(smallfont) 
    :textcolor({0,1,1,1})   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ceres-1"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-31), 2, 5+14*31)

AstBelt2230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ceres");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Circe-34 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-32), 2, 5+14*32)

AstBelt2231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Circe");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eunomia-15 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-33), 2, 5+14*33)

AstBelt2232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eunomia");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurydike-75"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-34), 2, 5+14*34)

AstBelt2233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurydike");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurynome-79 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-35), 2, 5+14*35)

AstBelt2234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurynome");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euterpe-27 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-36), 2, 5+14*36)

AstBelt2235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euterpe");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Egeria-13 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-37), 2, 5+14*37)

AstBelt2236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Egeria");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
AstBelt2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Elpis-59"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-38), 2, 5+14*38)

AstBelt2237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Elpis");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Erato-62 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-39), 2, 5+14*39)

AstBelt2238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Erato");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(300);
            end
        end
    end) ();
-------------------------------------
AstBelt2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Echo-60"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-40), 2, 5+14*40)

AstBelt2239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Echo");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------------
AstBelt2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Juno-3 !"))
    :movable(false)
    :active(true) 
    :attach(AstBelt2Frame, 86, 2+14*(gg-41), 2, 5+14*41)

AstBelt2240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/3 Juno");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
---------------------------------------------
