----------------------------------------------
-- AstAAABox.lua
-- by Lygin Gennady a.k.a .Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local AstAAAFrameWidth, AstAAAFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AstAAABox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

AstAAABox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AstAAAButton.Visible = GuidesVisibility -- display or undisplay Button
    AstAAACheck.Visible = GuidesVisibility  -- display or undisplay Check
    if AstAAACheck.Text ==  "o" then
		AstAAAFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AstAAAButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("center")
    :movetext(-3, 9)  
    :text(_("AAA"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AstAAABox,0,0,0,0) 

AstAAACheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AstAAABox, 20, 0, 0, 0)

AstAAAButton.Action = (function()
        return
            function()

                display_AstAAA = not display_AstAAA
                if display_AstAAA then  
                    actual_renderflags = celestia:getrenderflags()                           
                    AstAAAFrame.Visible = true                     
                    AstAAACheck.Text = "o" 

                    local obs = celestia:getobserver()
                    local obj = celestia:find("Sol")
                    celestia:select(obj)
                    obs:follow(obj)          
                    obs:center(obj) 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations") 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries") -- фигуры

                 -- объекты  
                    celestia:show("galaxies") -- галактики
                    celestia:hide("globulars") -- шаровые скопления
                    celestia:hide("openclusters") -- рассеянные скопления
                    celestia:hide("nebulae") -- туманности
                    celestia:show("stars") -- звезды
                    celestia:setstarstyle("disc") -- вид звезд
                    celestia:show("planets") -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver()
                    local obj = celestia:find("Earth")
                    celestia:select(obj)
                    obs:follow(obj)          
                    obs:center(obj) 
                    celestia:settimescale(1) 
                    celestia:setfaintestvisible(8.00) 
                 KeplerParamFrame.Visible = true   
                 else          
                    AstAAAFrame.Visible = false                   
                    AstAAACheck.Text = ""

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false
                end
            end
        end) ()               
------------------------------------
AstAAAFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(csetbofill)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AstAAAFrameWidth)/2, height-AstAAAFrameHeight-2, (width-AstAAAFrameWidth)/2, 2)

 AstAAAFrame.Customdraw = function(this) 

            if AstAAA_firstTickDone then
            if not(AstAAACloseButtonDone) then
                AstAAACloseButtonDone = true
                makeCloseButton(AstAAACloseButton, AstAAAFrame, AstAAAButton)
            end
            else
                AstAAA_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    AstAAAFrame:attach(screenBox, width-AstAAAFrameWidth-36, height-AstAAAFrameHeight-128-27, 36, 128+27) 
               else
                    AstAAAFrame:attach(screenBox, width-AstAAAFrameWidth-200, height-AstAAAFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb+4, this.tb - 14)  
            textlayout:println(_("       Apollo, Atira, Aten:"))
end
--===================
-- Подключение команд 
-------------------------------------
ast101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("YORP.00 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-1), 86, 5+14*1)

ast101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/YORP")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10)
            end
        end
    end) ()
-------------------------------------
ast102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color11)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Atira.03"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-2), 86, 5+14*2)

ast102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Atira")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Adonis.1936"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-3), 86, 5+14*3)

ast103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Adonis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
ast104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amun.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-4), 86, 5+14*4)

ast104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amun")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antinous.1948"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-5), 86, 5+14*5)

ast105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antinous")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ast106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Apollo.1932+!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-6), 86, 5+14*6)

ast106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Apollo")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Apophis.04 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-7), 86, 5+14*7)

ast107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Apophis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ast108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aristaeus.1977"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-8), 86, 5+14*8)

ast108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aristaeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
ast109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asclepius.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-9), 86, 5+14*9)

ast109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Asclepius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aten.1976"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-10), 86, 5+14*10)

ast110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aten")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ast111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ahau.1993"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-11), 86, 5+14*11)

ast111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ahau")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bacchus.1977 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-12), 86, 5+14*12)

ast112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Bacchus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ast113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bennu.1999 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-13), 86, 5+14*13)

ast113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Bennu")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Beowulf.1999"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-14), 86, 5+14*14)

ast114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Beowulf")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ast115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wils.–Har.1979"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-15), 86, 5+14*15)

ast115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Wilson-Harrington")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Vishnu.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-16), 86, 5+14*16)

ast116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Vishnu")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Geograph.1951!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-17), 86, 5+14*17)

ast117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Geographos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Heracles.1991+"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-18), 86, 5+14*18)

ast118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Heracles")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hermes.1937+"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-19), 86, 5+14*19)

ast119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hermes System/Hermes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
ast120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hephaistos.1978"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-20), 86, 5+14*20)

ast120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hephaistos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
ast121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hypnos.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-21), 86, 5+14*21)

ast121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hypnos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Golevka.1991 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-22), 86, 5+14*22)

ast122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Golevka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Daedalus.1971"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-23), 86, 5+14*23)

ast123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Daedalus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ast124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Didymos.1996+"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-24), 86, 5+14*24)

ast124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Didymos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ast125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dionysus.1984+"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-25), 86, 5+14*25)

ast125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dionysus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Duende.12 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-26), 86, 5+14*26)

ast126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Duende")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Zeus.1988"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-27), 86, 5+14*27)

ast127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Zeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Zephyr.1988"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-28), 86, 5+14*28)

ast128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Zephyr")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Izhdubar.1993"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-29), 86, 5+14*29)

ast129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Izhdubar")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Icarus.1949"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-30), 86, 5+14*30)

ast130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Icarus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Illapa.1994"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-31), 86, 5+14*31)

ast131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Illapa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Itokawa.1998 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-32), 86, 5+14*32)

ast132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Itokawa")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
ast133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cadmus.1992"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-33), 86, 5+14*33)

ast133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cadmus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Camillo.1985"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-34), 86, 5+14*34)

ast134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Camillo")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ast135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Castalia.1998 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-35), 86, 5+14*35)

ast135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Castalia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kwiila.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-36), 86, 5+14*36)

ast136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Kwiila")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cruithne.1986"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-37), 86, 5+14*37)

ast137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cruithne")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ast138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Xanthus.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-38), 86, 5+14*38)

ast138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Xanthus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ast139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cuno.1959"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-39), 86, 5+14*39)

ast139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cuno")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Midas.1973"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-40), 86, 5+14*40)

ast140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Midas")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Minos.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 2, 2+14*(gg-41), 86, 5+14*41)

ast141Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Minos")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
--================
ast201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mithra.1987 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-1), 2, 5+14*1)

ast201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mithra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) () 
-------------------------------
ast202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mjolnir.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-2), 2, 5+14*2)

ast202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mjolnir")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
                obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
ast203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nereus.1982 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-3), 2, 5+14*3)

ast203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nereus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ast204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oljato.1947"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-4), 2, 5+14*4)

ast204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oljato")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ast205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orthos.1976"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-5), 2, 5+14*5)

ast205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orthos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orpheus.1982"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-6), 2, 5+14*6)

ast206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orpheus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pan.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-7), 2, 5+14*7)

ast207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pan (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
ast208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peleus.1993"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-8), 2, 5+14*8)

ast208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peleus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
ast209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Poseidon.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-9), 2, 5+14*9)

ast209Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Poseidon")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
ast210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ptah.1960"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-10), 2, 5+14*10)

ast210Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/Ptah")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
ast211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ra-Shalom.1978!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-11), 2, 5+14*11)

ast211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ra-Shalom")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
--------------------------------
ast212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sekhmet.1991+"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-12), 2, 5+14*12)

ast212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sekhmet")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(125)
            end
        end
    end) () 
-------------------------------
ast213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sigurd.1992"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-13), 2, 5+14*13)

ast213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sigurd")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) () 
-------------------------------
ast214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sisyphus.1972+"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-14), 2, 5+14*14)

ast214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sisyphus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
ast215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Syrinx.1981"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-15), 2, 5+14*15)

ast215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Syrinx")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ast216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Summanus.1990"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-16), 2, 5+14*16)

ast216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Summanus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ast217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Talos.1991"))
    :movable(false)
    :active(true) 
  :attach(AstAAAFrame, 86, 2+14*(gg-17), 2, 5+14*17) 

ast217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Talos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ast218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tantalus.1975"))
    :movable(false)
    :active(true) 
  :attach(AstAAAFrame, 86, 2+14*(gg-18), 2, 5+14*18) 

ast218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tantalus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ast219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Toutatis.1989 !"))        
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-19), 2, 5+14*19) 

ast219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Toutatis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
ast220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tomaiyowit.1989"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-20), 2, 5+14*20) 

ast220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tomaiyowit")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
ast221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Toro.1948"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-21), 2, 5+14*21) 

ast221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Toro")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(500)
            end
        end
    end) () 
--------------------------------
ast222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tukmit.1991"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-22), 2, 5+14*22)

ast222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tukmit")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(300)
            end
        end
    end) ()  
-------------------------------
ast223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tjelvar.1998"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-23), 2, 5+14*23) 

ast223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tjelvar")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ast224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ubasti.1987"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-24), 2, 5+14*24) 

ast224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ubasti")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phaethon.1983"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-25), 2, 5+14*25) 

ast225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phaethon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ast226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hathor.1976"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-26), 2, 5+14*26) 

ast226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hathor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Khufu.1984"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-27), 2, 5+14*27) 

ast227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Khufu")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cerberus.1973 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-28), 2, 5+14*28)

ast228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cerberus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eger.1982 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-29), 2, 5+14*29) 

ast229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eger")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ast230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Epona.1986"))
    :movable(false)
    :active(true) 
   :attach(AstAAAFrame, 86, 2+14*(gg-30), 2, 5+14*30) 

ast230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Epona")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Jason.1984"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-31), 2, 5+14*31) 

ast231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jason")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
ast232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1992 SK !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-32), 2, 5+14*32) 

ast232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1992 SK")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
ast233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1994 CC+!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-33), 2, 5+14*33) 

ast233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1994 CC")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 KY26 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-34), 2, 5+14*34) 

ast234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 KY26")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(10)
            end
        end
    end) ()
--------------------------------
ast235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 ML14 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-35), 2, 5+14*35) 

ast235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 ML14")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ast236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 WT24 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-36), 2, 5+14*36) 

ast236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 WT24")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1999 KW4+!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-37), 2, 5+14*37) 

ast237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 KW4")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ast238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color11)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2000 ET70"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-38), 2, 5+14*38) 

ast238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 ET70")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ast239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 CE26+!"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-39), 2, 5+14*39) 

ast239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 CE26")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ast240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color12)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 EV5 !"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-40), 2, 5+14*40) 

ast240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 EV5")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
 ast241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 TB145"))
    :movable(false)
    :active(true) 
    :attach(AstAAAFrame, 86, 2+14*(gg-41), 2, 5+14*41) 

ast241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 TB145")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
------------------------------ 
