---------------------------------------------
-- AstSat1Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local AstSat1FrameWidth, AstSat1FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AstSat1Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

AstSat1Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("As1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AstSat1Box,0,0,0,0)

AstSat1Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AstSat1Box, 20, 0, 0, 0)

AstSat1Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AstSat1Button.Visible = GuidesVisibility -- display or undisplay Button
    AstSat1Check.Visible = GuidesVisibility  -- display or undisplay Check
    if AstSat1Check.Text ==  "o" then
		AstSat1Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AstSat1Button.Action = (function()
        return
            function()

                display_AstSat1 = not display_AstSat1
                if display_AstSat1 then  
                    AstSat1Frame.Visible = true                     
                    AstSat1Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    AstSat1Frame.Visible = false                   
                    AstSat1Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
AstSat1Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AstSat1FrameWidth)/2, height-AstSat1FrameHeight-2, (width-AstSat1FrameWidth)/2, 2)

 AstSat1Frame.Customdraw = function(this) 

            if AstSat1_firstTickDone then
            if not(AstSat1CloseButtonDone) then
                AstSat1CloseButtonDone = true
                makeCloseButton(AstSat1CloseButton, AstSat1Frame, AstSat1Button)
            end
            else
                AstSat1_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    AstSat1Frame:attach(screenBox, width-AstSat1FrameWidth-36, height-AstSat1FrameHeight-128-27, 36, 128+27) 
               else
                    AstSat1Frame:attach(screenBox, width-AstSat1FrameWidth-200, height-AstSat1FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 15, this.tb - 14)       
            textlayout:println(_("Asteroids with satellites-1:"))
end
--====================
-- Подключение команд 
--====================
ASat1101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alauda"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-1), 86, 5+14*1)

ASat1101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1910 KQ")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat1102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amalthea"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-2), 86, 5+14*2)

ASat1102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1931 TN3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat1103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Apollo"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-3), 86, 5+14*3)

ASat1103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1932 HA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat1104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color11)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Atira"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-4), 86, 5+14*4)

ASat1104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2003 CP20")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat1105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-5), 86, 5+14*5)

ASat1105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat1106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Balam"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-6), 86, 5+14*6)

ASat1106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1982 BG1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-7), 86, 5+14*7)

ASat1107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
ASat1108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-8), 86, 5+14*8)

ASat1108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color33)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Camilla"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-9), 86, 5+14*9)

ASat1109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1938 OG")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-10), 86, 5+14*10)

ASat1110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()	
-------------------------------
ASat1111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cevenola"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-11), 86, 5+14*11)

ASat1111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1934 DA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-12), 86, 5+14*12)

ASat1112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
ASat1113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Daphne"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-13), 86, 5+14*13)

ASat1113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1949 TG")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Didymos"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-14), 86, 5+14*14)

ASat1114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 GT")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dionysus"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-15), 86, 5+14*15)

ASat1115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1984 KD")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat1116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-16), 86, 5+14*16)

ASat1116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Elektra"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-17), 86, 5+14*17)

ASat1117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Elektra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-18), 86, 5+14*18)

ASat1118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Emma"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-19), 86, 5+14*19)

ASat1119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1980 FJ12")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(125)
            end
        end
    end) ()
-------------------------------
ASat1120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color31)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Esclangona"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-20), 86, 5+14*20)

ASat1120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1938 YG")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eugenia"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-21), 86, 5+14*21)

ASat1121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1941 BN")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-22), 86, 5+14*22)

ASat1122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ASat1123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eureka"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-23), 86, 5+14*23)

ASat1123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 MB")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-24), 86, 5+14*24)

ASat1124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color31)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Fennia"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-25), 86, 5+14*25)

ASat1125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1938 ED1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color31)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Florence"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-26), 86, 5+14*26)
	
ASat1126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1981 ET3")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
ASat1127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-27), 86, 5+14*27)

ASat1127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-28), 86, 5+14*28)

ASat1128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hektor"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-29), 86, 5+14*29)

ASat1129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1907 XM")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Heracles"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-30), 86, 5+14*30)

ASat1130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1991 VL")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color33)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hermione"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-31), 86, 5+14*31)

ASat1131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1970 VE")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Huenna"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-32), 86, 5+14*32)

ASat1132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1894 AQ")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat1133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-33), 86, 5+14*33)

ASat1133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ida"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-34), 86, 5+14*34)

ASat1134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1988 DB1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ishtar"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-35), 86, 5+14*35)

ASat1135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1992 AA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-36), 86, 5+14*36)

ASat1136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kalliope"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-37), 86, 5+14*37)

ASat1137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Kalliope")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kleopatra"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-38), 86, 5+14*38)

ASat1138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Kleopatra")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-39), 86, 5+14*39)

ASat1139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat1140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-40), 86, 5+14*40)

ASat1140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat1141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 2, 2+14*(gg-41), 86, 5+14*41)

ASat1141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
			   obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
ASat1201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pichi-unem"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-1), 2, 5+14*1)

ASat1201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/702 Alauda/2007 702 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) () 
-------------------------------
ASat1202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2017 113 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-2), 2, 5+14*2)

ASat1202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/113 Amalthea/2017 113 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) () 
-------------------------------
ASat1203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 1862 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-3), 2, 5+14*3)

ASat1203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1862 Apollo/2005 1862 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat1204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2017 163693 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-4), 2, 5+14*4)

ASat1204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/163693 Atira/2017 163693 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat1205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-5), 2, 5+14*5)

ASat1205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 3749 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-6), 2, 5+14*6)

ASat1206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/3749 Balam/2002 3749 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(25000)
            end
        end
    end) () 
-------------------------------
ASat1207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 3749 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-7), 2, 5+14*7)

ASat1207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/3749 Balam/2008 3749 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat1208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-8), 2, 5+14*8)

ASat1208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ASat1209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 107 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-9), 2, 5+14*9)

ASat1209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/107 Camilla/2001 107 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2016 107 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-10), 2, 5+14*10)

ASat1210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/107 Camilla/2016 107 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
ASat1211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 1333 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-11), 2, 5+14*11)

ASat1211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/1333 Cevenola/2008 1333 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) () 
-------------------------------
ASat1212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
ASat1212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
ASat1213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 41 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-13), 2, 5+14*13)
	
ASat1213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/41 Daphne/2008 41 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()	
-------------------------------
ASat1214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 65803 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-14), 2, 5+14*14)

ASat1214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/65803 Didymos/2003 65803 I")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
ASat1215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1997 3671 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-15), 2, 5+14*15)

ASat1215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/3671 Dionysus/1997 3671 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ASat1216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-16), 2, 5+14*16)

ASat1216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(125)
            end
        end
    end) () 
-------------------------------
ASat1217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 130 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat1Frame, 86, 2+14*(gg-17), 2, 5+14*17)

ASat1217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/130 Elektra/2003 130 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) () 
-------------------------------
ASat1218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2014 130 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat1Frame, 86, 2+14*(gg-18), 2, 5+14*18)

ASat1218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/130 Elektra/2014 130 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat1219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 283 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat1Frame, 86, 2+14*(gg-19), 2, 5+14*19)

ASat1219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/283 Emma/2003 283 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ASat1220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 1509 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat1Frame, 86, 2+14*(gg-20), 2, 5+14*20)

ASat1220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1509 Esclangona/2003 1509 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
ASat1221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Petit-Prince"))
    :movable(false)
    :active(true) 
  :attach(AstSat1Frame, 86, 2+14*(gg-21), 2, 5+14*21) 

ASat1221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/45 Eugenia/1998 45 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
ASat1222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2004 45 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-22), 2, 5+14*22)

ASat1222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/45 Eugenia/2004 45 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat1223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 5261 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat1Frame, 86, 2+14*(gg-23), 2, 5+14*23) 

ASat1223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/5261 Eureka/2011 5261 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ASat1224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))        
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-24), 2, 5+14*24) 

ASat1224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat1225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 1453 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-25), 2, 5+14*25)

ASat1225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1453 Fennia/2007 1453 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
ASat1226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2017 3122 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-26), 2, 5+14*26)

ASat1226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/3122 Florence/2017 3122 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------

ASat1227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2017 3122 II"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-27), 2, 5+14*27) 

ASat1227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/3122 Florence/2017 3122 II")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
--------------------------------
ASat1228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-28), 2, 5+14*28)

ASat1228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()  
-------------------------------
ASat1229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Skamandrios"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-29), 2, 5+14*29) 

ASat1229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/624 Hektor/2006 624 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ASat1230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 5143 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-30), 2, 5+14*30) 

ASat1230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/5143 Heracles/2011 5143 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat1231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 121 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-31), 2, 5+14*31) 

ASat1231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/121 Hermione/2002 121 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat1232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 379 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-32), 2, 5+14*32) 

ASat1232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/379 Huenna/2003 379 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(25000)
            end
        end
    end) ()
-------------------------------
ASat1233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-33), 2, 5+14*33) 

ASat1233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat1234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dactyl"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-34), 2, 5+14*34)

ASat1234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/243 Ida/1993 243 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat1235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2006 7088 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-35), 2, 5+14*35) 

ASat1235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/7088 Ishtar/2006 7088 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat1236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(AstSat1Frame, 86, 2+14*(gg-36), 2, 5+14*36) 

ASat1236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat1237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Linus"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-37), 2, 5+14*37) 

ASat1237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/22 Kalliope/Kalliope I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat1238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alexhelios"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-38), 2, 5+14*38)

ASat1238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/216 Kleopatra/2008 216 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
------------------------------- 
ASat1239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cleoselene"))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-39), 2, 5+14*39)

ASat1239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/216 Kleopatra/2008 216 II")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------
ASat1240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
ASat1240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
-------------------------------
ASat1241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat1Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
