---------------------------------------------
-- AstSat2Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local AstSat2FrameWidth, AstSat2FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AstSat2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

AstSat2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("As2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AstSat2Box,0,0,0,0)

AstSat2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AstSat2Box, 20, 0, 0, 0)

AstSat2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AstSat2Button.Visible = GuidesVisibility -- display or undisplay Button
    AstSat2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if AstSat2Check.Text ==  "o" then
		AstSat2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AstSat2Button.Action = (function()
        return
            function()

                display_AstSat2 = not display_AstSat2
                if display_AstSat2 then  
                    AstSat2Frame.Visible = true                     
                    AstSat2Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    AstSat2Frame.Visible = false                   
                    AstSat2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
AstSat2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AstSat2FrameWidth)/2, height-AstSat2FrameHeight-2, (width-AstSat2FrameWidth)/2, 2)

 AstSat2Frame.Customdraw = function(this) 

            if AstSat2_firstTickDone then
            if not(AstSat2CloseButtonDone) then
                AstSat2CloseButtonDone = true
                makeCloseButton(AstSat2CloseButton, AstSat2Frame, AstSat2Button)
            end
            else
                AstSat2_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    AstSat2Frame:attach(screenBox, width-AstSat2FrameWidth-36, height-AstSat2FrameHeight-128-27, 36, 128+27) 
               else
                    AstSat2Frame:attach(screenBox, width-AstSat2FrameWidth-200, height-AstSat2FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 15, this.tb - 14)       
            textlayout:println(_("Asteroids with satellites-2:"))
end
--====================
-- Подключение команд 
--====================
ASat2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Litva"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-1), 86, 5+14*1)

ASat2101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1975 EE3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-2), 86, 5+14*2)

ASat2102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-3), 86, 5+14*3)

ASat2103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mayall"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-4), 86, 5+14*4)

ASat2104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1975 RA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Minerva"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-5), 86, 5+14*5)

ASat2105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1949 QN2")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-6), 86, 5+14*6)

ASat2106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-7), 86, 5+14*7)

ASat2107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
ASat2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pulcova"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-8), 86, 5+14*8)

ASat2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1913 SQ")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-9), 86, 5+14*9)

ASat2109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Quaoar"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-10), 86, 5+14*10)

ASat2110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 LM60")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
-------------------------------
ASat2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-11), 86, 5+14*11)

ASat2111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Roxane"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-12), 86, 5+14*12)

ASat2112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Roxane")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-13), 86, 5+14*13)

ASat2113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Salacia"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-14), 86, 5+14*14)

ASat2114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 SB60")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sekhmet"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-15), 86, 5+14*15)

ASat2115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1991 JY")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sevastopol"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-16), 86, 5+14*16)

ASat2116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1971 ME")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sisyphus"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-17), 86, 5+14*17)

ASat2117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1972 XA")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sylvia"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-18), 86, 5+14*18)

ASat2118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sylvia")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-19), 86, 5+14*19)

ASat2119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-20), 86, 5+14*20)

ASat2120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wirt"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-21), 86, 5+14*21)

ASat2121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1950 VE")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-22), 86, 5+14*22)

ASat2122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ASat2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1990 OS"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-23), 86, 5+14*23)

ASat2123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 OS")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1990 TR"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-24), 86, 5+14*24)

ASat2124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 TR")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1994 CC"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-25), 86, 5+14*25)

ASat2125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1994 CC")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
 --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(15, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-26), 86, 5+14*26)
-------------------------------
ASat2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1995 TL8"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-27), 86, 5+14*27)

ASat2127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1995 TL8")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 SM165"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-28), 86, 5+14*28)

ASat2128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 SM165")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color92)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1999 KW4"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-29), 86, 5+14*29)

ASat2129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 KW4")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2000 YW134"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-30), 86, 5+14*30)

ASat2130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 YW134")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 SN263"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-31), 86, 5+14*31)

ASat2131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 SN263")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(AstSat2Frame, 2, 2+14*(gg-32), 86, 5+14*32)
-------------------------------
ASat2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 CE26"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-33), 86, 5+14*33)

ASat2133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 CE26")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 UX25"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-34), 86, 5+14*34)

ASat2134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 UX25")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ASat2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 WC19"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-35), 86, 5+14*35)

ASat2135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 WC19")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color42)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 AZ84"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-36), 86, 5+14*36)

ASat2136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2003 AZ84")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ASat2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2004 BL86"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-37), 86, 5+14*37)

ASat2137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 BL86")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 OR10"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-38), 86, 5+14*38)

ASat2138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 OR10")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 UK126"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-39), 86, 5+14*39)

ASat2139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 UK126")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2009 FD"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-40), 86, 5+14*40)

ASat2140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 FD")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 2, 2+14*(gg-41), 86, 5+14*41)

ASat2141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
			   obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
ASat2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2009 2577 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-1), 2, 5+14*1)

ASat2201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2577 Litva/2009 2577 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) () 
-------------------------------
ASat2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2012 2577 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-2), 2, 5+14*2)

ASat2202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2577 Litva/2012 2577 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            end
        end
    end) () 
-------------------------------
ASat2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-3), 2, 5+14*3)

ASat2203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2009 2131 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-4), 2, 5+14*4)

ASat2204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2131 Mayall/2009 2131 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ASat2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aegis"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-5), 2, 5+14*5)

ASat2205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/93 Minerva/2009 93 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Gorgoneion"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-6), 2, 5+14*6)

ASat2206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/93 Minerva/2009 93 II")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(750)
            end
        end
    end) () 
-------------------------------
ASat2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-7), 2, 5+14*7)

ASat2207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2000 762 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-8), 2, 5+14*8)

ASat2208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/762 Pulcova/2000 762 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ASat2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-9), 2, 5+14*9)

ASat2209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Weywot"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-10), 2, 5+14*10)

ASat2210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/50000 Quaoar/2006 50000 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) () 
-------------------------------
ASat2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-11), 2, 5+14*11)

ASat2211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) () 
-------------------------------
ASat2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2009 317 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
ASat2212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/317 Roxane/2009 317 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()	
-------------------------------
ASat2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-13), 2, 5+14*13)
	
ASat2213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
ASat2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Actaea"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-14), 2, 5+14*14)

ASat2214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/120347 Salacia/Actaea")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
ASat2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 5381 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-15), 2, 5+14*15)

ASat2215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/5381 Sekhmet/2003 5381 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2010 2121 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-16), 2, 5+14*16)

ASat2216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2121 Sevastopol/2010 2121 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
ASat2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1985 1866 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat2Frame, 86, 2+14*(gg-17), 2, 5+14*17)

ASat2217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1866 Sisyphus/1985 1866 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
ASat2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Romulus"))
    :movable(false)
    :active(true) 
   :attach(AstSat2Frame, 86, 2+14*(gg-18), 2, 5+14*18)

ASat2218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/87 Sylvia/2001 87 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ASat2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Remus"))
    :movable(false)
    :active(true) 
   :attach(AstSat2Frame, 86, 2+14*(gg-19), 2, 5+14*19)

ASat2219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/87 Sylvia/2004 87 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
ASat2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(AstSat2Frame, 86, 2+14*(gg-20), 2, 5+14*20)

ASat2220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
ASat2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 2044 I"))
    :movable(false)
    :active(true) 
  :attach(AstSat2Frame, 86, 2+14*(gg-21), 2, 5+14*21) 

ASat2221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2044 Wirt/2005 2044 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-22), 2, 5+14*22)

ASat2222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
ASat2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 162000 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat2Frame, 86, 2+14*(gg-23), 2, 5+14*23) 

ASat2223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/162000 1990 OS/2003 162000 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2012 5646 I"))        
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-24), 2, 5+14*24) 

ASat2224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/5646 1990 TR/2012 5646 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
ASat2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2009 136617 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-25), 2, 5+14*25)

ASat2225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/136617 1994 CC/2009 136617 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
ASat2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2009 136617 II"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-26), 2, 5+14*26)

ASat2226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/136617 1994 CC/2009 136617 II")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
--------------------------------

ASat2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 48639 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-27), 2, 5+14*27) 

ASat2227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/48639 1995 TL8/2002 48639 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) () 
--------------------------------
ASat2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 26308 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-28), 2, 5+14*28)

ASat2228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/26308 1998 SM165/2001 26308 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50000)
            end
        end
    end) ()  
-------------------------------
ASat2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 66391 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-29), 2, 5+14*29) 

ASat2229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/66391 1999 KW4/2001 66391 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 82075 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-30), 2, 5+14*30) 

ASat2230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/82075 2000 YW134/2002 82075 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            end
        end
    end) ()
-------------------------------
ASat2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 153591 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-31), 2, 5+14*31) 

ASat2231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/153591 2001 SN263/2008 153591 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(3000)
            end
        end
    end) ()
-------------------------------
ASat2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 153591 II"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-32), 2, 5+14*32) 

ASat2232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/153591 2001 SN263/2008 153591 II")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
ASat2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2004 276049 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-33), 2, 5+14*33) 

ASat2233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/276049 2002 CE26/2004 276049 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
ASat2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 55637 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-34), 2, 5+14*34)

ASat2234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/55637 2002 UX25/2007 55637 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
ASat2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 119979 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-35), 2, 5+14*35) 

ASat2235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/119979 2002 WC19/2007 119979 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            end
        end
    end) ()
-------------------------------
ASat2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 208996 I"))
    :movable(false)
    :active(true) 
   :attach(AstSat2Frame, 86, 2+14*(gg-36), 2, 5+14*36) 

ASat2236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/208996 2003 AZ84/2005 208996 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
ASat2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 357439 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-37), 2, 5+14*37) 

ASat2237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/357439 2004 BL86/2015 357439 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
ASat2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2010 225088 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-38), 2, 5+14*38)

ASat2238Box.Action = (function()
    return 
           function()      
           -- local obj = celestia:find("Sol/225088 2007 OR10/2010 225088 I") 
            local obj = celestia:find("Sol/2007 OR10/2010 225088 I")		   
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
------------------------------- 
ASat2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 229762 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-39), 2, 5+14*39)

ASat2239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/229762 2007 UK126/2008 229762 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
--------------------------------
ASat2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 410777 I"))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
ASat2240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/410777 2009 FD/2015 410777 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()	
-------------------------------
ASat2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AstSat2Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
