----------------------------------------------
-- DamCentBox.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
-- проверить список, знаки + и !
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local DamCentFrameWidth, DamCentFrameHeight = 170, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
DamCentBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

DamCentButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-4, 9)  
    :text(_("DC"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(DamCentBox,0,0,0,0) 

DamCentCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(DamCentBox, 20, 0, 0, 0)

DamCentBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    DamCentButton.Visible = GuidesVisibility -- display or undisplay Button
    DamCentCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if DamCentCheck.Text ==  "o" then
		DamCentFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

DamCentButton.Action = (function()
        return
            function()
              display_DamCent = not display_DamCent;
                if display_DamCent then
                    actual_renderflags = celestia:getrenderflags()               
                    DamCentFrame.Visible = true;                     
                    DamCentCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() 
                    celestia:showconstellations() 
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 

                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00);
                 KeplerParamFrame.Visible = true;   
                 else          
                    DamCentFrame.Visible = false;                   
                    DamCentCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();
----------------------------------------
DamCentFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-DamCentFrameWidth)/2, height-DamCentFrameHeight-2, (width-DamCentFrameWidth)/2, 2)

 DamCentFrame.Customdraw = function(this) 

            if  DamCent_firstTickDone then
            if not(DamCentCloseButtonDone) then
                DamCentCloseButtonDone = true;
                makeCloseButton(DamCentCloseButton, DamCentFrame, DamCentButton);
            end
            else
                DamCent_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;               
               if height>=768  then 
                    DamCentFrame:attach(screenBox, width-DamCentFrameWidth-36, height-DamCentFrameHeight-128-27, 36, 128+27) 
               else
                    DamCentFrame:attach(screenBox, width-DamCentFrameWidth-200, height-DamCentFrameHeight-3, 200, 3) 
               end                 
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,0,0.8}); 
	    textlayout:setpos(this.lb+5, this.tb - 14);       
            textlayout:println(_("  Damocloid & Centaurs"));
end;
--================
-- Подключение команд 
--------------------------------
ast101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 2, 2+14*(gg-1), 72, 5+14*1)
-------------------------------
ast102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Damocloid asteroid:")) 
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--------------------------------
ast103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 VD")) --8.34
    :movable(false)
    :active(true)
    :attach(DamCentFrame, 2, 2+14*(gg-3),  72, 5+14*3)

ast103Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 VD");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 LE31")) --11.94
    :movable(false)
    :active(true)
    :attach(DamCentFrame, 2, 2+14*(gg-4),  72, 5+14*4)

ast104Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 LE31");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 DG8"))  -- 19.31
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-5),  72, 5+14*5)

ast105Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 DG8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
--------------------------------
ast106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Damocles.1991")) 
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-6),  72, 5+14*6)

ast106Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1991 DA");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
--------------------------------
ast107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 WN188"))  --26.53
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-7),  72, 5+14*7)

ast107Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 WN188");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
--------------------------------
ast108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 HE46")) -- 44.71
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-8),  72, 5+14*8)

ast108Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 HE46");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dioretsa.1999")) -- 45.16
    :movable(false)
    :active(true)
    :attach(DamCentFrame, 2, 2+14*(gg-9),  72, 5+14*9)

ast109Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 LD31");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 SB223")) -- 56.43
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-10), 72, 5+14*10)

ast110Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2005 SB223");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);              
            end            
        end
    end) ();
---------------------------------
ast111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
     :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 KV42")) -- 61.60
    :movable(false)
    :active(true)
    :attach(DamCentFrame, 2, 2+14*(gg-11), 72, 5+14*11)

ast111Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2008 KV42");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);              
            end            
        end
    end) ();
--------------------------------
ast112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 AB229")) -- 102.85
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-12),  72, 5+14*12)

ast112Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 AB229");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 RP120")) -- 107.29
    :movable(false)
    :active(true)  
    :attach(DamCentFrame, 2, 2+14*(gg-13),  72, 5+14*13)

ast113Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 RP120");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000);              
            end            
        end
    end) ();
-------------------------------
ast114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2012 HD2")) -- 119.64
    :movable(false)
    :active(true)  
    :attach(DamCentFrame, 2, 2+14*(gg-14),  72, 5+14*14)

ast114Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2012 HD2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 GW64"))  -- 121.73 
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-15),  72, 5+14*15)

ast115Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 GW64");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
--------------------------------
ast116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 OE"))   -- 122.74
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-16),  72, 5+14*16)

ast116Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 OE");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 BN27"))  -- 124.18
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-17),  72, 5+14*17)

ast117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 BN27");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
--------------------------------
ast118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 JH124"))  -- 134.63
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-18),  72, 5+14*18)

ast118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 JH124");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 LD16"))  -- 157.36
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-19),  72, 5+14*19)

ast119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 LD16");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 KP65")) -- 174.36
    :movable(false)
    :active(true) 
   :attach(DamCentFrame, 2, 2+14*(gg-20),  72, 5+14*20)

ast120Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 KP65");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 NN8"))  -- 193.57
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-21),  72, 5+14*21)

ast121Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 NN8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2012 KA51"))  -- 443.99
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-22),  72, 5+14*22)

ast122Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2012 KA51");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1996 PW"))  -- 525.14
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-23),  72, 5+14*23)

ast123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1996 PW");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);              
            end            
        end
    end) ();
-------------------------------
ast124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 KZ127")) -- 553.87
    :movable(false)
    :active(true)   
    :attach(DamCentFrame, 2, 2+14*(gg-24),  72, 5+14*24)

ast124Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 KZ127");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 DA61"))   -- 894.15
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-25),  72, 5+14*25)

ast125Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2007 DA61");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2015 ER61"))  
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-26),  72, 5+14*26)

ast126Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2015 ER61");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 RN109"))  -- 1393.30
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-27),  72, 5+14*27)

ast127Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 RN109");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color71)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 VX3"))  -- 3079.97
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-28),  72, 5+14*28)

ast128Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 VX3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textcolor(cbutextoff)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Asteroids - Centaurs:"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-29),  2, 5+14*29)
-------------------------------
ast130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chariklo.1997"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-30),  72, 5+14*30)

ast130Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Chariklo");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bienor.00"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-31),  72, 5+14*31)

ast131Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Bienor");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pholus.1992"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-32),  72, 5+14*32)

ast132Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pholus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chiron.1977"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-33),  72, 5+14*33)

ast133Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Chiron");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont)
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 EE173"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-34),  72, 5+14*34)

ast134Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2000 EE173");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Asbolus.1995"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-35),  72, 5+14*35)

ast135Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Asbolus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Nessus.1993"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-36),  72, 5+14*36)

ast136Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Nessus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Okyrhoe.1998"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-37),  72, 5+14*37)

ast137Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1998 SG35");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hidalgo.1920"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-38),  72, 5+14*38)

ast138Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/1920 HZ");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Narcissus.00"))
    :movable(false)
    :active(true)
    :attach(DamCentFrame, 2, 2+14*(gg-39),  72, 5+14*39)

ast139Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/Narcissus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont)
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 QF6"))
    :movable(false)
    :active(true) 
    :attach(DamCentFrame, 2, 2+14*(gg-40),  72, 5+14*40)

ast140Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2001 QF6");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color23)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 LA2"))
    :movable(false)
    :active(true)
    :attach(DamCentFrame, 2, 2+14*(gg-41),  72, 5+14*41)

ast141Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2013 LA2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);              
            end            
        end
    end) ();
--================
ast201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-1), 2, 5+14*1)
-------------------------------
ast203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~8,3/~9"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-3), 2, 5+14*3) 
--------------------------------
ast204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~11,9/~16"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-4), 2, 5+14*4) 
-------------------------------
ast205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~19,3/~15"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-5), 2, 5+14*5) 
--------------------------------
ast206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~22,1/~10"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-6), 2, 5+14*6) 
--------------------------------
ast207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~26,5/~10"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-7), 2, 5+14*7) 
--------------------------------
ast208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~44,7/~6"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-8), 2, 5+14*8)
-------------------------------
ast209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~45,2/~14"))        
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-9), 2, 5+14*9)
--------------------------------
ast210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~56,4/~6"))
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-10), 2, 5+14*10)
-------------------------------
ast211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)   
    :movetext(-3, 9)
    :text(_("~61,6/~70"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-11), 2, 5+14*11)
-------------------------------
ast212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)   
    :text(_("~102,9/~7"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-12), 2, 5+14*12) 
-------------------------------
ast213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~107,3/~15"))  
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-13), 2, 5+14*13) 
--------------------------------
ast214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~119,6/~4"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-14), 2, 5+14*14) 
--------------------------------
ast215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~121,7/~6"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-15), 2, 5+14*15) 
--------------------------------
ast216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~122,7/~8"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-16), 2, 5+14*16) 
-------------------------------
ast217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~124,2/~2"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-17), 2, 5+14*17)
-------------------------------
ast218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~134,6/~7"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-18), 2, 5+14*18)
-------------------------------
ast219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~157,4/~3"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-19), 2, 5+14*19) 
-------------------------------
ast220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~174,4/~35"))        
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-20), 2, 5+14*20) 
-------------------------------
ast221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~193,6/~4"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-21), 2, 5+14*21) 
-------------------------------
ast222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~444,0/~27"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-22), 2, 5+14*22) 
--------------------------------
ast223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~525,1/~15"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-23), 2, 5+14*23) 
-------------------------------
ast224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~533,9/~11"))
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-24), 2, 5+14*24) 
-------------------------------
ast225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~894,2/~4"))
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-25), 2, 5+14*25) 
-------------------------------
ast226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~953,0/~20"))
    :movable(false)
    :active(false)   
    :attach(DamCentFrame, 100, 2+14*(gg-26), 2, 5+14*26)
-------------------------------
ast227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1393,3/~4"))
    :movable(false)
    :active(false)   
    :attach(DamCentFrame, 100, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------
ast228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~3197/~7"))
    :movable(false)
    :active(false)   
    :attach(DamCentFrame, 100, 2+14*(gg-28), 2, 5+14*28) 
-------------------------------
ast230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~18,5/~290"))        
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-30), 2, 5+14*30)
-------------------------------
ast231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~19,8/~192"))        
    :movable(false)
    :active(false) 
    :attach(DamCentFrame, 100, 2+14*(gg-31), 2, 5+14*31) 
--------------------------------
ast232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~32,0/~190"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-32), 2, 5+14*32) 
-------------------------------
ast233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~18,9/~166"))
    :movable(false)
    :active(false)   
    :attach(DamCentFrame, 100, 2+14*(gg-33), 2, 5+14*33)
-------------------------------
ast234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,7/~117"))
    :movable(false)
    :active(false)    
    :attach(DamCentFrame, 100, 2+14*(gg-34), 2, 5+14*34)
-------------------------------
ast235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~29,2/~66"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-35), 2, 5+14*35) 
-------------------------------
ast236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~37,2/~59"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-36), 2, 5+14*36) 
-------------------------------
ast237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~10,9/~49"))
    :movable(false)
    :active(false)  
    :attach(DamCentFrame, 100, 2+14*(gg-37), 2, 5+14*37) 
--------------------------------
ast238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~9,5/~38"))
    :movable(false)
    :active(false)
    :attach(DamCentFrame, 100, 2+14*(gg-38), 2, 5+14*38)
-------------------------------
ast239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~10,7/~11")) 
    :movable(false)
    :active(false)    
    :attach(DamCentFrame, 100, 2+14*(gg-39), 2, 5+14*39)
--------------------------------
ast240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~12,2/~5,4"))
    :movable(false)
    :active(false)    
    :attach(DamCentFrame, 100, 2+14*(gg-40), 2, 5+14*40)
-------------------------------
ast241Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 9)   
    :text(_("~4,0/~5,0"))
    :movable(false)
    :active(false)     
    :attach(DamCentFrame, 100, 2+14*(gg-41), 2, 5+14*41)
-------------------------------
