---------------------------------------------
-- SystemBox.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local SystemFrameWidth, SystemFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SystemBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

SystemButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Sys"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(SystemBox,0,0,0,0)

SystemCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SystemBox, 20, 0, 0, 0)

SystemBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SystemButton.Visible = GuidesVisibility -- display or undisplay Button
    SystemCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if SystemCheck.Text ==  "o" then
		SystemFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

SystemButton.Action = (function()
        return
            function()

                display_System = not display_System
                if display_System then  
                    SystemFrame.Visible = true                     
                    SystemCheck.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    SystemFrame.Visible = false                   
                    SystemCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
SystemFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SystemFrameWidth)/2, height-SystemFrameHeight-2, (width-SystemFrameWidth)/2, 2)

 SystemFrame.Customdraw = function(this) 

            if System_firstTickDone then
            if not(SystemCloseButtonDone) then
                SystemCloseButtonDone = true
                makeCloseButton(SystemCloseButton, SystemFrame, SystemButton)
            end
            else
                System_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    SystemFrame:attach(screenBox, width-SystemFrameWidth-36, height-SystemFrameHeight-128-27, 36, 128+27) 
               else
                    SystemFrame:attach(screenBox, width-SystemFrameWidth-200, height-SystemFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 25, this.tb - 14)       
            textlayout:println(_("Asteroid SYSTEMS:"))
end
--====================
-- Подключение команд 
--====================
Sys1101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Altjira"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-1), 86, 5+14*1)

Sys1101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Altjira System/2001 UQ18")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50000)
            end
        end
    end) ()
-------------------------------
Sys1102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antiope"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-2), 86, 5+14*2)

Sys1102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antiope System/Antiope")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Borasisi"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-3), 86, 5+14*3)

Sys1103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Borasisi-Pabu/Borasisi")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ceto"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-4), 86, 5+14*4)

Sys1104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ceto-Phorcys/Ceto")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurydamas"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-5), 86, 5+14*5)

Sys1105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurydamas System/Eurydamas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
Sys1106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hermes"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-6), 86, 5+14*6)

Sys1106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hermes System/Hermes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
Sys1107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color42)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Huya"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-7), 86, 5+14*7)

Sys1107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Huya System/Huya")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iphthime"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-8), 86, 5+14*8)

Sys1108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iphthime System/Iphthime")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
Sys1109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color42)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lempo"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-9), 86, 5+14*9)

Sys1109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lempo System/1999 TC36 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
Sys1110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-10), 86, 5+14*10)

Sys1110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()	
-------------------------------
Sys1111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Logos"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-11), 86, 5+14*11)

Sys1111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Logos-Zoe/Logos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            end
        end
    end) ()
-------------------------------
Sys1112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color51)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Manwe"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-12), 86, 5+14*12)

Sys1112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Manwe-Thorondor/Manwe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(40000)
            end
        end
    end) ()
-------------------------------
Sys1113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color42)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mors"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-13), 86, 5+14*13)

Sys1113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mors-Somnus/Mors")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color42)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orcus"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-14), 86, 5+14*14)

Sys1114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orcus-Vanth/Orcus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Patroclus"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-15), 86, 5+14*15)

Sys1115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Patroclus-Menoetius/Patroclus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            end
        end
    end) ()
-------------------------------
Sys1116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sila"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-16), 86, 5+14*16)

Sys1116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sila-Nunam/Sila")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
Sys1117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tama !"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-17), 86, 5+14*17)

Sys1117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tama System/Tama")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
Sys1118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Teharonhiawako"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-18), 86, 5+14*18)

Sys1118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Teharonhiawako-Sawiskera/Teharonhiawako")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Typhon"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-19), 86, 5+14*19)

Sys1119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Typhon-Echidna/Typhon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
Sys1120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Varda"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-20), 86, 5+14*20)

Sys1120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Varda-Ilmare/Varda")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1978 VF11"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-21), 86, 5+14*21)

Sys1121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1978 VF11 System/1978 VF11")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
Sys1122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 WW31"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-22), 86, 5+14*22)

Sys1122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 WW31 System/1998 WW31")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            end
        end
    end) ()
-------------------------------
Sys1123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 QG298"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-23), 86, 5+14*23)

Sys1123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 QG298 System/2001 QG298")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
Sys1124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2006 VW139"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-24), 86, 5+14*24)

Sys1124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 VW139 System/2006 VW139")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            end
        end
    end) ()
-------------------------------
Sys1125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-25), 86, 5+14*25)

Sys1125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
Sys1126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor({0,1,0,0.8})
    :textpos("left")    
    :movetext(15, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-26), 86, 5+14*26)
-------------------------------
Sys1127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-27), 86, 5+14*27)

Sys1127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-28), 86, 5+14*28)

Sys1128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-29), 86, 5+14*29)

Sys1129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
Sys1130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-30), 86, 5+14*30)

Sys1130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-31), 86, 5+14*31)

Sys1131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-32), 86, 5+14*32)

Sys1132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
Sys1133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-33), 86, 5+14*33)

Sys1133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
-------------------------------
Sys1134Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont)
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("3D - Models asteroid belts:"))
    :movable(false)
    :active(false) 
    :attach(SystemFrame, 2, 2+14*(gg-34), 2, 5+14*34) 
---------------------------------
Sys1135Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
   -- :fillcolor(color82)	
    :textfont(normalfont)
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SystemFrame, 2, 2+14*(gg-35), 2, 5+14*35)	
----------------------------------
Sys1136Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color32)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteroid Belt "))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-36), 2, 5+14*36)
	
Sys1136Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/point0")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then 
			   celestia:setstarstyle("fuzzy")
			   celestia:seturl("cel://SyncOrbit/Sol/2359-03-12T17:49:19.40183?x=r20dBWB917FJ&y=U7q2qXVtbjtB&z=4ltqf5/6csN7&ow=-0.944076&ox=-0.216339&oy=0.248698&oz=0.00815229&select=Sol&fov=36.0&ts=5000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
			   celestia:setambient (0.5)			
            end 
			  -- celestia:setstarstyle("point")			
        end
    end) ()
-------------------------------------
Sys1137Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
 --   :fillcolor(color82)	
    :textfont(normalfont)
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SystemFrame, 2, 2+14*(gg-37), 2, 5+14*37)	
-------------------------------------	
Sys1138Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kuiper Belt "))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-38), 2, 5+14*38)  

Sys1138Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/point1")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then 
			   celestia:setstarstyle("fuzzy")
			   celestia:seturl("cel://SyncOrbit/Sol/2018-09-01T06:55:34.58485?x=Ht1KJy0/xvSi&y=N8W/PHktPV6T/v///////w&z=7ZZsdPSCg1KjDg&ow=-0.997656&ox=0.0493382&oy=0.0195342&oz=0.0432152&fov=36.4986&ts=5000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
			   celestia:setambient (0.5)
            end 
			 --  celestia:setstarstyle("point")			
        end
    end) ()
---------------------------------
Sys1139Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)	
    :textfont(normalfont)
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SystemFrame, 2, 2+14*(gg-39), 2, 5+14*39)		
----------------------------------
Sys1140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oort cloud")) 
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-40), 2, 5+14*40)
	
Sys1140Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Point2")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:setstarstyle("fuzzy")
			   celestia:seturl("cel://SyncOrbit/Sol:Point2/2146-04-24T22:34:25.25268?x=Kihasyjy/f///////////w&y=39rvZRGh&z=+hBv7pr+/////////////w&ow=-0.70709&ox=-0.00484977&oy=0.70709&oz=-0.00484977&fov=44.0284&ts=2500&ltd=0&p=0&rf=2360721&lm=2176&tsrc=0&ver=3")
			   celestia:setambient (0.5) 
            end 
			 --  celestia:setstarstyle("point")			
        end
    end) ()
-------------------------------------------
Sys1141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)	
	:fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 2, 2+14*(gg-41), 2, 5+14*41)

	--====================================
Sys1201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 148780 I"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-1), 2, 5+14*1)

Sys1201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Altjira System/2007 148780 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) () 
-------------------------------
Sys1202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2000 90 I"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-2), 2, 5+14*2)

Sys1202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antiope System/2000 90 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) () 
-------------------------------
Sys1203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pabu"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-3), 2, 5+14*3)

Sys1203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Borasisi-Pabu/2003 66652 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phorcys"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-4), 2, 5+14*4)

Sys1204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ceto-Phorcys/2006 65489 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 29314 I"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-5), 2, 5+14*5)

Sys1205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurydamas System/2005 29314 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 69230 I"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-6), 2, 5+14*6)

Sys1206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Hermes System/2003 69230 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(75)
            end
        end
    end) () 
-------------------------------
Sys1207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2012 38628 I"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-7), 2, 5+14*7)

Sys1207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Huya System/2012 38628 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
Sys1208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2013 16974 I"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-8), 2, 5+14*8)

Sys1208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iphthime System/2013 16974 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hiisi"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-9), 2, 5+14*9)

Sys1209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lempo System/1999 TC36 A2")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Paha"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-10), 2, 5+14*10)

Sys1210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lempo System/2001 47171 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(20000)
            end
        end
    end) () 
-------------------------------
Sys1211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Zoe"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-11), 2, 5+14*11)

Sys1211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Logos-Zoe/2001 58534 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            end
        end
    end) () 
-------------------------------
Sys1212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thorondor"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-12), 2, 5+14*12)
	
Sys1212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Manwe-Thorondor/2006 385446 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50000)
            end
        end
    end) ()	
-------------------------------
Sys1213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Somnus"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-13), 2, 5+14*13)
	
Sys1213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Mors-Somnus/2007 341520 I")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
Sys1214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Vanth"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-14), 2, 5+14*14)

Sys1214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/Orcus-Vanth/2005 90482 I")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(3000)
            end
        end
    end) ()
-------------------------------
Sys1215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Menoetius"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-15), 2, 5+14*15)

Sys1215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Patroclus-Menoetius/2001 617 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
Sys1216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nunam"))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-16), 2, 5+14*16)

Sys1216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sila-Nunam/2005 79360 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(5000)
            end
        end
    end) () 
-------------------------------
Sys1217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 1089 I"))
    :movable(false)
    :active(true) 
   :attach(SystemFrame, 86, 2+14*(gg-17), 2, 5+14*17)

Sys1217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tama System/2003 1089 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) () 
-------------------------------
Sys1218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sawiskera"))
    :movable(false)
    :active(true) 
   :attach(SystemFrame, 86, 2+14*(gg-18), 2, 5+14*18)

Sys1218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Teharonhiawako-Sawiskera/2001 88611 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Echidna"))
    :movable(false)
    :active(true) 
   :attach(SystemFrame, 86, 2+14*(gg-19), 2, 5+14*19)

Sys1219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Typhon-Echidna/2006 42355 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
Sys1220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ilmare"))
    :movable(false)
    :active(true) 
   :attach(SystemFrame, 86, 2+14*(gg-20), 2, 5+14*20)

Sys1220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Varda-Ilmare/2006 174567 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 17365 I"))
    :movable(false)
    :active(true) 
  :attach(SystemFrame, 86, 2+14*(gg-21), 2, 5+14*21) 

Sys1221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1978 VF11 System/2005 17365 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
------------------------------
Sys1222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 WW31"))
    :movable(false)
    :active(true) 
    --:attach(SystemFrame, 2, 2+14*(gg-22), 86, 5+14*22)
    :attach(SystemFrame, 86, 2+14*(gg-22), 2, 5+14*22)
	
Sys1222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 WW31 System/2000 1998 WW31 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200000)
            end
        end
    end) ()	
	
	-------------------------------
Sys1223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2004 139775 I"))
    :movable(false)
    :active(true) 
   :attach(SystemFrame, 86, 2+14*(gg-23), 2, 5+14*23) 

Sys1223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 QG298 System/2004 139775 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
Sys1224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 300163 I"))        
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-24), 2, 5+14*24) 

Sys1224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 VW139 System/2011 300163 I")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)
            end
        end
    end) ()
-------------------------------
Sys1225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-25), 2, 5+14*25)

Sys1225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
Sys1226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-26), 2, 5+14*26)
--------------------------------
Sys1227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-27), 2, 5+14*27) 

Sys1227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) () 
--------------------------------
Sys1228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-28), 2, 5+14*28)

Sys1228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()  
-------------------------------
Sys1229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-29), 2, 5+14*29) 

Sys1229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-30), 2, 5+14*30) 

Sys1230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
Sys1231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-31), 2, 5+14*31) 

Sys1231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
Sys1232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-32), 2, 5+14*32) 

Sys1232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
Sys1233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SystemFrame, 86, 2+14*(gg-33), 2, 5+14*33) 

Sys1233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------

