----------------------------------------------
-- TNO2Box.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                              
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local TNO2FrameWidth, TNO2FrameHeight = 170, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
TNO2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

TNO2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Tn2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(TNO2Box,0,0,0,0) 

TNO2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(TNO2Box, 20, 0, 0, 0)

TNO2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    TNO2Button.Visible = GuidesVisibility -- display or undisplay Button
    TNO2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if TNO2Check.Text ==  "o" then
		TNO2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

TNO2Button.Action = (function()
        return
            function()
              display_TNO2 = not display_TNO2;
                if display_TNO2 then
                    actual_renderflags = celestia:getrenderflags()               
                    TNO2Frame.Visible = true;                     
                    TNO2Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() 
                    celestia:showconstellations() 
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 

                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры 

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности 
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия 
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00) 
                 KeplerParamFrame.Visible = true;  
                else          
                    TNO2Frame.Visible = false;                   
                    TNO2Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();
---------------------------------
TNO2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-TNO2FrameWidth)/2, height-TNO2FrameHeight-2, (width-TNO2FrameWidth)/2, 2)

 TNO2Frame.Customdraw = function(this) 

            if  TNO2_firstTickDone then
            if not(TNO2CloseButtonDone) then
                TNO2CloseButtonDone = true;
                makeCloseButton(TNO2CloseButton, TNO2Frame, TNO2Button);
            end
            else
                TNO2_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;               
               if height>=768  then
                    TNO2Frame:attach(screenBox, width-TNO2FrameWidth-36, height-TNO2FrameHeight-128-27, 36, 128+27) 
               else
                    TNO2Frame:attach(screenBox, width-TNO2FrameWidth-200, height-TNO2FrameHeight-3, 200, 3)
               end
            end

	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+12, this.tb - 14);       
            textlayout:println(_("Transneptunian. TNO - 2."));
         end;
--=================
-- Подключение команд 
--=================
ast2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 2, 2+14*(gg-1), 72, 5+14*1)
---------------------------------
ast2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chaos.1998"))  
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-17),  72, 5+14*17)

ast2117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Chaos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);              
            end            
        end
    end) ();
---------------------------------
ast2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Logos.1997+"))  
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-18),  72, 5+14*18)

ast2118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Logos-Zoe/Logos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100000);              
            end            
        end
    end) ();
---------------------------------
ast2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Varda.03+"))
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-19),  72, 5+14*19)

ast2119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Varda-Ilmare/Varda");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Haumea.03")) 
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-20),  72, 5+14*20)

ast2120Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-----------------------------------
ast2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Namaka.03"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-21),  72, 5+14*21)

ast2121Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Namaka");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(8, 9)    
    :text(_("Hi'iaka.05"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-22),  72, 5+14*22)

ast2122Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Hi'iaka");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Makemake.05+"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-23),  72, 5+14*23)

ast2123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Makemake");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Typhon.02+"))  
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-24),  72, 5+14*24)

ast2124Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Typhon-Echidna/Typhon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eris.05")) 
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-25),  72, 5+14*25)

ast2125Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)  
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Dysnomia.05"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-26),  72, 5+14*26)

ast2126Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris/Dysnomia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(300);              
            end            
        end
    end) ();
--------------------------------

--==============================
ast2201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-1), 2, 5+14*1)
---------------------------------
ast2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50,9/~600"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-17), 2, 5+14*17)
---------------------------------
ast2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~52,1/~82"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
ast2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~52,1/~705"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-19), 2, 5+14*19)
-------------------------------------
ast2220= CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color91)
    :textfont(smallfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~51,5/~1960"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-20), 2, 5+14*20)
---------------------------------
ast2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~160"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-21), 2, 5+14*21)
---------------------------------
ast2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~320"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-22), 2, 5+14*22)
---------------------------------
ast2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color91)
    :textfont(smallfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~52,8/~1434"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-23), 2, 5+14*23)
---------------------------------
ast2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~58,2/~162")) --Тифон
    :movable(false)
    :active(false)   
    :attach(TNO2Frame, 100, 2+14*(gg-24), 2, 5+14*24)
---------------------------------
ast2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color91)
    :textfont(smallfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~97,6/~2326"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-25), 2, 5+14*25)
---------------------------------
ast2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~514"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 100, 2+14*(gg-26), 2, 5+14*26)
---------------------------------





