----------------------------------------------
-- Comets2Box.lua
-- by Lygin Gennady a.k.a. Croc 31.03.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------

require "locale"
require "closeButton"
require "pCXBox"                                                

----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local comets2FrameWidth, comets2FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
comets2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

comets2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Cn2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(comets2Box,0,0,0,0) 

comets2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)     
        :attach(comets2Box, 20, 0, 0, 0)

comets2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    comets2Button.Visible = GuidesVisibility -- display or undisplay Button
    comets2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if comets2Check.Text ==  "o" then
		comets2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

comets2Button.Action = (function()
        return
            function()
              display_comets2 = not display_comets2
                if display_comets2 then              
                    comets2Frame.Visible = true                     
                    comets2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")         
                else          
                    comets2Frame.Visible = false                   
                    comets2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
-----------------------------------------------
comets2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(csetbofill)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-comets2FrameWidth)/2, height-comets2FrameHeight-2, (width-comets2FrameWidth)/2, 2)

comets2Frame.Customdraw = function(this)  

            if  comets2_firstTickDone then
            if not(comets2CloseButtonDone) then
                comets2CloseButtonDone = true
                makeCloseButton(comets2CloseButton, comets2Frame, comets2Button)
            end
            else
                comets2_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height                
                if height>=768  then
                    comets2Frame:attach(screenBox, width-comets2FrameWidth-36, height-comets2FrameHeight-128-27, 36, 128+27)
                else
                    comets2Frame:attach(screenBox, width-comets2FrameWidth-200, height-comets2FrameHeight-3, 200, 3)
                end
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,1,0.8})        
	    textlayout:setpos(this.lb+5, this.tb - 14)       
            textlayout:println(_("    Nonperiodic comets-2"))
end
--================
-- Подключение команд 
--================
com2100Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,0.5,0.5})
    :movable(true)
    :clickable(false)
    :visible(false)    
    :attach(comets2Frame, 2, 2+14*(gg-0), 3, 3+14*0)
--================
com2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2001 S1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-1), 112+2, 5+14*1)

com2101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 S1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2002 F1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-2), 112+2, 5+14*2)

com2102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2002 X5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-3), 112+2, 5+14*3)

com2103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 X5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2002 Y1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-4), 112+2, 5+14*4)

com2104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 Y1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2003 T3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-5), 112+2, 5+14*5)

com2105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2003 T3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2004 C1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-6), 112+2, 5+14*6)

com2106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 C1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2004 F4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-7), 112+2, 5+14*7)

com2107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 F4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2004 Q1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-8), 112+2, 5+14*8)

com2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2004 Q2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-9), 112+2, 5+14*9)

com2109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 Q2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2005 L3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-10), 112+2, 5+14*10)

com2110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 L3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2005 N1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-11), 112+2, 5+14*11)

com2111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 N1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2005 O2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-12), 112+2, 5+14*12)

com2112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 O2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2005 S4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-13), 112+2, 5+14*13)

com2113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 S4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2005 W2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-14), 112+2, 5+14*14)

com2114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 W2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2005 X1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-15), 112+2, 5+14*15)

com2115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 X1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 A1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-16), 112+2, 5+14*16)

com2116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 B1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-17), 112+2, 5+14*17)

com2117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 F2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-18), 112+2, 5+14*18)

com2118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 F2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 L1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-19), 112+2, 5+14*19)

com2119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 L1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 O2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-20), 112+2, 5+14*20)

com2120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 O2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
---------------------------------------------------------------------
com2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 P1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-21), 112+2, 5+14*21)

com2121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 P1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 Q1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-22), 112+2, 5+14*22)

com2122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 S5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-23), 112+2, 5+14*23)

com2123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 S5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 U7"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-24), 112+2, 5+14*24)

com2124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 U7")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2006 W3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-25),112+2, 5+14*25)

com2125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 W3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 B2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-26), 112+2, 5+14*26)

com2126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 B2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 E1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-27), 112+2, 5+14*27)

com2127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 E2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-28), 112+2, 5+14*28)

com2128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 E2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 H2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-29), 112+2, 5+14*29)

com2129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 H2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 K5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-30), 112+2, 5+14*30)

com2130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 K5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 K6"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-31), 112+2, 5+14*31)

com2131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 K6")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 M1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-32), 112+2, 5+14*32)

com2132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 M1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 T1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-33), 112+2, 5+14*33)

com2133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 T5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-34), 112+2, 5+14*34)

com2134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 T5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2007 Y2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-35), 112+2, 5+14*35)

com2135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 Y2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 C1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-36), 112+2, 5+14*36)

com2136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 C1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 E3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-37), 112+2, 5+14*37)

com2137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 E3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 G1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-38), 112+2, 5+14*38)

com2138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 J1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-39), 112+2, 5+14*39)

com2139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 J5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-40), 112+2, 5+14*40)

com2140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 J5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 L3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 2, 2+14*(gg-41), 112+2, 5+14*41)

com2141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 L3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--=================
com2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 N1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-1), 60-2, 5+14*1)

com2201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 N1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 Q1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-2), 60-2, 5+14*2)

com2202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2008 Q3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-3), 60-2, 5+14*3)

com2203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 Q3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("2009 E1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-4), 60-2, 5+14*4)

com2204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 F1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-5), 60-2, 5+14*5)

com2205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 F2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-6), 60-2, 5+14*6)

com2206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 F2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 F5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-7), 60-2, 5+14*7)

com2207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 F5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               tdb_dt = celestia:utctotdb(1952, 02, 16, 00, 00, 27)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 F6"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-8), 60-2, 5+14*8)

com2208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 F6")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 K4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-9), 60-2, 5+14*9)

com2209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 K4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 T1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-10), 60-2, 5+14*10)

com2210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 U3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-11), 60-2, 5+14*11)

com2211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 U3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 U5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-12), 60-2, 5+14*12)

com2212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 U5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2009 W2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-13), 60-2, 5+14*13)

com2213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2009 W2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 B1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-14), 60-2, 5+14*14)

com2214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(1965, 10, 07, 00, 00, 00) 
               celestia:settime(tdb_dt)  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 E1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-15), 60-2, 5+14*15)

com2215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
                tdb_dt = celestia:utctotdb(1965, 10, 07, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 E5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-16), 60-2, 5+14*16)

com2216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 E5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 F1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-17), 60-2, 5+14*17)

com2217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 F3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-18), 60-2, 5+14*18)

com2218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 F3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 FB87"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-19), 60-2, 5+14*19)

com2219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 FB87")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 G1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-20), 60-2, 5+14*20)

com2220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 G2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-21), 60-2, 5+14*21)

com2221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 G2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 H1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-22), 60-2, 5+14*22)

com2222Box.Action = (function()
    return 
          function()      
            local obj = celestia:find("Sol/2010 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 J1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-23), 60-2, 5+14*23)

com2223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1977, 2, 22, 23, 59, 00)
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2010 J2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-24), 60-2, 5+14*24)

com2224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 J2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 A3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-25), 60-2, 5+14*25)

com2225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 A3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1978, 05, 03, 00, 00, 22)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 C1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-26), 60-2, 5+14*26)

com2226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 C1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 C3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-27), 60-2, 5+14*27)

com2227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 C3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 L1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-28), 60-2, 5+14*28)

com2228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 L1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 N2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-29), 60-2, 5+14*29)

com2229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 N2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               tdb_dt = celestia:utctotdb(1972, 03, 12, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 S2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-30), 60-2, 5+14*30)

com2230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 S2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 W3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-31), 60-2, 5+14*31)

com2231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 W3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2011 Y3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-32), 60-2, 5+14*32)

com2232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 Y3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 C1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-33), 60-2, 5+14*33)

com2233Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2012 C1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 E1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-34), 60-2, 5+14*34)

com2234Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2012 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 F1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-35), 60-2, 5+14*35)

com2235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------
com2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 H2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-36), 60-2, 5+14*36)

com2236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 H2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------
com2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 K6"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-37), 60-2, 5+14*37)

com2237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 K6")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 LP26"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-38), 60-2, 5+14*38)

com2238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 LP26")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 Q1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-39), 60-2, 5+14*39)

com2239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 T4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-40), 60-2, 5+14*40)

com2240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 T4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 T6"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 60-2, 2+14*(gg-41), 60-2, 5+14*41)

com2241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 T6")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--=================================
com2301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2012 Y3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-1), 2, 5+14*1)

com2301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 Y3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 C2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-2), 2, 5+14*2)

com2302Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 C2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 D1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-3), 2, 5+14*3)

com2303Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 D1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 E2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-4), 2, 5+14*4)

com2304Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 E2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com2305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 F3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-5), 2, 5+14*5)

com2305Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 F3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 G7"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-6), 2, 5+14*6)

com2306Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 G7")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 J3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-7), 2, 5+14*7)

com2307Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 J3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 J5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-8), 2, 5+14*8)

com2308Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 J5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 K1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-9), 2, 5+14*9)

com2309Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 K1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 N4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-10), 2, 5+14*10)

com2310Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 N4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 O3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-11), 2, 5+14*11)

com2311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 O3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 3, 00, 00)
               celestia:settime(tdb_dt)                
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 R1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-12), 2, 5+14*12)

com2312Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 U2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-13), 2, 5+14*13)

com2313Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 U2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 V3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-14), 2, 5+14*14)

com2314Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 V3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2013 V5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-15), 2, 5+14*15)

com2315Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 V5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 E2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-16), 2, 5+14*16)

com2316Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 E2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 F1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-17), 2, 5+14*17)

com2317Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
com2318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 F2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-18), 2, 5+14*18)

com2318Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 F2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
              celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 F3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-19), 2, 5+14*19)

com2319Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 F3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 H1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-20), 2, 5+14*20)

com2320Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 M2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-21), 2, 5+14*21)

com2321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 M2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 Q2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-22), 2, 5+14*22)

com2322Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 Q2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 Q2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-23), 2, 5+14*23)

com2323Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 Q2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 R1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-24), 2, 5+14*24)

com2324Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()

--------------------------------
com2325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 R4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-25), 2, 5+14*25)

com2325Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 R4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 U3"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-26), 2, 5+14*26)

com2326Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 U3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2014 W7"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-27), 2, 5+14*27)

com2327Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 W7")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 D4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-28), 2, 5+14*28)

com2328Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 D4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 D5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-29), 2, 5+14*29)

com2329Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 D5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 F2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-30), 2, 5+14*30)

com2330Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 F2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 F2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-31), 2, 5+14*31)

com2331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 F2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 F5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-32), 2, 5+14*32)

com2332Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 F5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 H1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-33), 2, 5+14*33)

com2333Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 Q1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-34), 2, 5+14*34)

com2334Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 T5"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-35), 2, 5+14*35)

com2335Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 T5")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 V2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-36), 2, 5+14*36)

com2336Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 V2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 X4"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-37), 2, 5+14*37)

com2337Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 X4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 X8"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-38), 2, 5+14*38)

com2338Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 X8")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2015 YG1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-39), 2, 5+14*39)

com2339Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 YG1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2016 C2"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-40), 2, 5+14*40)

com2340Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2016 C2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then    
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2016 U1"))
    :movable(false)
    :active(true) 
    :attach(comets2Frame, 112+2, 2+14*(gg-41), 2, 5+14*41)

com2341Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2016 U1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--===========================
