----------------------------------------------
-- Comets3Box.lua
-- by Lygin Gennady a.k.a. Croc 31.03.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------

require "locale"
require "closeButton"
require "pCXBox"                                                

----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local comets3FrameWidth, comets3FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
comets3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

comets3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Cn3"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(comets3Box,0,0,0,0) 

comets3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)     
        :attach(comets3Box, 20, 0, 0, 0)

comets3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    comets3Button.Visible = GuidesVisibility -- display or undisplay Button
    comets3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if comets3Check.Text ==  "o" then
		comets3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

comets3Button.Action = (function()
        return
            function()
              display_comets3 = not display_comets3
                if display_comets3 then 
                    comets3Frame.Visible = true                     
                    comets3Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                else          
                    comets3Frame.Visible = false                   
                    comets3Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
-----------------------------------------------
comets3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(csetbofill)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-comets3FrameWidth)/2, height-comets3FrameHeight-2, (width-comets3FrameWidth)/2, 2)

comets3Frame.Customdraw = function(this)  

            if  comets3_firstTickDone then
            if not(comets3CloseButtonDone) then
                comets3CloseButtonDone = true
                makeCloseButton(comets3CloseButton, comets3Frame, comets3Button)
            end
            else
                comets3_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height                
                if height>=768  then
                    comets3Frame:attach(screenBox, width-comets3FrameWidth-36, height-comets3FrameHeight-128-27, 36, 128+27)
                else
                    comets3Frame:attach(screenBox, width-comets3FrameWidth-200, height-comets3FrameHeight-3, 200, 3)
                end
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,1,0.8})        
	    textlayout:setpos(this.lb+5, this.tb - 14)       
            textlayout:println(_("    Nonperiodic comets-3"))
end
--================
-- Подключение команд 
--================
com3100Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,0.5,0.5})
    :movable(true)
    :clickable(false)
    :visible(false)    
    :attach(comets3Frame, 2, 2+14*(gg-0), 3, 3+14*0)
--================
com3101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2017 E4"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-1), 114, 5+14*1)

com3101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2017 E4")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2017 K2"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-2), 114, 5+14*2)

com3102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2017 K2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-3), 114, 5+14*3)

com3103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-4), 114, 5+14*4)

com3104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-5), 114, 5+14*5)

com3105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-6), 114, 5+14*6)

com3106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-7), 114, 5+14*7)

com3107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-8), 114, 5+14*8)

com3108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-9), 114, 5+14*9)

com3109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-10), 114, 5+14*10)

com3110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-11), 114, 5+14*11)

com3111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-12), 114, 5+14*12)

com3112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-13), 114, 5+14*13)

com3113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-14), 114, 5+14*14)

com3114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-15), 114, 5+14*15)

com3115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-16), 114, 5+14*16)

com3116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-17), 114, 5+14*17)

com3117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-18), 114, 5+14*18)

com3118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-19), 114, 5+14*19)

com3119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-20), 114, 5+14*20)

com3120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
---------------------------------------------------------------------
com3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-21), 114, 5+14*21)

com3121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-22), 114, 5+14*22)

com3122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-23), 114, 5+14*23)

com3123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-24), 114, 5+14*24)

com3124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-25),114, 5+14*25)

com3125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-26), 114, 5+14*26)

com3126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-27), 114, 5+14*27)

com3127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-28), 114, 5+14*28)

com3128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-29), 114, 5+14*29)

com3129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-30), 114, 5+14*30)

com3130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-31), 114, 5+14*31)

com3131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-32), 114, 5+14*32)

com3132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8}) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Shoemaker - Levy 9 (D/1993 F2) -"))	
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-33), 2, 5+14*33)

com3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("comet that fell to Jupiter:"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-34), 114, 5+14*34)
--------------------------------
com3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-2, 9)
    :text(_("1993 F2-A"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-35), 60-2, 5+14*35)  

com3135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-A")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 03, 24, 02, 59, 01)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	

--================================
com31361Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("D"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-36), 112+30, 5+14*36)

com31361Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-D")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
  obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)              
            end
        end
    end) ()
------------------------------------------
com31362Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" E "))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2+28, 2+14*(gg-36), 112+2, 5+14*36)

com31362Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-E")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	

--=============================
com31371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("L"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-37), 112+30, 5+14*37)

com31371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-L")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
-----------------------------------
com31372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" N "))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2+28, 2+14*(gg-37), 112+2, 5+14*37)

com31372Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-N")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()		
--==============================
com31381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("T"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-38), 112+30, 5+14*38)

com31381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-T")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
--------------------------------
com31382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("U"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2+28, 2+14*(gg-38), 112+2, 5+14*38)

com31382Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-U")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--===================================
com3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)  
    :textcolor({1,1,0,.8}) 
    :textpos("center")    
    :movetext(10, 10)
    :text(_("Attention! Pressing the closer"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-39), 2, 5+14*39)
--------------------------------
com3140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)  
    :textcolor({1,1,0,.8})  
    :textpos("center")    
    :movetext(10, 10)
    :text(_("object. Sometimes need more"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 2, 2+14*(gg-40), 2, 5+14*40)
--------------------------------
com3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})  
    :textpos("center")    
    :movetext(10, 10)
    :text(_("than 2 clicks..."))	
	:movable(false)
    :active(false) 
    :attach(comets3Frame, 2, 2+14*(gg-41), 2, 5+14*41)
--=================
com3201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-1), 60-2, 5+14*1)

com3201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-2), 60-2, 5+14*2)

com3202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-3), 60-2, 5+14*3)

com3203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-4), 60-2, 5+14*4)

com3204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-5), 60-2, 5+14*5)

com3205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-6), 60-2, 5+14*6)

com3206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-7), 60-2, 5+14*7)

com3207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               tdb_dt = celestia:utctotdb(1952, 02, 16, 00, 00, 27)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-8), 60-2, 5+14*8)

com3208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-9), 60-2, 5+14*9)

com3209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-10), 60-2, 5+14*10)

com3210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-11), 60-2, 5+14*11)

com3211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-12), 60-2, 5+14*12)

com3212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-13), 60-2, 5+14*13)

com3213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-14), 60-2, 5+14*14)

com3214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(1965, 10, 07, 00, 00, 00) 
               celestia:settime(tdb_dt)  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-15), 60-2, 5+14*15)

com3215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
                tdb_dt = celestia:utctotdb(1965, 10, 07, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-16), 60-2, 5+14*16)

com3216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-17), 60-2, 5+14*17)

com3217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-18), 60-2, 5+14*18)

com3218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-19), 60-2, 5+14*19)

com3219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-20), 60-2, 5+14*20)

com3220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-21), 60-2, 5+14*21)

com3221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-22), 60-2, 5+14*22)

com3222Box.Action = (function()
    return 
          function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-23), 60-2, 5+14*23)

com3223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1977, 2, 22, 23, 59, 00)
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-24), 60-2, 5+14*24)

com3224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-25), 60-2, 5+14*25)

com3225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1978, 05, 03, 00, 00, 22)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-26), 60-2, 5+14*26)

com3226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-27), 60-2, 5+14*27)

com3227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-28), 60-2, 5+14*28)

com3228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-29), 60-2, 5+14*29)

com3229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               tdb_dt = celestia:utctotdb(1972, 03, 12, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-30), 60-2, 5+14*30)

com3230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-31), 60-2, 5+14*31)

com3231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-32), 60-2, 5+14*32)

com3232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--=====================================
com32361Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("F"))	
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-36), 60+26, 5+14*36)

com32361Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-F")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	
-------------------------------------------	
com32362Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("G"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60+26, 2+14*(gg-36), 60-2, 5+14*36)

com32362Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-G")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	
--=========================================
com32371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("P1"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-37), 60+26, 5+14*37)

com32371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-P1")
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	
-----------------------------------------
com32372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")     
    :movetext(-3, 10)
    :text(_("Q1")) 
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60+26, 2+14*(gg-37), 60-2, 5+14*37)

com32372Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-Q1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--=======================================
com32381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("V"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60-2, 2+14*(gg-38), 60+26, 5+14*38)

com32381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-V")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()		
----------------------------------	
com32382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" W "))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 60+26, 2+14*(gg-38), 60-2, 5+14*38)

com32382Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-W")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	
--=================================
com3301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-1), 2, 5+14*1)

com3301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-2), 2, 5+14*2)

com3302Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-3), 2, 5+14*3)

com3303Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-4), 2, 5+14*4)

com3304Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com3305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-5), 2, 5+14*5)

com3305Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-6), 2, 5+14*6)

com3306Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-7), 2, 5+14*7)

com3307Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-8), 2, 5+14*8)

com3308Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-9), 2, 5+14*9)

com3309Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-10), 2, 5+14*10)

com3310Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-11), 2, 5+14*11)

com3311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 3, 00, 00)
               celestia:settime(tdb_dt)                
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com3312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-12), 2, 5+14*12)

com3312Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-13), 2, 5+14*13)

com3313Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-14), 2, 5+14*14)

com3314Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-15), 2, 5+14*15)

com3315Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-16), 2, 5+14*16)

com3316Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-17), 2, 5+14*17)

com3317Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
com3318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-18), 2, 5+14*18)

com3318Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
              celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-19), 2, 5+14*19)

com3319Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-20), 2, 5+14*20)

com3320Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-21), 2, 5+14*21)

com3321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-22), 2, 5+14*22)

com3322Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-23), 2, 5+14*23)

com3323Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-24), 2, 5+14*24)

com3324Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()

--------------------------------
com3325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-25), 2, 5+14*25)

com3325Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-26), 2, 5+14*26)

com3326Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-27), 2, 5+14*27)

com3327Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-28), 2, 5+14*28)

com3328Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-29), 2, 5+14*29)

com3329Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-30), 2, 5+14*30)

com3330Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-31), 2, 5+14*31)

com3331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com3332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-32), 2, 5+14*32)

com3332Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
--------------------------------
com33351Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("B"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114, 2+14*(gg-35), 2+28, 5+14*35)

com33351Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-B")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
------------------------------------	
com33352Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" C"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 114+28, 2+14*(gg-35), 2, 5+14*35)

com33352Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-C")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--==================================
com33361Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")
    :movetext(-3, 9)
    :text(_("H"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 112+2, 2+14*(gg-36), 2+28, 5+14*36)

com33361Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-H")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
	
--------------------------------
com33362Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("K"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 112+30, 2+14*(gg-36), 2, 5+14*36)

com33362Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-K")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
	
--==============================
com33371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("R"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 112+2, 2+14*(gg-37), 2+28, 5+14*37)

com33371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-R")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()
--------------------------------
com33372Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(" S "))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 112+30, 2+14*(gg-37), 2, 5+14*37)

com33372Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-S")
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	

--============================
com33381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("P2"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 112+2, 2+14*(gg-38), 2+28, 5+14*38)

com33381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-P2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            celestia:settimescale(200)
            end
        end
    end) ()
------------------------------------------	
com33382Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("Q2"))
    :movable(false)
    :active(true) 
    :attach(comets3Frame, 112+30, 2+14*(gg-38), 2, 5+14*38)

com33382Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/jupiter/1993 F2-Q2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 03, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ()	
--===========================
