----------------------------------------------
-- CometsBox.lua
-- by Lygin Gennady a.k.a. Croc 31.03.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------

require "locale"
require "closeButton"
require "pCXBox"                                                

----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local cometsFrameWidth, cometsFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
cometsBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

cometsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Cn1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(cometsBox,0,0,0,0) 

cometsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)     
        :attach(cometsBox, 20, 0, 0, 0)

cometsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    cometsButton.Visible = GuidesVisibility -- display or undisplay Button
    cometsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if cometsCheck.Text ==  "o" then
		cometsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

cometsButton.Action = (function()
        return
            function()
              display_comets = not display_comets
                if display_comets then              
                    cometsFrame.Visible = true                     
                    cometsCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                else          
                    cometsFrame.Visible = false                   
                    cometsCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
-----------------------------------------------
cometsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(csetbofill)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-cometsFrameWidth)/2, height-cometsFrameHeight-2, (width-cometsFrameWidth)/2, 2)

cometsFrame.Customdraw = function(this)  

            if  comets_firstTickDone then
            if not(cometsCloseButtonDone) then
                cometsCloseButtonDone = true
                makeCloseButton(cometsCloseButton, cometsFrame, cometsButton)
            end
            else
                comets_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height                
                if height>=768  then
                    cometsFrame:attach(screenBox, width-cometsFrameWidth-36, height-cometsFrameHeight-128-27, 36, 128+27)
                else
                    cometsFrame:attach(screenBox, width-cometsFrameWidth-200, height-cometsFrameHeight-3, 200, 3)
                end
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,1,0.8})        
	    textlayout:setpos(this.lb+5, this.tb - 14)       
            textlayout:println(_("    Nonperiodic comets"))
end
--================
-- Подключение команд 
--================
com100Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,0.5,0.5})
    :movable(true)
    :clickable(false)
    :visible(false)    
    :attach( cometsFrame, 2, 2+14*(gg-0), 3, 3+14*0)
--================
com101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1766 G1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-1),  112+2, 5+14*1)

com101Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/1766 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true) 
               tdb_dt = celestia:utctotdb(1766, 05, 03, 00, 00, 22)
               celestia:settime(tdb_dt)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1770 L1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-2), 112+2, 5+14*2)

com102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1770 L1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1770, 08, 14, 00, 00, 17)
               celestia:settime(tdb_dt)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
-------------------------------
com103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1811 W1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-3), 112+2, 5+14*3)

com103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1811 W1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1840 U1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-4), 112+2, 5+14*4)

com104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1840 U1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1843 D1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-5), 112+2, 5+14*5)

com105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1843 D1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1846 J1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-6), 112+2, 5+14*6)

com106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1846 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1853 G1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-7), 112+2, 5+14*7)

com107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1853 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1855 G1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-8), 112+2, 5+14*8)

com108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1855 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1855 L1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-9), 112+2, 5+14*9)

com109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1855 L1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1857 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-10), 112+2, 5+14*10)

com110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1857 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1861 G1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-11), 112+2, 5+14*11)

com111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1861 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1861 J1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-12), 112+2, 5+14*12)

com112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1861 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1874 Q1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-13), 112+2, 5+14*13)

com113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1874 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1881 K1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-14), 112+2, 5+14*14)

com114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1881 K1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)             
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1882 F1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-15), 112+2, 5+14*15)

com115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1882 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)              
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1882 R1-A"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-16), 112+2, 5+14*16)

com116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1882 R1-A")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
              tdb_dt = celestia:utctotdb(1882, 09, 17, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obj:setvisible(true)         
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1882 R1-B"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-17), 112+2, 5+14*17)

com117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1882 R1-B")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               tdb_dt = celestia:utctotdb(1882, 09, 17, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1882 R1-C"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-18), 112+2, 5+14*18)

com118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1882 R1-C")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(1882, 09, 17, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1882 R1-D"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-19), 112+2, 5+14*19)

com119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1882 R1-D")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               tdb_dt = celestia:utctotdb(1882, 09, 17, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1884 O1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-20), 112+2, 5+14*20)

com120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1884 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               tdb_dt = celestia:utctotdb(1884, 05, 24, 00, 00, 17)
               celestia:settime(tdb_dt)   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
---------------------------------------------------------------------
com121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1885 R1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-21), 112+2, 5+14*21)

com121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1885 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1886 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-22), 112+2, 5+14*22)

com122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1886 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1886 K1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-23), 112+2, 5+14*23)

com123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1886 K1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
                tdb_dt = celestia:utctotdb(1886, 02, 23, 00, 00, 17)
               celestia:settime(tdb_dt)  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1894 F1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-24), 112+2, 5+14*24)

com124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1894 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               tdb_dt = celestia:utctotdb(1894, 02, 21, 00, 00, 17)
               celestia:settime(tdb_dt)  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1894 G1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-25),112+2, 5+14*25)

com125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1894 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1895 Q1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-26), 112+2, 5+14*26)

com126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1895 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               tdb_dt = celestia:utctotdb(1888, 08, 13, 22, 49, 12)
               celestia:settime(tdb_dt)  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1898 F1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-27), 112+2, 5+14*27)

com127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1898 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1905 F1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-28), 112+2, 5+14*28)

com128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1905 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1906 E1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-29), 112+2, 5+14*29)

com129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1906 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1906 V1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-30), 112+2, 5+14*30)

com130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1906 V1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1911 N1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-31), 112+2, 5+14*31)

com131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1911 N1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1917 F1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-32), 112+2, 5+14*32)

com132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1917 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1918 W1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-33), 112+2, 5+14*33)

com133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1918 W1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(1918, 10, 14, 00, 00, 17)
               celestia:settime(tdb_dt)    
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1921 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-34), 112+2, 5+14*34)

com134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1921 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1930 F1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-35), 112+2, 5+14*35)

com135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1930 F1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1931 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-36), 112+2, 5+14*36)

com136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1931 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1932 G1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-37), 112+2, 5+14*37)

com137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1932 G1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1932 P1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-38), 112+2, 5+14*38)

com138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1932 P1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1932 Y1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-39), 112+2, 5+14*39)

com139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1932 Y1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1935 A1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-40), 112+2, 5+14*40)

com140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1935 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1936 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 2, 2+14*(gg-41), 112+2, 5+14*41)

com141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1936 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--================
com201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1937 D1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-1), 60-2, 5+14*1)

com201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1937 D1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1937 P1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-2), 60-2, 5+14*2)

com202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1937 P1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1940 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-3), 60-2, 5+14*3)

com203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1940 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1941 B1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-4), 60-2, 5+14*4)

com204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1941 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1942 EA"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-5), 60-2, 5+14*5)

com205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1942 EA")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1952 B1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-6), 60-2, 5+14*6)

com206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1952 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               tdb_dt = celestia:utctotdb(1952, 02, 16, 00, 00, 27)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1952 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-7), 60-2, 5+14*7)

com207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1952 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1955 L1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-8), 60-2, 5+14*8)

com208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1955 L1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1961 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-9), 60-2, 5+14*9)

com209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1961 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1963 A1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-10), 60-2, 5+14*10)

com210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1963 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1963 R1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-11), 60-2, 5+14*11)

com211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1963 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1964 N1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-12), 60-2, 5+14*12)

com212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1964 N1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1965 S1-A"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-13), 60-2, 5+14*13)

com213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1965 S1-A")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(1965, 10, 07, 00, 00, 00) 
               celestia:settime(tdb_dt)  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1965 S1-B"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-14), 60-2, 5+14*14)

com214Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1965 S1-B")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
                tdb_dt = celestia:utctotdb(1965, 10, 07, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1968 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-15), 60-2, 5+14*15)

com215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1968 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1969 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-16), 60-2, 5+14*16)

com216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1969 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1969 Y1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-17), 60-2, 5+14*17)

com217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1969 Y1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1973 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-18), 60-2, 5+14*18)

com218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1973 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1974 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-19), 60-2, 5+14*19)

com219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1974 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1975 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-20), 60-2, 5+14*20)

com220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1975 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1975 T2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-21), 60-2, 5+14*21)

com221Box.Action = (function()
    return 
          function()      
            local obj = celestia:find("Sol/1975 T2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1977 C1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-22), 60-2, 5+14*22)

com222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1977 C1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1977, 2, 22, 23, 59, 00)
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1977 R1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-23), 60-2, 5+14*23)

com223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1977 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1978 R1."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-24), 60-2, 5+14*24)

com224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1978 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then 
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1978, 05, 03, 00, 00, 22)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1978 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-25), 60-2, 5+14*25)

com225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1978 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1979 S1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-26), 60-2, 5+14*26)

com226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1979 S1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1979 Y1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-27), 60-2, 5+14*27)

com227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1979 Y1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1980 E1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-28), 60-2, 5+14*28)

com228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1980 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               tdb_dt = celestia:utctotdb(1972, 03, 12, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1980 V1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-29), 60-2, 5+14*29)

com229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1980 V1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1980 Y2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-30), 60-2, 5+14*30)

com230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1980 Y2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1982 M1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-31), 60-2, 5+14*31)

com231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1982 M1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1983 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-32), 60-2, 5+14*32)

com232Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/1983 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1983 J1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-33), 60-2, 5+14*33)

com233Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/1983 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1984 A1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-34), 60-2, 5+14*34)

com234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1984 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------
com235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1984 U1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-35), 60-2, 5+14*35)

com235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1984 U1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
--------------------------------
com236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1984 U2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-36), 60-2, 5+14*36)

com236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1984 U2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1984 V1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-37), 60-2, 5+14*37)

com237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1984 V1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1985 R1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-38), 60-2, 5+14*38)

com238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1985 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1985 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-39), 60-2, 5+14*39)

com239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1985 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1986 E1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-40), 60-2, 5+14*40)

com240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1986 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1987 B1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 60-2, 2+14*(gg-41), 60-2, 5+14*41)

com241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1987 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--=================
com301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1987 B2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-1), 2, 5+14*1)

com301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1987 B2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1987 P1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-2), 2, 5+14*2)

com302Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1987 P1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1987 U3"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-3), 2, 5+14*3)

com303Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1987 U3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
---------------------------------
com304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1989 A1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-4), 2, 5+14*4)

com304Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1989 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1989 A3"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-5), 2, 5+14*5)

com305Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1989 A3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1991 L3"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-6), 2, 5+14*6)

com306Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1991 L3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1991 T2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-7), 2, 5+14*7)

com307Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1991 T2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1992 Q2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-8), 2, 5+14*8)

com308Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1992 Q2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1992 W1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-9), 2, 5+14*9)

com309Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1992 W1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1993 F2+.."))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-10), 2, 5+14*10)

com310Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/1993 F2-A")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               tdb_dt = celestia:utctotdb(1993, 3, 24, 3, 00, 00)
               celestia:settime(tdb_dt)                
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(-200)
            end
        end
    end) ()
--------------------------------
com311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1993 Y1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-11), 2, 5+14*11)

com311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1993 Y1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1994 E1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-12), 2, 5+14*12)

com312Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1994 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1995 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-13), 2, 5+14*13)

com313Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1995 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1995 Q2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-14), 2, 5+14*14)

com314Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1995 Q2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1996 B1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-15), 2, 5+14*15)

com315Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1996 B2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-16), 2, 5+14*16)

com316Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 B2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
com317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1996 Q1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-17), 2, 5+14*17)

com317Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 Q1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
              celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1996 R1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-18), 2, 5+14*18)

com318Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 R1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1996 R2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-19), 2, 5+14*19)

com319Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 R2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1996 R3"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-20), 2, 5+14*20)

com320Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 R3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 B1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-21), 2, 5+14*21)

com321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 B1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 BA6"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-22), 2, 5+14*22)

com322Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 BA6")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 G2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-23), 2, 5+14*23)

com323Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 G2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()

--------------------------------
com324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 J1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-24), 2, 5+14*24)

com324Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 L1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-25), 2, 5+14*25)

com325Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 L1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 O1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-26), 2, 5+14*26)

com326Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 O1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1997 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-27), 2, 5+14*27)

com327Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1998 H1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-28), 2, 5+14*28)

com328Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 H1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1998 K1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-29), 2, 5+14*29)

com329Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 K1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1998 M6"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-30), 2, 5+14*30)

com330Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 M6")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1998 P1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-31), 2, 5+14*31)

com331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 P1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1999 A1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-32), 2, 5+14*32)

com332Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 A1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1999 E1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-33), 2, 5+14*33)

com333Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 E1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1999 K2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-34), 2, 5+14*34)

com334Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 K2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1999 N2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-35), 2, 5+14*35)

com335Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 N2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("1999 T1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-36), 2, 5+14*36)

com336Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 T1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("..99XN120"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-37), 2, 5+14*37)

com337Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 XN120")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2000 J1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-38), 2, 5+14*38)

com338Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 J1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then   
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2000 S1"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-39), 2, 5+14*39)

com339Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 S1")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then    
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2000 Y2"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-40), 2, 5+14*40)

com340Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 Y2")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
com341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("2001 K3"))
    :movable(false)
    :active(true) 
    :attach(cometsFrame, 112+2, 2+14*(gg-41), 2, 5+14*41)

com341Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 K3")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then  
               obj:setvisible(true)               
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--===========================
