----------------------------------------------
-- FictionalBox.lua
-- Edit by Lygin Gennady a.k.a. Croc 14.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                               
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();

local newwidth, newheight;
local gn=42
local gg=gn-1
local FictionalFrameWidth, FictionalFrameHeight = 170, 14*gn+4;

----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
FictionalBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

FictionalButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Fic"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(FictionalBox,0,0,0,0) 

FictionalCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(FictionalBox, 20, 0, 0, 0)

FictionalBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    FictionalButton.Visible = GuidesVisibility -- display or undisplay Button
    FictionalCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if FictionalCheck.Text ==  "o" then
		FictionalFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

FictionalButton.Action = (function()
        return
            function()
              display_Fictional= not display_Fictional;
                if display_Fictional then  
                    FictionalFrame.Visible = true;                     
                    FictionalCheck.Text = "o";
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                else          
                    FictionalFrame.Visible = false;                   
                    FictionalCheck.Text = "";
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
FictionalFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(csetbofill)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-FictionalFrameWidth)/2, height-FictionalFrameHeight-2, (width-FictionalFrameWidth)/2, 2)

 FictionalFrame.Customdraw = function(this)

            if Fictional_firstTickDone then
            if not(FictionalCloseButtonDone) then
                FictionalCloseButtonDone = true;
                makeCloseButton(FictionalCloseButton, FictionalFrame, FictionalButton);
            end
            else
                Fictional_firstTickDone = true;            
            end      

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;         
                if height>=768  then 
                    FictionalFrame:attach(screenBox, width-FictionalFrameWidth-35, height-FictionalFrameHeight-128-27, 35, 128+27)  
                else
                    FictionalFrame:attach(screenBox, width-FictionalFrameWidth-200, height-FictionalFrameHeight-3, 200, 3) 
                end               
            end
         
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+5, this.tb - 14);       
            textlayout:println(_("      FICTIONAL objects"));
end;

--=================================
-- Подключение команд 
--=================================
Fictional100Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,0.5,0.5})
    :movable(true)
    :clickable(false)
    :visible(false)    
    :attach(FictionalFrame, 3, 2+14*(gg-0), 3, 3+14*0)
--=================================
Fictional101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor({1,1,0,1})
    :textpos("center")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(FictionalFrame, 3, 2+14*(gg-1), 3, 5+14*1)
-------------------------------------
Fictional102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor({0,1,0,.8})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hypothetical objects"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame, 3, 2+14*(gg-2), 3, 5+14*2)
-------------------------------------
Fictional103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Planet Nine"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-3), 3, 5+14*3)

Fictional103Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Planet Nine");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            else
               obj:setvisible(false)
            end
        end
    end) (); 
-----------------------------------------------------------
Fictional104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-4), 3, 5+14*4)
------------------------------------
Fictional105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor({0,1,0,.8})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Philosophic objects"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-5), 3, 5+14*5)
-------------------------------------
Fictional106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Russell_s_Teapot"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-6), 3, 5+14*6)

Fictional106Box.Action = (function()
    return
        function()
            local obj = celestia:find("Russell's Teapot");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            end
            obj:setvisible(false)
        end
    end) (); 
-------------------------------------
Fictional107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-7), 3, 5+14*7)
--===================
Fictional108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor({0,1,0,.8})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Space technics:"))
    :movable(false)
    :active(false) 
    :attach(FictionalFrame,  3, 2+14*(gg-8), 3, 5+14*8)

Fictional108Box.Action = (function()
    return
        function()
            local obj = celestia:find("");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1);
            end
        end
    end) (); 
-------------------------------------
Fictional109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("TOR"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-9), 3, 5+14*9)

Fictional109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/TOR");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1);
            end
        end
    end) (); 
-------------------------------------
Fictional110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Magellano"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-10), 3, 5+14*10)

Fictional110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Magellano");--Gravity Whell
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            end
        end
    end) (); 
-------------------------------------
Fictional111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Gravity Wheel"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-11), 3, 5+14*11)

Fictional111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Magellano/Gravity Wheel");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1);
            end
        end
    end) (); 
--------------------------------------
Fictional112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Astronaut"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-12), 3, 5+14*12)

Fictional112Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Magellano/Astronaut");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1);
            end
        end
    end) ();
-------------------------------------
Fictional113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor({1,1,0,1}) 
    :textpos("center")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-13), 3, 5+14*13)
--===================
Fictional114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor({0,0,.5,.8})   
    :textfont(normalfont) 
    :textcolor({0,1,0,.8}) 
    :textpos("left")   
    :movetext(0, 9)
    :text(_("System from film 'Avatar'"))
    :movable(false)
    :active(false) 
    :attach(FictionalFrame, 3, 2+14*(gg-14), 3, 5+14*14)
-------------------------------------
Fictional115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Avatar - star"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-15), 3, 5+14*15)

Fictional115Box.Action = (function()
    return
        function()
            local obj = celestia:find("Avatar");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(5000);
            end
        end
    end) (); 
--------------------------------------
Fictional116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Polifemus"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-16), 3, 5+14*16)

Fictional116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Avatar/Polyphemus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) (); 
--------------------------------------
Fictional117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Erios"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-17), 3, 5+14*17)

Fictional117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Avatar/Polyphemus/Erios");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(10000);
            end
        end
    end) (); 
--------------------------------------
Fictional118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Hades"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-18), 3, 5+14*18)

Fictional118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Avatar/Polyphemus/Hades");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1600);
            end
        end
    end) (); 
--------------------------------------
Fictional119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Hell"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-19), 3, 5+14*19)

Fictional119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Avatar/Polyphemus/Hell");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Fictional120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Newton"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-20), 3, 5+14*20)

Fictional120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Avatar/Polyphemus/Newton");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) (); 
--=================================
Fictional121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)
    :textcolor({0,1,0,.8})
    :textpos("left")
    :movetext(0, 9)
    :text(_("System from film 'Stargate'"))
    :movable(false)
    :active(false)
    :attach(FictionalFrame, 3, 2+14*(gg-21), 3, 5+14*21)
--=================================
Fictional122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(0, 9)
    :text(_("Chappa'ai"))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, 3, 2+14*(gg-22), (FictionalFrameWidth/2)+1, 5+14*22)

Fictional122Box.Action = (function()
    return
        function()
         local obj = celestia:find("Sol/Jupiter/Chappai")
         celestia:select(obj)
         obs:follow(obj)
         obs:goto(obj)
         --if not(empty(obj)) then
         --   tdb_dt = celestia:utctotdb(2018, 08, 19, 00, 00, 00)
         --   -- added by gironde 30-06-2018 -----
         --   modifyAcceleration (obj,tdb_dt)
         --   ------------------------------------
         --end
      end
   end) ()

Fictional222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(specificAddon)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, (FictionalFrameWidth/2)+1, 2+14*(gg-22), 3, 5+14*22)
--------------------------------------
Fictional123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, 3, 2+14*(gg-23), (FictionalFrameWidth/2)+1, 5+14*23)
	
Fictional223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(specificAddon)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, (FictionalFrameWidth/2)+1, 2+14*(gg-23), 3, 5+14*23)
--------------------------------------
Fictional124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, 3, 2+14*(gg-24), (FictionalFrameWidth/2)+1, 5+14*24)
	
Fictional224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(specificAddon)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, (FictionalFrameWidth/2)+1, 2+14*(gg-24), 3, 5+14*24)
--------------------------------------
Fictional125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, 3, 2+14*(gg-25), (FictionalFrameWidth/2)+1, 5+14*25)
	
Fictional225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(specificAddon)
    :textpos("left")
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(FictionalFrame, (FictionalFrameWidth/2)+1, 2+14*(gg-25), 3, 5+14*25)	
--------------------------------------
Fictional126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont) 
    :textcolor({0,1,0,0.8}) 
    :textpos("left")   
    :movetext(00, 9)
    :text(_("Mythical objects"))
    :movable(false)
    :active(false) 
    :attach(FictionalFrame, 3, 2+14*(gg-26), 3, 5+14*26)
--------------------------------------
Fictional127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Vulcan-planet"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-27), 3, 5+14*27)

Fictional127Box.Action = (function()
    return
        function()
            local obj = celestia:find("sol/Vulcan");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(5000);
            end
        end
    end) (); 
--------------------------------------
Fictional128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Nezemida star"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-28), 3, 5+14*28)

Fictional128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Nemesis");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) (); 
-------------------------------------
Fictional129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Mercury-like"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-29), 3, 5+14*29)

Fictional129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Nemesis/Unknow Mercury-like Planet");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(125);
            end
        end
    end) ();
-------------------------------------
Fictional130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Venus-like"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-30), 3, 5+14*30)

Fictional130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Nemesis/Unknow Venus-like Planet");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------------
Fictional131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Saturn-like"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-31), 3, 5+14*31)

Fictional131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Nemesis/Unknow Saturn-like Planet");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-------------------------------------
Fictional132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Tyche"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-32), 3, 5+14*32)

Fictional132Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Tyche");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) (); 
-------------------------------------
Fictional133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Planet X"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-33), 3, 5+14*33)

Fictional133Box.Action = (function()
    return
        function()
            local obj = celestia:find("sol/Planet X");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(100);
            end
        end
    end) (); 
-------------------------------------
Fictional134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("North Wind"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-34), 3, 5+14*34)

Fictional134Box.Action = (function()
    return
        function()
            local obj = celestia:find("sol/Planet X/North Wind");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(100);
            end
        end
    end) (); 
-------------------------------------
Fictional135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("East Wind"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-35), 3, 5+14*35)

Fictional135Box.Action = (function()
    return
        function()
            local obj = celestia:find("sol/Planet X/East Wind");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) (); 
-------------------------------------
Fictional136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("South Wind"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-36), 3, 5+14*36)

Fictional136Box.Action = (function()
    return
        function()
            local obj = celestia:find("sol/Planet X/South Wind");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) (); 
--------------------------------------
Fictional137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("West Wind"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-37), 3, 5+14*37)

Fictional137Box.Action = (function()
    return
        function()
            local obj = celestia:find("sol/Planet X/West Wind");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) (); 
--------------------------------------
Fictional138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Nibiru"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-38), 3, 5+14*38)

Fictional138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Planet X/Nibiru");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(2500);
            end
        end
    end) (); 
-------------------------------------
Fictional139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Antichthon"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-39), 3, 5+14*39)

Fictional139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Antichthon");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Fictional140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(20, 9)
    :text(_("Lilith"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-40), 3, 5+14*40)

Fictional140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Antichthon/Lilith");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               --obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2500); 
            end
        end
    end) ();
-------------------------------------
Fictional141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont)  
    :textcolor({1,1,0,1})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("  On./Off. checkbox in [More...]"))
    :movable(false)
    :active(true) 
    :attach(FictionalFrame,  3, 2+14*(gg-41), 3, 5+14*41)
--=================================