----------------------------------------------
-- Jupiter2Box.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local  Jupiter2FrameWidth, Jupiter2FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Jupiter2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Jupiter2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ju2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Jupiter2Box,0,0,0,0) 

Jupiter2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Jupiter2Box, 20, 0, 0, 0)

Jupiter2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Jupiter2Button.Visible = GuidesVisibility -- display or undisplay Button
    Jupiter2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Jupiter2Check.Text ==  "o" then
		Jupiter2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Jupiter2Button.Action = (function()
        return
            function()
              display_Jupiter2 = not display_Jupiter2
                if display_Jupiter2 then 
                    Jupiter2Frame.Visible = true                     
                    Jupiter2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                else          
                    Jupiter2Frame.Visible = false                   
                    Jupiter2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
-----------------------------------
Jupiter2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Jupiter2FrameWidth)/2, height-Jupiter2FrameHeight-2, (width-Jupiter2FrameWidth)/2, 2)

 Jupiter2Frame.Customdraw = function(this)  

            if  Jupiter2_firstTickDone then
            if not( Jupiter2CloseButtonDone) then
                Jupiter2CloseButtonDone = true
                makeCloseButton( Jupiter2CloseButton,  Jupiter2Frame,  Jupiter2Button)
            end
            else
                Jupiter2_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then
                    Jupiter2Frame:attach(screenBox, width-Jupiter2FrameWidth-35, height-Jupiter2FrameHeight-128-27, 35, 128+27)  
               else                                                                         
                    Jupiter2Frame:attach(screenBox, width-Jupiter2FrameWidth-200, height-Jupiter2FrameHeight-3, 200, 3)
               end
            end       

	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+15, this.tb - 14)         
            textlayout:println(_("   Objects-2  JUPITER"))
end
--===============
-- Подключение команд 
--===============
Jupiter2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-1), 60, 5+14*1)
---------------------------------------------------------------
Jupiter2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-2), 60, 5+14*2)

Jupiter2102Box.Action = (function()
     return 
           function()      
            local obj = celestia:find("Sol/Jupiter")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Chase/Sol:Jupiter/2018-08-30T11:07:31.73247?x=H6PyDBCw9/3//////////w&y=OlcXZ7PidAk&z=7fnrGdGk9////////////w&ow=0.702572&ox=0.703671&oy=0.080839&oz=-0.0685948&track=Sol:Jupiter&select=Sol:Jupiter&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------
Jupiter2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-3), 60, 5+14*3)
--------------------------------------
Jupiter2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Taygete.00"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-4), 60 , 5+14*4)

Jupiter2104Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Jupiter/Taygete")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
 			   celestia:seturl("cel://Follow/Sol:Jupiter:Taygete/2018-08-30T02:24:40.12689?x=uAMLAhYP&y=3+VQC43//////////////w&z=z/9ZxcPv/////////////w&ow=0.365641&ox=-0.00205071&oy=-0.930699&oz=0.0100773&track=Sol:Jupiter:Taygete&select=Sol:Jupiter:Taygete&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thelxinoe.03"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-5), 60 , 5+14*5)

Jupiter2105Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Jupiter/Thelxinoe")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Thelxinoe/2018-08-30T06:46:38.53280?x=hbLi4Mb5/////////////w&y=SJC9ZeoB&z=o87HvQQG&ow=0.915295&ox=0.100959&oy=0.387841&oz=0.0402617&track=Sol:Jupiter:Thelxinoe&select=Sol:Jupiter:Thelxinoe&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thyone.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-6), 60 , 5+14*6)

Jupiter2106Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Jupiter/Thyone")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Thyone/2018-08-30T11:16:11.97048?x=hjSVlVYC&y=QMN0vA8&z=adoM4Wvu/////////////w&ow=0.0658106&ox=-0.0661356&oy=-0.995619&oz=-0.00611234&track=Sol:Jupiter:Thyone&select=Sol:Jupiter:Thyone&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Themisto.1975"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-7), 60, 5+14*7)

Jupiter2107Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Jupiter/Themisto")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Themisto/2018-08-30T14:35:08.71290?x=/yVhFMkg&y=Mta1lff4/////////////w&z=lJ8GVqAV&ow=0.875589&ox=-0.0649516&oy=-0.474107&oz=0.0659331&track=Sol:Jupiter:Themisto&select=Sol:Jupiter:Themisto&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thebe.1979"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-8), 60, 5+14*8)

Jupiter2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Thebe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Thebe/2018-08-30T18:31:19.84299?x=zw+k4QwF/v///////////w&y=xjwr+4bl/////////////w&z=+i6xElNS&ow=0.761472&ox=-0.0458061&oy=0.646422&oz=0.0141425&track=Sol:Jupiter:Thebe&select=Sol:Jupiter:Thebe&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
------------------------------------
Jupiter2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chaldene.00"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-9), 60, 5+14*9)

Jupiter2109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Chaldene")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Chaldene/2018-08-30T23:17:48.90783?x=Iod99/8P&y=e9oHQNT8/////////////w&z=DEMGCTcE&ow=0.7904&ox=-0.104475&oy=-0.603314&oz=0.019115&track=Sol:Jupiter:Chaldene&select=Sol:Jupiter:Chaldene&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
------------------------------------- 
Jupiter2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Euanthe.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-10), 60, 5+14*10)

Jupiter2110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Euanthe")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Euanthe/2018-08-31T02:19:38.97290?x=lOac49Lz/////////////w&y=ZtcM3GsD&z=nTLCtuL7/////////////w&ow=0.573126&ox=0.0413908&oy=0.80806&oz=0.129814&track=Sol:Jupiter:Euanthe&select=Sol:Jupiter:Euanthe&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eukelade.03"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-11), 60, 5+14*11)

Jupiter2111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Eukelade")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Eukelade/2018-08-31T04:54:22.39299?x=9PVOt84H&y=Y2a5SK38/////////////w&z=JPwtpG3w/////////////w&ow=0.239698&ox=-0.154867&oy=-0.95659&oz=0.0591418&track=Sol:Jupiter:Eukelade&select=Sol:Jupiter:Eukelade&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Euporie.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-12), 60, 5+14*12)

Jupiter2112Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Euporie")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Euporie/2018-08-31T09:05:22.92909?x=vL3fo2QF&y=6q+qOqQ&z=hYyYOwIH&ow=0.937639&ox=0.0809361&oy=-0.313409&oz=0.126714&track=Sol:Jupiter:Euporie&select=Sol:Jupiter:Euporie&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eurydome.01"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-13), 60, 5+14*13)

Jupiter2113Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Eurydome")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
  			   celestia:seturl("cel://Follow/Sol:Jupiter:Eurydome/2018-08-31T13:11:59.26533?x=rC1pl7X3/////////////w&y=4iNZYyv7/////////////w&z=vTcLOsr2/////////////w&ow=0.320927&ox=0.0776923&oy=0.916626&oz=-0.225315&track=Sol:Jupiter:Eurydome&select=Sol:Jupiter:Eurydome&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Elara.05"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-14), 60 , 5+14*14)

Jupiter2114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Elara")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Elara/2018-08-31T19:35:46.12329?x=x0Puevxv&y=1QkwA7v9&z=G0585J8FAQ&ow=0.918082&ox=0.364926&oy=-0.154058&oz=0.0148567&track=Sol:Jupiter:Elara&select=Sol:Jupiter:Elara&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Erinome.01"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-15), 60, 5+14*15)

Jupiter2115Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Erinome")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			celestia:seturl("cel://Follow/Sol:Jupiter:Erinome/2018-08-31T22:55:56.71407?x=/rJX83YH&y=qN9t+D76/////////////w&z=dlyzoZ32/////////////w&ow=0.258013&ox=0.162201&oy=-0.909109&oz=0.283975&select=Sol:Jupiter:Erinome&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
------------------------------------- 
Jupiter2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aitne.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-16), 60, 5+14*16)

Jupiter2116Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Aitne")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Aitne/2018-09-01T05:24:49.71730?x=qPWsMaD7/////////////w&y=+XGZ9Xw&z=oyPp/owM&ow=0.967028&ox=0.0506686&oy=0.160015&oz=-0.19153&track=Sol:Jupiter:Aitne&select=Sol:Jupiter:Aitne&fov=44.154&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Valetido"))
    :movable(false)
    :active(true) 
  :attach( Jupiter2Frame, 2, 2+14*(gg-17), 60, 5+14*17)    

Jupiter2117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2016 J 2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2016%20J%202/2018-09-01T11:02:05.66664?x=ZHpAg98&y=bn/fguz+/////////////w&z=SQM97Mn7/////////////w&ow=0.0798326&ox=0.150448&oy=-0.975865&oz=0.136676&track=Sol:Jupiter:2016%20J%202&select=Sol:Jupiter:2016%20J%202&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------   
Jupiter2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-18), 60, 5+14*18)  
------------------------------------- 
Jupiter2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-19), 60, 5+14*19) 
-------------------------------------       
Jupiter2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-20), 60, 5+14*20)
-------------------------------------
Jupiter2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-21), 60, 5+14*21)  
-------------------------------------
Jupiter2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-22), 60, 5+14*22)    
-------------------------------------         
Jupiter2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-23), 60 , 5+14*23) 
------------------------------------             
Jupiter2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-24), 60, 5+14*24)     
-------------------------------------         
Jupiter2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-25), 60, 5+14*25)    
-------------------------------------
Jupiter2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-26), 60, 5+14*26) 
-------------------------------------
Jupiter2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-27), 60, 5+14*27)
-------------------------------------       
Jupiter2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-28), 60, 5+14*28)
------------------------------------- 
Jupiter2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-29), 60, 5+14*29)
-------------------------------------
Jupiter2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-30), 60, 5+14*30)
------------------------------------- 
Jupiter2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-31), 60, 5+14*31)
------------------------------------- 
Jupiter2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-32), 60, 5+14*32) 

  
-------------------------------------
Jupiter2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-33), 60 , 5+14*33) 

  
-------------------------------------
Jupiter2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-34), 60 , 5+14*34) 

 
-------------------------------------
Jupiter2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-35), 60 , 5+14*35) 
-------------------------------------
Jupiter2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-36), 60, 5+14*36) 
------------------------------------
Jupiter2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-37), 60 , 5+14*37) 
-------------------------------------
Jupiter2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-38), 60, 5+14*38) 
------------------------------------- 
Jupiter2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-39), 60, 5+14*39)
------------------------------------- 
Jupiter2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-40), 60, 5+14*40)
------------------------
Jupiter2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("center")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-41), 60, 5+14*41)
--===================
Jupiter2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-1), 2, 5+14*1) 
-------------------------------------
Jupiter2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~142984"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-2), 2, 5+14*2)
------------------------------------- 
Jupiter2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5,5"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-3), 2, 5+14*3)
--------------------------------------
 Jupiter2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-4), 2, 5+14*4)
--------------------------------------
 Jupiter2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-5), 2, 5+14*5)
--------------------------------------
 Jupiter2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-6), 2, 5+14*6)
-------------------------------------
Jupiter2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~9"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-7), 2, 5+14*7)
-------------------------------------
Jupiter2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~116"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-8), 2, 5+14*8)
------------------------------------- 
Jupiter2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-9), 2, 5+14*9)
-------------------------------------
Jupiter2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------   
Jupiter2211Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))  
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-11), 2, 5+14*11)
-------------------------------------
Jupiter2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))  
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Jupiter2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
  :attach(Jupiter2Frame, 112, 2+14*(gg-13), 2, 5+14*13)
-------------------------------------
Jupiter2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~86"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-14), 2, 5+14*14)
------------------------------------
Jupiter2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false)   
    :attach(Jupiter2Frame, 112, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------  
Jupiter2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Jupiter2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-17), 2, 5+14*17)
-------------------------------------
Jupiter2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
Jupiter2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-19), 2, 5+14*19)
-------------------------------------
Jupiter2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-20), 2, 5+14*20)
-------------------------------------
Jupiter2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-21), 2, 5+14*21)
-------------------------------------
Jupiter2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-22), 2, 5+14*22)
-------------------------------------
Jupiter2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-23), 2, 5+14*23)
-------------------------------------
Jupiter2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-24), 2, 5+14*24)
-------------------------------------
Jupiter2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-25), 2, 5+14*25)
-------------------------------------
Jupiter2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-26), 2, 5+14*26) 
-------------------------------------
Jupiter2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------------
Jupiter2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-28), 2, 5+14*28)
-------------------------------------
Jupiter2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-29), 2, 5+14*29)
-------------------------------------
Jupiter2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 112, 2+14*(gg-30), 2, 5+14*30)
-------------------------------------
 Jupiter2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-31), 2, 5+14*31)
-------------------------------------
 Jupiter2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-32), 2, 5+14*32)
-------------------------------------
 Jupiter2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-33), 2, 5+14*33)
-------------------------------------
 Jupiter2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Jupiter2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-35), 2, 5+14*35)
-------------------------------------
Jupiter2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-36), 2, 5+14*36)
-------------------------------------
Jupiter2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-37), 2, 5+14*37)
-------------------------------------
Jupiter2238Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-38), 2, 5+14*38)
-------------------------------------
Jupiter2239Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-39), 2, 5+14*39)
-------------------------------------
Jupiter2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-40), 2, 5+14*40)
--------------------------------------
Jupiter2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 112, 2+14*(gg-41), 2, 5+14*41)
--------------------------------------