----------------------------------------------
-- Jupiter3Box.lua
-- by Lygin Gennady a.k.a. Croc 01.10.2018
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local  Jupiter3FrameWidth, Jupiter3FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Jupiter3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Jupiter3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ju3"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Jupiter3Box,0,0,0,0) 

Jupiter3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Jupiter3Box, 20, 0, 0, 0)

Jupiter3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Jupiter3Button.Visible = GuidesVisibility -- display or undisplay Button
    Jupiter3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Jupiter3Check.Text ==  "o" then
		Jupiter3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Jupiter3Button.Action = (function()
        return
            function()
              display_Jupiter3 = not display_Jupiter3
                if display_Jupiter3 then 
                    Jupiter3Frame.Visible = true                     
                    Jupiter3Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Jupiter3Frame.Visible = false                   
                    Jupiter3Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
-----------------------------------
Jupiter3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Jupiter3FrameWidth)/2, height-Jupiter3FrameHeight-2, (width-Jupiter3FrameWidth)/2, 2)

 Jupiter3Frame.Customdraw = function(this)  

            if  Jupiter3_firstTickDone then
            if not( Jupiter3CloseButtonDone) then
                Jupiter3CloseButtonDone = true
                makeCloseButton( Jupiter3CloseButton,  Jupiter3Frame,  Jupiter3Button)
            end
            else
                Jupiter3_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then
                    Jupiter3Frame:attach(screenBox, width-Jupiter3FrameWidth-35, height-Jupiter3FrameHeight-128-27, 35, 128+27)  
               else                                                                         
                    Jupiter3Frame:attach(screenBox, width-Jupiter3FrameWidth-200, height-Jupiter3FrameHeight-3, 200, 3)
               end
            end       

	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+15, this.tb - 14)         
            textlayout:println(_("   Objects-3  JUPITER"))
end
--===============
-- Подключение команд 
--===============

Jupiter3101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(Jupiter3Frame, 2, 2+14*(gg-1), 60, 5+14*1)
---------------------------------------------------------------
Jupiter3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 2, 2+14*(gg-2), 60, 5+14*2)

Jupiter3102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Chase/Sol:Jupiter/2018-08-30T11:07:31.73247?x=H6PyDBCw9/3//////////w&y=OlcXZ7PidAk&z=7fnrGdGk9////////////w&ow=0.702572&ox=0.703671&oy=0.080839&oz=-0.0685948&track=Sol:Jupiter&select=Sol:Jupiter&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
-------------------------------------
Jupiter3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(false) 
    :attach(Jupiter3Frame, 2, 2+14*(gg-3), 60, 5+14*3)
--------------------------------------
Jupiter3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 2"))
    :movable(false)
    :active(true) 
  :attach( Jupiter3Frame, 2, 2+14*(gg-4), 60, 5+14*4)    

Jupiter3104Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%202/2018-08-30T02:19:17.55419?x=G6riddUF&y=zdriH8D//////////////w&z=pRnvz1P5/////////////w&ow=0.351483&ox=-0.00343419&oy=-0.936087&oz=0.0137413&track=Sol:Jupiter:2003%20J%202&select=Sol:Jupiter:2003%20J%202&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------   
Jupiter3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 3"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-5), 60, 5+14*5)  

Jupiter3105Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 3")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%203/2018-08-30T05:45:16.77148?x=vn3U6/U&y=QXdGBksH&z=MjIrV/ME&ow=0.88222&ox=0.463625&oy=-0.0767372&oz=-0.0291805&track=Sol:Jupiter:2003%20J%203&select=Sol:Jupiter:2003%20J%203&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------- 
Jupiter3106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 4"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-6), 60, 5+14*6) 

Jupiter3106Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 4")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%204/2018-08-30T08:26:02.87353?x=C4yYnQQF&y=wYrL7F38/////////////w&z=hirX7FcG&ow=0.760557&ox=-0.00732303&oy=-0.377143&oz=0.528454&track=Sol:Jupiter:2003%20J%204&select=Sol:Jupiter:2003%20J%204&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------       
Jupiter3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 5"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-7), 60, 5+14*7)

Jupiter3107Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/2003 J 5")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LVII/2018-08-30T11:50:44.57976?x=b29556nz/////////////w&y=4ZWnlmsG&z=gFh1JP/0/////////////w&ow=0.433362&ox=0.494473&oy=0.752156&oz=-0.0442265&track=Sol:Jupiter:Jupiter%20LVII&select=Sol:Jupiter:Jupiter%20LVII&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			

            end
        end
    end) ()
-------------------------------------
Jupiter3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 9"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-8), 60, 5+14*8)  

Jupiter3108Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 9")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%209/2018-08-30T15:08:57.45305?x=EaPB8FX//////////////w&y=WUJZyf/7/////////////w&z=XDfjjjX+/////////////w&ow=0.149154&ox=-0.35783&oy=-0.757578&oz=0.525154&track=Sol:Jupiter:2003%20J%209&select=Sol:Jupiter:2003%20J%209&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 10"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-9), 60, 5+14*9)    

Jupiter3109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 10")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%2010/2018-08-30T18:11:35.59872?x=XTvhILkI&y=8HFyE90&z=emEobar+/////////////w&ow=0.52631&ox=0.505493&oy=-0.565435&oz=0.384392&track=Sol:Jupiter:2003%20J%2010&select=Sol:Jupiter:2003%20J%2010&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------         
Jupiter3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 12"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-10), 60 , 5+14*10) 

Jupiter3110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 12")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%2012/2018-08-30T21:40:30.00183?x=ZaW3qw78/////////////w&y=ojeK2pj//////////////w&z=D0WgpPwB&ow=0.850462&ox=-0.0360294&oy=0.524041&oz=-0.028241&track=Sol:Jupiter:2003%20J%2012&select=Sol:Jupiter:2003%20J%2012&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------             
Jupiter3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 15"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-11), 60, 5+14*11)     

Jupiter3111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 15")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LVIII/2018-08-31T01:27:53.82832?x=fpOT4FUI&y=4cHeVFP9/////////////w&z=tYWLKJf+/////////////w&ow=0.638946&ox=-0.105372&oy=-0.753911&oz=0.11074&track=Sol:Jupiter:Jupiter%20LVIII&select=Sol:Jupiter:Jupiter%20LVIII&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------         
Jupiter3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 16"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-12), 60, 5+14*12)     

Jupiter3112Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 16")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%2016/2018-08-31T05:14:53.03102?x=cp9gBvP4/////////////w&y=AoA+fjcC&z=TiTV9uUE&ow=0.880149&ox=0.121545&oy=0.457176&oz=0.0394297&track=Sol:Jupiter:2003%20J%2016&select=Sol:Jupiter:2003%20J%2016&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()  
-------------------------------------
Jupiter3113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 18"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-13), 60, 5+14*13)     

Jupiter3113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 18")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LV/2018-08-31T08:03:40.91565?x=4Q9YH536/////////////w&y=hnY0bV4E&z=86KotHn6/////////////w&ow=0.394902&ox=0.225593&oy=0.872148&oz=0.18033&track=Sol:Jupiter:Jupiter%20LV&select=Sol:Jupiter:Jupiter%20LV&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 19"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-14), 60, 5+14*14)  

Jupiter3114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 19")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%2019/2018-08-31T13:12:31.04717?x=OmWNnGIB&y=EZDAIf/+/////////////w&z=9O7lvUz3/////////////w&ow=0.0917635&ox=-0.293743&oy=-0.95096&oz=0.0311545&track=Sol:Jupiter:2003%20J%2019&select=Sol:Jupiter:2003%20J%2019&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------       
Jupiter3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 23"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-15), 60, 5+14*15)

Jupiter3115Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/2003 J 23")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2003%20J%2023/2018-08-31T15:36:40.94276?x=L4DaXO4E&y=7IN7slgG&z=Ak79PkH8/////////////w&ow=0.210619&ox=-0.215038&oy=-0.815444&oz=-0.494419&track=Sol:Jupiter:2003%20J%2023&select=Sol:Jupiter:2003%20J%2023&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------- 
Jupiter3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-16), 60, 5+14*16)

Jupiter3116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2010 J 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LI/2018-08-31T18:09:56.39548?x=MeHEKj0I&y=YkkqB/f8/////////////w&z=0L5ZcjwB&ow=0.701403&ox=-0.438087&oy=-0.488236&oz=-0.278817&track=Sol:Jupiter:Jupiter%20LI&select=Sol:Jupiter:Jupiter%20LI&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------
Jupiter3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 J 2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-17), 60, 5+14*17)

Jupiter3117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2010 J 2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LII/2018-08-31T22:14:37.60182?x=j1cgRMf8/////////////w&y=wI4NhFQ&z=06OHGAcD&ow=0.917251&ox=0.0358873&oy=0.39654&oz=0.0108835&track=Sol:Jupiter:Jupiter%20LII&select=Sol:Jupiter:Jupiter%20LII&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------- 
Jupiter3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-18), 60, 5+14*18)

Jupiter3118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2011 J 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2011%20J%201/2018-09-01T01:25:37.36775?x=jJHLDA8E&y=z6gVr8g&z=sQpRIJoB&ow=0.82479&ox=0.0936492&oy=-0.557269&oz=-0.0200446&track=Sol:Jupiter:2011%20J%201&select=Sol:Jupiter:2011%20J%201&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------- 
Jupiter3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 J 2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-19), 60, 5+14*19) 
	
Jupiter3119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2016 J 2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LVI/2018-08-30T01:59:34.87044?x=EEGNc/QC&y=lVzBlt7//////////////w&z=zVmQj7L8/////////////w&ow=0.355974&ox=0.0339377&oy=-0.933438&oz=0.0287113&track=Sol:Jupiter:Jupiter%20LVI&select=Sol:Jupiter:Jupiter%20LVI&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 	
-------------------------------------
Jupiter3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2016 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-20), 60 , 5+14*20) 

Jupiter3120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2016 J 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LIV/2018-09-01T08:32:38.89802?x=aLqPkt4F&y=gVworTAF&z=IfN6VL8K&ow=0.946033&ox=0.180957&oy=-0.25144&oz=-0.0951499&track=Sol:Jupiter:Jupiter%20LIV&select=Sol:Jupiter:Jupiter%20LIV&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()  
-------------------------------------
Jupiter3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-21), 60 , 5+14*21) 
-------------------------------------
Jupiter3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-22), 60 , 5+14*22) 

Jupiter3122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Jupiter%20LIX/2018-09-01T13:30:06.79932?x=MwGl/gb4/////////////w&y=COsFXeAD&z=YJdX1ys&ow=0.713706&ox=0.291308&oy=0.636775&oz=0.0167789&track=Sol:Jupiter:Jupiter%20LIX&select=Sol:Jupiter:Jupiter%20LIX&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-23), 60 , 5+14*23) 

Jupiter3123Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%202/2018-09-01T19:03:19.89611?x=Tr8pc0A&y=jFyo8VwB&z=tIQB/MEI&ow=0.996863&ox=0.0772512&oy=-0.0134013&oz=0.0108409&track=Sol:Jupiter:2017%20J%202&select=Sol:Jupiter:2017%20J%202&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 3"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-24), 60 , 5+14*24) 

Jupiter3124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 3")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%203/2018-09-01T22:20:06.53840?x=8m7NaHn3/////////////w&y=oM+PJr/9/////////////w&z=C+HpdBP//////////////w&ow=0.664419&ox=-0.102337&oy=0.735956&oz=-0.0802636&track=Sol:Jupiter:2017%20J%203&select=Sol:Jupiter:2017%20J%203&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 4"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-25), 60 , 5+14*25) 

Jupiter3125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 4")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%204/2018-09-02T01:35:19.24989?x=JR0ycQUE&y=N5LKOzX//////////////w&z=wzO5JyP4/////////////w&ow=0.227471&ox=0.100275&oy=-0.966087&oz=0.0698426&track=Sol:Jupiter:2017%20J%204&select=Sol:Jupiter:2017%20J%204&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 5"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-26), 60 , 5+14*26) 

Jupiter3126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 5")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%205/2018-09-02T05:00:29.44101?x=992UvCH8/////////////w&y=Vxht5gkC&z=KQvZTkn4/////////////w&ow=0.224603&ox=-0.00794905&oy=0.966908&oz=0.120742&track=Sol:Jupiter:2017%20J%205&select=Sol:Jupiter:2017%20J%205&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 6"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-27), 60 , 5+14*27) 

Jupiter3127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 6")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%206/2018-09-02T07:54:51.86618?x=N8YGpP/+/////////////w&y=pYgloG8B&z=E76yNLEI&ow=0.995048&ox=0.0817224&oy=0.0562556&oz=-0.00602638&track=Sol:Jupiter:2017%20J%206&select=Sol:Jupiter:2017%20J%206&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 7"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-28), 60 , 5+14*28) 

Jupiter3128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 7")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%207/2018-09-02T11:24:33.37058?x=ct1Bo1X+/////////////w&y=H2dD2s///////////////w&z=TXK1B0v3/////////////w&ow=0.0941954&ox=0.0130423&oy=0.995397&oz=-0.0118889&track=Sol:Jupiter:2017%20J%207&select=Sol:Jupiter:2017%20J%207&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 8"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-29), 60 , 5+14*29) 

Jupiter3129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 8")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%208/2018-09-02T14:51:58.03685?x=Ipca44k&y=Tk4FR1n//////////////w&z=Ws3b3aX7/////////////w&ow=0.0621114&ox=-0.0147247&oy=-0.995296&oz=0.0728778&track=Sol:Jupiter:2017%20J%208&select=Sol:Jupiter:2017%20J%208&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 9"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-30), 60 , 5+14*30) 

Jupiter3130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 9")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2017%20J%209/2018-09-02T18:12:19.80641?x=MvLFbVv9/////////////w&y=uCf0XOs&z=r/VFoQAN&ow=0.994357&ox=0.0339549&oy=0.100191&oz=0.00798238&track=Sol:Jupiter:2017%20J%209&select=Sol:Jupiter:2017%20J%209&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-------------------------------------
Jupiter3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2018 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-31), 60 , 5+14*31) 

Jupiter3131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2018 J 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:2018%20J%201/2018-09-02T20:59:22.21449?x=cVyx1mQH&y=3ffWsG77/////////////w&z=NEHpXBEK&ow=0.933568&ox=-0.156128&oy=-0.311671&oz=0.0832827&track=Sol:Jupiter:2018%20J%201&select=Sol:Jupiter:2018%20J%201&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------
Jupiter3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-32), 60 , 5+14*32)

Jupiter3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-33), 60, 5+14*33)

Jupiter3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 2, 2+14*(gg-34), 60, 5+14*34)

Jupiter3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-35), 60, 5+14*35)

Jupiter3136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-36), 60, 5+14*36)

Jupiter3137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-37), 60, 5+14*37)

Jupiter3138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-38), 60, 5+14*38)

Jupiter3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 2, 2+14*(gg-39), 60, 5+14*39)

Jupiter3140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 2, 2+14*(gg-40), 60 , 5+14*40)

Jupiter3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 2, 2+14*(gg-41), 60, 5+14*41)
--===================
Jupiter3201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-1), 2, 5+14*1) 
-------------------------------------
Jupiter3202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~142984"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-2), 2, 5+14*2)
------------------------------------- 
Jupiter3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5,5"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-3), 2, 5+14*3)
-----------------------------------
Jupiter3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-4), 2, 5+14*4)
-------------------------------------
Jupiter3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-5), 2, 5+14*5)
-------------------------------------
Jupiter3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-6), 2, 5+14*6)
-------------------------------------
Jupiter3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-7), 2, 5+14*7)
-------------------------------------
Jupiter3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-8), 2, 5+14*8)
-------------------------------------
Jupiter3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-9), 2, 5+14*9)
-------------------------------------
Jupiter3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------
Jupiter3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-11), 2, 5+14*11)
-------------------------------------
Jupiter3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Jupiter3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-13), 2, 5+14*13) 
-------------------------------------
Jupiter3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-14), 2, 5+14*14) 
-------------------------------------
Jupiter3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------
Jupiter3216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Jupiter3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-17), 2, 5+14*17)
-------------------------------------
 Jupiter3218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
 Jupiter3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-19), 2, 5+14*19)
-------------------------------------
 Jupiter3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1-2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-20), 2, 5+14*20)
-------------------------------------
 Jupiter3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-21), 2, 5+14*21)
-------------------------------------
 Jupiter3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1-2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-22), 2, 5+14*22)	
	--------------------------------------
 Jupiter3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-23), 2, 5+14*23)
--------------------------------------
 Jupiter3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-24), 2, 5+14*24)
--------------------------------------
 Jupiter3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-25), 2, 5+14*25)
-------------------------------------
Jupiter3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-26), 2, 5+14*26)
-------------------------------------
Jupiter3227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-27), 2, 5+14*27)
------------------------------------- 
Jupiter3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-28), 2, 5+14*28)
-------------------------------------
Jupiter3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-29), 2, 5+14*29)
-------------------------------------   
Jupiter3230Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))  
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-30), 2, 5+14*30)
-------------------------------------
Jupiter3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))  
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-31), 2, 5+14*31)
-------------------------------------
Jupiter3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
  :attach(Jupiter3Frame, 112, 2+14*(gg-32), 2, 5+14*32)
-------------------------------------
Jupiter3233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Jupiter3Frame, 112, 2+14*(gg-33), 2, 5+14*33)
------------------------------------
Jupiter3234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)   
    :attach(Jupiter3Frame, 112, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Jupiter3235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
     :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("= 79"))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-35), 2, 5+14*35)
-------------------------------------
Jupiter3236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
     :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-36), 2, 5+14*36)
-------------------------------------	
Jupiter3237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
     :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-37), 2, 5+14*37)
-------------------------------------
Jupiter3238Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-38), 2, 5+14*38)
-------------------------------------
Jupiter3239Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-39), 2, 5+14*39)
-------------------------------------
Jupiter3240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-40), 2, 5+14*40)
--------------------------------------
Jupiter3241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( Jupiter3Frame, 112, 2+14*(gg-41), 2, 5+14*41)
--------------------------------------