----------------------------------------------
-- JupiterBox.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                               
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local JupiterFrameWidth, JupiterFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver() 
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
JupiterBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

JupiterButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ju1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(JupiterBox,0,0,0,0) 

JupiterCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(JupiterBox, 20, 0, 0, 0)

JupiterBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    JupiterButton.Visible = GuidesVisibility -- display or undisplay Button
    JupiterCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if JupiterCheck.Text ==  "o" then
		JupiterFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

JupiterButton.Action = (function()
        return
            function()               
                display_Jupiter = not display_Jupiter
                if display_Jupiter then  
                    JupiterFrame.Visible = true                     
                    JupiterCheck.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                 
                else          
                    JupiterFrame.Visible = false                   
                    JupiterCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
----------------------------------
JupiterFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-JupiterFrameWidth)/2, height-JupiterFrameHeight-2, (width-JupiterFrameWidth)/2, 2)

 JupiterFrame.Customdraw = function(this) 

            if  Jupiter_firstTickDone then
            if not( JupiterCloseButtonDone) then
                JupiterCloseButtonDone = true
                makeCloseButton( JupiterCloseButton,  JupiterFrame,  JupiterButton)
            end
            else
            Jupiter_firstTickDone = true            
            end

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then 
                    JupiterFrame:attach(screenBox, width-JupiterFrameWidth-36, height-JupiterFrameHeight-128-27, 36, 128+27)                     
               else
                    JupiterFrame:attach(screenBox, width-JupiterFrameWidth-200, height-JupiterFrameHeight-3, 200, 3)  
               end
            end

	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+25, this.tb - 14)         
            textlayout:println(_(" Objects JUPITER"))
end			

--===============
-- Подключение команд 
--===============
Jupiter101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 2, 2+14*(gg-1), 60, 5+14*1)
-----------------------------------
Jupiter102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-2), 60, 5+14*2)

Jupiter102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			celestia:seturl("cel://Chase/Sol:Jupiter/2018-08-30T11:07:31.73247?x=H6PyDBCw9/3//////////w&y=OlcXZ7PidAk&z=7fnrGdGk9////////////w&ow=0.702572&ox=0.703671&oy=0.080839&oz=-0.0685948&track=Sol:Jupiter&select=Sol:Jupiter&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Jupiter103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-3), 60, 5+14*3)
-----------------------------------
Jupiter104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Autonoe.02"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-4), 60, 5+14*4)

Jupiter104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Autonoe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Autonoe/2018-09-01T06:06:59.28861?x=zgf4HWX7/////////////w&y=U3LHrNEB&z=GwzVPgcR&ow=0.98997&ox=0.0506531&oy=0.131599&oz=0.00868709&track=Sol:Jupiter:Autonoe&select=Sol:Jupiter:Autonoe&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Adrastea.1979"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-5), 60, 5+14*5)

Jupiter105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Adrastea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
    		   celestia:seturl("cel://Follow/Sol:Jupiter:Adrastea/2018-09-01T11:48:12.96992?x=G1JEXsgX&y=oXENf/32/////////////w&z=dN5R0g6r/////////////w&ow=0.135974&ox=-0.00839542&oy=-0.989404&oz=0.0501968&track=Sol:Jupiter:Adrastea&select=Sol:Jupiter:Adrastea&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Amalthea.1892"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-6), 60, 5+14*6)

Jupiter106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Amalthea")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Amalthea/2018-09-01T17:58:29.63292?x=aAFZlvJEAQ&y=QV3apxrj/////////////w&z=69OTiXt2BA&ow=0.990322&ox=-0.0132121&oy=-0.137993&oz=-0.00669719&track=Sol:Jupiter:Amalthea&select=Sol:Jupiter:Amalthea&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ananke.1951"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-7), 60, 5+14*7)

Jupiter107Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Sol/Jupiter/Ananke")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Ananke/2018-09-01T22:14:16.43807?x=UU+xNEUK&y=SG1JTRM6&z=5+Z24jpt&ow=0.96935&ox=0.240438&oy=-0.0471612&oz=-0.0180836&track=Sol:Jupiter:Ananke&select=Sol:Jupiter:Ananke&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aoede.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-8), 60 , 5+14*8)

Jupiter108Box.Action = (function()
    return
        function()
          
            local obj = celestia:find("Sol/Jupiter/Aoede")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Aoede/2018-09-02T02:29:13.16544?x=DGryg1v8/////////////w&y=yPulifz//////////////w&z=ckJPBKXu/////////////w&ow=0.10322&ox=0.0218213&oy=0.994416&oz=-0.00264852&track=Sol:Jupiter:Aoede&select=Sol:Jupiter:Aoede&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Arche.02"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-9), 60, 5+14*9)

Jupiter109Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Jupiter/Arche")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Arche/2018-09-02T06:57:46.57416?x=k5eM0fv3/////////////w&y=7MBu9ir7/////////////w&z=n4mE7XIJ&ow=0.923404&ox=-0.178366&oy=0.336105&oz=-0.0504453&track=Sol:Jupiter:Arche&select=Sol:Jupiter:Arche&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ganymede.1610"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-10), 60, 5+14*10)

Jupiter110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Ganymede")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Ganymede/2018-09-03T00:10:45.22478?x=LFZyishUVw&y=rGiUmMZU/P///////////w&z=5WQHPWrKGQ&ow=0.790355&ox=-0.121721&oy=-0.586246&oz=-0.129764&track=Sol:Jupiter:Ganymede&select=Sol:Jupiter:Ganymede&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Harpalyke.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-11), 60, 5+14*11)

Jupiter111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Harpalyke")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Harpalyke/2018-09-04T06:21:17.52025?x=uZ41J6b6/////////////w&y=mNte9CMG&z=m1LgorkR&ow=0.975708&ox=0.153989&oy=0.148179&oz=0.0482095&track=Sol:Jupiter:Harpalyke&select=Sol:Jupiter:Harpalyke&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Jupiter112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hegemone.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-12), 60, 5+14*12)

Jupiter112Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Hegemone")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Hegemone/2018-09-04T09:38:17.28832?x=crJG9J0I&y=0Zy2mAf7/////////////w&z=lm6e+yv3/////////////w&ow=0.360882&ox=-0.0260662&oy=-0.911704&oz=0.194631&track=Sol:Jupiter:Hegemone&select=Sol:Jupiter:Hegemone&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Jupiter113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Helike.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-13), 60, 5+14*13)

Jupiter113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Helike")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
    		   celestia:seturl("cel://Follow/Sol:Jupiter:Helike/2018-09-04T14:56:14.19821?x=ZeAcqVv8/////////////w&y=AsIusVMR&z=1Fy9AwH//////////////w&ow=0.644262&ox=0.615073&oy=0.387&oz=0.238417&track=Sol:Jupiter:Helike&select=Sol:Jupiter:Helike&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Jupiter114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hermippe.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-14), 60, 5+14*14)

Jupiter114Box.Action = (function()
    return
        function()
           
            local obj = celestia:find("Sol/Jupiter/Hermippe")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Hermippe/2018-09-04T19:15:27.53408?x=S4TCnHnv/////////////w&y=dagyvt/6/////////////w&z=GkD0SRz8/////////////w&ow=0.334414&ox=0.506106&oy=0.594577&oz=-0.527733&track=Sol:Jupiter:Hermippe&select=Sol:Jupiter:Hermippe&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Herse.03"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-15), 60, 5+14*15)

Jupiter115Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Herse")
               celestia:select(obj)
               local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Herse/2018-09-04T23:13:47.69997?x=3Qak6z3//////////////w&y=S+eHmvsC&z=W4yOxFAI&ow=0.946315&ox=0.152326&oy=0.0887864&oz=0.270927&track=Sol:Jupiter:Herse&select=Sol:Jupiter:Herse&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Jupiter116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Himalia.1904"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-16), 60 , 5+14*16)

Jupiter116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Himalia")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Himalia/2018-09-05T03:50:41.19630?x=Gn9AVAlHAg&y=+OeKqjUl/////////////w&z=jEt1T7AW/////////////w&ow=0.551053&ox=-0.0839389&oy=-0.817542&oz=0.144638&track=Sol:Jupiter:Himalia&select=Sol:Jupiter:Himalia&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dia.00"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-17), 60, 5+14*17)

Jupiter117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Dia")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			celestia:seturl("cel://Follow/Sol:Jupiter:Dia/2018-09-05T10:44:42.35144?x=+tpi0wr2/////////////w&y=913y4j4J&z=iTSY/p71/////////////w&ow=0.398416&ox=0.260222&oy=0.857781&oz=0.194324&track=Sol:Jupiter:Dia&select=Sol:Jupiter:Dia&fov=36.4986&ts=500&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Europa.1610"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-18), 60, 5+14*18)

Jupiter118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Europa")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Europa/2018-09-05T16:37:49.93533?x=sEu+MfFj0P///////////w&y=BLSsIioAFw&z=hcfprO9BCw&ow=0.769788&ox=0.192741&oy=0.59894&oz=0.107465&track=Sol:Jupiter:Europa&select=Sol:Jupiter:Europa&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------  
Jupiter119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Io.1610"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-19), 60, 5+14*19)

Jupiter119Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Io")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Io/2018-09-07T00:19:14.37455?x=ss7R5xLrKg&y=FzGb9DidAw&z=IvweoDjl0f///////////w&ow=0.361541&ox=-0.0811678&oy=-0.926706&oz=-0.0625734&track=Sol:Jupiter:Io&select=Sol:Jupiter:Io&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Iocaste.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-20), 60, 5+14*20)

Jupiter120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Iocaste")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Iocaste/2018-09-07T20:41:20.79404?x=oN3xDKrx/////////////w&y=U67WEDwI&z=wEmdIBEQ&ow=0.90662&ox=0.131174&oy=0.366503&oz=0.162816&track=Sol:Jupiter:Iocaste&select=Sol:Jupiter:Iocaste&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Isonoe.00"))
    :movable(false)
    :active(true) 
  :attach( JupiterFrame, 2, 2+14*(gg-21), 60, 5+14*21)    

Jupiter121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Isonoe")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Isonoe/2018-09-08T03:23:04.26246?x=Lb4SJPoP&y=lxLtEfr6/////////////w&z=2fPML9IB&ow=0.726884&ox=-0.0584202&oy=-0.665237&oz=0.160271&track=Sol:Jupiter:Isonoe&select=Sol:Jupiter:Isonoe&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------   
Jupiter122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kale.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-22), 60, 5+14*22)  

Jupiter122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kale")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Kale/2018-09-08T06:59:41.07734?x=f4hmFy33/////////////w&y=hpiJ294&z=rPNHRff//////////////w&ow=0.705642&ox=0.0816452&oy=0.703745&oz=-0.0121101&track=Sol:Jupiter:Kale&select=Sol:Jupiter:Kale&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Jupiter123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kalyke.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-23), 60, 5+14*23) 

Jupiter123Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kalyke")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Kalyke/2018-09-08T11:09:41.11712?x=y1MBigUH&y=nzWIAq/9/////////////w&z=Pq6qDSrq/////////////w&ow=0.155995&ox=-0.0338081&oy=-0.986125&oz=0.0455975&track=Sol:Jupiter:Kalyke&select=Sol:Jupiter:Kalyke&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------       
Jupiter124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Callirrhoe.1999"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-24), 60, 5+14*24)

Jupiter124Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Callirrhoe")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Callirrhoe/2018-09-08T14:41:28.28372?x=6MDWtg4F&y=96ViT9P7/////////////w&z=IdhiE48l&ow=0.995029&ox=-0.0515647&oy=-0.0692281&oz=0.0496481&track=Sol:Jupiter:Callirrhoe&select=Sol:Jupiter:Callirrhoe&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Callisto.1610"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-25), 60, 5+14*25)  

Jupiter125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Callisto")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
 			   celestia:seturl("cel://Follow/Sol:Jupiter:Callisto/2018-09-09T18:53:06.75958?x=viAhYOUg1////////////w&y=n/DPioa/GA&z=bNZQzeuKu////////////w&ow=0.266026&ox=0.061047&oy=0.951989&oz=0.138639&track=Sol:Jupiter:Callisto&select=Sol:Jupiter:Callisto&fov=36.4986&ts=4000&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-----------------------------------
Jupiter126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kallichore.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-26), 60, 5+14*26)    

Jupiter126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kallichore")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Kallichore/2018-09-12T04:11:11.93265?x=KXyoA0f9/////////////w&y=zolQD879/////////////w&z=GUXhIdr3/////////////w&ow=0.151334&ox=0.0408315&oy=0.978671&oz=-0.132793&track=Sol:Jupiter:Kallichore&select=Sol:Jupiter:Kallichore&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------         
Jupiter127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Carme.1938"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-27), 60 , 5+14*27) 

Jupiter127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Carme")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
    		   celestia:seturl("cel://Follow/Sol:Jupiter:Carme/2018-09-12T07:48:18.64944?x=L6DujNMo&y=gILU7N4X&z=Rq0VUGDG&ow=0.992307&ox=0.0630577&oy=-0.0982547&oz=0.0411914&track=Sol:Jupiter:Carme&select=Sol:Jupiter:Carme&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------             
Jupiter128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Carpo.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-28), 60, 5+14*28)     

Jupiter128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Carpo")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Carpo/2018-09-12T11:33:38.74296?x=Kcv8qx76/////////////w&y=C6uBC237/////////////w&z=eLDnZvv0/////////////w&ow=0.227552&ox=0.0191337&oy=0.955949&oz=-0.184433&track=Sol:Jupiter:Carpo&select=Sol:Jupiter:Carpo&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------        
Jupiter129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cyllene.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-29), 60, 5+14*29)     

Jupiter129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Cyllene")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Cyllene/2018-09-12T14:53:02.08458?x=Rc2w+SkD&y=AVSxEFA&z=ir9lDbn3/////////////w&ow=0.182343&ox=0.0946245&oy=-0.978671&oz=-0.00039053&track=Sol:Jupiter:Cyllene&select=Sol:Jupiter:Cyllene&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()  
-----------------------------------
Jupiter130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kore.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-30), 60, 5+14*30)     

Jupiter130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kore")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Kore/2018-09-12T19:12:31.47557?x=AB5UqiL//////////////w&y=vvh1urH9/////////////w&z=BxalmIQI&ow=0.984679&ox=-0.125445&oy=0.0627142&oz=-0.103622&track=Sol:Jupiter:Kore&select=Sol:Jupiter:Kore&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
------------------------------------
Jupiter131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Leda.1974"))
    :movable(false)
    :active(true) 
     :attach( JupiterFrame, 2, 2+14*(gg-31), 60, 5+14*31)  

Jupiter131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Leda")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
  			   celestia:seturl("cel://Follow/Sol:Jupiter:Leda/2018-09-12T23:26:22.35611?x=ue+xTaXr/////////////w&y=1yPgm4c6&z=eEonLms/&ow=0.923773&ox=0.364248&oy=0.0985058&oz=-0.0652893&track=Sol:Jupiter:Leda&select=Sol:Jupiter:Leda&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------        
Jupiter132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Lysithea.1938"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-32), 60, 5+14*32)

Jupiter132Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Lysithea")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
  			   celestia:seturl("cel://Follow/Sol:Jupiter:Lysithea/2018-09-13T02:33:52.43188?x=aixWWfFi&y=MXaeAnKW/////////////w&z=6dlabJy8/////////////w&ow=0.31346&ox=0.109661&oy=-0.836116&oz=0.436609&track=Sol:Jupiter:Lysithea&select=Sol:Jupiter:Lysithea&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Jupiter133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Megaclite.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-33), 60, 5+14*33)

Jupiter133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Megaclite")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Megaclite/2018-09-13T06:29:02.51475?x=SRC6SfoT&y=19yYzt3y/////////////w&z=gAqeiML+/////////////w&ow=0.489684&ox=0.142687&oy=-0.711014&oz=0.484056&track=Sol:Jupiter:Megaclite&select=Sol:Jupiter:Megaclite&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Metis.1979"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-34), 60, 5+14*34)

Jupiter134Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Metis")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Metis/2018-09-13T10:11:02.85340?x=YCqCXo4Q/////////////w&y=QaXqvBtz&z=YVoPaczy/////////////w&ow=0.665398&ox=0.473548&oy=0.54824&oz=-0.180087&track=Sol:Jupiter:Metis&select=Sol:Jupiter:Metis&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Jupiter135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mneme.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-35), 60, 5+14*35)

Jupiter135Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Mneme")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Mneme/2018-09-14T07:46:59.79628?x=p87+9Ur6/////////////w&y=CpqvZZ0F&z=QTlWiM8D&ow=0.843822&ox=0.349695&oy=0.40352&oz=0.0533853&track=Sol:Jupiter:Mneme&select=Sol:Jupiter:Mneme&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------ 
Jupiter136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Orthosie.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-36), 60, 5+14*36) 

Jupiter136Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Orthosie")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Orthosie/2018-09-13T22:56:56.24434?x=rM/HH7IF&y=lynEkmL6/////////////w&z=CjO6KCz8/////////////w&ow=0.402595&ox=-0.0536629&oy=-0.844366&oz=0.349403&track=Sol:Jupiter:Orthosie&select=Sol:Jupiter:Orthosie&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()  
-----------------------------------
Jupiter137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pasithee.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-37), 60 , 5+14*37) 

Jupiter137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Pasithee")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Pasithee/2018-09-14T11:40:03.27062?x=LTTQF873/////////////w&y=JruaiUsD&z=41xkGcc&ow=0.724252&ox=0.365533&oy=0.567916&oz=-0.138979&track=Sol:Jupiter:Pasithee&select=Sol:Jupiter:Pasithee&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Jupiter138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pasiphae.1908"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-38), 60, 5+14*38) 

Jupiter138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Pasiphae")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Pasiphae/2018-09-14T17:42:10.06458?x=iK7kP/P1&y=CEtC7xqk/////////////w&z=z2hbYFLV/////////////w&ow=0.549843&ox=0.15118&oy=-0.746569&oz=0.342712&track=Sol:Jupiter:Pasiphae&select=Sol:Jupiter:Pasiphae&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Jupiter139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Praxidike.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-39), 60, 5+14*39) 

Jupiter139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Praxidike")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
   			   celestia:seturl("cel://Follow/Sol:Jupiter:Praxidike/2018-09-14T22:16:50.13544?x=nfJgjH/n/////////////w&y=gc/h3vwN&z=zOXshGD1/////////////w&ow=0.567406&ox=0.460698&oy=0.681134&oz=-0.0431782&track=Sol:Jupiter:Praxidike&select=Sol:Jupiter:Praxidike&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sinope.1904"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-40), 60, 5+14*40)

Jupiter140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Sinope")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Sinope/2018-09-15T01:51:53.58189?x=r57Ija2F&y=usptf2vN/////////////w&z=l1iCti5Z&ow=0.745524&ox=0.0907689&oy=-0.476524&oz=0.457034&track=Sol:Jupiter:Sinope&select=Sol:Jupiter:Sinope&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Jupiter141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sponde.04"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-41), 60, 5+14*41)

Jupiter141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Sponde")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Jupiter:Sponde/2018-09-15T06:13:07.42727?x=IB8hkLX//////////////w&y=ZbIT8LEE&z=ahPW4nv4/////////////w&ow=0.178489&ox=0.575122&oy=0.77011&oz=0.210494&track=Sol:Jupiter:Sponde&select=Sol:Jupiter:Sponde&fov=36.4986&ts=200&ltd=0&p=0&rf=2098611&lm=10374&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
--==================
Jupiter201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-1), 2, 5+14*1) 
------------------------------------
Jupiter202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~142984"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-2), 2, 5+14*2)
-----------------------------------
Jupiter203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5,5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-3), 2, 5+14*3)
-----------------------------------
Jupiter204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-4), 2, 5+14*4)
----------------------------------- 
Jupiter205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~26"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-5), 2, 5+14*5)
-----------------------------------
Jupiter206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~262"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-6), 2, 5+14*6)
------------------------------------
Jupiter207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~28"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-7), 2, 5+14*7)
------------------------------------ 
 Jupiter208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-8), 2, 5+14*8)
-----------------------------------
Jupiter209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-9), 2, 5+14*9)
-----------------------------------
Jupiter210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5262"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-10), 2, 5+14*10)
----------------------------------- 
Jupiter211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-11), 2, 5+14*11)
----------------------------------- 
Jupiter212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-12), 2, 5+14*12)
-----------------------------------    
Jupiter213Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))  
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-13), 2, 5+14*13)
-----------------------------------
Jupiter214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))  
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-14), 2, 5+14*14)
-----------------------------------
Jupiter215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-15), 2, 5+14*15)
-----------------------------------
Jupiter216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~150"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-16), 2, 5+14*16)
-----------------------------------
Jupiter217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-17), 2, 5+14*17)
------------------------------------
Jupiter218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3122"))
    :movable(false)
    :active(false)   
    :attach(JupiterFrame, 112, 2+14*(gg-18), 2, 5+14*18)
----------------------------------- 
Jupiter219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3660"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-19), 2, 5+14*19)
------------------------------------
Jupiter220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-20), 2, 5+14*20)
-----------------------------------
Jupiter221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-21), 2, 5+14*21)
------------------------------------ 
Jupiter222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-22), 2, 5+14*22)
------------------------------------
Jupiter223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-23), 2, 5+14*23)
-----------------------------------
Jupiter224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~9"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-24), 2, 5+14*24)
-----------------------------------
Jupiter225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4821"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-25), 2, 5+14*25)
-----------------------------------
Jupiter226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-26), 2, 5+14*26)
------------------------------------
Jupiter227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~46"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-27), 2, 5+14*27)
-----------------------------------
Jupiter228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-28), 2, 5+14*28)
------------------------------------
Jupiter229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-29), 2, 5+14*29)
-----------------------------------
Jupiter230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-30), 2, 5+14*30) 
-----------------------------------
Jupiter231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-31), 2, 5+14*31) 
-----------------------------------
Jupiter232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~38"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-32), 2, 5+14*32)
-----------------------------------
Jupiter233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-33), 2, 5+14*33)
-----------------------------------
Jupiter234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~60"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
 Jupiter235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 112, 2+14*(gg-35), 2, 5+14*35)
------------------------------------
 Jupiter236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 112, 2+14*(gg-36), 2, 5+14*36)
------------------------------------
Jupiter237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 112, 2+14*(gg-37), 2, 5+14*37)
-----------------------------------
Jupiter238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~58"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 112, 2+14*(gg-38), 2, 5+14*38)
----------------------------------- 
Jupiter239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 112, 2+14*(gg-39), 2, 5+14*39)
----------------------------------- 
Jupiter240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~38"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-40), 2, 5+14*40)
----------------------------------- 
Jupiter241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 112, 2+14*(gg-41), 2, 5+14*41)
------------------------------------

