----------------------------------------------
-- Saturn2Box.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local  Saturn2FrameWidth,  Saturn2FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
 Saturn2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

 Saturn2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-4, 9)  
    :text(_("Sa2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach( Saturn2Box,0,0,0,0) 

 Saturn2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach( Saturn2Box, 20, 0, 0, 0)

 Saturn2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
     Saturn2Button.Visible = GuidesVisibility -- display or undisplay Button
     Saturn2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if  Saturn2Check.Text ==  "o" then
		 Saturn2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 Saturn2Button.Action = (function()
        return
            function()
              display_Saturn2 = not display_Saturn2
                if display_Saturn2 then 
                    Saturn2Frame.Visible = true                     
                    Saturn2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Saturn2Frame.Visible = false                   
                    Saturn2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
------------------------------------
 Saturn2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width- Saturn2FrameWidth)/2, height- Saturn2FrameHeight-2, (width- Saturn2FrameWidth)/2, 2)

  Saturn2Frame.Customdraw = function(this)  

            if Saturn2_firstTickDone then
            if not(Saturn2CloseButtonDone) then
                Saturn2CloseButtonDone = true
                makeCloseButton(Saturn2CloseButton, Saturn2Frame, Saturn2Button)
            end
            else
                Saturn2_firstTickDone = true            
            end  

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
                    Saturn2Frame:attach(screenBox, width-Saturn2FrameWidth-36, height-Saturn2FrameHeight-128-27, 36, 128+27)                     
            end
         
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+20, this.tb - 14)         
            textlayout:println(_("  Objects-2  SATURN"))
end
--==================
-- Подключение команд 
--==================
Saturn2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 2, 2+14*(gg-1), 60, 5+14*1)
------------------------------------
Saturn2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SATURN"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-2), 60, 5+14*2)

Saturn2102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn/2018-08-30T01:53:09.10604?x=cHQVYw4dq////////////w&y=+wNjRYKf5f///////////w&z=gFceFIB22vf//////////w&ow=0.0203223&ox=0.0023704&oy=0.99977&oz=-0.00636767&track=Sol:Saturn&select=Sol:Saturn&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-------------------------------------
Saturn2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 2, 2+14*(gg-3), 60, 5+14*3)
------------------------------------
Saturn2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tethys.1682"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-4), 60, 5+14*4)

Saturn2104Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Tethys")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Tethys/2018-08-30T06:54:27.16200?x=WK9euJQ9/////////////w&y=ROR7WSPE/////////////w&z=ZUqzKHhe7f///////////w&ow=0.0203525&ox=0.00237149&oy=0.99977&oz=-0.00631947&track=Sol:Saturn:Tethys&select=Sol:Saturn:Tethys&fov=36.4986&ts=1250&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------
Saturn2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titan.1655"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-5), 60, 5+14*5)

Saturn2105Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Titan")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Titan/2018-09-01T04:04:30.90892?x=pLW4MmsDt////////////w&y=nty0CU3+7v///////////w&z=DvN7qEedz////////////w&ow=0.470251&ox=-0.0394512&oy=0.877297&oz=-0.0875096&track=Sol:Saturn:Titan&select=Sol:Saturn:Titan&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thrymr.00"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-6), 60, 5+14*6)

Saturn2106Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Thrymr")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Thrymr/2018-09-07T12:35:58.74407?x=vFiYsrzi/////////////w&y=kWCyUywC&z=oxRcGRoK&ow=0.812806&ox=0.0755657&oy=0.575788&oz=-0.0458632&track=Sol:Saturn:Thrymr&select=Sol:Saturn:Thrymr&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------
Saturn2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Farbauti.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-7), 60, 5+14*7)

Saturn2107Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Saturn/Farbauti")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Farbauti/2018-09-07T23:42:51.11095?x=4AbucUwV&y=Kq/n3DD7/////////////w&z=mSfMn9ID&ow=0.752999&ox=-0.0257244&oy=-0.642738&oz=0.138633&track=Sol:Saturn:Farbauti&select=Sol:Saturn:Farbauti&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Phoebe.1899"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-8), 60, 5+14*8)

Saturn2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Phoebe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Phoebe/2018-09-08T05:58:30.81082?x=UOocmqx0/P///////////w&y=QMQYrihNAQ&z=ljsswxKu/////////////w&ow=0.672481&ox=0.176232&oy=0.714962&oz=0.0744293&track=Sol:Saturn:Phoebe&select=Sol:Saturn:Phoebe&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Fenrir.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-9), 60, 5+14*9)

Saturn2109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Fenrir")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Fenrir/2018-09-08T13:00:24.71689?x=GsClci4O&y=T7hFXBz9/////////////w&z=jWQtkMD1/////////////w&ow=0.456752&ox=-0.0827271&oy=-0.884361&oz=0.0493873&track=Sol:Saturn:Fenrir&select=Sol:Saturn:Fenrir&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------- 
Saturn2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Fornjot.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-10), 60, 5+14*10)

Saturn2110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Fornjot")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Fornjot/2018-09-08T19:05:04.58498?x=eR9TSrX8/////////////w&y=6PqEGmw&z=Z+SJiJvl/////////////w&ow=0.0624755&ox=0.0964595&oy=0.993372&oz=0.00192389&track=Sol:Saturn:Fornjot&select=Sol:Saturn:Fornjot&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------- 
Saturn2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hati.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-11), 60, 5+14*11)

Saturn2111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Hati")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Hati/2018-09-09T01:19:34.88128?x=OLgUWX/l/////////////w&y=pvA+9u4&z=tMvaDRQC&ow=0.734069&ox=0.0105488&oy=0.678839&oz=0.0144397&track=Sol:Saturn:Hati&select=Sol:Saturn:Hati&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------- 
Saturn2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aegaeon.08"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-12), 60, 5+14*12)

Saturn2112Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Aegaeon")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Aegaeon/2018-09-09T04:37:15.12055?x=FE6dg9P9/////////////w&y=9ByQaNgB&z=ra7ZUoMF&ow=0.970584&ox=0.144368&oy=0.187203&oz=0.0455955&track=Sol:Saturn:Aegaeon&select=Sol:Saturn:Aegaeon&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aegir.04"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-13), 60, 5+14*13)

Saturn2113Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Aegir")
               celestia:select(obj)
               local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Aegir/2018-09-09T10:48:01.88454?x=+mKZw1EY&y=Wuq2xNb//////////////w&z=8seKZzn1/////////////w&ow=0.542709&ox=0.0774765&oy=-0.834594&oz=0.0540079&track=Sol:Saturn:Aegir&select=Sol:Saturn:Aegir&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------
Saturn2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Enceladus.1789"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-14), 60, 5+14*14)

Saturn2114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Enceladus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Enceladus/2018-09-09T19:23:36.61954?x=quHQXtbQ9////////////w&y=UKiNu1P8/////////////w&z=zsHEng53Aw&ow=0.829863&ox=0.0514877&oy=0.549918&oz=-0.0791661&track=Sol:Saturn:Enceladus&select=Sol:Saturn:Enceladus&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Epimetheus.1980"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-15), 60, 5+14*15)

Saturn2115Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Epimetheus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Epimetheus/2018-09-10T10:24:10.47910?x=1w5HREw6Ag&y=KYADPL65/////////////w&z=D7uBv9jg/////////////w&ow=0.679474&ox=0.0234104&oy=-0.725617&oz=0.10605&track=Sol:Saturn:Epimetheus&select=Sol:Saturn:Epimetheus&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------  
Saturn2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Erriapus.00"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-16), 60, 5+14*16)

Saturn2116Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Erriapus")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Erriapus/2018-09-11T02:28:46.68451?x=VSJAlLv3/////////////w&y=SQfA9C/1/////////////w&z=PDcMqc7V/////////////w&ow=0.0867645&ox=0.0596088&oy=0.986052&oz=-0.128916&track=Sol:Saturn:Erriapus&select=Sol:Saturn:Erriapus&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Janus.1966"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-17), 60, 5+14*17)

Saturn2117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Janus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Janus/2018-09-11T09:50:33.70022?x=AcbC8feh&y=SwEEl0zc&z=VoIDB29ZAw&ow=0.986338&ox=0.129096&oy=-0.0834854&oz=0.0591814&track=Sol:Saturn:Janus&select=Sol:Saturn:Janus&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Iapetus.1671"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-18), 60, 5+14*18)    

Saturn2118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Iapetus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Iapetus/2018-09-20T10:31:43.77067?x=fKKqwo1YCw&y=NB0ndNKi+P///////////w&z=RfQnyyj86f///////////w&ow=0.230641&ox=-0.0163435&oy=-0.962158&oz=0.144188&track=Sol:Saturn:Iapetus&select=Sol:Saturn:Iapetus&fov=36.4986&ts=100000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------  
Saturn2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Jarnsaxa.06"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-19), 60, 5+14*19)  

Saturn2119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Jarnsaxa")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Jarnsaxa/2018-11-26T01:30:17.57918?x=YsPHuarl/////////////w&y=jjEzn+78/////////////w&z=PKSjJNP9/////////////w&ow=0.663298&ox=0.0658752&oy=0.732494&oz=-0.138378&track=Sol:Saturn:Jarnsaxa&select=Sol:Saturn:Jarnsaxa&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------ 
Saturn2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 7"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-20), 60, 5+14*20) 

Saturn2120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 7")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%207/2018-11-26T07:17:27.60203?x=n9jRpM8S&y=djCHFHUG&z=dSXxAqoR&ow=0.911915&ox=0.141941&oy=-0.384479&oz=0.0209647&track=Sol:Saturn:2004%20S%207&select=Sol:Saturn:2004%20S%207&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------       
Saturn2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 12"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-21), 60, 5+14*21)

Saturn2121Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/2004 S 12")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%2012/2018-11-26T19:59:34.95847?x=TnsqlP/s/////////////w&y=Z9nZtFb//////////////w&z=U/7rlZr0/////////////w&ow=0.488848&ox=0.081211&oy=0.86629&oz=-0.0630462&track=Sol:Saturn:2004%20S%2012&select=Sol:Saturn:2004%20S%2012&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 13"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-22), 60, 5+14*22)  

Saturn2122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 13")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%2013/2018-11-27T01:52:08.00016?x=CkMwQHYN&y=+GSO+CP2/////////////w&z=giCfPLcU&ow=0.932022&ox=-0.153252&oy=-0.295168&oz=0.143962&track=Sol:Saturn:2004%20S%2013&select=Sol:Saturn:2004%20S%2013&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 17"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-23), 60, 5+14*23)    

Saturn2123Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 17")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%2017/2018-11-27T07:41:27.93250?x=sIqGwaUM&y=4irQwYL4/////////////w&z=kmNo1esJ&ow=0.874486&ox=-0.1808&oy=-0.433106&oz=0.122495&track=Sol:Saturn:2004%20S%2017&select=Sol:Saturn:2004%20S%2017&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------         
Saturn2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 S 1"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-24), 60, 5+14*24) 

Saturn2124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2006 S 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2006%20S%201/2018-11-27T14:26:21.53048?x=46Mzt937/////////////w&y=s5nXn0MM&z=cw6IrMLo/////////////w&ow=0.124162&ox=0.184291&oy=0.950193&oz=0.218529&track=Sol:Saturn:2006%20S%201&select=Sol:Saturn:2006%20S%201&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------             
Saturn2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 S 3"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-25), 60, 5+14*25)     

Saturn2125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2006 S 3")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2006%20S%203/2018-11-27T19:42:28.76605?x=pQYNsLMQ&y=E9j1QoH2/////////////w&z=BoLMpQ4L&ow=0.863087&ox=-0.21298&oy=-0.453025&oz=0.0669974&track=Sol:Saturn:2006%20S%203&select=Sol:Saturn:2006%20S%203&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------         
Saturn2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 S 2"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-26), 60, 5+14*26)     

Saturn2126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2007 S 2")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2007%20S%202/2018-11-28T02:27:48.85171?x=88GQCrUZ&y=O2Er88EC&z=xcui/r75/////////////w&ow=0.596463&ox=-0.125528&oy=-0.775755&oz=-0.163334&track=Sol:Saturn:2007%20S%202&select=Sol:Saturn:2007%20S%202&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()  
------------------------------------
Saturn2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 S 3"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-27), 60, 5+14*27)     

Saturn2127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2007 S 3")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2007%20S%203/2018-11-28T08:25:41.85695?x=OxyHqLX8/////////////w&y=NQurF2k&z=hEwLSZTu/////////////w&ow=0.0926554&ox=-0.0391776&oy=0.99481&oz=0.015284&track=Sol:Saturn:2007%20S%203&select=Sol:Saturn:2007%20S%203&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------
Saturn2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2009 S 1"))
    :movable(false)
    :active(true) 
     :attach( Saturn2Frame, 2, 2+14*(gg-28), 60, 5+14*28)  

Saturn2128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2009 S 1")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2009%20S%201/2018-11-28T18:05:35.92407?x=1tRo3BMB&y=gze4NX8&z=bCzjOGb//////////////w&ow=0.187833&ox=0.850143&oy=0.0554912&oz=0.48877&track=Sol:Saturn:2009%20S%201&select=Sol:Saturn:2009%20S%201&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
-------------------------------------
Saturn2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
     :attach( Saturn2Frame, 2, 2+14*(gg-29), 60, 5+14*29) 
------------------------------------
Saturn2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Not confirmed:"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-30), 2, 5+14*30) 
------------------------------------
Saturn2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 3"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-31), 60, 5+14*31)
 
Saturn2131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 3")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%203/2018-11-29T00:32:50.10205?x=Q4Pd3ikH&y=rPw+7vgG&z=wBZ4vqUO&ow=0.246772&ox=0.257348&oy=0.14417&oz=0.923087&track=Sol:Saturn:2004%20S%203&select=Sol:Saturn:2004%20S%203&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------- 
Saturn2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 4"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-32), 60, 5+14*32)
 
Saturn2132Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 4")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%204/2018-11-29T02:55:39.82925?x=6EHieHXu/////////////w&y=0HANm1EC&z=EcFwBjAB&ow=0.0375319&ox=-0.671635&oy=0.124186&oz=0.729435&track=Sol:Saturn:2004%20S%204&select=Sol:Saturn:2004%20S%204&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------
Saturn2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 6"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-33), 60, 5+14*33)
 
Saturn2133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 6")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:2004%20S%206/2018-11-29T05:52:45.83659?x=5fjjsYwS&y=P5WNiAL5/////////////w&z=V88tQxT2/////////////w&ow=0.175344&ox=-0.850576&oy=0.0172088&oz=-0.495458&track=Sol:Saturn:2004%20S%206&select=Sol:Saturn:2004%20S%206&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()
------------------------------------ 
Saturn2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
     :attach( Saturn2Frame, 2, 2+14*(gg-34), 60, 5+14*34)	 
------------------------------------
Saturn2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)  
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Satellites propellers"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-35), 2, 5+14*35)
------------------------------------- 
Saturn2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)
    :text(_("Bleriot"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-36), 86, 5+14*36)
	
Saturn2136Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Bleriot")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Bleriot/2018-09-24T19:23:12.04876?x=zpgNKg&y=PKO4w+pXOQ&z=xf///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Bleriot&select=Sol:Saturn:Bleriot&fov=44.154&ts=100&ltd=0&p=0&rf=2164147&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
		
------------------------------------
Saturn2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)	
    :text(_("Curtiss"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-37), 86, 5+14*37)
	
Saturn2137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Curtiss")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Curtiss/2018-09-25T03:16:18.90936?x=2BPrEw&y=JsIG9xMpGw&z=5v///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Curtiss&select=Sol:Saturn:Curtiss&fov=44.154&ts=100&ltd=0&p=0&rf=2164147&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	

-------------------------------------
Saturn2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)	
    :text(_("Earhart"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-38), 86, 5+14*38)
	
Saturn2138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Earhart")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Earhart/2018-09-25T11:15:26.30398?x=Z3YyIQ&y=Nu61m3ZELQ&z=zv///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Earhart&select=Sol:Saturn:Earhart&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
------------------------------------
Saturn2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)  
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)	
    :text(_("Hinkler"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-39), 86, 5+14*39)
	
Saturn2139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Hinkler")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Hinkler/2018-09-25T19:22:13.09177?x=zqzNCw&y=dqqZe1cYEA&z=7////////////////////w&ow=0.671996&ox=0.671996&oy=-0.220049&oz=-0.220049&track=Sol:Saturn:Hinkler&select=Sol:Saturn:Hinkler&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
------------------------------------
Saturn2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left")
    :movetext(0, 9)	
    :text(_("Kingsford Smith"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-40), 86, 5+14*40) 
	
Saturn2140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Kingsford Smith")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Kingsford%20Smith/2018-09-26T16:56:34.94275?x=oVDvIQ&y=1H23SftFLg&z=zv///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Kingsford%20Smith&select=Sol:Saturn:Kingsford%20Smith&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
------------------------------------
Saturn2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left")
    :movetext(0, 9)	
    :text(_("Lindbergh"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-41), 86, 5+14*41) 
	
Saturn2141Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Lindbergh")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Lindbergh/2018-09-26T23:24:54.38378?x=q0UbCw&y=rCynVBIlDw&z=&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Lindbergh&select=Sol:Saturn:Lindbergh&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
--===================
Saturn2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-1), 2, 5+14*1) 
------------------------------------
Saturn2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~120536"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-2), 2, 5+14*2)
-------------------------------------
Saturn2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~10,1"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-3), 2, 5+14*3)
------------------------------------
Saturn2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1071"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-4), 2, 5+14*4)
-------------------------------------
Saturn2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5149"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-5), 2, 5+14*5)
-------------------------------------
Saturn2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-6), 2, 5+14*6)
------------------------------------
Saturn2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-7), 2, 5+14*7)
------------------------------------
Saturn2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~219"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-8), 2, 5+14*8)
------------------------------------ 
Saturn2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-9), 2, 5+14*9)
------------------------------------ 
Saturn2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------    
Saturn2211Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))  
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-11), 2, 5+14*11)
------------------------------------
Saturn2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~0,5"))  
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Saturn2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
  :attach(Saturn2Frame, 112, 2+14*(gg-13), 2, 5+14*13)
------------------------------------
Saturn2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~513"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-14), 2, 5+14*14)
------------------------------------
Saturn2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~138"))
    :movable(false)
    :active(false)   
    :attach(Saturn2Frame, 112, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------  
Saturn2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~10"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Saturn2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~194"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-17), 2, 5+14*17)
------------------------------------
Saturn2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1492"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------  
Saturn2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-19), 2, 5+14*19)
------------------------------------
Saturn2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-20), 2, 5+14*20)
------------------------------------
Saturn2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-21), 2, 5+14*21)
------------------------------------
Saturn2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-22), 2, 5+14*22)
------------------------------------
Saturn2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-23), 2, 5+14*23)
------------------------------------
Saturn2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-24), 2, 5+14*24)
-------------------------------------
Saturn2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-25), 2, 5+14*25)
-------------------------------------
Saturn2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-26), 2, 5+14*26)
------------------------------------
Saturn2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------------
Saturn2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~0,3"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-28), 2, 5+14*28) 
------------------------------------
Saturn2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("= 62"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-29), 2, 5+14*29)
------------------------------------
Saturn2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 112, 2+14*(gg-31), 2, 5+14*31)
------------------------------------
Saturn2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 112, 2+14*(gg-32), 2, 5+14*32)
------------------------------------
Saturn2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 112, 2+14*(gg-33), 2, 5+14*33)
--------------------------------------
Saturn2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 112, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Saturn2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Peggy"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 86, 2+14*(gg-36), 2, 5+14*36)
	
Saturn2236Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Peggy")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Peggy/2018-09-27T05:55:43.02839?x=El5xEg&y=hEDxzQgmGQ&z=5v///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Peggy&select=Sol:Saturn:Peggy&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
-------------------------------------
Saturn2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)    
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Post"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 86, 2+14*(gg-37), 2, 5+14*37)
	
Saturn2237Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Post")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Post/2018-09-27T08:58:38.11338?x=t8lkFQ&y=JtWTQx8sHQ&z=5f///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Post&select=Sol:Saturn:Post&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
-------------------------------------
Saturn2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Richthofen"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 86, 2+14*(gg-38), 2, 5+14*38)
	
Saturn2238Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Richthofen")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Richthofen/2018-09-27T12:06:57.80313?x=dvJ9Dw&y=4qtOWPIfFQ&z=6////////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Richthofen&select=Sol:Saturn:Richthofen&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
-------------------------------------
Saturn2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)    
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Santos-Dumont"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 86, 2+14*(gg-39), 2, 5+14*39)
	
Saturn2239Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Santos-Dumont")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Santos-Dumont/2018-09-27T15:32:10.35453?x=Kg2qGw&y=fqmlRg25JQ&z=2P///////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Santos-Dumont&select=Sol:Saturn:Santos-Dumont&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
-------------------------------------
Saturn2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)    
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sikorsky"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
Saturn2240Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Sikorsky")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Sikorsky/2018-10-01T08:38:54.01367?x=Mc46EA&y=tsBRGnkhFg&z=7P///////////////////w&ow=-0.639282&ox=-0.639282&oy=0.30219&oz=0.30219&track=Sol:Saturn:Sikorsky&select=Sol:Saturn:Sikorsky&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            end
        end
    end) ()	
-------------------------------------
Saturn2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Wright"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 86, 2+14*(gg-41), 2, 5+14*41)
	
Saturn2241Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Wright")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://SyncOrbit/Sol:Saturn:Wright/2018-10-01T10:49:54.72746?x=48vPEg&y=NwI3HcymGQ&z=4////////////////////w&ow=-0.5&ox=-0.5&oy=0.5&oz=0.5&track=Sol:Saturn:Wright&select=Sol:Saturn:Wright&fov=44.154&ts=100&ltd=0&p=0&rf=2098611&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
            celestia:settimescale(400)
            end
        end
    end) ()	
--===================
