----------------------------------------------
-- SaturnBox.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local  SaturnFrameWidth,  SaturnFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
 SaturnBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

 SaturnButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-4, 9)  
    :text(_("Sa1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach( SaturnBox,0,0,0,0) 

 SaturnCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach( SaturnBox, 20, 0, 0, 0)

 SaturnBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SaturnButton.Visible = GuidesVisibility -- display or undisplay Button
    SaturnCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if  SaturnCheck.Text ==  "o" then
		 SaturnFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 SaturnButton.Action = (function()
        return
            function()
              display_Saturn = not display_Saturn
                if display_Saturn then 
                    SaturnFrame.Visible = true                     
                    SaturnCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                   
                else          
                    SaturnFrame.Visible = false                   
                    SaturnCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
----------------------------------
 SaturnFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width- SaturnFrameWidth)/2, height- SaturnFrameHeight-2, (width- SaturnFrameWidth)/2, 2)

SaturnFrame.Customdraw = function(this)   

    if  Saturn_firstTickDone then
        if not(SaturnCloseButtonDone) then
           SaturnCloseButtonDone = true
           makeCloseButton(SaturnCloseButton, SaturnFrame, SaturnButton)
        end
    else
           Saturn_firstTickDone = true            
    end   

    if newwidth ~= width or newheight ~= height then
           newwidth, newheight = width, height              
        if height>=768  then 
           SaturnFrame:attach(screenBox, width- SaturnFrameWidth-36, height- SaturnFrameHeight-128-27, 36, 128+27)                     
        else
           SaturnFrame:attach(screenBox, width- SaturnFrameWidth-200, height- SaturnFrameHeight-3, 200, 3) 
        end
    end
           textlayout:setfont(normalfont)
           textlayout:setfontcolor({0.2,0.8,1,1})        
	       textlayout:setpos(this.lb+25, this.tb - 14)         
           textlayout:println(_("  Objects SATURN"))
end
--==================
-- Подключение команд 
--==================
Saturn101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 2, 2+14*(gg-1), 60, 5+14*1)
-----------------------------------
Saturn102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SATURN"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-2), 60, 5+14*2)

Saturn102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn/2018-08-30T01:53:09.10604?x=cHQVYw4dq////////////w&y=+wNjRYKf5f///////////w&z=gFceFIB22vf//////////w&ow=0.0203223&ox=0.0023704&oy=0.99977&oz=-0.00636767&track=Sol:Saturn&select=Sol:Saturn&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-3), 60, 5+14*3)
-----------------------------------
Saturn104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Albiorix.00"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-4), 60, 5+14*4)

Saturn104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Albiorix")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Albiorix/2018-08-30T04:49:36.14454?x=cmPSFFSd/////////////w&y=bsgpjHJE&z=ahpU2YhL&ow=0.868819&ox=0.22515&oy=0.427894&oz=0.106618&track=Sol:Saturn:Albiorix&select=Sol:Saturn:Albiorix&fov=36.4986&ts=300&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Anthe.07"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-5),  60, 5+14*5)

Saturn105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Anthe")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Anthe/2018-08-30T15:03:36.44079?x=opMxDY0F&y=6/lWcTT8/////////////w&z=gv+h77P7/////////////w&ow=0.426277&ox=-0.105465&oy=-0.870699&oz=0.221467&track=Sol:Saturn:Anthe&select=Sol:Saturn:Anthe&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Atlas.1980"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-6), 60, 5+14*6)

Saturn106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/1980 S 28")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Atlas%20/2018-09-07T22:03:32.58781?x=rvyZ4D3j/////////////w&y=3nJcdTs4&z=TMIlzmxn&ow=0.0154336&ox=-0.119376&oy=0.242953&oz=0.962541&track=Sol:Saturn:Atlas%20&select=Sol:Saturn:Atlas%20&fov=36.4986&ts=1000&ltd=0&p=1&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bergelmir.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-7), 60, 5+14*7)

Saturn107Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Sol/Saturn/Bergelmir")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Bergelmir/2018-08-31T22:49:10.54612?x=hkPqZwcW&y=i4XHI6b+/////////////w&z=R/0xyybx/////////////w&ow=0.468902&ox=0.00617832&oy=-0.882647&oz=0.0320534&track=Sol:Saturn:Bergelmir&select=Sol:Saturn:Bergelmir&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Saturn108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bestla.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-8), 60, 5+14*8)

Saturn108Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Bestla")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Bestla/2018-09-01T23:58:51.09030?x=U3v4lvwD&y=sM73XfPu/////////////w&z=D74aoGDm/////////////w&ow=0.0757525&ox=-0.0284237&oy=-0.954992&oz=0.285382&track=Sol:Saturn:Bestla&select=Sol:Saturn:Bestla&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bebhionn.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-9), 60, 5+14*9)

Saturn109Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Saturn/Bebhionn")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Bebhionn/2018-09-02T07:09:11.21373?x=wb+CPRLz/////////////w&y=Xo2KwpEN&z=ws6MM+AS&ow=0.924172&ox=0.283334&oy=0.254789&oz=-0.0266458&track=Sol:Saturn:Bebhionn&select=Sol:Saturn:Bebhionn&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hyperion.1848"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-10), 60, 5+14*10)

Saturn110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Hyperion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Hyperion/2018-09-02T16:00:45.90929?x=Q9ZTHZbOBA&y=suCFl3B3&z=g1YsNJHL+v///////////w&ow=0.364149&ox=0.0145489&oy=-0.930756&oz=-0.029607&track=Sol:Saturn:Hyperion&select=Sol:Saturn:Hyperion&fov=36.4986&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")   
    :movetext(0, 9)
    :text(_("Hyrrokkin.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-11), 60, 5+14*11)

Saturn111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Hyrrokkin")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Hyrrokkin/2018-09-04T17:51:34.80998?x=cO6S9P7o/////////////w&y=zuP4Kpr9/////////////w&z=m8xBYeMa&ow=0.937454&ox=-0.0303373&oy=0.34644&oz=-0.0154807&track=Sol:Saturn:Hyrrokkin&select=Sol:Saturn:Hyrrokkin&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Greip.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-12), 60, 5+14*12)

Saturn112Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Greip")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Greip/2018-09-04T23:31:46.32936?x=47EkE/sZ&y=I5qqEE8F&z=XmJhgBgC&ow=0.729321&ox=0.0566067&oy=-0.676316&oz=-0.0865051&track=Sol:Saturn:Greip&select=Sol:Saturn:Greip&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------- 
Saturn113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Daphnis.05"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-13),  60, 5+14*13)

Saturn113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Daphnis")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Daphnis/2018-09-05T07:16:17.51172?x=TelnktXx/////////////w&y=edwlDtj7/////////////w&z=l1DZ09jc/////////////w&ow=0.194527&ox=-0.109522&oy=0.974168&oz=-0.0340776&track=Sol:Saturn:Daphnis&select=Sol:Saturn:Daphnis&fov=36.4986&ts=800&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dione.1684"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-14), 60, 5+14*14)

Saturn114Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Dione")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Dione/2018-09-06T00:40:33.29805?x=XC0efQ3KEg&y=F1PjGWUw/P///////////w&z=5BKpLG8u/P///////////w&ow=0.626465&ox=-0.0330985&oy=-0.772383&oz=0.0993544&track=Sol:Saturn:Dione&select=Sol:Saturn:Dione&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Helene.1980"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-15), 60, 5+14*15)

Saturn115Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Helene")
               celestia:select(obj)
               local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Helene/2018-09-07T15:04:57.09257?x=u2I4+Gi8&y=3/Bbs6oB&z=yOdP1Pwm&ow=0.773529&ox=0.0499206&oy=-0.629439&oz=0.054467&track=Sol:Saturn:Helene&select=Sol:Saturn:Helene&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ijiraq.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-16), 60, 5+14*16)

Saturn116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Ijiraq")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Ijiraq/2018-09-08T20:42:12.97332?x=32SuG3XQ/////////////w&y=ikz9HicO&z=qvmosMXs/////////////w&ow=0.560788&ox=0.136602&oy=0.813665&oz=0.0693271&track=Sol:Saturn:Ijiraq&select=Sol:Saturn:Ijiraq&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ymir.00"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-17), 60, 5+14*17)

Saturn117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Ymir")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Ymir/2018-09-09T03:01:00.68649?x=XGt3/pcl&y=mW12Gaz8/////////////w&z=yrDaDLC5/////////////w&ow=0.24361&ox=-0.126188&oy=-0.961574&oz=-0.0102855&track=Sol:Saturn:Ymir&select=Sol:Saturn:Ymir&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Calypso.1980"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-18), 60, 5+14*18)

Saturn118Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Calypso")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Calypso/2018-09-09T14:46:41.09421?x=6UjeCJUJ&y=DJI90W/y/////////////w&z=UROnstqE&ow=0.99107&ox=-0.0461553&oy=-0.0416012&oz=0.117981&track=Sol:Saturn:Calypso&select=Sol:Saturn:Calypso&fov=36.4986&ts=2000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kari.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-19),  60, 5+14*19)

Saturn119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Kari")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Kari/2018-09-10T13:02:46.91463?x=UqOd+k/p/////////////w&y=4l7jEpEF&z=AlC0+5Hr/////////////w&ow=0.408629&ox=0.0814507&oy=0.906929&oz=0.0621932&track=Sol:Saturn:Kari&select=Sol:Saturn:Kari&fov=36.4986&ts=250&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kiviuq.00"))
    :movable(false)
    :active(true) 
  :attach( SaturnFrame, 2, 2+14*(gg-20), 60, 5+14*20)    

Saturn120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Kiviuq")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Kiviuq/2018-09-10T17:47:09.12090?x=h8RDAhU0&y=CBI/SL7//////////////w&z=6StnDCgw&ow=0.91497&ox=0.0188884&oy=-0.400248&oz=0.0477&track=Sol:Saturn:Kiviuq&select=Sol:Saturn:Kiviuq&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------   
Saturn121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Loge.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-21), 60, 5+14*21)  

Saturn121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Loge")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Loge/2018-09-11T01:22:42.07375?x=ELQvyxoV&y=NcpGVBb1/////////////w&z=0uhi0wn0/////////////w&ow=0.489541&ox=-0.0932636&oy=-0.846252&oz=0.188441&track=Sol:Saturn:Loge&select=Sol:Saturn:Loge&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Methone.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-22), 60, 5+14*22) 

Saturn122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Methone")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Methone/2018-09-11T07:10:16.26456?x=FHCiKf/2/////////////w&y=bGS+Q7AD&z=Zly6fC8O&ow=0.948663&ox=0.0795807&oy=0.285192&oz=0.111224&track=Sol:Saturn:Methone&select=Sol:Saturn:Methone&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------       
Saturn123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mimas.1789"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-23), 60, 5+14*23)

Saturn123Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Mimas")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Mimas/2018-09-11T13:39:36.95282?x=szCcPodnAg&y=YmnLYN62/P///////////w&z=n6x2q6EQ+v///////////w&ow=0.209587&ox=-0.147057&oy=-0.94376&oz=0.209201&track=Sol:Saturn:Mimas&select=Sol:Saturn:Mimas&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mundilfari.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-24), 60, 5+14*24)  

Saturn124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Mundilfari")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Mundilfari/2018-09-12T02:58:06.21196?x=NkGD+Vrl/////////////w&y=i490XYT7/////////////w&z=pEHk27vw/////////////w&ow=0.46798&ox=0.183235&oy=0.84403&oz=-0.187171&track=Sol:Saturn:Mundilfari&select=Sol:Saturn:Mundilfari&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Narvi.03"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-25),  60, 5+14*25)    

Saturn125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Narvi")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Narvi/2018-09-12T08:28:39.98046?x=k3uhEbgY&y=4faPK7gS&z=XBABIUgB&ow=0.721302&ox=0.432625&oy=-0.540541&oz=0.0193421&track=Sol:Saturn:Narvi&select=Sol:Saturn:Narvi&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------         
Saturn126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Paaliaq.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-26), 60 , 5+14*26) 

Saturn126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Paaliaq")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Paaliaq/2018-09-12T15:04:09.11058?x=MxvT2UoM&y=6e6q+37A/////////////w&z=BsawLwBJ&ow=0.69353&ox=-0.303459&oy=0.183527&oz=-0.627094&track=Sol:Saturn:Paaliaq&select=Sol:Saturn:Paaliaq&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------             
Saturn127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pallene.04"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-27), 60, 5+14*27)     

Saturn127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Pallene")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Pallene/2018-09-13T00:42:23.23485?x=VWvm9WP8/////////////w&y=9IzZ2tMP&z=8KiVvEns/////////////w&ow=0.166261&ox=0.633974&oy=-0.695728&oz=-0.293934&track=Sol:Saturn:Pallene&select=Sol:Saturn:Pallene&fov=36.4986&ts=800&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------        
Saturn128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pan.1990"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-28), 60, 5+14*28)     

Saturn128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Pan")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Pan/2018-09-13T16:26:15.68981?x=JJ9zF1PE/////////////w&y=kEhyHHZF&z=03o1NvR5&ow=0.00732782&ox=0.208098&oy=-0.238471&oz=-0.948564&track=Sol:Saturn:Pan&select=Sol:Saturn:Pan&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
-----------------------------------
Saturn129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pandora.1980"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-29), 60, 5+14*29)     

Saturn129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Pandora")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Pandora/2018-08-30T04:18:48.20803?x=hw7CgEnt/////////////w&y=Knd6sS76/////////////w&z=Uq2rRVgz/v///////////w&ow=0.0202824&ox=0.00237045&oy=0.999771&oz=-0.00635832&track=Sol:Saturn:Pandora&select=Sol:Saturn:Pandora&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Polydeuces.04"))
    :movable(false)
    :active(true) 
     :attach( SaturnFrame, 2, 2+14*(gg-30), 60, 5+14*30)  

Saturn130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Polydeuces")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Polydeuces/2018-08-30T19:52:10.85563?x=vt4GOT76/////////////w&y=m7a4rf4F&z=YvO2IWIK&ow=0.94187&ox=0.224598&oy=0.24333&oz=0.0568159&track=Sol:Saturn:Polydeuces&select=Sol:Saturn:Polydeuces&fov=36.4986&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------        
Saturn131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Prometheus.1980"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-31), 60, 5+14*31)

Saturn131Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Prometheus")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Prometheus/2018-08-30T23:09:36.55891?x=L5sgGYfn/////////////w&y=q8AC+234/////////////w&z=rTzEGGGn/f///////////w&ow=0.0203436&ox=0.00237092&oy=0.99977&oz=-0.00634611&track=Sol:Saturn:Prometheus&select=Sol:Saturn:Prometheus&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Rhea.1672"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-32), 60, 5+14*32)

Saturn132Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Rhea")
            celestia:select(obj)
             local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Rhea/2018-08-31T18:36:20.75619?x=PdTXXbyWGQ&y=r5IodPgS+////////////w&z=kKepw5r6+v///////////w&ow=0.632189&ox=-0.0546618&oy=-0.769164&oz=0.075734&track=Sol:Saturn:Rhea&select=Sol:Saturn:Rhea&fov=36.4986&ts=4000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Siarnaq.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-33), 60, 5+14*33)

Saturn133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Siarnaq")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Siarnaq/2018-09-02T05:55:04.68561?x=tS6FDNZ/&y=GtfgVl79/////////////w&z=TR0Xbh+F/////////////w&ow=0.391691&ox=-0.0450251&oy=-0.918927&oz=-0.0111177&track=Sol:Saturn:Siarnaq&select=Sol:Saturn:Siarnaq&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
-----------------------------------
Saturn134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Skathi.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-34), 60, 5+14*34)

Saturn134Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Skathi")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Skathi/2018-09-02T17:47:18.66882?x=vFOFQpEE&y=/djv4qLd/////////////w&z=GbKf5n4H&ow=0.750806&ox=-0.578754&oy=-0.243664&oz=0.204845&track=Sol:Saturn:Skathi&select=Sol:Saturn:Skathi&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Skoll.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-35), 60, 5+14*35) 

Saturn135Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Skoll")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Skoll/2018-09-03T00:02:12.68594?x=jP5Tx2f//////////////w&y=pqiC0aYN&z=PH7/ftIW&ow=0.128841&ox=0.0240966&oy=0.265395&oz=0.955188&track=Sol:Saturn:Skoll&select=Sol:Saturn:Skoll&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) () 
----------------------------------
Saturn136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Surtur.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-36), 60, 5+14*36) 

Saturn136Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Surtur")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Surtur/2018-09-03T06:39:38.64765?x=CW3c3jb1/////////////w&y=umPfvZcE&z=JDwyu+AX&ow=0.208593&ox=-0.184324&oy=0.13114&oz=0.951481&track=Sol:Saturn:Surtur&select=Sol:Saturn:Surtur&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Suttungr.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-37), 60, 5+14*37) 

Saturn137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Suttungr")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Suttungr/2018-09-03T13:05:05.55592?x=Jf1barrx/////////////w&y=MvdIrB0B&z=U19XHnfk/////////////w&ow=0.0390032&ox=0.967731&oy=0.0843939&oz=-0.234207&track=Sol:Saturn:Suttungr&select=Sol:Saturn:Suttungr&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tarvos.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-38),  60, 5+14*38) 

Saturn138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Tarvos")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Tarvos/2018-09-03T18:23:26.04440?x=gv5YgOIx&y=JVHU867x/////////////w&z=Q96keJQp&ow=0.0388804&ox=0.410532&oy=-0.137243&oz=0.90062&track=Sol:Saturn:Tarvos&select=Sol:Saturn:Tarvos&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
------------------------------------
Saturn139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tarqeq.07"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-39), 60, 5+14*39) 

Saturn139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Tarqeq")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Tarqeq/2018-09-03T23:43:32.36090?x=wY/FijgQ&y=25QuDI/x/////////////w&z=m0uH+NTp/////////////w&ow=0.18716&ox=-0.905617&oy=0.192404&oz=-0.328343&track=Sol:Saturn:Tarqeq&select=Sol:Saturn:Tarqeq&fov=36.4986&ts=400&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
----------------------------------- 
Saturn140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Telesto.1980"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-40),  60, 5+14*40)

Saturn140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Telesto")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Saturn:Telesto/2018-09-04T06:54:42.56099?x=hN68lsuj/////////////w&y=8m1ijndu&z=15K9K44N&ow=0.222907&ox=0.567043&oy=-0.362722&oz=-0.705129&track=Sol:Saturn:Telesto&select=Sol:Saturn:Telesto&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------- 
Saturn141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.8})
    :textfont(normalfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 2, 2+14*(gg-41),  60, 5+14*41)
--==================
Saturn201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-1), 2, 5+14*1) 
-----------------------------------
Saturn202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~120536"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-2), 2, 5+14*2)
-----------------------------------
Saturn203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~10,1"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-3), 2, 5+14*3)
------------------------------------
Saturn204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~32"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-4), 2, 5+14*4)
-----------------------------------
Saturn205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-5), 2, 5+14*5)
-----------------------------------
Saturn206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~37"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-6), 2, 5+14*6)
-----------------------------------
Saturn207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-7), 2, 5+14*7)
------------------------------------ 
 Saturn208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-8), 2, 5+14*8)
-----------------------------------
Saturn209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-9), 2, 5+14*9)
-----------------------------------
Saturn210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~410"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-10), 2, 5+14*10)
----------------------------------- 
Saturn211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~8"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-11), 2, 5+14*11)
-----------------------------------
Saturn212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 112, 2+14*(gg-12), 2, 5+14*12)
------------------------------------    
Saturn213Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~9"))  
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-13), 2, 5+14*13)
-----------------------------------
Saturn214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1128"))  
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-14), 2, 5+14*14)
-----------------------------------
Saturn215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~36"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-15), 2, 5+14*15)
------------------------------------
Saturn216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~12"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-16), 2, 5+14*16)
-----------------------------------
Saturn217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))
    :movable(false)
    :active(false)   
    :attach(SaturnFrame, 112, 2+14*(gg-17), 2, 5+14*17)
----------------------------------- 
Saturn218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-18), 2, 5+14*18)
-----------------------------------
Saturn219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-19), 2, 5+14*19)
------------------------------------
Saturn220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~16"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-20), 2, 5+14*20)
------------------------------------  
Saturn221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-21), 2, 5+14*21)
-----------------------------------
Saturn222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-22), 2, 5+14*22)
-----------------------------------
Saturn223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~415"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-23), 2, 5+14*23)
-----------------------------------
Saturn224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-24), 2, 5+14*24)
-----------------------------------
Saturn225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-25), 2, 5+14*25)
-----------------------------------
Saturn226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~22"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-26), 2, 5+14*26)
-----------------------------------
Saturn227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-27), 2, 5+14*27)
-----------------------------------
Saturn228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~34"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-28), 2, 5+14*28)
------------------------------------
Saturn229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~110"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-29), 2, 5+14*29) 
-----------------------------------
Saturn230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-30), 2, 5+14*30) 
-----------------------------------
Saturn231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~148"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-31), 2, 5+14*31)
------------------------------------
Saturn232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1532"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-32), 2, 5+14*32)
-----------------------------------
Saturn233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~40"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-33), 2, 5+14*33)
------------------------------------
 Saturn234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~8"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-34), 2, 5+14*34)
------------------------------------
 Saturn235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-35), 2, 5+14*35)
-----------------------------------
Saturn236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-36), 2, 5+14*36)
-----------------------------------
Saturn237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 112, 2+14*(gg-37), 2, 5+14*37)
------------------------------------ 
Saturn238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~15"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-38), 2, 5+14*38)
-----------------------------------
Saturn239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-39), 2, 5+14*39)
----------------------------------- 
Saturn240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-40), 2, 5+14*40)
-----------------------------------
Saturn241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 112, 2+14*(gg-41), 2, 5+14*41)
-------------------------------------