----------------------------------------------
-- terrestrialBox.lua
-- by Lygin Gennady a.k.a. Croc 10.03.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                               
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local terrestrialFrameWidth, terrestrialFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
terrestrialBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

terrestrialButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont) 
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-3, 10)  
    :text(_("4pl"))
    :movable(false)
    :visible(false)
    :active(true)
    :attach(terrestrialBox,0,0,0,0) 

terrestrialCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true) 
        :attach(terrestrialBox, 20, 0, 0, 0)

terrestrialBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    terrestrialButton.Visible = GuidesVisibility -- display or undisplay Button
    terrestrialCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if terrestrialCheck.Text ==  "o" then
		terrestrialFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

terrestrialButton.Action = (function()
        return
            function()
              display_terrestrial = not display_terrestrial
                if display_terrestrial then 
                    terrestrialFrame.Visible = true                     
                    terrestrialCheck.Text = "o"  
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                 else 
                    terrestrialFrame.Visible = false                   
                    terrestrialCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                end
            end
        end) ()
-------------------------------------------------
terrestrialFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-terrestrialFrameWidth)/2, height-terrestrialFrameHeight-3, (width-terrestrialFrameWidth)/2, 3)

 terrestrialFrame.Customdraw = function(this)  

            if  terrestrial_firstTickDone then
              if not(terrestrialCloseButtonDone) then
                 terrestrialCloseButtonDone = true
                 makeCloseButton(terrestrialCloseButton, terrestrialFrame,  terrestrialButton)
              end
            else
                terrestrial_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then               
                    terrestrialFrame:attach(screenBox, width-terrestrialFrameWidth-36, height-terrestrialFrameHeight-128-27, 36, 128+27)                     
               else
                    terrestrialFrame:attach(screenBox, width-terrestrialFrameWidth-200, height-terrestrialFrameHeight-3, 200, 3) 
               end
            end
         
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+5, this.tb - 14)       
            textlayout:println(_("TERRESTRIAL PLANETS"))
end
--================
-- Подключение команд 
--================
Tr101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-1), 62, 5+14*1)
---------------------------------
Tr102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-2), 62, 5+14*2) 
-- =================
Tr103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1. MERCURY"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-3), 62, 5+14*3)

Tr103Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Mercury")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then			
			   celestia:seturl("cel://Follow/Sol:Mercury/2018-09-04T16:14:03.93273?x=5gcVS8NoPw&y=2LQGPO2L/////////////w&z=bgYoOC/aNw&ow=0.911289&ox=-0.000251057&oy=-0.411724&oz=0.00596052&track=Sol:Mercury&select=Sol:Mercury&fov=36.4986&ts=25000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-4), 62, 5+14*4) 
-- =================
Tr105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2. VENUS"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-5), 62, 5+14*5)    

Tr105Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Venus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then						
			   celestia:seturl("cel://Follow/Sol:Venus/2018-09-26T20:52:40.18557?x=IJCbCWJXMP///////////w&y=iJ/61pe/DQ&z=p1CwjCkB5////////////w&ow=0.663222&ox=0.0239217&oy=0.747698&oz=0.0226428&track=Sol:Venus&select=Sol:Venus&fov=36.4986&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 VE68 #"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-6), 62, 5+14*6)    

Tr106Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2002 VE68")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then	

    		--celestia:seturl("")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)

            end
        end
    end) ()
---------------------------------
Tr107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-7), 2, 5+14*7)
---------------------------------
Tr108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)	
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 ND15"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-8), 62, 5+14*8)

Tr108Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2013 ND15")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:2013%20ND15/2018-10-13T23:17:54.29429?x=AjkaP08&y=J7mzGvv//////////////w&z=cWNeOP3//////////////w&ow=0.694319&ox=-0.0230062&oy=-0.719003&oz=0.0206365&track=Sol:2013%20ND15&select=Sol:2013%20ND15&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
            obj = celestia:find("2010 TK7") 
            obj:mark("white", "diamond", 15)
        end
    end) ()
---------------------------------
Tr109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-9), 62, 5+14*9)
 ---------------------------------
Tr110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-10), 62, 5+14*10) 
---------------------------------
Tr111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-11), 62, 5+14*11) 
-- =================
Tr112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("3. EARTH"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-12), 62, 5+14*12)

Tr112Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Earth")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               celestia:seturl("cel://Follow/Sol:Earth/2018-10-14T02:37:24.33497?x=qID90rPQJv///////////w&y=sNZIWX0MBA&z=KqekbK00KA&ow=0.768686&ox=0.00273341&oy=0.639526&oz=0.0110436&track=Sol:Earth&select=Sol:Earth&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color2) 
    :textpos("left")    
    :movetext(13, 9)
    :text(_("Moon"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-13), 62, 5+14*13)

Tr113Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Earth/Moon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon/2018-10-15T14:35:31.80993?x=+LXv6gmJBw&y=sU5GbkS6Ow&z=Blty4CFQ&ow=0.706096&ox=0.704813&oy=-0.0252756&oz=0.0634731&track=Sol:Earth:Moon&select=Sol:Earth:Moon&fov=36.4986&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2016 HO3"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-14), 62, 5+14*14)

Tr114Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2016 HO3")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:469219%202016%20HO3/2018-10-21T21:49:50.97340?x=EPQ5P0U&y=KMJ0ox4&z=A5zOCRg&ow=0.799908&ox=0.165275&oy=-0.566919&oz=-0.10693&track=Sol:(469219)%202016%20HO3&select=Sol:469219%202016%20HO3&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-15), 2, 5+14*15)
----------------------------------
Tr116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 TK7"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-16), 62, 5+14*16)

Tr116Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2010 TK7")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:2010%20TK7/2018-10-22T04:14:47.71137?x=kwWPQbP//////////////w&y=I1KtIUgB&z=kc7grDA&ow=0.711686&ox=0.650351&oy=-0.0745924&oz=-0.254916&track=Sol:2010%20TK7&select=Sol:2010%20TK7&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
            obj = celestia:find("2010 TK7") 
            obj:mark("white", "diamond", 15)
        end
    end) ()
---------------------------------
Tr117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(0, 9)
    :text(_("With a horseshoe orbit:"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-17), 2, 5+14*17)
----------------------------------
Tr118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 SO16"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-18), 62, 5+14*18)

Tr118Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2010 SO16")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then						
			   celestia:seturl("cel://Follow/Sol:419624%202010%20SO16/2018-10-22T06:26:04.48212?x=DmMvW2b//////////////w&y=hA+lU5r//////////////w&z=KmRNq+H+/////////////w&ow=0.237608&ox=-0.0152111&oy=0.959294&oz=-0.151875&track=Sol:(419624)%202010%20SO16&select=Sol:419624%202010%20SO16&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-19), 62, 5+14*19) 
---------------------------------
Tr120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-20), 62, 5+14*20) 
---------------------------------
Tr121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-21), 62, 5+14*21) 
---------------------------------
Tr122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-22), 62, 5+14*22) 
-- ================
Tr123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("4. MARS"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-23), 62, 5+14*23)

Tr123Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Mars")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:Mars/2018-10-22T12:09:07.80242?x=5OtcABjrlv///////////w&y=DBi0Maue2v///////////w&z=8n73gTqe2v///////////w&ow=0.549421&ox=0.00346952&oy=0.811717&oz=-0.198092&track=Sol:Mars&select=Sol:Mars&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(13, 9)
    :text(_("Phobos.1877"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-24), 62, 5+14*24)  

Tr124Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver()
            local obj = celestia:find("Sol/Mars/Phobos")
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then						
			   celestia:seturl("cel://Follow/Sol:Mars:Phobos/2018-10-23T00:28:09.85605?x=EVR5/BGT/////////////w&y=F4y9zvLY/////////////w&z=FcTrxPIa&ow=0.742776&ox=-0.0133877&oy=0.621624&oz=-0.248372&track=Sol:Mars:Phobos&select=Sol:Mars:Phobos&fov=36.4986&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(13, 9)
    :text(_("Deimos.1877"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-25), 62, 5+14*25)

Tr125Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/Mars/Deimos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then						
			   celestia:seturl("cel://Follow/Sol:Mars:Deimos/2018-10-23T05:03:38.59138?x=X4KDNwIT&y=ubNVOvn0/////////////w&z=5U600sM+&ow=0.985627&ox=-0.0809553&oy=-0.146747&oz=0.0212134&track=Sol:Mars:Deimos&select=Sol:Mars:Deimos&fov=36.4986&ts=500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-26), 2, 5+14*26)
----------------------------------------------------------
Tr127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eureka.1990 +"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-27), 62, 5+14*27)

Tr127Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/1990 MB")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:5261%20Eureka/2018-10-23T12:30:05.77250?x=iLLDXOcC&y=kkOOt7P+/////////////w&z=Z9nydsr7/////////////w&ow=0.303123&ox=-0.107718&oy=-0.941972&oz=0.095929&track=Sol:5261%20Eureka&select=Sol:5261%20Eureka&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
Tr128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1998 VF31"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-28), 62, 5+14*28)

Tr128Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/1998 VF31")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then						
			   celestia:seturl("cel://Follow/Sol:101429%201998%20VF31/2018-10-23T15:46:41.43836?x=AgjhQ3n//////////////w&y=Hs4OGPb4/////////////w&z=uAgS1ps&ow=0.455401&ox=-0.456283&oy=-0.498843&oz=0.579286&track=Sol:(101429)%201998%20VF31&select=Sol:101429%201998%20VF31&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
----------------------------------
Tr129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 UJ7"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-29), 62, 5+14*29)

Tr129Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/1999 UJ7")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:121514%201999%20UJ7/2018-10-23T19:49:26.06223?x=+irci3Y&y=Rjhf65k&z=BIWvMV4E&ow=0.678698&ox=0.0847394&oy=0.0141171&oz=0.729375&track=Sol:(121514)%201999%20UJ7&select=Sol:121514%201999%20UJ7&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()
---------------------------------
Tr130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 DH47"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-30), 62, 5+14*30)

Tr130Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2001 DH47")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               celestia:seturl("cel://Follow/Sol:385250%202001%20DH47/2018-10-23T22:40:16.12283?x=nV24MHD//////////////w&y=ErZwXyI&z=UEX9iJP9/////////////w&ow=0.0969886&ox=0.729124&oy=0.674358&oz=-0.0649092&track=Sol:(385250)%202001%20DH47&select=Sol:385250%202001%20DH47&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 NS2"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-31), 62, 5+14*31)

Tr131Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2007 NS2")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:311999%202007%20NS2/2018-10-24T02:06:47.93946?x=+EJ94LYC&y=3G4xqzsD&z=SUyUKMP8/////////////w&ow=0.144745&ox=0.76964&oy=0.460372&oz=0.418044&track=Sol:(311999)%202007%20NS2&select=Sol:311999%202007%20NS2&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 SC191"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-32), 62, 5+14*32)

Tr132Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2011 SC191")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:2011%20SC191/2018-10-24T05:08:30.14599?x=TYV85Lo&y=O0JSbokC&z=aU+Z1FM&ow=0.387289&ox=0.485637&oy=0.450116&oz=0.64153&track=Sol:2011%20SC191&select=Sol:2011%20SC191&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 SL25"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-33), 62, 5+14*33)

Tr133Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/2011 SL25")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:2011%20SL25/2018-10-24T07:46:35.37102?x=jiTt/vAB&y=38I2pQMB&z=KiZzJbL+/////////////w&ow=0.0414402&ox=-0.734073&oy=-0.465753&oz=-0.492436&track=Sol:2011%20SL25&select=Sol:2011%20SL25&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 UN63"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-34), 62, 5+14*34)

Tr134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 UN63")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
			   celestia:seturl("cel://Follow/Sol:2011%20UN63/2018-10-24T10:18:56.98030?x=RD2/Y27//////////////w&y=/W7l2539/////////////w&z=OO5IWGY&ow=0.613513&ox=-0.596431&oy=-0.2525&oz=0.451792&track=Sol:2011%20UN63&select=Sol:2011%20UN63&fov=36.4986&ts=125&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()
---------------------------------
Tr135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-35), 62, 5+14*35) 
---------------------------------
Tr136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-36), 62, 5+14*36) 
---------------------------------
Tr137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-37), 62, 5+14*37)
 ---------------------------------
Tr138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-38), 62, 5+14*38) 
---------------------------------
Tr139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("L4 - Ahead planets by 60 degr."))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-39), 2, 5+14*39)
---------------------------------
Tr140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("L5 - Behind planets by 60 degr."))
    :movable(false)
    :active(false)    
    :attach(terrestrialFrame, 2, 2+14*(gg-40), 2, 5+14*40)
---------------------------------
Tr141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-41), 62, 5+14*41) 
--=================
Tr201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("d=km/Q=au"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-1), 2, 5+14*1) 
-------------------------------
Tr202Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-2), 2, 5+14*2)
---------------------------------
Tr203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~ 4879/~0,5"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-3), 2, 5+14*3)
-------------------------------
Tr204Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-4), 2, 5+14*4)
----------------------------------
Tr205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~12103/~0,7"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-5), 2, 5+14*5)
----------------------------------
Tr206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("quasi-satel."))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-6), 2, 5+14*6)
----------------------------------
Tr208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~0,07/~0,7"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-8), 2, 5+14*8) 
-------------------------------
Tr209Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-9), 2, 5+14*9)
-------------------------------
Tr210Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-10), 2, 5+14*10)
-------------------------------
Tr211Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-11), 2, 5+14*11)
-- ================
Tr212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~12756/~1,0"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-12), 2, 5+14*12) 
---------------------------------
Tr213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("~3476 "))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-13), 2, 5+14*13) 
---------------------------------
Tr214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("quasi-satel."))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-14), 2, 5+14*14)
----------------------------------
Tr216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~300 m L4"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-16), 2, 5+14*16)
---------------------------------
Tr218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~300 m"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-18), 2, 5+14*18)
-------------------------------
Tr219Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-19), 2, 5+14*19) 
-------------------------------
Tr220Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-20), 2, 5+14*20) 
-------------------------------
Tr221Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-21), 2, 5+14*21) 
-------------------------------
Tr222Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-22), 2, 5+14*22)
-- ================
Tr223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~ 6792/~1,7"))
    :movable(false)
    :active(false) 
   :attach(terrestrialFrame, 110, 2+14*(gg-23), 2, 5+14*23)
---------------------------------
Tr224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~27"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 110, 2+14*(gg-24), 2, 5+14*24) 
---------------------------------
Tr225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~15"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
Tr227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~1,2"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-27), 2, 5+14*27) 
---------------------------------
Tr228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~1,6"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-28), 2, 5+14*28)
----------------------------------
Tr229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~1"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-29), 2, 5+14*29)
----------------------------------
Tr230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~562 m"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-30), 2, 5+14*30)
----------------------------------
Tr231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("L5 ~1,2"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-31), 2, 5+14*31)
----------------------------------
Tr231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~600 m"))
    :movable(false)
    :active(false) 
   :attach(terrestrialFrame, 110, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
Tr233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~575 m"))
    :movable(false)
    :active(false) 
   :attach(terrestrialFrame, 110, 2+14*(gg-33), 2, 5+14*33)
---------------------------------
Tr234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~560 m"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-34), 2, 5+14*34)
--=================
Tr335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(normalfont) 
    :textpos("left")  
    :movetext(-3, 9) 
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-35), 2, 5+14*35)
--=================
Tr336Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)  
    :attach(terrestrialFrame, 110, 2+14*(gg-36), 2, 5+14*36)
-------------------------------
Tr337Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 110, 2+14*(gg-37), 2, 5+14*37) 
-------------------------------
Tr338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)  
    :attach(terrestrialFrame, 110, 2+14*(gg-38), 2, 5+14*38)
--=================
Tr341Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)  
    :attach(terrestrialFrame, 110, 2+14*(gg-41), 2, 5+14*41)
