----------------------------------------------
-- ISSBox.lua
-- by Lygin Gennady a.k.a Croc 01.02.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  ISSFrameWidth, ISSFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
ISSBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

ISSButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("ISS "))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(ISSBox,0,0,0,0) 

ISSCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(ISSBox, 20, 0, 0, 0)

ISSBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    ISSButton.Visible = GuidesVisibility -- display or undisplay Button
    ISSCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if ISSCheck.Text ==  "o" then
		ISSFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end
 
 ISSButton.Action = (function()
        return
            function()
              display_ISS= not display_ISS
                if display_ISS then                    				
                    ISSFrame.Visible = true                    
                    ISSCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    ISSFrame.Visible = false                  
                    ISSCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
----------------------------------------
ISSFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-ISSFrameWidth)/2, height-ISSFrameHeight-2, (width-ISSFrameWidth)/2, 2)

 ISSFrame.Customdraw = function(this)  

            if ISS_firstTickDone then
            if not(ISSCloseButtonDone) then
                ISSCloseButtonDone = true
                makeCloseButton(ISSCloseButton, ISSFrame, ISSButton)
            end
            else
                ISS_firstTickDone = true            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then 
                    ISSFrame:attach(screenBox, width-ISSFrameWidth-36, height-ISSFrameHeight-128-27, 36, 128+27)                     
               else
                    ISSFrame:attach(screenBox, width-ISSFrameWidth-200, height-ISSFrameHeight-3, 200, 3)
               end 
            end
       
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+25, this.tb - 14)         
            textlayout:println(_("MOUNTING  the  ISS"))
end
--=====================
-- Подключение команд 
--=====================
ISS101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Stage (Mission) / Module / Date:"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
ISS002Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 1"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-2), 141, 5+14*2)
------------------------------------------
ISS102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("block Zarya"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 31, 2+14*(gg-2), 46, 5+14*2)

ISS002Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Sol/Earth/iss 1")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%201/1998-11-20T12:08:02.68489?x=3zKlIw&y=aqlmBQU&z=oEE/9v///////////////w&ow=0.501699&ox=0.491513&oy=-0.512062&oz=-0.494475&track=Sol:Earth:ISS%201&select=Sol:Earth:ISS%201&fov=77.7734&ts=10&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.25)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

ISS203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("20-11-98"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-2), 2, 5+14*2)    
--=====================
ISS003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 2"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-3), 141, 5+14*3)
-----------------------------------------
ISS103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Unity"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 31, 2+14*(gg-3), 46, 5+14*3)

ISS003Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Sol/Earth/iss 2")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%202/1998-12-14T11:40:49.44736?x=Xzuusg&y=biYi//3//////////////w&z=Cr9Uefv//////////////w&ow=-0.207326&ox=0.975656&oy=0.028788&oz=0.0654415&track=Sol:Earth:ISS%202&select=Sol:Earth:ISS%202&fov=59.5778&ts=5&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

ISS203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-12-98"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-3), 2, 5+14*3)
--=====================
ISS004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 3"))
    :movable(false)
    :active(true)    
    :attach(ISSFrame, 2, 2+14*(gg-4), 141, 5+14*4)
------------------------------------------
ISS104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Zvezda"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 31, 2+14*(gg-4), 46, 5+14*4)

ISS004Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 3")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%203/2000-07-26T12:02:22.19428?x=fZvnKgE&y=EucNpvz//////////////w&z=T1W6bfj//////////////w&ow=-0.207345&ox=0.975648&oy=0.0290611&oz=0.0653834&track=Sol:Earth:ISS%203&select=Sol:Earth:ISS%203&fov=59.5778&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()

ISS204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-07-00"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-4), 2, 5+14*4)
--=====================
ISS005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 4"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-5), 141, 5+14*5)
------------------------------------------
ISS105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("element Z1"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-5), 46, 5+14*5)

ISS005Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 4")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%204/2000-10-20T12:01:30.07773?x=iXojPwE&y=6iD6a/z//////////////w&z=QgmF6vf//////////////w&ow=-0.207224&ox=0.975699&oy=0.0272703&oz=0.0657639&track=Sol:Earth:ISS%204&select=Sol:Earth:ISS%204&fov=59.5778&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()

ISS205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("11-10-00"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-5), 2, 5+14*5)
--=====================
ISS006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 5"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-6), 141, 5+14*6)
------------------------------------------
ISS106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("1st prime crew"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-6), 46, 5+14*6)

ISS006Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 5")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%205/2000-10-31T12:01:42.65251?x=udf5rwE&y=pKUZKPv//////////////w&z=2gnRDvX//////////////w&ow=-0.207224&ox=0.975699&oy=0.0272703&oz=0.0657639&select=Sol:Earth:ISS%205&fov=59.5778&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end  
        end
    end) ()

ISS206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-10-00"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-6), 2, 5+14*6)
--=====================
ISS007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 6"))
    :movable(false)
    :active(true)  
    :attach(ISSFrame, 2, 2+14*(gg-7), 141, 5+14*7)
------------------------------------------
ISS107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Power module"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-7), 46, 5+14*7)

ISS007Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 6")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%206/2000-12-09T12:02:25.63703?x=utIN3v///////////////w&y=0FXYzw&z=1ZNGT/r//////////////w&ow=0.0715305&ox=0.993563&oy=0.0876858&oz=-0.00529347&track=Sol:Earth:ISS%206&select=Sol:Earth:ISS%206&fov=108.696&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

ISS207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("30-11-00"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-7), 2, 5+14*7)
--=====================
ISS008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 7"))
    :movable(false)
    :active(true)  
    :attach(ISSFrame, 2, 2+14*(gg-8), 141, 5+14*8)
-----------------------------------------
ISS108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Destiny"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-8), 46, 5+14*8)

ISS008Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 7")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%207/2001-02-16T12:02:32.36759?x=1RM3mf///////////////w&y=cxFVi////////////////w&z=so5STPn//////////////w&ow=0.03448&ox=-0.998784&oy=0.0197458&oz=0.029187&track=Sol:Earth:ISS%207&select=Sol:Earth:ISS%207&fov=108.696&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end      
        end
    end) ()

ISS208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-02-01"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-8), 2, 5+14*8)
--=====================
ISS009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 8"))
    :movable(false)
    :active(true)  
    :attach(ISSFrame, 2, 2+14*(gg-9), 141, 5+14*9)
------------------------------------------
ISS109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Robot manipul.2"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-9), 46, 5+14*9)

ISS009Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 8")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%208/2001-04-29T19:06:35.42335?x=3/MI6////////////////w&y=wl2omgY&z=7DoYSgE&ow=-0.00138787&ox=-0.00902619&oy=0.635698&oz=0.771884&track=Sol:Earth:ISS%208&select=Sol:Earth:ISS%208&fov=108.696&ts=8&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.4)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end      
        end
    end) ()

ISS209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-04-01"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-9), 2, 5+14*9) 
--=====================
ISS010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 9"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-10), 141, 5+14*10)

ISS110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("compart. Quest"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-10), 46, 5+14*10)

ISS010Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 9") 
            celestia:select(obj)            
            if not(empty(obj)) then  
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%209/2001-07-22T12:02:37.90673?x=ZvJgZQE&y=mnVyGwk&z=9di4gv3//////////////w&ow=-0.0587843&ox=0.0438502&oy=0.792776&oz=0.605086&track=Sol:Earth:ISS%209&select=Sol:Earth:ISS%209&fov=82.637&ts=8&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

ISS210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-07-01"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-10), 2, 5+14*10)
--=====================
ISS011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 10"))
    :movable(false)
    :active(true)  
    :attach(ISSFrame, 2, 2+14*(gg-11), 141, 5+14*11)

ISS111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Pierce"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-11), 46, 5+14*11)

ISS011Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 10") 
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2010/2002-04-17T12:01:39.03125?x=VlySWgQ&y=FwrZ3gE&z=ZKrUSAg&ow=0.041774&ox=0.240173&oy=0.0911&oz=0.965543&track=Sol:Earth:ISS%2010&select=Sol:Earth:ISS%2010&fov=82.637&ts=8&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.4)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

ISS211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-04-02"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-11), 2, 5+14*11)
--=====================
ISS012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 11"))
    :movable(false)
    :active(true)  
    :attach(ISSFrame, 2, 2+14*(gg-12), 141, 5+14*12)

ISS112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("SO-c/str. basis"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-12), 46, 5+14*12)

ISS012Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Sol/Earth/iss 11")
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2011/2002-10-16T12:01:27.30441?x=igFhcQs&y=V4SYrvz//////////////w&z=iBKJwwY&ow=-0.0054753&ox=0.484114&oy=-0.137055&oz=0.864187&track=Sol:Earth:ISS%2011&select=Sol:Earth:ISS%2011&fov=82.637&ts=4&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

ISS212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-10-02"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-12), 2, 5+14*12)
--=====================
ISS013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 12"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-13), 141, 5+14*13)

ISS112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("P1- Guide robot2"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-13), 46, 5+14*13)

ISS013Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Sol/Earth/iss 12")
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012/2002-10-16T12:01:57.33318?x=hu6IZPX//////////////w&y=/grg8fv//////////////w&z=aZJ2hwc&ow=0.0758781&ox=0.425604&oy=0.206317&oz=-0.877802&track=Sol:Earth:ISS%2012&select=Sol:Earth:ISS%2012&fov=51.1657&ts=8&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

ISS213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("23-11-02"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-13), 2, 5+14*13)
--=====================
ISS014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 13"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-14), 141, 5+14*14)
-----------------------------------------
ISS114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Kibo"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-14), 46, 5+14*14)

ISS014Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 13")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013/2008-06-15T12:02:53.31590?x=jIBU4fr//////////////w&y=Ad6N9w0&z=J0P5gAo&ow=0.247242&ox=0.272318&oy=-0.370732&oz=-0.852803&track=Sol:Earth:ISS%2013&select=Sol:Earth:ISS%2013&fov=38.1029&ts=16&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.3)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

ISS214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-06-08"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-14), 2, 5+14*14)
--=====================
ISS015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("ISS"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-15), 141, 5+14*15)
-----------------------------------------
ISS115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("project~2016"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-15), 46, 5+14*15)

ISS015Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS/2011-07-19T12:05:44.28580?x=7fkipdn//////////////w&y=DJK9F9j//////////////w&z=gU/SJqr//////////////w&ow=-0.0687902&ox=-0.476262&oy=-0.832707&oz=0.273935&track=Sol:Earth:ISS&select=Sol:Earth:ISS&fov=11.309&ts=8&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

ISS215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-07-11"))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-15), 2, 5+14*15)
--=====================
ISS016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Russian Cosmonaut"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-16), 46, 5+14*16)
	
ISS016Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:ISS:Russian%20Cosmonaut/2011-07-19T20:22:36.84588?x=5DPKj////////////////w&y=n0eX6w&z=4byOBv///////////////w&ow=0.390357&ox=0.870807&oy=0.295279&oz=-0.0461119&track=Sol:Earth:ISS:Russian%20Cosmonaut&select=Sol:Earth:ISS:Russian%20Cosmonaut&fov=83.1594&ts=8&ltd=0&p=0&rf=2164115&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

ISS216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-16), 2, 5+14*16)
--=====================
ISS017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("NASA Astronaut"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-17), 46, 5+14*17)

ISS017Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss")           
            celestia:select(obj)            
            if not(empty(obj)) then 
 			   celestia:seturl("cel://Follow/Sol:Earth:ISS:NASA%20Astronaut/2011-07-19T12:37:23.95464?x=Wh2Y7/j//////////////w&y=D7K2nfb//////////////w&z=kz0jYP3//////////////w&ow=0.600257&ox=-0.467108&oy=0.625174&oz=-0.175099&track=Sol:Earth:ISS:NASA%20Astronaut&select=Sol:Earth:ISS:NASA%20Astronaut&fov=11.309&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

ISS217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-17), 2, 5+14*17)
--=====================
ISS018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA Astronaut"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-18), 46, 5+14*18)

ISS018Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss")           
            celestia:select(obj)            
            if not(empty(obj)) then              
 			   celestia:seturl("cel://Follow/Sol:Earth:ISS:ESA%20Astronaut/2011-07-19T16:56:58.43918?x=qKQegO3//////////////w&y=KfMyY+H//////////////w&z=7qjLiUA&ow=0.56619&ox=-0.0202717&oy=0.249523&oz=-0.785338&track=Sol:Earth:ISS:ESA%20Astronaut&select=Sol:Earth:ISS:ESA%20Astronaut&fov=1.04945&ts=8&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

ISS218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-18), 2, 5+14*18)
--=====================
ISS019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 2, 2+14*(gg-19), 141, 5+14*19)

ISS119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-19), 46, 5+14*19)

ISS119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")     
            celestia:select(obj)            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj) 
               celestia:settimescale(4)
            end    
        end
    end) ()

ISS219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-19), 2, 5+14*19)	
--=====================
ISS020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 2, 2+14*(gg-20), 141, 5+14*20)

ISS120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 31, 2+14*(gg-20), 46, 5+14*20)

ISS120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("") 
            celestia:select(obj)            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2018, 05, 21, 00, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj) 
               celestia:settimescale(1) 
            end     
        end
    end) ()

ISS220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(ISSFrame, 126, 2+14*(gg-20), 2, 5+14*20)
--=====================
ISS121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Mission to ISS 'Space Shuttle':"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-21), 2, 5+14*21)
--=====================
ISS122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  88 - 04-12-98"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-22), 86, 5+14*22)

ISS122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 2/STS 88")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%202:STS%2088/1998-12-04T11:59:41.38344?x=vvGKgxA&y=C169Igk&z=KP1u1Rk&ow=0.628698&ox=0.302961&oy=-0.0668853&oz=0.713078&track=Sol:Earth:ISS%202:STS%2088&select=Sol:Earth:ISS%202:STS%2088&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("116 - 11-12-06"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-22), 2, 5+14*22)

ISS222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 116")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20116/2006-12-11T11:59:41.71726?x=4BGBkQ0&y=7fZlPRM&z=jQX2vhk&ow=-0.748307&ox=-0.361847&oy=-0.00894043&oz=-0.555899&track=Sol:Earth:ISS%2012:STS%20116&select=Sol:Earth:ISS%2012:STS%20116&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
	    	end 
        end
    end) ()
-- =====================
ISS123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  96 - 29-05-99"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-23), 86, 5+14*23)

ISS123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 2/STS 96")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%202:STS%2096/1999-05-29T11:59:43.05207?x=zW4+rw8&y=Nnkt/Ao&z=f5hu1Rk&ow=0.683129&ox=0.307794&oy=-0.0598249&oz=0.659559&track=Sol:Earth:ISS%202:STS%2096&select=Sol:Earth:ISS%202:STS%2096&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
------------------------------------------
ISS223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("117 - 10-06-07"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-23), 2, 5+14*23)

ISS223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 117")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20117/2007-06-10T11:59:43.64583?x=g4mNqQ0&y=Sio55BI&z=+d47vxk&ow=0.746334&ox=0.359624&oy=0.00632991&oz=0.560014&track=Sol:Earth:ISS%2012:STS%20117&select=Sol:Earth:ISS%2012:STS%20117&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("101 - 20-05-00"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-24), 86, 5+14*24)

ISS124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 2/STS 101")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%202:STS%20101/2000-05-20T11:59:40.91875?x=DwgJ2g8&y=dHn/Ygo&z=X5Vu1Rk&ow=0.674679&ox=0.30441&oy=-0.0646755&oz=0.669299&track=Sol:Earth:ISS%202:STS%20101&select=Sol:Earth:ISS%202:STS%20101&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
               celestia:settimescale(4) 
            end 
        end
    end) ()
-----------------------------------------
ISS224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("118 - 10-08-07"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-24), 2, 5+14*24)

ISS224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 118")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20118/2007-08-10T11:59:43.59003?x=bNuAiw4&y=UYbDWRI&z=9JN4whk&ow=0.721332&ox=0.360528&oy=0.00593446&oz=0.591325&track=Sol:Earth:ISS%2012:STS%20118&select=Sol:Earth:ISS%2012:STS%20118&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("106 - 10-09-00"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-25), 86, 5+14*25)

ISS125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 3/STS 106")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%203:STS%20106/2000-09-10T11:59:41.44955?x=IsLpLg0&y=4b2xyxE&z=d6Bu1Rk&ow=0.762747&ox=0.346937&oy=-0.00574489&oz=0.545727&track=Sol:Earth:ISS%203:STS%20106&select=Sol:Earth:ISS%203:STS%20106&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("120 - 22-10-07"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-25), 2, 5+14*25)

ISS225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 120")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20120/2007-10-22T11:59:43.02946?x=aOCBkQ0&y=5pVlPRM&z=wRv2vhk&ow=0.748459&ox=0.361849&oy=0.00884169&oz=0.555695&track=Sol:Earth:ISS%2012:STS%20120&select=Sol:Earth:ISS%2012:STS%20120&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  92 - 11-10-00"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-26), 86, 5+14*26)

ISS126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 4/STS 92")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%204:STS%2092/2000-10-11T11:59:39.18281?x=u3a4/Q0&y=O6gbMRE&z=DZZu1Rk&ow=0.74197&ox=0.347071&oy=-0.00869851&oz=0.573538&track=Sol:Earth:ISS%204:STS%2092&select=Sol:Earth:ISS%204:STS%2092&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("122 - 09-02-08"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-26), 2, 5+14*26)

ISS226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 122")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20122/2008-02-09T11:59:41.40533?x=SG+NqQ0&y=/9U55BI&z=gVM7vxk&ow=0.746487&ox=0.359626&oy=0.00623197&oz=0.55981&track=Sol:Earth:ISS%2012:STS%20122&select=Sol:Earth:ISS%2012:STS%20122&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  97 - 30-11-00"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-27), 86, 5+14*27)

ISS127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 6/STS 97")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%206:STS%2097/2000-11-30T11:59:45.31700?x=FTc1uAw&y=xa9uIQE&z=jNHvkBs&ow=0.839546&ox=0.12588&oy=-0.174552&oz=0.498847&track=Sol:Earth:ISS%206:STS%2097&select=Sol:Earth:ISS%206:STS%2097&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("123 - 13-03-08"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-27), 2, 5+14*27)

ISS227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 123")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20123/2008-03-13T11:59:41.85795?x=EHyAiw4&y=kdzDWRI&z=ai54whk&ow=0.721493&ox=0.360529&oy=0.00583628&oz=0.591128&track=Sol:Earth:ISS%2012:STS%20123&select=Sol:Earth:ISS%2012:STS%20123&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  98 - 07-02-01"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-28), 86, 5+14*28)

ISS128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 7/STS 98")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%207:STS%2098/2001-02-07T11:59:41.58545?x=rkoSGg4&y=ri5ZcBI&z=B1tu1Rk&ow=0.736616&ox=0.357879&oy=0.00319652&oz=0.573855&track=Sol:Earth:ISS%207:STS%2098&select=Sol:Earth:ISS%207:STS%2098&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("124 - 02-06-08"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-28), 2, 5+14*28)

ISS228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 124")           
            celestia:select(obj)  
            if not(empty(obj)) then
						   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20124/2008-06-02T11:59:45.17345?x=Dw+BkQ0&y=N01lPRM&z=yx72vhk&ow=0.74861&ox=0.361851&oy=0.00874311&oz=0.555491&track=Sol:Earth:ISS%2012:STS%20124&select=Sol:Earth:ISS%2012:STS%20124&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.3)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("102 - 10-03-01"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-29), 86, 5+14*29)

ISS129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 7/STS 102")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%207:STS%20102/2001-03-10T11:59:40.38574?x=EkAIGA4&y=e2w5rRI&z=7+65wBk&ow=0.735485&ox=0.360413&oy=0.00576358&oz=0.5737&track=Sol:Earth:ISS%207:STS%20102&select=Sol:Earth:ISS%207:STS%20102&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("126 - 16-11-08"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-29), 2, 5+14*29)

ISS229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 126")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20126/2008-11-16T11:59:43.68997?x=lAD3FhA&y=Rlcbcx0&z=H0l6hhc&ow=-0.652928&ox=-0.447876&oy=-0.111327&oz=-0.600582&track=Sol:Earth:ISS%2013:STS%20126&select=Sol:Earth:ISS%2013:STS%20126&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("100 - 19-04-01"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-30), 86, 5+14*30)

ISS130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 8/STS 100")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%208:STS%20100/2001-03-10T11:59:45.35900?x=dzT36Q4&y=k1bAFBI&z=yzUWxBk&ow=0.709764&ox=0.360694&oy=0.00585528&oz=0.605063&track=Sol:Earth:ISS%208:STS%20100&select=Sol:Earth:ISS%208:STS%20100&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("119 - 17-03-09"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-30), 2, 5+14*30)

ISS230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 119")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20119/2009-03-17T11:59:45.26494?x=/5AE6g0&y=LGgWXiA&z=REIedxU&ow=0.693079&ox=0.475013&oy=0.119216&oz=0.528954&track=Sol:Earth:ISS%2013:STS%20119&select=Sol:Earth:ISS%2013:STS%20119&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("104 - 12-07-01"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-31), 86, 5+14*31)

ISS131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 9/STS 104")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%209:STS%20104/2001-07-12T11:59:48.38457?x=yCcUGg4&y=ITRWcBI&z=Tr9u1Rk&ow=0.735062&ox=0.357868&oy=0.0041632&oz=0.575844&track=Sol:Earth:ISS%209:STS%20104&select=Sol:Earth:ISS%209:STS%20104&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.4)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("127 - 17-07-09"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-31), 2, 5+14*31)

ISS231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 127")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20127/2009-07-17T11:59:45.41163?x=iUX2FhA&y=cbQacx0&z=roR7hhc&ow=0.653077&ox=0.447903&oy=0.111216&oz=0.60042&track=Sol:Earth:ISS%2013:STS%20127&select=Sol:Earth:ISS%2013:STS%20127&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("105 - 12-08-01"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-32), 86, 5+14*32)

ISS132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 9/STS 105")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%209:STS%20105/2001-08-12T11:59:41.18316?x=b9QJGA4&y=nM01rRI&z=zE26wBk&ow=0.733931&ox=0.360395&oy=0.00673727&oz=0.575687&track=Sol:Earth:ISS%209:STS%20105&select=Sol:Earth:ISS%209:STS%20105&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.4)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
------------------------------------------
ISS232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("128 - 31-08-09"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-32), 2, 5+14*32)

ISS232Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 128")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20128/2009-08-31T11:59:43.72385?x=9QME6g0&y=LcwVXiA&z=F/QedxU&ow=0.69321&ox=0.475042&oy=0.119098&oz=0.528782&track=Sol:Earth:ISS%2013:STS%20128&select=Sol:Earth:ISS%2013:STS%20128&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("108 - 07-12-01"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-33), 86, 5+14*33)

ISS133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 9/STS 108")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%209:STS%20108/2001-12-07T11:59:41.51710?x=yiD56Q4&y=cry8FBI&z=GnYWxBk&ow=0.708344&ox=0.360679&oy=0.00669937&oz=0.606724&track=Sol:Earth:ISS%209:STS%20108&select=Sol:Earth:ISS%209:STS%20108&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("129 - 18-11-09"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-33), 2, 5+14*33)

ISS233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 129")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20129/2009-11-18T11:59:45.24768?x=GpBcQg4&y=BMxe5h8&z=E8zohRU&ow=0.686205&ox=0.472918&oy=0.118824&oz=0.53977&track=Sol:Earth:ISS%2013:STS%20129&select=Sol:Earth:ISS%2013:STS%20129&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("110 - 08-04-02"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-34), 86, 5+14*34)

ISS134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 10/STS 110")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2010:STS%20110/2002-04-08T11:59:42.18581?x=+JKMqQ0&y=ndY55BI&z=rc87vxk&ow=0.745974&ox=0.35962&oy=0.00656183&oz=0.560494&track=Sol:Earth:ISS%2010:STS%20110&select=Sol:Earth:ISS%2010:STS%20110&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("130 - 10.02.10"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-34), 2, 5+14*34)

ISS234Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 130")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20130/2010-02-10T11:59:42.99321?x=9Iz1FhA&y=1y0acx0&z=XbZ7hhc&ow=0.653202&ox=0.447926&oy=0.111123&oz=0.600284&track=Sol:Earth:ISS%2013:STS%20130&select=Sol:Earth:ISS%2013:STS%20130&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("111 - 07-16-02"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-35), 86, 5+14*35)

ISS135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 10/STS 111")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2010:STS%20111/2002-06-07T11:59:42.85171?x=cnGAiw4&y=Dq7EWRI&z=vUl4whk&ow=0.720951&ox=0.360524&oy=0.00616691&oz=0.591789&track=Sol:Earth:ISS%2010:STS%20111&select=Sol:Earth:ISS%2010:STS%20111&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("131 - 07-04-10"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-35), 2, 5+14*35)

ISS235Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 131")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20131/2010-04-07T11:59:45.59746?x=IMME6g0&y=+jkVXiA&z=v2wfdxU&ow=-0.693321&ox=-0.475067&oy=-0.118999&oz=-0.528637&track=Sol:Earth:ISS%2013:STS%20131&select=Sol:Earth:ISS%2013:STS%20131&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("112 - 07-10-02"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-36), 86, 5+14*36)

ISS136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 11/STS 112")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2011:STS%20112/2002-10-07T11:59:40.24903?x=eCONqQ0&y=Sh065BI&z=5pE7vxk&ow=0.746158&ox=0.359622&oy=0.00644325&oz=0.560248&track=Sol:Earth:ISS%2011:STS%20112&select=Sol:Earth:ISS%2011:STS%20112&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("132 - 16-05-10"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-36), 2, 5+14*36)

ISS236Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 132")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20132/2010-05-16T11:59:43.46668?x=XmhdQg4&y=+4Bd5h8&z=XnPqhRU&ow=0.686318&ox=0.472942&oy=0.118725&oz=0.539627&track=Sol:Earth:ISS%2013:STS%20132&select=Sol:Earth:ISS%2013:STS%20132&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("113 - 23-11-02"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-37), 86, 5+14*37)

ISS137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 113")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20113/2002-11-23T11:59:39.31796?x=CyKAiw4&y=AMzEWRI&z=/zx4whk&ow=0.721146&ox=0.360526&oy=0.00604817&oz=0.591551&track=Sol:Earth:ISS%2012:STS%20113&select=Sol:Earth:ISS%2012:STS%20113&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end 
        end
    end) ()
------------------------------------------
ISS237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("133 - 26-02-11"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-37), 2, 5+14*37)

ISS237Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 133")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20133/2011-02-26T11:59:42.78187?x=gUsE6g0&y=OyUVXiA&z=gjcfdxU&ow=0.693318&ox=0.475066&oy=0.119001&oz=0.52864&track=Sol:Earth:ISS%2013:STS%20133&select=Sol:Earth:ISS%2013:STS%20133&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("114 - 28-07-05"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-38), 86, 5+14*38)

ISS138Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 114")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20114/2005-07-28T11:59:40.65020?x=WzOBkQ0&y=nLRmPRM&z=WNv1vhk&ow=0.748284&ox=0.361846&oy=0.00895576&oz=0.55593&track=Sol:Earth:ISS%2012:STS%20114&select=Sol:Earth:ISS%2012:STS%20114&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("134 - 18-05-11"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-38), 2, 5+14*38)

ISS238Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 134")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20134/2011-05-18T11:59:40.92740?x=8XH2FhA&y=0LwZcx0&z=IKB7hhc&ow=0.653349&ox=0.447953&oy=0.111013&oz=0.600124&track=Sol:Earth:ISS%2013:STS%20134&select=Sol:Earth:ISS%2013:STS%20134&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("121 - 06-07-06"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-39), 86, 5+14*39)

ISS139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 121")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20121/2006-07-06T11:59:41.31758?x=WjOBkQ0&y=mrRmPRM&z=V9v1vhk&ow=-0.74831&ox=-0.361847&oy=-0.00893841&oz=-0.555894&track=Sol:Earth:ISS%2012:STS%20121&select=Sol:Earth:ISS%2012:STS%20121&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.3)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("135 - 10-07-11"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-39), 2, 5+14*39)

ISS239Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 135")           
            celestia:select(obj)  
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2013:STS%20135/2011-07-10T11:59:43.46989?x=jcddQg4&y=hCBe5h8&z=JMPohRU&ow=0.686466&ox=0.472975&oy=0.118596&oz=0.539439&track=Sol:Earth:ISS%2013:STS%20135&select=Sol:Earth:ISS%2013:STS%20135&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-- =====================
ISS140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("115 - 11-09-06"))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 2, 2+14*(gg-40), 86, 5+14*40)

ISS140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 115")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:ISS%2012:STS%20115/2006-09-11T11:59:40.71634?x=pACNqQ0&y=sso65BI&z=hk87vxk&ow=-0.746338&ox=-0.359624&oy=-0.00632801&oz=-0.560009&track=Sol:Earth:ISS%2012:STS%20115&select=Sol:Earth:ISS%2012:STS%20115&fov=36.4986&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.3)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
-----------------------------------------
ISS240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(ISSFrame, 86, 2+14*(gg-40), 2, 5+14*40)

ISS240Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)  
            if not(empty(obj)) then
			--[[			
			   celestia:seturl("")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(1998, 12, 4, 11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj) 
               celestia:settimescale(4) 
            end 
        end
    end) ()
--=====================
ISS141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,0.8})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(ISSFrame, 2, 2+14*(gg-41), 2, 5+14*41)
--===========================

