----------------------------------------------
-- LunaBox.lua
-- by Lygin Gennady a.k.a. Croc 03.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  LunaFrameWidth, LunaFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
LunaBox = CXBox:new()    
  --  :fillcolor(cFrameFill)
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

LunaButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Lu1"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(LunaBox,0,0,0,0) 

LunaCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(LunaBox, 20, 0, 0, 0)

LunaBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    LunaButton.Visible = GuidesVisibility -- display or undisplay Button
    LunaCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if LunaCheck.Text ==  "o" then
		LunaFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 LunaButton.Action = (function()
        return
            function()
              display_Luna= not display_Luna
                if display_Luna then                    				
                    LunaFrame.Visible = true                    
                    LunaCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    LunaFrame.Visible = false                  
                    LunaCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
------------------------------------------------------------------------------------------------------------------------------
LunaFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-LunaFrameWidth)/2, height-LunaFrameHeight-2, (width-LunaFrameWidth)/2, 2)

 LunaFrame.Customdraw = function(this)

            if Luna_firstTickDone then
            if not(LunaCloseButtonDone) then
                LunaCloseButtonDone = true
                makeCloseButton(LunaCloseButton, LunaFrame, LunaButton)
            end
            else
                Luna_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then 
                    LunaFrame:attach(screenBox, width-LunaFrameWidth-36, height-LunaFrameHeight-128-27, 36, 128+27) 
               else
                    LunaFrame:attach(screenBox, width-LunaFrameWidth-200, height-LunaFrameHeight-3, 200, 3) 
               end                  
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+40, this.tb - 14)         
            textlayout:println(_("USSR. MOON"))
end
--=================
-- Подключение команд 
--=================
Luna101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Start Date / Mission:"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=================
Luna102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mission: Flew to the Moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--=================
Luna103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 1"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-3), 120, 5+14*3)

Luna203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-01-59"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-3), 76, 5+14*3)

Luna303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Past moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-3), 2, 5+14*3)
--=================
Luna104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 2"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-4), 120, 5+14*4)

Luna204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-09-59"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-4), 76, 5+14*4)

Luna304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pennant"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-4), 2, 5+14*4)
--=================
Luna105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 3"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-5), 120, 5+14*5)
---------------------------------
Luna205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-10-59"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-5), 76, 5+14*5)

Luna305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Photo inver."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-5), 2, 5+14*5)
--=================
Luna106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mission: Soft landing"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-6), 2, 5+14*6)
--=================
Luna107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 4"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-7), 120, 5+14*7)

Luna207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-04-62"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-7), 76, 5+14*7)

Luna307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Past moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-7), 2, 5+14*7)
--=================
Luna108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 6"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-8), 120, 5+14*8)

Luna208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-06-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-8), 76, 5+14*8)

Luna308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Past moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-8), 2, 5+14*8)
--=================
Luna109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Zond 3"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-9), 120, 5+14*9)

Luna109Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Zond 3")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Zond%203/1965-08-02T09:12:18.76276?x=o+5V0P7//////////////w&y=Wgv9/P///////////////w&z=byw7ig&ow=0.840894&ox=-0.00128134&oy=0.54116&oz=-0.00634825&track=Sol:Zond%203&select=Sol:Zond%203&fov=120&ts=100000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.25)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end 
        end
    end) ()
---------------------------------
Luna209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("18-07-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-9), 76, 5+14*9)

Luna309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Clear pict."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-9), 2, 5+14*9)
--=================
Luna110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 9"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-10), 120, 5+14*10)

Luna110Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 9")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Moon:Luna%209/1966-02-05T10:42:53.03580?x=ry+W1AI&y=qxdU5Qs&z=fTvgRQc&ow=0.278855&ox=0.0459019&oy=-0.492235&oz=-0.823309&track=Sol:Earth:Moon:Luna%209&select=Sol:Earth:Moon:Luna%209&fov=7.07091&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.15)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-01-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-10), 76, 5+14*10)

Luna310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Soft landing"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-10), 2, 5+14*10)
--=================
Luna111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Devices in orbit and on surface:"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-11), 2, 5+14*11)
--=================
Luna112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 10"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-12), 120, 5+14*12)

Luna212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-03-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-12), 76, 5+14*12)

Luna312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("until 29.05.66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-12), 2, 5+14*12)
--=================
Luna113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 11"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-13),  120, 5+14*13)

Luna213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("24-08-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-13), 76, 5+14*13)

Luna313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("until 04.10.66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-13), 2, 5+14*13)
--=================
Luna114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 12"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-14), 120, 5+14*14)

Luna214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("22-10-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-14), 76, 5+14*14)

Luna314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("until 12.01.67"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-14), 2, 5+14*14)
--=================
Luna115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 13"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-15), 120, 5+14*15)

Luna115Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 13")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Luna%2013/1966-12-25T12:03:18.64648?x=EIFBWg&y=9ODojv///////////////w&z=gZsMYg&ow=0.124841&ox=-0.34107&oy=0.321222&oz=-0.874587&track=Sol:Earth:Moon:Luna%2013&select=Sol:Earth:Moon:Luna%2013&fov=85.9488&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.35)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("21-12-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-15), 76, 5+14*15)

Luna315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Oc.of Storms"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-15), 2, 5+14*15)
--=================
Luna116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 14"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-16), 120, 5+14*16)

Luna216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-04-68"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-16), 76, 5+14*16)

Luna316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("78-day"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-16), 2, 5+14*16)
--=================
Luna117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 16"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-17), 120, 5+14*17)

Luna117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 16")           
            celestia:select(obj)            
            if not(empty(obj)) then 
    		   celestia:seturl("cel://Chase/Sol:Earth:Moon:Luna%2016/1970-09-23T15:03:01.27244?x=favRHAE&y=odRe/P///////////////w&z=pc7vwf///////////////w&ow=-0.00349746&ox=0.778726&oy=-0.00558171&oz=0.627329&track=Sol:Earth:Moon:Luna%2016&select=Sol:Earth:Moon:Luna%2016&fov=85.9488&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.8)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-09-70"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-17), 76, 5+14*17)

Luna317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 101 g"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-17), 2, 5+14*17)
--=================
Luna118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Place landings L-17"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-18), 76, 5+14*18)

Luna118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("crater 2")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Crater%202/1970-11-18T06:09:51.79397?x=CdcHz/v//////////////w&y=6/9X4vf//////////////w&z=7dy/L////////////////w&ow=-0.356706&ox=0.633833&oy=0.377637&oz=-0.573068&track=Sol:Earth:Moon:Crater%202&select=Sol:Earth:Moon:Crater%202&fov=85.9488&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.2)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

Luna318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sea rains."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-18), 2, 5+14*18)
--=================
Luna119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 17"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-19), 120, 5+14*19)

Luna119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 17")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Luna%2017/1970-11-18T14:09:02.12522?x=05bvDP///////////////w&y=5k27PP///////////////w&z=yTrF1f///////////////w&ow=-0.223098&ox=0.712226&oy=0.244628&oz=-0.618965&track=Sol:Earth:Moon:Luna%2017&select=Sol:Earth:Moon:Luna%2017&fov=85.9488&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.8)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("10-11-70"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-19), 76, 5+14*19)

Luna319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 1"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-19), 2, 5+14*19)
--=================
Luna120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 1"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-20), 76, 5+14*20)

Luna120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lunokhod 1")           
            celestia:select(obj)            
            if not(empty(obj)) then  
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:lunokhod%201/1970-11-18T16:42:01.22461?x=B4uqxw&y=xKAkYf///////////////w&z=hh03ow&ow=0.106955&ox=-0.409406&oy=0.25091&oz=-0.870627&track=Sol:Earth:Moon:lunokhod%201&select=Sol:Earth:Moon:lunokhod%201&fov=85.9488&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

Luna320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("301 terr. day"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-20), 2, 5+14*20)
--=================
Luna121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Landing module"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-21), 76, 5+14*21)

Luna121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lunokhod 1 Base")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:lunokhod%201%20Base/1971-10-05T11:33:59.36694?x=AhFb/A&y=gsZTW////////////////w&z=YlM4bA&ow=0.148089&ox=-0.530779&oy=0.221974&oz=-0.804407&track=Sol:Earth:Moon:lunokhod%201%20Base&select=Sol:Earth:Moon:lunokhod%201%20Base&fov=85.9488&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()

Luna321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10,540 m"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-21), 2, 5+14*21)
--=================
Luna122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 19"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-22), 120, 5+14*22)

Luna222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("28-09-71"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-22), 76, 5+14*22)

Luna322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("388 days"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-22), 2, 5+14*22)
--=================
Luna123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 20"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-23), 120, 5+14*23)

Luna123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 20")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Luna%2020/1972-02-24T09:30:44.47907?x=010Mqg&y=Mfx5hP///////////////w&z=b4emPf///////////////w&ow=-0.207084&ox=0.912907&oy=-0.0778504&oz=0.34301&track=Sol:Earth:Moon:Luna%2020&select=Sol:Earth:Moon:Luna%2020&fov=85.9488&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
----------------------------------
Luna223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("14-02-72"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-23), 76, 5+14*23)

Luna323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 55 g"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-23), 2, 5+14*23)
--=================
Luna124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Place landings L-21"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-24), 76, 5+14*24)

Luna324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sea Clarity"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-24), 2, 5+14*24)
--=================
Luna125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 21"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-25), 76, 5+14*25)

Luna225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("08-01-73"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 50+2, 2+14*(gg-25), 156-2, 5+14*25)

Luna325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 2"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-25), 2, 5+14*25)
--=================
Luna126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 2"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-26), 95, 5+14*26)

Luna326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15/1-73 9/5-73"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 65, 2+14*(gg-26), 2, 5+14*26)
--=================
Luna127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Landing module"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-27), 76, 5+14*27)

Luna327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("42 km"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-27), 2, 5+14*27)
--=================
Luna128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 22"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-28), 120, 5+14*28)

Luna228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("29-05-74"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-28), 76, 5+14*28)

Luna328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("78 days"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-28), 2, 5+14*28)
--=================
Luna129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 23"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-29), 120, 5+14*29)

Luna129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 23")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Luna%2023/1974-11-03T07:44:16.94051?x=9ff2IQU&y=g561Ef3//////////////w&z=uyWrbvz//////////////w&ow=-0.201416&ox=0.866791&oy=-0.084026&oz=0.44838&track=Sol:Earth:Moon:Luna%2023&select=Sol:Earth:Moon:Luna%2023&fov=13.9491&ts=5000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
----------------------------------
Luna229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("28-10-74"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-29), 76, 5+14*29)

Luna329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Breaking..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-29), 2, 5+14*29)
--=================
Luna130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 24"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-30), 120, 5+14*30)

Luna130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 24")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Luna%2024/1976-08-19T21:09:05.40465?x=mhZ/3A&y=yvCrBQ&z=W+hESwM&ow=-0.00586661&ox=0.127504&oy=0.00403449&oz=0.991812&track=Sol:Earth:Moon:Luna%2024&select=Sol:Earth:Moon:Luna%2024&fov=24.1816&ts=2500&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.75)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-08-76"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-30), 76, 5+14*30)

Luna330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 170 g"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-30), 2, 5+14*30)
--=================
Luna131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna-5/7/8/15/18 - bad landing"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-31), 2, 5+14*31)
---------------------------------
Luna132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-32), 120, 5+14*32)

Luna232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-32), 2, 5+14*32)
------------------------
Luna133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-33), 120, 5+14*33)

Luna233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-33), 2, 5+14*33)
------------------------
Luna134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-34), 120, 5+14*34)

Luna234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-34), 2, 5+14*34)
------------------------
Luna135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-35), 120, 5+14*35)

Luna235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-35), 2, 5+14*35)
------------------------
Luna136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-36), 120, 5+14*36)

Luna236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-36), 2, 5+14*36)
------------------------
Luna137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("The failed program:"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-37), 2, 5+14*37)
--=================
Luna138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("N1"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-38), 120, 5+14*38)

Luna138Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("N1")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:N1/1969-07-03T04:03:38.39120?x=vpp2wc///////////////w&y=uBrKX97//////////////w&z=qUaOiDk&ow=0.136527&ox=-0.347421&oy=-0.172148&oz=0.911605&track=Sol:Earth:N1&select=Sol:Earth:N1&fov=24.1816&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Carrier rocket"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-38), 2, 5+14*38)
--=================
Luna139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("L3"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-39), 120, 5+14*39)

Luna139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("L3")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://SyncOrbit/Sol:Earth:L3/1969-07-04T16:13:21.46725?x=M0JBXR0&y=yEK1Tv///////////////w&z=wuZtSPv//////////////w&ow=-0.627113&ox=-0.176997&oy=0.740239&oz=-0.165672&track=Sol:Earth:L3&select=Sol:Earth:L3&fov=24.1816&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Interplanetary complex"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-39), 2, 5+14*39)
--=================
Luna140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Soyuz 7K-LOK"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-40), 92, 5+14*40)

Luna140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz 7K-LOK")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:Soyuz%207K-LOK/1969-07-04T01:00:02.15037?x=u6dssP3//////////////w&y=YPZk3vP//////////////w&z=K+9ctv///////////////w&ow=0.0554539&ox=0.0776667&oy=0.711063&oz=-0.696622&track=Sol:Earth:Moon:Soyuz%207K-LOK&select=Sol:Earth:Moon:Soyuz%207K-LOK&fov=24.1816&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orbital complex"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 80, 2+14*(gg-40), 2, 5+14*40)
--=================
Luna141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LK"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-41), 120, 5+14*41)

Luna141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LK")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:LK/1969-07-10T17:44:54.13314?x=gQtUGv3//////////////w&y=g6fCZA&z=oMeabAM&ow=-0.0212815&ox=-0.343872&oy=0.0387953&oz=0.937973&track=Sol:Earth:Moon:LK&select=Sol:Earth:Moon:LK&fov=79.5385&ts=10000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.8)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end 
        end
    end) ()
---------------------------------
Luna241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunar ship on the Moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-41), 2, 5+14*41)
--=======================================