----------------------------------------------
-- Roc2Box.lua
-- by Lygin Gennady a.k.a. Croc 21.06.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  Roc2FrameWidth, Roc2FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Roc2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Roc2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ro2"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Roc2Box,0,0,0,0) 

Roc2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Roc2Box, 20, 0, 0, 0)

Roc2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Roc2Button.Visible = GuidesVisibility -- display or undisplay Button
    Roc2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Roc2Check.Text ==  "o" then
		Roc2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end
 
 Roc2Button.Action = (function()
        return
            function()
              display_Roc2= not display_Roc2
                if display_Roc2 then                    				
                    Roc2Frame.Visible = true                    
                    Roc2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Roc2Frame.Visible = false                  
                    Roc2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
 -----------------------------------------------------------------------------
Roc2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Roc2FrameWidth)/2, height-Roc2FrameHeight-2, (width-Roc2FrameWidth)/2, 2)

 Roc2Frame.Customdraw = function(this) 

            if Roc2_firstTickDone then
            if not(Roc2CloseButtonDone) then
                Roc2CloseButtonDone = true
                makeCloseButton(Roc2CloseButton, Roc2Frame, Roc2Button)
            end
            else
                Roc2_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then             
                    Roc2Frame:attach(screenBox, width-Roc2FrameWidth-36, height-Roc2FrameHeight-128-27, 36, 128+27) 
               else
                    Roc2Frame:attach(screenBox, width-Roc2FrameWidth-200, height-Roc2FrameHeight-3, 200, 3) 
               end                   
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_("  ROCKETS-CARRIERS-2"))

end

--===============
-- Подключение команд 
--===============
Roc2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Device / Stages / Date:"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--================
Roc2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 2, 2+14*(gg-2),  2, 5+14*2)
--===========================
Roc2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-3), 93, 5+14*3)
	
Roc2103Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2000, 08, 02, 00, 00, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj)
               celestia:settimescale(1000)  
            end
        end
    end) ()
	
Roc2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
   -- :textcolor({0.2,0.8,1,1})
    :textcolor(color2)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-3), 77, 5+14*3)

Roc2303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-3), 61, 5+14*3)

Roc2403Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-3), 45, 5+14*3)		

Roc2503Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-3), 2, 5+14*3)
--===========================	
Roc2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arian 1"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-4), 93, 5+14*4)

Roc2104Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-4), 77, 5+14*4)

Roc2304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-4), 61, 5+14*4)

Roc2404Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-4), 45, 5+14*4)	
	
Roc2504Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-12-79"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-4), 2, 5+14*4)
--===========================
Roc2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arian 4"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-5), 93, 5+14*5)

Roc2105Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ariane 4-pad")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Ariane%204-pad/1988-08-15T15:21:36.89958?x=5JRHR97//////////////w&y=JkMA5AE&z=fLBC6/v//////////////w&ow=0.524182&ox=-0.42477&oy=0.616076&oz=0.406514&track=Sol:Earth:Ariane%204-pad&select=Sol:Earth:Ariane%204-pad&fov=36.4986&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-5), 77, 5+14*5)

Roc2305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-5), 61, 5+14*5)

Roc2405Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-5), 45, 5+14*5)	
	
Roc2505Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("22-01-90"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-5), 2, 5+14*5)
--===========================
Roc2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arian 5 G"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-6), 93, 5+14*6)

Roc2106Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ariane 5G-pad")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Ariane%205G-pad/1999-12-10T15:00:21.40278?x=C2KGNfD//////////////w&y=obOldBg&z=obK5WPr//////////////w&ow=0.621732&ox=0.722089&oy=0.271862&oz=-0.13464&track=Sol:Earth:Ariane%205G-pad&select=Sol:Earth:Ariane%205G-pad&fov=36.4986&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()	

Roc2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-6), 77, 5+14*6)
	
Roc2206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ATV-004 return")           
            celestia:select(obj)            
            if not(empty(obj)) then  
			   celestia:seturl("cel://Follow/Sun:Earth:ATV-004%20return/2013-10-28T08:56:16.90047?x=YkyC+AI&y=ftzpqwE&z=6nE8nvr//////////////w&ow=0.158144&ox=-0.42168&oy=-0.862895&oz=-0.229319&select=Sun:Earth&fov=40.7014&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()	

Roc2306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-6), 61, 5+14*6)

Roc2406Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-6), 45, 5+14*6)	
	
Roc2506Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-06-96"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-6), 2, 5+14*6)
--===========================
Roc21071Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arian 6"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-7), 93+20, 5+14*7)

Roc21071Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ariane 6 A62-pad")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Ariane%206%20A62-pad/2020-07-01T16:04:56.40747?x=xRvCfPH//////////////w&y=fyWcwDo&z=OZTVFOz//////////////w&ow=0.172912&ox=0.0463426&oy=0.808808&oz=0.560164&track=Sol:Earth:Ariane%206%20A62-pad&select=Sol:Earth:Ariane%206%20A62-pad&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
    end) ()

Roc21072Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("A62"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2+45, 2+14*(gg-7), 93, 5+14*7)

Roc2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-7), 77, 5+14*7)

Roc2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-7), 61, 5+14*7)

Roc2407Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-7), 45, 5+14*7)	
	
Roc2507Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("  ~ 2021"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-7), 2, 5+14*7)
--===========================
Roc21081Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Arian 6"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-8), 93+20, 5+14*8)

Roc21081Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ariane 6 A64-pad")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Ariane%206%20A64-pad/2020-07-06T08:11:47.35828?x=ER9Q5AU&y=yhPz9SQ&z=kQurLA&ow=0.607377&ox=0.53978&oy=-0.45421&oz=-0.365273&track=Sol:Earth:Ariane%206%20A64-pad&select=Sol:Earth:Ariane%206%20A64-pad&fov=37.7767&ts=50&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
    end) ()

Roc21082Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("A64"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2+45, 2+14*(gg-8), 93, 5+14*8)

Roc2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-8), 77, 5+14*8)

Roc2308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-8), 61, 5+14*8)

Roc2408Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-8), 45, 5+14*8)	
	
Roc2508Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("  ~ 2021"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-8), 2, 5+14*8)
--================
Roc2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vega"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-9), 93, 5+14*9)

Roc2109Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-9), 77, 5+14*9)

Roc2309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-9), 61, 5+14*9)

Roc2409Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-9), 45, 5+14*9)	
	
Roc2509Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("13-02-12"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-9), 2, 5+14*9)
--================	
Roc2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-10), 93, 5+14*10)

Roc2110Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")               
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2006, 04, 28, 00, 00, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(1) 
            end
        end
    end) ()

Roc2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-10), 77, 5+14*10)

Roc2310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-10), 61, 5+14*10)

Roc2410Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-10), 45, 5+14*10)		
	
Roc2510Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-10), 2, 5+14*10)
--===============================
Roc2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-11), 93, 5+14*11)

Roc2111Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")               
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(1993, 03, 26, 02, 21, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(100) 
            end
        end
    end) ()

Roc2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-11), 77, 5+14*11)

Roc2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-11), 61, 5+14*11)

Roc2411Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-11), 45, 5+14*11)		
	
Roc2511Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-11), 2, 5+14*11)	
--========================
Roc2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-12), 93, 5+14*12)

Roc2112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2000, 11, 21, 18, 24, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()

Roc2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-12), 77, 5+14*12)

Roc2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-12), 61, 5+14*12)

Roc2412Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-12), 45, 5+14*12)		

Roc2512Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-12), 2, 5+14*12)	
--========================
Roc2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 2, 2+14*(gg-13),  2, 5+14*13)
--========================	
Roc2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CZ 2F"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-14), 93, 5+14*14)

Roc2114Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2010, 03, 04, 23, 57, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-14), 77, 5+14*14)
	
Roc2214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Tiangong 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Tiangong%201/2011-09-29T13:20:00.45012?x=Glq8TgI&y=q9SKE/z//////////////w&z=n5lHCAI&ow=-0.783079&ox=0.536845&oy=0.0891758&oz=0.301052&track=Sol:Earth:Tiangong%201&select=Sol:Earth:Tiangong%201&fov=101.997&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()	

Roc2314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-14), 61, 5+14*14)

Roc2414Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-14), 45, 5+14*14)		
	
Roc2514Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-11-99"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-14), 2, 5+14*14)
--========================	
Roc2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CZ 3B"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-15), 93, 5+14*15)

Roc2115Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-15), 77, 5+14*15)

Roc2315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-15), 61, 5+14*15)

Roc2415Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-15), 45, 5+14*15)		
	
Roc2515Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-02-96"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-15), 2, 5+14*15)	
--========================
Roc2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CZ 3C"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-16), 93, 5+14*16)

Roc2116Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-16), 77, 5+14*16)

Roc2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-16), 61, 5+14*16)

Roc2416Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-16), 45, 5+14*16)		
	
Roc2516Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-04-08"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-16), 2, 5+14*16)
--===========================
Roc2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-17), 93, 5+14*17)

Roc2117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-17), 77, 5+14*17)

Roc2317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-17), 61, 5+14*17)

Roc2417Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-17), 45, 5+14*17)	
	
Roc2517Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-17), 2, 5+14*17)
--===========================
Roc2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-18), 93, 5+14*18)
	
Roc2118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2012, 11, 20, 18, 31, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()

Roc2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-18), 77, 5+14*18)

Roc2318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-18), 61, 5+14*18)

Roc2418Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-18), 45, 5+14*18)		
	
Roc2518Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-18), 2, 5+14*18)
--===========================
Roc2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-19), 93, 5+14*19)

Roc2119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-19), 77, 5+14*19)

Roc2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-19), 61, 5+14*19)

Roc2419Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-19), 45, 5+14*19)	
	
Roc2519Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-19), 2, 5+14*19)
--===========================
Roc2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-20), 93, 5+14*20)

Roc2120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-20), 77, 5+14*20)

Roc2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-20), 61, 5+14*20)

Roc2420Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-20), 45, 5+14*20)	
	
Roc2520Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-20), 2, 5+14*20)
--===========================
Roc2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-21), 93, 5+14*21)

Roc2121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-21), 77, 5+14*21)

Roc2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-21), 61, 5+14*21)

Roc2421Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-21), 45, 5+14*21)	
	
Roc2521Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-21), 2, 5+14*21)
--===========================
Roc2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 2, 2+14*(gg-22),  2, 5+14*22)
--===========================
Roc2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("M-V"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-23), 93, 5+14*23)

Roc2123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-23), 77, 5+14*23)

Roc2323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-23), 61, 5+14*23)

Roc2423Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-23), 45, 5+14*23)	
	
Roc2523Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-02-97"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-23), 2, 5+14*23)
--===========================
Roc2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("H-II"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-24), 93, 5+14*24)

Roc2124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-24), 77, 5+14*24)

Roc2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-24), 61, 5+14*24)

Roc2424Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-24), 45, 5+14*24)	
	
Roc2524Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-02-94"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-24), 2, 5+14*24)
--===========================
Roc2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("H-IIA"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-25), 93, 5+14*25)

Roc2125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-25), 77, 5+14*25)

Roc2325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-25), 61, 5+14*25)

Roc2425Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-25), 45, 5+14*25)	
	
Roc2525Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("29-08-01"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-25), 2, 5+14*25)
--===========================
Roc2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("H-IIB"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-26), 93, 5+14*26)

Roc2126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-26), 77, 5+14*26)
	
Roc2226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("HTV-6 departure")          
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sun:Earth:HTV-6%20departure/2016-12-09T13:27:11.08818?x=uzYPLP7//////////////w&y=eCcs9f7//////////////w&z=PU7v6wo&ow=0.994206&ox=-0.0511758&oy=0.080063&oz=0.0502589&select=Sun:Earth:HTV-6%20departure&fov=37.8605&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()	
	

Roc2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-26), 61, 5+14*26)

Roc2426Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-26), 45, 5+14*26)	
	
Roc2526Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-09-09"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-26), 2, 5+14*26)
--===========================
Roc2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Epsilon 1"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-27), 93, 5+14*27)

Roc2127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Epsilon 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2+"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-27), 77, 5+14*27)

Roc2327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3"))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-27), 61, 5+14*27)

Roc2427Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-27), 45, 5+14*27)	
	
Roc2527Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-09-13"))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-27), 2, 5+14*27)
--===========================
Roc2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-28), 93, 5+14*28)

Roc2128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-28), 77, 5+14*28)

Roc2328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-28), 61, 5+14*28)

Roc2428Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-28), 45, 5+14*28)	
	
Roc2528Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-28), 2, 5+14*28)
--===========================
Roc2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-29), 93, 5+14*29)

Roc2129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-29), 77, 5+14*29)

Roc2329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-29), 61, 5+14*29)

Roc2429Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-29), 45, 5+14*29)	
	
Roc2529Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-29), 2, 5+14*29)
--===========================
Roc2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-30), 93, 5+14*30)

Roc2130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-30), 77, 5+14*30)

Roc2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-30), 61, 5+14*30)

Roc2430Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-30), 45, 5+14*30)	
	
Roc2530Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-30), 2, 5+14*30)
--===========================
Roc2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-31), 93, 5+14*31)

Roc2131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-31), 77, 5+14*31)

Roc2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-31), 61, 5+14*31)

Roc2431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-31), 45, 5+14*31)	
	
Roc2531Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-31), 2, 5+14*31)
--===========================
Roc2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-32), 93, 5+14*32)

Roc2132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-32), 77, 5+14*32)

Roc2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-32), 61, 5+14*32)

Roc2432Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-32), 45, 5+14*32)	
	
Roc2532Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-32), 2, 5+14*32)
--===========================
Roc2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-33), 93, 5+14*33)

Roc2133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-33), 77, 5+14*33)

Roc2333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-33), 61, 5+14*33)

Roc2433Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-33), 45, 5+14*33)	
	
Roc2533Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-33), 2, 5+14*33)
--===========================
Roc2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-34), 93, 5+14*34)

Roc2134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-34), 77, 5+14*34)

Roc2334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-34), 61, 5+14*34)

Roc2434Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-34), 45, 5+14*34)	
	
Roc2534Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-34), 2, 5+14*34)
--===========================
Roc2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-35), 93, 5+14*35)

Roc2135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-35), 77, 5+14*35)

Roc2335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-35), 61, 5+14*35)

Roc2435Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-35), 45, 5+14*35)	
	
Roc2535Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-35), 2, 5+14*35)
--==========================
Roc2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-36), 93, 5+14*36)

Roc2136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-36), 77, 5+14*36)

Roc2336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-36), 61, 5+14*36)

Roc2436Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-36), 45, 5+14*36)	
	
Roc2536Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-36), 2, 5+14*36)
--==========================
Roc2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-37), 93, 5+14*37)

Roc2137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-37), 77, 5+14*37)

Roc2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-37), 61, 5+14*37)

Roc2437Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-37), 45, 5+14*37)	
	
Roc2537Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-37), 2, 5+14*37)
--==========================
Roc2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-38), 93, 5+14*38)

Roc2138Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-38), 77, 5+14*38)

Roc2338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-38), 61, 5+14*38)

Roc2438Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-38), 45, 5+14*38)	
	
Roc2538Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-38), 2, 5+14*38)
--==========================
Roc2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-39), 93, 5+14*39)

Roc2139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-39), 77, 5+14*39)

Roc2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-39), 61, 5+14*39)

Roc2439Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-39), 45, 5+14*39)	
	
Roc2539Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-39), 2, 5+14*39)
--==========================
Roc2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-40), 93, 5+14*40)

Roc2140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-40), 77, 5+14*40)

Roc2340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-40), 61, 5+14*40)

Roc2440Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-40), 45, 5+14*40)	
	
Roc2540Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-40), 2, 5+14*40)
--==========================
Roc2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 2, 2+14*(gg-41), 93, 5+14*41)

Roc2141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then
			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
]]
               tdb_dt = celestia:utctotdb(2002, 3, 17, 09, 21, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(50)  
            end
        end
    end) ()	

Roc2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 79, 2+14*(gg-41), 77, 5+14*41)

Roc2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Roc2Frame, 95, 2+14*(gg-41), 61, 5+14*41)

Roc2441Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 111, 2+14*(gg-41), 45, 5+14*41)	
	
Roc2541Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Roc2Frame, 127, 2+14*(gg-41), 2, 5+14*41)
--==========================