----------------------------------------------
-- Sol2Box.lua
-- by Lygin Gennady a.k.a. Croc 17.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
-- Edit by Lygin Gennady a.k.a. Croc 27.04.2017, 05.05.2018, 28.07.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  Sol2FrameWidth, Sol2FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Sol2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Sol2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("So2"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Sol2Box,0,0,0,0) 

Sol2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Sol2Box, 20, 0, 0, 0)

Sol2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Sol2Button.Visible = GuidesVisibility -- display or undisplay Button
    Sol2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Sol2Check.Text ==  "o" then
		Sol2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Sol2Button.Action = (function()
        return
            function()
              display_Sol2= not display_Sol2
                if display_Sol2 then                    				
                    Sol2Frame.Visible = true                    
                    Sol2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Sol2Frame.Visible = false                  
                    Sol2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
--------------------------
Sol2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Sol2FrameWidth)/2, height-Sol2FrameHeight-2, (width-Sol2FrameWidth)/2, 2)

 Sol2Frame.Customdraw = function(this) 

            if Sol2_firstTickDone then
            if not(Sol2CloseButtonDone) then
                Sol2CloseButtonDone = true
                makeCloseButton(Sol2CloseButton, Sol2Frame, Sol2Button)
            end
            else
                Sol2_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then             
                    Sol2Frame:attach(screenBox, width-Sol2FrameWidth-36, height-Sol2FrameHeight-128-27, 36, 128+27) 
               else
                    Sol2Frame:attach(screenBox, width-Sol2FrameWidth-200, height-Sol2FrameHeight-3, 200, 3) 
               end                   
            end
          
	        textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	        textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_(" STUDY OF PLANETS-2"))
end

--===============
-- Подключение команд 
--===============
Sol2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Country / Device / Launch Date:"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--================
Sol2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Venus, Mercury"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--================
Sol2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-3), 129, 5+14*3)

Sol2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
	:textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mariner 10/Merc."))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-3), 49, 5+14*3)

Sol2203Box.Action = (function()
    return
        function()
            local obj = celestia:find("Mariner 10")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Mariner%2010/Sun:Mercury/1974-11-20T01:56:32.86877?x=985FKfZ7/////////////w&y=EFbJIf///////////////w&z=2H/VQf///////////////w&ow=0.549622&ox=0.444861&oy=0.549645&oz=-0.444865&track=Sun:Mariner%2010&select=Sun:Mercury&fov=0.00682743&ts=50000&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
			end
        end
    end) ()

Sol2303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-03-75"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-3), 2, 5+14*3)
--================
Sol2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 2, 2+14*(gg-4), 129, 5+14*4)

Sol2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 43, 2+14*(gg-4), 49, 5+14*4)

Sol2404Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol2Frame, 123, 2+14*(gg-4), 2, 5+14*4)
--================
Sol2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-5), 129, 5+14*5)
-------------------------------
Sol2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-5), 49, 5+14*5)

Sol2305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-5), 2, 5+14*5)
--================
Sol2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mercury"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-6), 2, 5+14*6)
--================
Sol2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-7), 129, 5+14*7)

Sol2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Messenger/Earth"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-7), 49, 5+14*7)

Sol2207Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("MESSENGER")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:MESSENGER/Sun:Earth/2004-08-03T16:48:21.98895?x=CDfkY13//////////////w&y=0rY4GwE&z=y24dYAQ&ow=0.24838&ox=-0.652626&oy=0.246233&oz=0.672128&track=Sun:MESSENGER&select=Sun:MESSENGER&fov=2.3845&ts=50&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
	           celestia:setambient (0.5)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)				
			end
        end
    end) ()

Sol2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-08-04"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-7), 2, 5+14*7)
--================
Sol2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Venus"))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 2, 2+14*(gg-8), 129, 5+14*8)
	
Sol2108Box.Action = (function()	
    return
        function()
            local obj = celestia:find("MESSENGER")
            celestia:select(obj)			
            if not(empty(obj)) then
   			   celestia:seturl("cel://PhaseLock/Sun:MESSENGER/Sun:Venus/2007-06-05T12:16:00.51682?x=EhsnUFn//////////////w&y=bknvlgE&z=ZcTRAAM&ow=0.275375&ox=-0.643801&oy=0.27661&oz=0.658161&track=Sun:MESSENGER&select=Sun:MESSENGER&fov=4.08793&ts=100&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	
            end		
        end
    end) ()	

Sol2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("03-08-04"))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 43, 2+14*(gg-8), 86, 5+14*8)

Sol2308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Merc."))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 86, 2+14*(gg-8), 49, 5+14*8)
	
Sol2308Box.Action = (function()	
    return
        function()
            local obj = celestia:find("MESSENGER")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:MESSENGER/Sun:Mercury/2008-01-14T12:17:22.66845?x=TmviUVn//////////////w&y=7PucbQM&z=861rbgE&ow=0.548554&ox=-0.435845&oy=0.552944&oz=0.450978&track=Sun:MESSENGER&select=Sun:MESSENGER&fov=4.17106&ts=100&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	
            end		
        end
    end) ()	
	
	Sol2408Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-02-08"))
    :movable(false)
    :active(false)
    :attach(Sol2Frame, 123, 2+14*(gg-8), 2, 5+14*8)
--================
Sol2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ES+Ja"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-9), 129, 5+14*9)

Sol2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("BepiColombo"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-9), 49, 5+14*9)
	
Sol2209Box.Action = (function()	
    return
        function()
            local obj = celestia:find("BepiColombo")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:BepiColombo/Sol:Earth/2018-10-21T00:31:29.36654?x=Zyu1IPn//////////////w&y=6M/JMg&z=gRfWPQ&ow=0.227669&ox=-0.652266&oy=0.238732&oz=0.682439&track=Sol:BepiColombo&select=Sol:BepiColombo&fov=6.68176&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	
            end		
        end
    end) ()	

Sol2309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-10-18"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-9), 2, 5+14*9)	
--================
Sol2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-10), 129, 5+14*10)

Sol2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-10), 49, 5+14*10)

Sol2310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-10), 2, 5+14*10)	
--================
Sol2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-11), 129, 5+14*11)

Sol2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-11), 49, 5+14*11)

Sol2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-11), 2, 5+14*11)
--================
Sol2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-12), 129, 5+14*12)

Sol2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-12), 49, 5+14*12)

Sol2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-12), 2, 5+14*12)	
--================
Sol2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-13), 129, 5+14*13)

Sol2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-13), 49, 5+14*13)

Sol2313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-13), 2, 5+14*13)
--================
Sol2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sol"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-14), 2, 5+14*14)
--================
Sol2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ge+US"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-15), 129, 5+14*15)

Sol2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Helios 1 +"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-15), 49, 5+14*15)

Sol2215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Helios 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Helios%201/Sun/1974-12-10T07:54:55.87843?x=7GIsVPb+/////////////w&y=2in+3Q&z=M4CDIg&ow=-0.498083&ox=0.50028&oy=-0.499466&oz=-0.502162&track=Sun:Helios%201&select=Sun:Helios%201&fov=0.806346&ts=0.03125&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.85)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()

Sol2315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-12-74"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-15), 2, 5+14*15)
--================
Sol2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ES+US"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-16), 129, 5+14*16)

Sol2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ulysses"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-16), 49, 5+14*16)

Sol2216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ulysses")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Ulysses/Sol/1995-12-08T00:01:18.13335?x=KTdHqgPz/////////////w&y=fjomk/v//////////////w&z=T5hmGg&ow=0.699356&ox=0.103546&oy=0.699473&oz=-0.104481&track=Sol:Ulysses&select=Sol:Ulysses&fov=0.527424&ts=100&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-10-90"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-16), 2, 5+14*16)
--================
Sol2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-17), 129, 5+14*17)

Sol2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("SOHO"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-17), 49, 5+14*17)

Sol2217Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("SOHO")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:SOHO/Sol/2018-07-01T12:20:31.15611?x=oi9hgVT+/////////////w&y=nCGobwE&z=hyIKHQE&ow=0.524903&ox=-0.472165&oy=0.525127&oz=0.475162&track=Sol:SOHO&select=Sol:SOHO&fov=0.766608&ts=1&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol2317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-12-95"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-17), 2, 5+14*17)
--=======================
Sol2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-18), 129, 5+14*18)

Sol2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ACRIMSAT"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-18), 49, 5+14*18)

Sol2218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ACRIMSAT")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Earth:ACRIMSAT/Sun:Earth/1999-12-20T09:00:10.03933?x=YTDij/7//////////////w&y=1B6UB////////////////w&z=U0w7Jg&ow=0.421432&ox=0.243384&oy=0.630776&oz=-0.604385&track=Sun:Earth:ACRIMSAT&select=Sun:Earth:ACRIMSAT&fov=120&ts=4&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol2318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-12-99"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-18), 2, 5+14*18)
--================
Sol2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jap"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-19), 129, 5+14*19)
-------------------------------
Sol2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hinode/Solar-B"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-19), 49, 5+14*19)
	
Sol2219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Hinode")           
            celestia:select(obj)            
            if not(empty(obj)) then
  		       celestia:seturl("cel://PhaseLock/Sol:Earth:Hinode/Sol:Earth/2006-09-23T14:02:14.04113?x=zToIe/3//////////////w&y=Uyshw////////////////w&z=+FEv0/7//////////////w&ow=0.0904904&ox=0.813948&oy=0.219237&oz=-0.530317&track=Sol:Earth:Hinode&select=Sol:Earth:Hinode&fov=75.2683&ts=10&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()	

Sol2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("23-09-06"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-19), 2, 5+14*19)
--================
Sol2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-20), 129, 5+14*20)
-------------------------------
Sol2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("IBEX"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-20), 49, 5+14*20)
	
Sol2220Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("IBEX")           
            celestia:select(obj)            
            if not(empty(obj)) then
		       celestia:seturl("cel://Follow/Sol:Earth:IBEX/2009-01-27T05:35:57.93347?x=79n+T////////////////w&y=U/fd/////////////////w&z=zFdgK////////////////w&ow=0.338874&ox=0.00392014&oy=0.940822&oz=-0.00166797&track=Sol:Earth:IBEX&select=Sol:Earth:IBEX&fov=75.2683&ts=200&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	   
           end
        end
    end) ()	

Sol2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-10-08"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-20), 2, 5+14*20)	
--================
Sol2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-21), 129, 5+14*21)

Sol2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("DSCOVR"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-21), 49, 5+14*21)

Sol2221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/DSCOVR")           
            celestia:select(obj)            
            if not(empty(obj)) then
		       celestia:seturl("cel://Chase/Sun:DSCOVR/2016-01-22T06:29:59.85747?x=nNYaxv///////////////w&y=ZAS04P///////////////w&z=R7d7Ug&ow=0.49516&ox=0.165013&oy=0.286243&oz=-0.803525&track=Sun:DSCOVR&select=Sun:DSCOVR&fov=120&ts=100&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-02-15"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-21), 2, 5+14*21)
--================
 Sol2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-22), 129, 5+14*22)

Sol2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Parker Solar Pr."))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-22), 49, 5+14*22)
	
Sol2222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Parker Solar Probe")           
            celestia:select(obj)            
            if not(empty(obj)) then
		       celestia:seturl("cel://PhaseLock/Sun:Parker%20Solar%20Probe/Sun/2019-01-03T03:36:41.08414?x=+WpuYRk&y=5Ndu8FA&z=v97lH/7//////////////w&ow=-0.108185&ox=0.105788&oy=0.707008&oz=0.690829&track=Sun:Parker%20Solar%20Probe&select=Sun:Parker%20Solar%20Probe&fov=1.06868&ts=10000&ltd=0&p=0&rf=2135443&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()	

Sol2322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-08-18"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-22), 2, 5+14*22) 
--================
Sol2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA+"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-23), 129, 5+14*23)

Sol2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("WIND"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-23), 49, 5+14*23)
	
Sol2223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/WIND")           
            celestia:select(obj)            
            if not(empty(obj)) then
		       celestia:seturl("cel://Follow/Sun:Earth:WIND/2018-08-30T02:20:57.40349?x=KRqiGP///////////////w&y=p8Z2eQ&z=wngJHAM&ow=0.957944&ox=0.105142&oy=0.11784&oz=-0.239588&track=Sun:Earth:WIND&select=Sun:Earth:WIND&fov=21.0524&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()	

Sol2323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-11-94"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-23), 2, 5+14*23)
--================
Sol2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-24), 129, 5+14*24)

Sol2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-24), 49, 5+14*24)

Sol2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-24), 2, 5+14*24)
--================	
Sol2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-25), 129, 5+14*25)

Sol2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-25), 49, 5+14*25)

Sol2325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-25), 2, 5+14*25)
--================
Sol2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-26), 129, 5+14*26)

Sol2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-26), 49, 5+14*26)

Sol2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-26), 2, 5+14*26)
--=======================
Sol2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-27), 129, 5+14*27)

Sol2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-27), 49, 5+14*27)

Sol2327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-27), 2, 5+14*27)	
--================
Sol2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Moon"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-28), 2, 5+14*28)
--================
Sol2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-29), 129, 5+14*29)

Sol2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LRO"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-29), 49, 5+14*29)

Sol2229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lro")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Moon:LRO/2009-06-28T00:36:50.99992?x=3E+CTvv//////////////w&y=GPojz/3//////////////w&z=Q0pCGQo&ow=-0.0648523&ox=0.218858&oy=0.0848802&oz=-0.969892&track=Sol:Earth:Moon:LRO&select=Sol:Earth:Moon:LRO&fov=36.4986&ts=5&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			   
            end
        end
    end) ()

Sol2329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-06-09"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-29), 2, 5+14*29)
--================
 Sol2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-30), 129, 5+14*30)

Sol2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LCROSS_Cent."))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-30), 49, 5+14*30)

Sol2230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LCROSS_Centaur")           
            celestia:select(obj)  
            if not(empty(obj)) then
 		       celestia:seturl("cel://PhaseLock/Sol:Earth:LCROSS/Sol/2009-10-09T01:59:45.?x=Cw5rZAE&y=vDfAA/7//////////////w&z=hkTHyu7//////////////w&ow=0.0294764&ox=0.35897&oy=-0.93075&oz=0.063057&track=Sol:Earth:LCROSS:LCROSS_Centaur&select=Sol:Earth:LCROSS:LCROSS_Centaur&fov=8.78169&ts=2&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)		   
		   end
        end
    end) ()

Sol2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-06-09"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-30), 2, 5+14*30) 
--================
Sol2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~2: 00"))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 2, 2+14*(gg-31), 129, 5+14*31)
	
Sol2131Box.Action = (function()	
    return
        function()
            local obj = celestia:find("LCROSS")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Earth:LCROSS/Sol/2009-10-09T02:00:04.98128?x=WfKN1Pr//////////////w&y=6DnoEu3//////////////w&z=69yuaen//////////////w&ow=-0.165757&ox=0.23509&oy=-0.912987&oz=0.289332&track=Sol:Earth:LCROSS:LCROSS_Centaur&select=Sol:Earth:LCROSS:LCROSS_Centaur&fov=40.844&ts=1&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.7)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	
            end		
        end
    end) ()	

Sol2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" undock."))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 43, 2+14*(gg-31), 86, 5+14*31)

Sol2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~3: 20"))
    :movable(false)
    :active(true)
    :attach(Sol2Frame, 86, 2+14*(gg-31), 49, 5+14*31)
	
Sol2331Box.Action = (function()	
    return
        function()
            local obj = celestia:find("LCROSS")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Earth:LCROSS/Sun/2009-10-09T02:25:21.62560?x=Dnbv4/v//////////////w&y=rvXZbPz//////////////w&z=RG23hbr//////////////w&ow=0.0803088&ox=0.319854&oy=-0.94348&oz=0.0330001&track=Sun:Earth:Moon&select=Sun:Earth:LCROSS:LCROSS_Centaur&fov=6.05754&ts=100&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               obj1 = celestia:find("LCROSS_Centaur")
               obj1:mark("red", "square", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	
            end		
        end
    end) ()	
	
	Sol2431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("impactor"))
    :movable(false)
    :active(false)
    :attach(Sol2Frame, 123, 2+14*(gg-31), 2, 5+14*31)	
--================
Sol2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-32), 129, 5+14*32)

Sol2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Yutu"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-32), 49, 5+14*32)

Sol2232Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Yutu")           
            celestia:select(obj)  
            if not(empty(obj)) then
 			   celestia:seturl("cel://Follow/Sol:Earth:Moon:Yutu/2013-12-14T14:01:08.47198?x=tJLRvf///////////////w&y=pCgn5P///////////////w&z=BxOQIw&ow=0.841221&ox=-0.270813&oy=0.452484&oz=0.119437&track=Sol:Earth:Moon:Yutu&select=Sol:Earth:Moon:Yutu&fov=120&ts=1&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.25)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны
			   obs:center(obj)
            end
        end
    end) ()

Sol2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-12-13"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-32), 2, 5+14*32)
--================
Sol2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jap"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-33), 129, 5+14*33)

Sol2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Kaguya"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-33), 49, 5+14*33)

Sol2233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Kaguya")           
            celestia:select(obj)  
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sun:Earth:Moon:Kaguya/2007-10-19T03:50:51.36732?x=aMZ6Ug&y=aSrpng&z=mHYU1g&ow=0.0638558&ox=-0.136268&oy=-0.312867&oz=-0.9378&track=Sun:Earth:Moon:Kaguya&select=Sun:Earth:Moon:Kaguya&fov=116.594&ts=10&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны
			   obs:center(obj)
            end
        end
    end) ()

Sol2333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-09-07"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-33), 2, 5+14*33)
--================
 Sol2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-34), 129, 5+14*34)

Sol2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("GRAIL-A(Ebb) +"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-34), 49, 5+14*34)

Sol2234Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("GRAIL-A(Ebb)") 
            celestia:select(obj)  
            if not(empty(obj)) then
 			   celestia:seturl("cel://PhaseLock/Sun:Earth:Moon:GRAIL-A(Ebb)/Sun:Earth:Moon/2012-01-04T01:04:05.76973?x=yEu7uP3//////////////w&y=TfriF////////////////w&z=7WHd/A&ow=0.795273&ox=-0.0522859&oy=0.55718&oz=-0.233146&track=Sun:Earth:Moon:GRAIL-A(Ebb)&select=Sun:Earth:Moon:GRAIL-A(Ebb)&fov=76.2132&ts=200&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны
			   obs:center(obj)
            end
        end
    end) ()

Sol2334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-09-11"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-34), 2, 5+14*34) 
--================
Sol2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-35), 129, 5+14*35)

Sol2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LADEE"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-35), 49, 5+14*35)
	
Sol2235Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LADEE") 
            celestia:select(obj)  
            if not(empty(obj)) then
 			   celestia:seturl("cel://PhaseLock/Sol:Earth:Moon:LADEE/Sol:Earth:Moon/2013-09-07T05:08:53.79953?x=nJJK0P///////////////w&y=RcRJVv///////////////w&z=Nv8mBg&ow=0.408489&ox=-0.22502&oy=0.657212&oz=-0.592094&track=Sol:Earth:Moon:LADEE&select=Sol:Earth:Moon:LADEE&fov=120&ts=100&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны
			   obs:center(obj)
            end
        end
    end) ()

Sol2335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-09-13"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-35), 2, 5+14*35)
--================
Sol2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-36), 129, 5+14*36)

Sol2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-36), 49, 5+14*36)
	
	Sol2336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-36), 2, 5+14*36)
--================
Sol2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-37), 129, 5+14*37)

Sol2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-37), 49, 5+14*37)
	
Sol2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-37), 2, 5+14*37)	
--================
Sol2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-38), 129, 5+14*38)

Sol2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-38), 49, 5+14*38)

Sol2338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-38), 2, 5+14*38)
--================
Sol2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-39), 129, 5+14*39)

Sol2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-39), 49, 5+14*39)

Sol2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-39), 2, 5+14*39)
--================
Sol2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-40), 129, 5+14*40)

Sol2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-40), 49, 5+14*40)

Sol2340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-40), 2, 5+14*40)
--================
Sol2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-41), 129, 5+14*41)

Sol2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 43, 2+14*(gg-41), 49, 5+14*41)

Sol2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 123, 2+14*(gg-41), 2, 5+14*41)

