----------------------------------------------
-- Sol3Box.lua
-- by Lygin Gennady a.k.a. Croc 22.10.2014, 08.08.2018 
-- Edit by Patrick Ziegler a.k.a. Gironde 07.04.2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local Sol3FrameWidth, Sol3FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Sol3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false) 
    :attach(screenBox, width, height, 0, 0)

Sol3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("So3"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Sol3Box,0,0,0,0) 

Sol3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)       
        :textcolor({1,0,0,0.8})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Sol3Box, 20, 0, 0, 0)

Sol3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Sol3Button.Visible = GuidesVisibility -- display or undisplay Button
    Sol3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Sol3Check.Text ==  "o" then
		Sol3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Sol3Button.Action = (function()
        return
            function()
              display_Sol3= not display_Sol3
                if display_Sol3 then                    				
                    Sol3Frame.Visible = true                    
                    Sol3Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Sol3Frame.Visible = false                  
                    Sol3Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
 ---------------------------------
Sol3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Sol3FrameWidth)/2, height-Sol3FrameHeight-2, (width-Sol3FrameWidth)/2, 2)

 Sol3Frame.Customdraw = function(this) 

            if Sol3_firstTickDone then
            if not(Sol3CloseButtonDone) then
                Sol3CloseButtonDone = true
                makeCloseButton(Sol3CloseButton, Sol3Frame, Sol3Button)
            end
            else
                Sol3_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height
               if height>=768  then               
                    Sol3Frame:attach(screenBox, width-Sol3FrameWidth-36, height-Sol3FrameHeight-128-27, 36, 128+27)  
               else
                    Sol3Frame:attach(screenBox, width-Sol3FrameWidth-200, height-Sol3FrameHeight-3, 200, 3)
               end                 
            end
         
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+40, this.tb - 14)         
            textlayout:println(_("      STUDY-1"))
            textlayout:setpos(this.lb+30, this.tb - 28)         
            textlayout:println(_("of Comets & Asteroids"))
end
-- =================
-- Подключение команд 
-- =================
  Sol3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Object / Country / Device / Date:"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--===================
Sol3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-3), 129, 5+14*3)

Sol3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pioneer 6"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-3), 49, 5+14*3)

Sol3203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pioneer 6")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:Pioneer%206/Sol:Earth/1965-12-29T18:01:36.36045?x=CUxChEr//////////////w&y=/RADZA&z=6pP08f///////////////w&ow=0.318222&ox=-0.631454&oy=0.318222&oz=0.631454&track=Sol:Earth&select=Sol:Pioneer%206&fov=0.904203&ts=200&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)		   
            end
        end
    end) ()  
    
Sol3303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-12-65"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-3), 2, 5+14*3)	
--============================
Sol3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-4), 129, 5+14*4)
	
Sol3104Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Kohoutek 1973 E1")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)			
 			   celestia:seturl("cel://PhaseLock/Sol/Sol:Kohoutek%201973%20E1/1973-12-28T00:00:45.29595?x=YbMPAK6At786&y=FKEke5RSN0ga&z=ylvujx+kyctc&ow=-0.190907&ox=-0.283324&oy=-0.06773&oz=-0.937387&track=Sol:Kohoutek%201973%20E1&select=Sol:Kohoutek%201973%20E1&fov=1.87225&ts=5000&ltd=0&p=0&rf=2201267&lm=4482&tsrc=0&ver=3")
               celestia:setambient (0.56)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)		   
            end
        end
    end) ()	

Sol3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Kohoutek"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-4), 49, 5+14*4)
	
Sol3304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-12-73"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-4), 2, 5+14*4)	
--=================
Sol3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-5), 129, 5+14*5)

Sol3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pioneer 7"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-5), 49, 5+14*5)

Sol3205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pioneer 7")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sun:Pioneer%207/Sun:Earth/1966-09-03T11:58:16.02515?x=s1OcdGT//////////////w&y=DZP3h////////////////w&z=Kb/i5////////////////w&ow=-0.498467&ox=-0.500024&oy=-0.500279&oz=0.501226&track=Sun:Pioneer%207&select=Sun:Pioneer%207&fov=0.895107&ts=500&ltd=0&p=0&rf=2135699&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.7)
               celestia:hide("orbits") -- все орбиты			   
               celestia:hidelabel("comets") -- кометы			   
			   obs:center(obj)		   
            end
        end
    end) () 

Sol3305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-08-66"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-5), 2, 5+14*5)
--=================
Sol3106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-6), 129, 5+14*6)
	
Sol3106Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Halley")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   obj1 = celestia:find("Pioneer 7")
               obj1:mark("red", "square", 40)
			   celestia:seturl("cel://PhaseLock/Sol:Halley/Sol:Pioneer%207/1985-11-01T08:14:12.54119?x=ZqTjMAXu/////////////w&y=lVPKEDIE&z=bRuduzbx/////////////w&ow=-0.0118289&ox=0.87191&oy=-0.22875&oz=-0.432789&track=Sol:Halley&select=Sol:Halley&fov=120&ts=2500&ltd=0&p=0&rf=2201523&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.8)
		       obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Halley"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-6), 49, 5+14*6)

	Sol3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-11-85"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-6), 2, 5+14*6)	
--=================
Sol3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-7), 129, 5+14*7)

Sol3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("I. Cometary E."))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-7), 49, 5+14*7)

Sol3207Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ICE")           
            celestia:select(obj)
            celestia:unmarkall()            
            if not(empty(obj)) then			   
	           celestia:seturl("cel://PhaseLock/Sol:Earth:ICE/Sol/2014-01-01T00:14:54.71963?x=plZwXW0&y=AcjQn////////////////w&z=xav3Ow&ow=0.509742&ox=-0.49185&oy=-0.506965&oz=-0.491156&track=Sol:Earth:ICE&select=Sol:Earth:ICE&fov=1.41234&ts=1000&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()      

Sol3307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-08-78"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-7), 2, 5+14*7)
--================
Sol3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-8), 129, 5+14*8)
	
Sol3108Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("21P")           
            celestia:select(obj)
            celestia:unmarkall()				
            if not(empty(obj)) then
			   celestia:setorbitflags{Planet = true}
			   obj:setvisible(true)			
			   obj1 = celestia:find("Earth")
               obj1:mark("green", "circle", 50)
			   obj2 = celestia:find("ICE")
               obj2:mark("red", "square", 40)			   
			   celestia:seturl("cel://PhaseLock/Sol:Giacobini-Zinner/Sol/1952-11-05T00:00:43.71817?x=m6Drakj5x/n//////////w&y=jhKlyXrPovr//////////w&z=62/MreRnKPv//////////w&ow=0.451022&ox=-0.789346&oy=0.361773&oz=0.206475&track=Sol:Giacobini-Zinner&select=Sol:Giacobini-Zinner&fov=120&ts=50000&ltd=0&p=0&rf=2201523&lm=6274&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
		       obs:center(obj)
			end
        end
    end) ()	

Sol3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Giacobini-Zinner"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-8), 49, 5+14*8)	
	
Sol3308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-11-52"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-8), 2, 5+14*8)	
--================
Sol3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-9), 129, 5+14*9)
	
Sol3109Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("21P")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:setorbitflags{Planet = true}		   
			   obj1 = celestia:find("Earth")
               obj1:mark("green", "circle", 50)
			   obj2 = celestia:find("ICE")
               obj2:mark("red", "square", 40)
			   obj3 = celestia:find("Halley")
               obj3:mark("blue", "circle", 50)			   
			   celestia:seturl("cel://PhaseLock/Sol:Halley/DEL%20Mus/1986-01-02T18:21:23.27242?x=UXecvWMgu0+V/////////w&y=HCtMlNBUsR8C&z=CYla5QmLS/T5/////////w&ow=0.395172&ox=-0.586378&oy=0.395172&oz=0.586378&track=DEL%20Mus&select=Sol:Halley&fov=14.0482&ts=100000&ltd=0&p=0&rf=2201523&lm=4482&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
		       obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Halley"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-9), 49, 5+14*9)
	
Sol3309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-01-86"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-9), 2, 5+14*9)	
--================
Sol3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("URSS+"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-10), 129, 5+14*10)

Sol3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vega-1 +"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-10), 49, 5+14*10)

Sol3210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega 1")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Vega%201/1985-02-23T22:25:49.10734?x=Smz7cwE&y=qTDvgA&z=uSLNpv7//////////////w&ow=-0.368188&ox=-0.00995914&oy=0.922278&oz=0.117222&select=Sun:Vega%201&fov=79.0843&ts=100000&ltd=0&p=0&rf=2164115&lm=2176&tsrc=0&ver=3")
			   celestia:setambient (0.2)
			   celestia:setorbitflags{Planet = false} -- орбиты планет			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			   
            end
        end
    end) ()
	
Sol3310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-12-84"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-10), 2, 5+14*10)
--================
Sol3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-11), 129, 5+14*11)	

Sol3111Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Halley")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
		       obj:setvisible(true)
			   celestia:setorbitflags{Planet = false} -- орбиты планет
			   obj1 = celestia:find("Venus")
               obj1:mark("green", "circle", 50)
			   obj3 = celestia:find("Halley")
               obj3:mark("blue", "circle", 50)			   
			   celestia:seturl("cel://Follow/Sun:`/1986-02-10T06:34:29.79219?x=496Ogt7m/////////////w&y=Mi9I2SDz/////////////w&z=islZEsnc/////////////w&ow=0.15088&ox=-0.939385&oy=0.0329916&oz=0.30611&select=Sun:`&fov=40.3999&ts=1000&ltd=0&p=0&rf=2135987&lm=4486&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
		       obs:center(obj)		   
            end
        end
    end) ()
	
Sol3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Halley"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-11), 49, 5+14*11)
	
Sol3311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-02-86"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-11), 2, 5+14*11)	
--================
Sol3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 3, 2+14*(gg-12), 129, 5+14*12)

Sol3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sakigake"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-12), 49, 5+14*12)

Sol3212Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sakigake")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Sakigake/Sol:Earth/1985-01-07T18:22:38.04840?x=8lrbf7f9/////////////w&y=B94xCA&z=4VsyXA&ow=0.251532&ox=-0.660669&oy=0.251413&oz=0.66109&track=Sol:Sakigake&select=Sol:Sakigake&fov=0.171648&ts=500&ltd=0&p=0&rf=2135955&lm=4482&tsrc=0&ver=3")
			   celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()

Sol3312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-01-85"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-12), 2, 5+14*12)
--================
Sol3113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-13), 129, 5+14*13)
	
Sol3113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Halley")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:setorbitflags{Planet = true} -- орбиты планет
			   obj:setvisible(true)
			   obj1 = celestia:find("Venus")
               obj1:mark("green", "circle", 50)
			   obj2 = celestia:find("Mercury")			   
               obj2:mark("green", "circle", 50)			   
			   obj3 = celestia:find("Halley")			   
               obj3:mark("blue", "circle", 50)
			   obj4 = celestia:find("Sakigake")
               obj4:mark("red", "square", 40)			   
			   celestia:seturl("cel://PhaseLock/Sol:Sakigake/Sol/1986-01-02T04:06:37.63750?x=zl1rX1vIkwJEYg&y=OGTTIF4f2UINYQ&z=ZctKCBjjBiW9WA&ow=0.289512&ox=-0.21069&oy=-0.430444&oz=-0.828559&track=Sol&select=Sol:Halley&fov=0.0371547&ts=50000&ltd=0&p=0&rf=2201523&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
		       obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Halley"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-13), 49, 5+14*13)
	
Sol3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-01-86"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-13), 2, 5+14*13)		
-- ================
Sol3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-14), 129, 5+14*14)

Sol3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Giotto"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-14), 49, 5+14*14)

Sol3214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Giotto")           
            celestia:select(obj)
            celestia:unmarkall()            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Giotto/Sun:Earth/1997-01-02T01:32:48.16332?x=oNQi8qdU/v///////////w&y=DzF/ywQ&z=kM0TFPz//////////////w&ow=0.563733&ox=-0.426825&oy=0.563772&oz=0.426834&track=Sun:Giotto&select=Sun:Giotto&fov=0.00709309&ts=500&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj) 
            end
        end
    end) ()

Sol3314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-07-85"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-14), 2, 5+14*14)
--================
Sol3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-15), 129, 5+14*15)
	
Sol3115Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Giotto")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:setorbitflags{Planet = true}
			   obj:setvisible(true)
			   obj3 = celestia:find("26P")			   
               obj3:mark("blue", "circle", 50)
			   obj4 = celestia:find("Giotto")
               obj4:mark("red", "square", 40)			   
			   celestia:seturl("cel://PhaseLock/Sol/Sol:Grigg-Skjellerup/1987-02-19T23:59:56.77491?x=DzZeE/zyVqpz0AQ&y=NA2dh5Yds6PMuv///////w&z=ITtw/my51sd+HQE&ow=-0.649135&ox=0.376146&oy=0.495829&oz=0.437369&track=Sol&select=Sol:Grigg-Skjellerup&fov=0.0114663&ts=100000&ltd=0&p=0&rf=2201523&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
		       obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Grigg-Skjellerup"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-15), 49, 5+14*15)
	
Sol3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-02-87"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-15), 2, 5+14*15)		
--================
Sol3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-16), 129, 5+14*16)

Sol3216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suisei/Halley"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-16), 49, 5+14*16)

Sol3216Box.Action = (function()
    return 
        function()      
            --local obj = celestia:find("Suisei")
            local obj = celestia:find("Halley")   			
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:`:Suisei/Sun/1986-03-05T22:41:14.61046?x=a7rXTg&y=vSRjZf///////////////w&z=sbsVv////////////////w&ow=-0.551614&ox=0.802367&oy=0.177121&oz=0.14338&track=Sun:`:Suisei&select=Sun:`:Suisei&fov=101.389&ts=200&ltd=0&p=0&rf=2135443&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны	
			   obj3 = celestia:find("Halley")			   
               obj3:mark("blue", "circle", 50)
		       obj:setvisible(true)			   
               obs:center(obj) 
            end
        end
    end) ()	

Sol3316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-08-85"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-16), 2, 5+14*16)
--================
Sol3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-17), 129, 5+14*17)
	
Sol3117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Halley")           
            celestia:select(obj) 
            celestia:unmarkall()
			if not(empty(obj)) then	
			   celestia:setorbitflags{Planet = true}			
		       obj:setvisible(true)
			   obj1 = celestia:find("Halley")			   
               obj1:mark("blue", "circle", 50)
			   celestia:seturl("cel://PhaseLock/Sol:Halley/Sol/1985-08-18T03:09:26.86931?x=6pGmTUCuz/j//////////w&y=5lED7Rmi3f7//////////w&z=e8POwSjDevL//////////w&ow=-0.103677&ox=0.931481&oy=-0.26947&oz=-0.221316&track=Sol:Halley&select=Sol:Halley&fov=120&ts=500000&ltd=0&p=0&rf=2201011&lm=4226&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
		       obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Halley"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-17), 49, 5+14*17)
	
Sol32017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-08-85"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-17), 2, 5+14*17)
--=================
Sol3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-18), 129, 5+14*18)

Sol3218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Galileo/Moon"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-18), 49, 5+14*18)

Sol3218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Earth/Moon")           
            celestia:select(obj)
            celestia:unmarkall()            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Galileo/Sol:Earth:Moon/1989-10-19T02:08:10.66659?x=Jqx8Mif+/////////////w&y=2xZXZQI&z=3XeS9w&ow=0.31497&ox=-0.630994&oy=0.317528&oz=0.63389&track=Sol:Galileo&select=Sol:Galileo&fov=0.965197&ts=400&ltd=0&p=0&rf=2135955&lm=4482&tsrc=0&ver=3")
			   celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны	
			   obj3 = celestia:find("Gaspra")			   
               obj3:mark("blue", "circle", 50)
			   obj4 = celestia:find("Galileo")
               obj4:mark("red", "square", 40)			   
               obs:center(obj)
            end
        end
    end) ()

Sol3318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-10-89"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-18), 2, 5+14*18)
--=================	
Sol3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-19), 129, 5+14*19)
	
Sol3119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Gaspra")           
            celestia:select(obj) 
            celestia:unmarkall()
            celestia:hidelabel("comets")			
            if not(empty(obj)) then
			   celestia:setorbitflags{Planet = false} -- орбиты планет
		       obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sun:Gaspra/1991-11-07T19:37:26.36073?x=6rTnYKb3/////////////w&y=5wBwfAgX&z=hcHmWkTz/////////////w&ow=0.443004&ox=0.534007&oy=0.667393&oz=0.270501&track=Sun:Gaspra&select=Sun:Gaspra&fov=106.306&ts=200&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны	
			   obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Gaspra"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-19), 49, 5+14*19)
	
Sol3319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-11-91"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-19), 2, 5+14*19)	
--================
Sol3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-20), 129, 5+14*20)
	
Sol3120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ida")           
            celestia:select(obj) 
            celestia:unmarkall()
			celestia:hidelabel("comets")
            if not(empty(obj)) then
			   celestia:setorbitflags{Planet = false} -- орбиты планет
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sun:Ida/1993-08-01T05:01:28.71613?x=5GDCPmFQ/////////////w&y=co7PRkv3/////////////w&z=gOeM1p1A&ow=0.0298974&ox=-0.572258&oy=-0.00747725&oz=0.819494&track=Sun:Ida&select=Sun:.&fov=52.1764&ts=200&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)		   
            end
        end
    end) ()		
	
Sol3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ida"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-20), 49, 5+14*20)
	
Sol3320Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-08-93"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-20), 2, 5+14*20)
--=====================
Sol3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA+"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-21), 129, 5+14*21)

Sol3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ulysses/Upit."))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-21), 49, 5+14*21)

Sol3221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ulysses")          
            celestia:select(obj)  
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sun:Ulysses/Sun:Jupiter/1990-10-07T15:18:31.60218?x=BxgBTpbs/v///////////w&y=ailDrQc&z=TOD8NQM&ow=0.491359&ox=-0.508494&oy=0.491359&oz=0.508494&track=Sun:Jupiter&select=Sun:Ulysses&fov=0.0177408&ts=200&ltd=0&p=0&rf=2135987&lm=8582&tsrc=0&ver=3")
   			   celestia:setambient (0.7)			   
               -- celestia:setorbitflags{Moon = true} -- луны	
			   obs:center(obj)	 
            end
        end
    end) ()

Sol3321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-10-90"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-21), 2, 5+14*21)
--================
Sol3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-22), 129, 5+14*22)

Sol3122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Hyakutake")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://PhaseLock/Sol:Great%20comet%201996/Sol:Jupiter/1992-02-03T00:03:48.95973?x=R9j/723xLf///////////w&y=MQijBIA&z=O3h3dcb4/////////////w&ow=-0.0182596&ox=-0.706871&oy=-0.0182596&oz=0.706871&track=Sol:Jupiter&select=Sol:Great%20comet%201996&fov=0.0223192&ts=300&ltd=0&p=0&rf=2135995&lm=8326&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны	
			   celestia:setorbitflags{MinorMoon = true} -- малые луны
			   obs:center(obj)		   
            end
        end
    end) ()		
	
Sol3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hyakutake/Jupit."))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-22), 49, 5+14*22)
	
Sol3322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-02-93"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-22), 2, 5+14*22)	
--=====================
Sol3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-23), 129, 5+14*23)

Sol3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("New Horizons"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-23), 49, 5+14*23)

Sol3223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("New Horizons")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:New%20Horizons/Sol:Earth/2006-01-20T00:01:06.60109?x=u19uFpr//////////////w&y=mpygcw&z=UEznkg&ow=0.250685&ox=-0.661178&oy=0.250685&oz=0.661178&track=Sol:Earth&select=Sol:Earth&fov=2.03214&ts=10&ltd=0&p=0&rf=2135955&lm=4482&tsrc=0&ver=3")
			   celestia:setambient (0.5)			   
               -- celestia:setorbitflags{Moon = true} -- луны	
			   obs:center(obj)
			   celestia:setambient (0.5)			   
            end
        end
    end) ()

Sol3323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-01-96"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-23), 2, 5+14*23)
--=================	
Sol3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-24), 129, 5+14*24)

Sol3124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pluto")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Pluto-Charon:Pluto/2015-07-13T16:02:09.90365?x=avc3CrLtDQ&y=TJlEWXcL&z=AOeW4j022f///////////w&ow=0.0723314&ox=0.89463&oy=-0.412574&oz=0.155527&track=Sol:Pluto-Charon:Pluto&select=Sol:Pluto-Charon:Pluto&fov=36.4986&ts=1000&ltd=0&p=0&rf=2135955&lm=4482&tsrc=0&ver=3")
			   celestia:setambient (0.6)			   
               obs:center(obj)		   
            end
        end
    end) ()
	
Sol3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pluto"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-24), 49, 5+14*24)
	
Sol3324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-07-15"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-24), 2, 5+14*24)	
--=====================
Sol3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-25), 129, 5+14*25)

Sol3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("NEAR-Shoemak."))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-25), 49, 5+14*25)
	
Sol3225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("NEAR")           
            celestia:select(obj)  
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sun:NEAR/2018-08-01T01:57:06.58068?x=DKYaLQE&y=8Uo/0Q&z=YGSoCA&ow=-0.223996&ox=0.420075&oy=0.558332&oz=0.679432&track=Sun:NEAR&select=Sun:NEAR&fov=120&ts=100&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               celestia:setorbitflags{Moon = true} -- луны
			   celestia:setorbitflags{Planet = true} -- планеты
			   obs:center(obj)
            end
        end
    end) ()

Sol3325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-02-96"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-25), 2, 5+14*25)	
--=================	
Sol3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-26), 129, 5+14*26)
	
Sol3126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mathilde")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Mathilde/2018-08-06T19:34:34.71768?x=kFeSNwHt/////////////w&y=igC+tAE&z=WtJqBS1a&ow=0.018508&ox=0.103602&oy=0.00189182&oz=-0.994445&track=Sol:Mathilde&select=Sol:Mathilde&fov=120&ts=10000&ltd=0&p=0&rf=2135939&lm=128&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               obs:center(obj)		   
            end
        end
    end) ()
	
Sol3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mathilde"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-26), 49, 5+14*26)
	
Sol3326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-08-18"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-26), 2, 5+14*26)	
--================
Sol3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-27), 129, 5+14*27)
	
Sol3127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Eros")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Eros/2011-02-14T11:31:54.74316?x=fT1Nm5Lk/////////////w&y=8+w8PPP3/////////////w&z=fkV59z0X&ow=0.901828&ox=-0.0996882&oy=0.41788&oz=-0.0463054&track=Sol:Eros&select=Sol:Eros&fov=120&ts=200&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.75)			   
               obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Eros"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-27), 49, 5+14*27)
	
Sol3327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("14-02-01"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-27), 2, 5+14*27)
--=================
Sol3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-28), 129, 5+14*28)

Sol3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cassini/Earth"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-28), 49, 5+14*28)

Sol3228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cassini-Huygens")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Earth/1997-10-16T03:19:27.31710?x=OTSy2Eb//////////////w&y=m9yg1QM&z=baHZBA&ow=0.448167&ox=-0.537538&oy=0.459349&oz=0.54699&track=Sol:Saturn:Cassini-Huygens&select=Sol:Saturn:Cassini-Huygens&fov=4.11641&ts=400&ltd=0&p=0&rf=2097555&lm=12422&tsrc=0&ver=3")
               celestia:setambient (0.5)
	           celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)  
            end
        end
    end) ()

Sol3328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-28), 2, 5+14*28)
--=================	
Sol3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-29), 129, 5+14*29)
	
Sol3129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Masursky")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Masursky/2000-01-23T12:24:31.62638?x=E28gwUP0/////////////w&y=aaxDt9Dm/////////////w&z=coakn5L8/////////////w&ow=0.140789&ox=-0.453506&oy=-0.596275&oz=0.647277&track=Sol:Masursky&select=Sol:Masursky&fov=120&ts=200&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               obs:center(obj)		   
            end
        end
    end) ()		
	
Sol3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Masursky"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-29), 49, 5+14*29)
	
Sol3329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("23-01-00"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-29), 2, 5+14*29)
-- ================
Sol3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-30), 129, 5+14*30)

Sol3230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Deep Sp.1/Earth "))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-30), 49, 5+14*30)

Sol3230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Deep Space 1")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sun:Deep%20Space%201/Sun:Earth/2000-07-03T07:34:10.51323?x=lqgi4CSb/////////////w&y=ItyyVAI&z=70QFMw&ow=0.501965&ox=-0.497982&oy=0.502006&oz=0.498031&track=Sun:Deep%20Space%201&select=Sun:Deep%20Space%201&fov=0.0132794&ts=1000&ltd=0&p=0&rf=2097555&lm=4482&tsrc=0&ver=3")
               celestia:setambient (1.0)
               obj1 = celestia:find("Deep Space 1")
               obj1:mark("red", "square", 40)
			   obj2 = celestia:find("Borrelly")
               obj2:mark("blue", "circle", 30)
               celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)   
            end
        end
    end) ()

Sol3330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-10-98"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-30), 2, 5+14*30)
--================
Sol3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-31), 129, 5+14*31)

Sol3131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Borrelly")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Borrelly/2001-09-22T00:19:26.25616?x=i9DTVjXz/////////////w&y=VtLqj7M&z=rDxOmR///////////////w&ow=0.68233&ox=0.0216768&oy=0.730522&oz=0.0171401&track=Sol:Borrelly&select=Sol:Borrelly&fov=78.4854&ts=1000&ltd=0&p=0&rf=2097587&lm=4226&tsrc=0&ver=3")
			   celestia:setorbitflags{Planet = false} -- планеты
			   celestia:setambient (0.9)			   
               obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Borrelly"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-31), 49, 5+14*31)
	
Sol3331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("22-09-01"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-31), 2, 5+14*31)
--================
Sol3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-32), 129, 5+14*32)
	
Sol3132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Braille")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Braille/1999-09-29T16:13:21.68914?x=QJHhAzv//////////////w&y=2kv0XXE&z=AaZNV0UC&ow=0.982477&ox=0.0890593&oy=0.162455&oz=0.0203913&select=Sol:Braille&fov=120&ts=10000&ltd=0&p=0&rf=2097555&lm=130&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               obs:center(obj)		   
            end
        end
    end) ()	

Sol3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Braille"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-32), 49, 5+14*32)
	
Sol3332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("29-07-99"))
    :movable(false)  
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-32), 2, 5+14*32)	
--================
Sol3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-33), 129, 5+14*33)

Sol3233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Stardust/Earth"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-33), 49, 5+14*33)

Sol3233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Stardust")           
            celestia:select(obj)  
            celestia:unmarkall()			
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sun:Stardust/Sun:Earth/2018-07-26T22:32:10.57366?x=Dwsa1vi8/////////////w&y=SKTrvw&z=KrII/v///////////////w&ow=0.502375&ox=-0.497592&oy=0.502397&oz=0.497614&track=Sun:Stardust&select=Sun:Stardust&fov=0.00974984&ts=500&ltd=0&p=0&rf=2135219&lm=4482&tsrc=0&ver=3")
               celestia:setambient (0.5)
	           celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj) 	
            end
        end
    end) ()

Sol3333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-02-99"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-33), 2, 5+14*33)
--=================
Sol3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-34), 129, 5+14*34)
	
Sol3134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Wild 2")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Stardust/2004-01-02T00:46:41.98259?x=4ymMLQM&y=FGZ29////////////////w&z=/6dfy////////////////w&ow=0.151826&ox=-0.713027&oy=-0.15449&oz=-0.666839&track=Sol:Stardust&select=Sol:Wild%202&fov=44.7531&ts=500&ltd=0&p=0&rf=35755923&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.6  )			   
               obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Wild 2"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-34), 49, 5+14*34)
	
Sol3334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-01-04"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-34), 2, 5+14*34)
--================
Sol3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-35), 129, 5+14*35)
	
Sol3135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Annefrank")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
		       obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Annefrank/2004-07-02T06:17:05.71099?x=fx2HFh78/////////////w&y=B2TCxvj//////////////w&z=xpUkQI75/////////////w&ow=0.26776&ox=0.0116741&oy=0.963401&oz=-0.00519111&track=Sol:Annefrank&select=Sol:Annefrank&fov=120&ts=400&ltd=0&p=0&rf=2135955&lm=130&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               obs:center(obj)		   
            end
        end
    end) ()	
	
	Sol3235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Annefrank"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-35), 49, 5+14*35)
	
Sol3335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-11-02"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-35), 2, 5+14*35)	
--================
Sol3136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-36), 129, 5+14*36)

Sol3236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hayabusa"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-36), 49, 5+14*36)

Sol3236Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Hayabusa")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
               obs:follow(obj)
               obs:goto(obj) 
               celestia:settimescale(1)  
            end
        end
    end) ()

Sol3336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-05-03"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-36), 2, 5+14*36)
--=================
Sol3137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-37), 129, 5+14*37)
	
 Sol3137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Itokawa")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Itokawa/2005-09-12T05:07:18.12067?x=SLxJAqX//////////////w&y=sX5AFQQ&z=U51hp3w&ow=0.950623&ox=0.0122153&oy=0.310063&oz=0.00519694&track=Sol:Itokawa&select=Sol:Itokawa&fov=120&ts=400&ltd=0&p=0&rf=2135955&lm=130&tsrc=0&ver=3")
			   celestia:setambient (0.6  )			   
               obs:center(obj)		   
            end
        end
    end) ()	

	Sol3237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Itokawa"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-37), 49, 5+14*37)
	
Sol3337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")     
    :movetext(-3, 10)
    :text(_("12-09-05"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-37), 2, 5+14*37)
--================
Sol3138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 2, 2+14*(gg-38), 129, 5+14*38)

Sol3238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rosetta/Earth"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 43, 2+14*(gg-38), 49, 5+14*38)

Sol3238Box.Action = (function()
    return 
        function()    
            local obj = celestia:find("Rosetta")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
  			   celestia:seturl("cel://PhaseLock/Sun:Rosetta/Sun:Earth/2005-11-04T13:16:46.73039?x=OZSX1LoD/v///////////w&y=0qt5sAQ&z=kQMEQQ&ow=0.504346&ox=-0.495597&oy=0.504363&oz=0.495616&track=Sun:Rosetta&select=Sun:Rosetta&fov=0.00486489&ts=250&ltd=0&p=0&rf=2135187&lm=4482&tsrc=0&ver=3")
               celestia:setambient (1.0)
	           celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)			   
            end
        end
    end) ()

Sol3338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-03-04"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 123, 2+14*(gg-38), 2, 5+14*38)
--=================
Sol3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-39), 129, 5+14*39)
	
Sol3139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("67P")           
            celestia:select(obj) 
            celestia:unmarkall() 			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Churyumov-Gerasimenko/2016-09-30T09:01:26.42202?x=pK3Ny4j2/////////////w&y=ie/MZkQG&z=kcWRaXL9/////////////w&ow=0.585218&ox=0.175927&oy=0.760761&oz=0.218661&track=Sol:Churyumov-Gerasimenko&select=Sol:Churyumov-Gerasimenko&fov=36.4986&ts=200&ltd=0&p=0&rf=2097555&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (0.9)			   
               obs:center(obj)		   
            end
        end
    end) ()	
	
Sol3239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Churyumov-Gerasimenko"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-39), 49, 5+14*39)

Sol3339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-39), 2, 5+14*39)
--================
Sol3140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-40), 129, 5+14*40)
	
Sol3140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Steins")           
            celestia:select(obj) 
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://Follow/Sol:Steins/2008-09-05T10:08:05.45646?x=HjE5c84V&y=S44wTk79/////////////w&z=Q1qbPsoT&ow=0.913505&ox=-0.044791&oy=-0.404192&oz=0.0114727&track=Sol:Steins&select=Sol:Steins&fov=36.4986&ts=200&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               obs:center(obj)		   
            end
        end
    end) ()	
		
 Sol3240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Steins"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-40), 49, 5+14*40)
	
Sol3340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-09-08"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-40), 2, 5+14*40)	
--================
Sol3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("asteroid"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 2, 2+14*(gg-41), 129, 5+14*41)
	
Sol3141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Lutetia")           
            celestia:select(obj)
            celestia:unmarkall()			
            if not(empty(obj)) then
			   obj:setvisible(true)
			   celestia:seturl("cel://PhaseLock/Sol:Lutetia/Sol/2010-07-11T07:07:33.46942?x=eLPpCXMX/////////////w&y=k8/bgsIy&z=n7/g+Jj1/////////////w&ow=0.440399&ox=-0.446008&oy=0.56825&oz=0.533121&track=Sol:Lutetia&select=Sol:Lutetia&fov=91.1844&ts=200&ltd=0&p=0&rf=2135955&lm=4226&tsrc=0&ver=3")
			   celestia:setambient (1.0)			   
               obs:center(obj)		   
            end
        end
    end) ()
	
Sol3241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
   -- :textcolor(cbutextoff)
    :textcolor({0.55,0.38,0.22,1})	
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lutetia"))
    :movable(false)
    :active(false) 
    :attach(Sol3Frame, 43, 2+14*(gg-41), 49, 5+14*41)
	
Sol3341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-07-10"))
    :movable(false)
    :active(true) 
    :attach(Sol3Frame, 123, 2+14*(gg-41), 2, 5+14*41)	
--================

