----------------------------------------------
-- SpaceRaceBox.lua
-- by Lygin Gennady a.k.a Croc 02.07.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  SpaceRaceFrameWidth, SpaceRaceFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SpaceRaceBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

SpaceRaceButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)  
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Te1"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(SpaceRaceBox,0,0,0,0) 

SpaceRaceCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SpaceRaceBox, 20, 0, 0, 0)

SpaceRaceBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SpaceRaceButton.Visible = GuidesVisibility -- display or undisplay Button
    SpaceRaceCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if SpaceRaceCheck.Text ==  "o" then
		SpaceRaceFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 SpaceRaceButton.Action = (function()
        return
            function()
              display_SpaceRace= not display_SpaceRace
                if display_SpaceRace then                    				
                    SpaceRaceFrame.Visible = true                    
                    SpaceRaceCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    SpaceRaceFrame.Visible = false                  
                    SpaceRaceCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
------------------------------------------------------------------------------------------------------------------------------
SpaceRaceFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SpaceRaceFrameWidth)/2, height-SpaceRaceFrameHeight-2, (width-SpaceRaceFrameWidth)/2, 2)

 SpaceRaceFrame.Customdraw = function(this)  

            if SpaceRace_firstTickDone then
            if not(SpaceRaceCloseButtonDone) then
                SpaceRaceCloseButtonDone = true
                makeCloseButton(SpaceRaceCloseButton, SpaceRaceFrame, SpaceRaceButton)
            end
            else
                SpaceRace_firstTickDone = true            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then
                    SpaceRaceFrame:attach(screenBox, width-SpaceRaceFrameWidth-36, height-SpaceRaceFrameHeight-128-27, 36, 128+27)                     
               else
                    SpaceRaceFrame:attach(screenBox, width-SpaceRaceFrameWidth-200, height-SpaceRaceFrameHeight-3, 200, 3)
               end 
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+25, this.tb - 14)         
            textlayout:println(_("ROAD TO SPACE"))
end
--===============
-- Подключение команд 
--===============
SpaceRace101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Country / Cosm. machine / Date:"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
SpaceRace102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Start of the Space Age"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-2), 3, 5+14*2)
--=====================
SpaceRace003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-3), 132, 5+14*3)

SpaceRace103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Sputnik 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-3), 45, 5+14*3)

SpaceRace103Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sputnik 1")  
            celestia:select(obj)            
            if not(empty(obj)) then 	
	       celestia:seturl("cel://Follow/Sun:Earth:Sputnik%201/1957-10-04T21:02:37.98060?x=tisuAAE&y=wPoDRQ&z=lyLANA&ow=0.381299&ox=-0.451462&oy=-0.445734&oz=-0.672394&track=Sun:Earth:Sputnik%201&select=Sun:Earth:Sputnik%201&fov=115.94&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()

SpaceRace203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-10-57"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-3), 2, 5+14*3)
--=====================
SpaceRace004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-4), 132, 5+14*4)

SpaceRace104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Sputnik-2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-4), 45, 5+14*4)

SpaceRace104Box.Action = (function()
    return 
        function()      
 		    local obj = celestia:find("Sputnik 2") 
            celestia:select(obj)            
            if not(empty(obj)) then			 
               celestia:seturl("cel://Follow/Sun:Earth:Sputnik%202/1957-11-03T10:21:07.42602?x=lJyL7gQ&y=4eBKNAI&z=kPj5fP3//////////////w&ow=0.537321&ox=0.374859&oy=-0.755179&oz=0.0217399&track=Sun:Earth:Sputnik%202&select=Sun:Earth:Sputnik%202&fov=37.8605&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()
	
SpaceRace204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("03-11-57"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-4), 2, 5+14*4)
--=====================
SpaceRace005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-5), 132, 5+14*5)

SpaceRace105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Explorer-1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-5), 45, 5+14*5)

SpaceRace105Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Explorer 1")           
            celestia:select(obj)            
            if not(empty(obj)) then 
	       celestia:seturl("cel://Chase/Sol:Earth:Explorer%201/1958-02-01T03:48:19.52404?x=GGj4uP///////////////w&y=AASEgg&z=mAtDsv///////////////w&ow=0.499013&ox=0.8334&oy=0.192937&oz=-0.138589&track=Sol:Earth:Explorer%201&select=Sol:Earth:Explorer%201&fov=120&ts=0.2&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

SpaceRace205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("01-02-58"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-5), 2, 5+14*5)
--=====================
SpaceRace006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-6), 132, 5+14*6)

SpaceRace106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Sputnik-3"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-6), 45, 5+14*6)

SpaceRace106Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sputnik-3")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Sputnik-3/1958-05-15T07:20:42.17659?x=mrMOPA&y=BDZkjf///////////////w&z=F3FZEwE&ow=0.938341&ox=-0.157737&oy=-0.150308&oz=0.268408&track=Sol:Earth:Sputnik-3&select=Sol:Earth:Sputnik-3&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end      
        end
    end) ()

SpaceRace206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-05-58"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-6), 2, 5+14*6)
	--=====================
SpaceRace107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Manned space flight"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-7), 2, 5+14*7)
--=====================
SpaceRace008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-8), 132, 5+14*8)

SpaceRace108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Vostok 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-8), 45, 5+14*8)

SpaceRace108Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vostok 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Vostok%201/1961-04-12T06:10:27.24242?x=zCXTFv///////////////w&y=dTGnZgI&z=Ceubqf7//////////////w&ow=0.474754&ox=0.853812&oy=-0.0443952&oz=-0.208909&track=Sol:Earth:Vostok%201&select=Sol:Earth:Vostok%201&fov=120&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end       
        end
    end) ()

SpaceRace208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-04-61"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-8), 2, 5+14*8)
--=====================
SpaceRace009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-9), 132, 5+14*9)

SpaceRace109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Freedom-7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-9), 45, 5+14*9)

SpaceRace109Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Freedom 7") 
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Freedom%207/1961-05-05T14:38:04.34727?x=1gOkZf7//////////////w&y=TyisvQo&z=Cu0HCPX//////////////w&ow=0.379725&ox=0.905111&oy=0.18996&oz=0.0223254&track=Sol:Earth:Freedom%207&select=Sol:Earth:Freedom%207&fov=120&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

SpaceRace209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("05-05-61"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-9), 2, 5+14*9)
--=====================
SpaceRace010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-10), 132, 5+14*10)

SpaceRace110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Liberty Bell 7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-10), 45, 5+14*10)

SpaceRace110Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Sol/Earth/Liberty Bell 7")
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sun:Earth:Liberty%20Bell%207/1961-07-21T13:03:56.83334?x=O2OFtQ&y=jaZTWf///////////////w&z=0Qf3+w&ow=0.0446459&ox=0.265466&oy=-0.268465&oz=0.924912&track=Sun:Earth:Liberty%20Bell%207&select=Sun:Earth:Liberty%20Bell%207&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

SpaceRace210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("21-07-61"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-10), 2, 5+14*10)
--=====================
SpaceRace011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-11), 132, 5+14*11)

SpaceRace111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Friendship-7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-11), 45, 5+14*11)

SpaceRace111Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Friendship 7")
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Friendship%207/1962-02-20T14:48:32.15976?x=Nu6WQQE&y=eGFDo////////////////w&z=ow2b+Q&ow=0.62108&ox=0.223521&oy=-0.388746&oz=0.642787&track=Sol:Earth:Friendship%207&select=Sol:Earth:Friendship%207&fov=120&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

SpaceRace211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("20-02-62"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-11), 2, 5+14*11)
--=====================
SpaceRace012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-12), 132, 5+14*12)

SpaceRace112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Voskhod-2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-12), 45, 5+14*12)

SpaceRace112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)  
            if not(empty(obj)) then 
					--[[
			   celestia:seturl("")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
			]]
               obs:chase(obj)
               obs:goto(obj) 
               celestia:settimescale(4) 
             end 
        end
    end) ()

SpaceRace212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("18-03-65"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-12), 2, 5+14*12)
--=====================
SpaceRace013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-13), 132, 5+14*13)

SpaceRace113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Shenzhou 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-13), 45, 5+14*13)

SpaceRace113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Shenzhou 5")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sun:Earth:Shenzhou%205/2003-10-15T01:10:24.24947?x=JwXZlAM&y=xQQGwP3//////////////w&z=hKE1Tvv//////////////w&ow=0.340783&ox=-0.226551&oy=-0.905619&oz=0.111337&track=Sun:Earth:Shenzhou%205&select=Sun:Earth:Shenzhou%205&fov=85.1647&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
           end    
        end
    end) ()

SpaceRace213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-10-03"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-13), 2, 5+14*13)
-- =====================
SpaceRace114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orbital space stations / complexes"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-14), 2, 5+14*14)
-- ====================
SpaceRace015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-15), 132, 5+14*15)

SpaceRace115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Gemini 8+Agena"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-15), 45, 5+14*15)

 SpaceRace115Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Gemini 8+Agena") 
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sun:Earth:Gemini%208%2bAgena/1966-03-16T17:23:23.85561?x=khbTyAI&y=TSegpPz//////////////w&z=EIiwRPv//////////////w&ow=-0.333688&ox=0.930102&oy=0.116392&oz=-0.100075&track=Sun:Earth:Gemini%208%2bAgena:Agena&select=Sun:Earth:Gemini%208%2bAgena:Agena&fov=85.1647&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()
	
SpaceRace215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("16-03-66"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-15), 2, 5+14*15)		
--=====================
SpaceRace016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-16), 132, 5+14*16)

SpaceRace116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz-4 & 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-16), 45, 5+14*16)

 SpaceRace116Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("soyuz 4")           
            celestia:select(obj)            
            if not(empty(obj)) then  
			   celestia:seturl("cel://Chase/Sol:Earth:Soyuz%204/1969-01-15T07:04:32.50163?x=6XTS//7//////////////w&y=Hs6fmQM&z=+n4HXQQ&ow=0.926688&ox=0.315694&oy=0.143388&oz=0.145008&track=Sol:Earth:Soyuz%204&select=Sol:Earth:Soyuz%204&fov=85.1647&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.45)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end      
        end
    end) ()

SpaceRace216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("16-01-69"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-16), 2, 5+14*16)
-- ====================
SpaceRace017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-17), 132, 5+14*17)

SpaceRace117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Salyut-1+Zarya+"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-17),45, 5+14*17)

SpaceRace117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Salyut 1")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Salyut%201/1971-06-06T05:37:46.10339?x=ShMnfg&y=DnoQJA&z=wDfbvAM&ow=0.0169401&ox=-0.0651339&oy=-0.0198227&oz=-0.997536&track=Sol:Earth:Salyut%201&select=Sol:Earth:Salyut%201&fov=101.997&ts=8&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end      
        end
    end) ()
	
SpaceRace217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-06-71"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-17), 2, 5+14*17)	
--=====================
SpaceRace018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-18), 132, 5+14*18)

SpaceRace118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Skylab"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-18), 45, 5+14*18)

SpaceRace118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Skylab")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Skylab/1973-05-14T17:35:17.43238?x=cLxuswg&y=bSaXdwU&z=kTALjAU&ow=0.553652&ox=0.507353&oy=-0.0713024&oz=0.656489&track=Sol:Earth:Skylab&select=Sol:Earth:Skylab&fov=101.997&ts=16&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()

SpaceRace218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("14-05-73"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-18), 2, 5+14*18)
--=====================
SpaceRace019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA+"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-19), 132, 5+14*19)

SpaceRace119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Apollo-Soyuz-19"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-19), 45, 5+14*19)

SpaceRace119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/earth/Apollo")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Apollo/1975-07-15T18:05:26.91587?x=wUGFIg&y=671RxgI&z=OVzLcQI&ow=0.910972&ox=0.410886&oy=-0.029429&oz=-0.0209021&track=Sol:Earth:Apollo&select=Sol:Earth:Apollo&fov=101.997&ts=16&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end      
        end
    end) ()

SpaceRace219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-07-75"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-19), 2, 5+14*19)
-- ====================
SpaceRace020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-20), 132, 5+14*20)

SpaceRace120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Salyut-6+"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-20), 45, 5+14*20)

SpaceRace120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Salyut 6")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Salyut%206/1977-09-29T07:05:54.34218?x=UZ12nv///////////////w&y=d558/QQ&z=Z7bp3fr//////////////w&ow=0.370587&ox=0.921088&oy=-0.0979853&oz=-0.068272&track=Sol:Earth:Salyut%206&select=Sol:Earth:Salyut%206&fov=101.997&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()
	
SpaceRace220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("29-09-77"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-20), 2, 5+14*20)	
--=====================
SpaceRace021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-21), 132, 5+14*21)

SpaceRace121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Salyut-7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-21), 45, 5+14*21)

SpaceRace121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Salyut 7")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sun:Earth:Salyut%207/1982-04-19T20:18:12.01867?x=ByZ6KQ&y=adFYJfv//////////////w&z=WR2+9Q&ow=0.0770304&ox=-0.0843337&oy=0.629238&oz=-0.768774&track=Sun:Earth:Salyut%207&select=Sun:Earth&fov=101.997&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.7)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

SpaceRace221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-04-82"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-21), 2, 5+14*21)	
--=====================
SpaceRace022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-22), 132, 5+14*22)

SpaceRace122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Mir"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-22), 45, 5+14*22)

SpaceRace122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mir")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Mir/1986-02-20T12:12:52.29752?x=HQSjoPz//////////////w&y=FDQRrv3//////////////w&z=6pv6jw0&ow=0.314174&ox=-0.140377&oy=-0.0402754&oz=0.938065&track=Sol:Earth:Mir&select=Sol:Earth:Mir&fov=101.997&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end   
        end
    end) ()

SpaceRace222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-02-86"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-22), 2, 5+14*22)
--=====================
SpaceRace023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-23), 132, 5+14*23)

SpaceRace123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Shenzhou 8/9/10"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-23), 45, 5+14*23)

SpaceRace123Box.Action = (function()
    return 
        function()     
           local obj = celestia:find("Sol/Earth/Tiangong 1/Shenzhou 8")           
		   celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Tiangong%201:Shenzhou%208/2011-10-31T00:02:30.85776?x=NL1GiP3//////////////w&y=SsCpIvr//////////////w&z=ObcuUgE&ow=0.755307&ox=-0.622193&oy=0.10598&oz=0.17651&track=Sol:Earth:Tiangong%201:Shenzhou%208&select=Sol:Earth:Tiangong%201:Shenzhou%208&fov=101.997&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-10-11"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-23), 2, 5+14*23)
--=====================
SpaceRace024Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-24), 132, 5+14*24)

SpaceRace124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-24), 45, 5+14*24)

SpaceRace224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-24), 2, 5+14*24)
--=====================
SpaceRace125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Space Shuttles"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-25), 2, 5+14*25)
--=====================
SpaceRace026Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-26), 132, 5+14*26)

SpaceRace126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Columbia"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-26), 45, 5+14*26)

SpaceRace126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Columbia")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Columbia/1981-04-12T12:15:18.40773?x=y8y7EAE&y=FRendQs&z=xxq0rv7//////////////w&ow=-0.0615789&ox=4.7167e-005&oy=0.746237&oz=0.662826&track=Sol:Earth:Columbia&select=Sol:Earth:Columbia&fov=101.997&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.65)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end   
        end
    end) ()

SpaceRace226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("mar. 79"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-26), 2, 5+14*26)
--=====================
SpaceRace027Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-27), 132, 5+14*27)

SpaceRace127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Challenger"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-27), 45, 5+14*27)

SpaceRace127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Challenger")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Challenger/1986-01-28T17:09:20.17903?x=Zsub5O///////////////w&y=Dg12off//////////////w&z=+Lwzoww&ow=0.834135&ox=-0.339828&oy=0.314369&oz=0.299846&track=Sol:Earth:Challenger&select=Sol:Earth:Challenger&fov=101.997&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.65)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("july 82"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-27), 2, 5+14*27)
--=====================
SpaceRace028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-28), 132, 5+14*28)

SpaceRace128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Discovery"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-28), 45, 5+14*28)

SpaceRace128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Discovery")            
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Atlantis%20(STS-51J)/1985-10-03T15:26:16.64753?x=P2GGOv7//////////////w&y=6WVdGOX//////////////w&z=i6qDwfv//////////////w&ow=0.144395&ox=-0.119849&oy=0.750587&oz=-0.633566&track=Sol:Earth:Atlantis%20(STS-51J)&select=Sol:Earth:Atlantis%20(STS-51J)&fov=101.997&ts=5&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("nov. 82"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-28), 2, 5+14*28)
--=====================
SpaceRace029Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-29),132, 5+14*29)

SpaceRace129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)   
    :movetext(-2, 8)
    :text(_("Atlantis"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-29), 45, 5+14*29)

SpaceRace129Box.Action = (function()
    return 
        function()      
              local obj = celestia:find("Atlantis (STS-51J)") 
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:Endeavour%2bSpacelab/1992-09-12T00:02:54.25079?x=M9BZBw&y=naQHe/P//////////////w&z=qVV7Of7//////////////w&ow=0.0105103&ox=-0.0138376&oy=0.754993&oz=-0.655503&track=Sol:Earth:Endeavour%2bSpacelab&select=Sol:Earth:Endeavour%2bSpacelab&fov=101.997&ts=8&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end      
        end
    end) ()

SpaceRace229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("apr. 85"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-29), 2, 5+14*29)
--=====================
SpaceRace030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-30), 132, 5+14*30)

SpaceRace130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Endeavour+SL"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-30), 45, 5+14*30)

SpaceRace130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Endeavour+Spacelab")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Endeavour%2bSpacelab/1992-09-12T00:01:58.65021?x=Qu+RVQc&y=dKm2+/n//////////////w&z=sQa7V/f//////////////w&ow=0.285957&ox=0.0882061&oy=-0.91064&oz=0.284927&track=Sol:Earth:Endeavour%2bSpacelab&select=Sol:Earth:Endeavour%2bSpacelab&fov=101.997&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.65)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end      
        end
    end) ()

SpaceRace230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("apr. 85"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-30), 2, 5+14*30)
--=====================
SpaceRace131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-31), 132, 5+14*31)
	
SpaceRace131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-31), 45, 5+14*31)

SpaceRace231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-31), 2, 5+14*31)	
--==============================
SpaceRace132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,0.8})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Transport ship"))
    :movable(false)
    :active(true)  
    :attach(SpaceRaceFrame, 2, 2+14*(gg-32), 2, 5+14*32)	
--=====================
SpaceRace033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-33), 132, 5+14*33)

SpaceRace133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("TKS"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-33), 45, 5+14*33)

SpaceRace233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-12-76"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-33), 2, 5+14*33)
--==========================
SpaceRace034Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-34), 132, 5+14*34)

SpaceRace134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Progress M"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-34), 45, 5+14*34)

SpaceRace134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Progress M")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Progress%20M/2018-09-13T01:13:22.25554?x=Zok29A&y=AD+cXgM&z=8IBQOAE&ow=0.333876&ox=0.0843297&oy=-0.573063&oz=-0.743649&track=Sol:Earth:Progress%20M&select=Sol:Earth:Progress%20M&fov=101.997&ts=8&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("20-01-78"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-34), 2, 5+14*34)
--=====================
SpaceRace035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-35), 132, 5+14*35)

SpaceRace135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz TM25"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-35), 45, 5+14*35)

SpaceRace135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz TM25")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sol:Earth:Soyuz%20TM25/1997-02-10T14:12:27.18683?x=dK1GeQ&y=pxXujg&z=c4fpaQI&ow=0.0311706&ox=0.098414&oy=0.108839&oz=0.988685&track=Sol:Earth:Soyuz%20TM25&select=Sol:Earth:Soyuz%20TM25&fov=101.997&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.65)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end       
        end
    end) ()

SpaceRace235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("10-02-97"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-35), 2, 5+14*35)	
--=====================
SpaceRace036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-36), 132, 5+14*36)

SpaceRace136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz TMA2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-36), 45, 5+14*36)

SpaceRace136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz TMA2")           
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Soyuz%20TMA2/2004-02-10T14:28:09.99692?x=G9teMv///////////////w&y=tdhfOAI&z=5DXCdQ&ow=0.198308&ox=-0.0554224&oy=0.633493&oz=0.745848&track=Sol:Earth:Soyuz%20TMA2&select=Sol:Earth:Soyuz%20TMA2&fov=101.997&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-04-03"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-36), 2, 5+14*36)
--===========================
SpaceRace037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-37), 132, 5+14*37)

SpaceRace137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("ATV-004 return"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-37), 45, 5+14*37)

SpaceRace137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ATV-004 return")           
            celestia:select(obj)            
            if not(empty(obj)) then  
			   celestia:seturl("cel://Follow/Sun:Earth:ATV-004%20return/2013-10-28T08:56:16.90047?x=YkyC+AI&y=ftzpqwE&z=6nE8nvr//////////////w&ow=0.158144&ox=-0.42168&oy=-0.862895&oz=-0.229319&select=Sun:Earth&fov=40.7014&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-03-08"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-37), 2, 5+14*37)
--==========================
SpaceRace038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-38), 132, 5+14*38)

SpaceRace138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Dragon"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-38), 45, 5+14*38)

 SpaceRace138Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("")           
            celestia:select(obj)            
            if not(empty(obj)) then 

			--[[
			   celestia:seturl("")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
			]]			
               tdb_dt = celestia:utctotdb(1969, 1, 15, 7, 3, 00)
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj) 
               celestia:settimescale(4) 
            end      
        end
    end) ()

SpaceRace238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-12-10"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-38), 2, 5+14*38)	
--===========================
SpaceRace039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-39), 132, 5+14*39)

SpaceRace139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Tiangong 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-39), 45, 5+14*39)

SpaceRace139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Tiangong 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sol:Earth:Tiangong%201/2011-09-29T13:20:00.45012?x=Glq8TgI&y=q9SKE/z//////////////w&z=n5lHCAI&ow=-0.783079&ox=0.536845&oy=0.0891758&oz=0.301052&track=Sol:Earth:Tiangong%201&select=Sol:Earth:Tiangong%201&fov=101.997&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.9)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("29-09-11"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-39), 2, 5+14*39)	
--=====================
SpaceRace040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-40), 132, 5+14*40)

SpaceRace140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Cygnus-V2 cargo"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-40), 45, 5+14*40)

SpaceRace140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Cygnus-V2 cargo") 
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Chase/Sol:Earth:Cygnus-V2%20cargo/2018-05-21T00:02:39.53669?x=sbeAgf///////////////w&y=q3ao4/3//////////////w&z=6Cowo////////////////w&ow=0.628491&ox=-0.682383&oy=0.341803&oz=-0.150076&track=Sol:Earth:Cygnus-V2%20cargo&select=Sol:Earth:Cygnus-V2%20cargo&fov=101.997&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.85)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end     
        end
    end) ()

SpaceRace240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-09-13"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-40), 2, 5+14*40)
-- =========================
SpaceRace041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jap"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-41), 132, 5+14*41)

SpaceRace141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("HTV-6 departure +"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 40, 2+14*(gg-41), 45, 5+14*41)

SpaceRace141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("HTV-6 departure")          
            celestia:select(obj)            
            if not(empty(obj)) then 
			   celestia:seturl("cel://Follow/Sun:Earth:HTV-6%20departure/2016-12-09T13:27:11.08818?x=uzYPLP7//////////////w&y=eCcs9f7//////////////w&z=PU7v6wo&ow=0.994206&ox=-0.0511758&oy=0.080063&oz=0.0502589&select=Sun:Earth:HTV-6%20departure&fov=37.8605&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.56)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end    
        end
    end) ()

SpaceRace241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-12-16"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 127, 2+14*(gg-41), 2, 5+14*41)	
--=====================

