----------------------------------------------
-- Te2Box.lua
-- by Lygin Gennady a.k.a. Croc 17.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
-- Edit by Lygin Gennady a.k.a. Croc 12.08.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  Te2FrameWidth, Te2FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Te2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Te2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Te2"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Te2Box,0,0,0,0) 

Te2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Te2Box, 20, 0, 0, 0)

Te2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Te2Button.Visible = GuidesVisibility -- display or undisplay Button
    Te2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Te2Check.Text ==  "o" then
	Te2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Te2Button.Action = (function()
        return
            function()
              display_Te2= not display_Te2
                if display_Te2 then                    				
                    Te2Frame.Visible = true                    
                    Te2Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Te2Frame.Visible = false                  
                    Te2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()               
-----------------------------------------------------------------------------
Te2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Te2FrameWidth)/2, height-Te2FrameHeight-2, (width-Te2FrameWidth)/2, 2)

 Te2Frame.Customdraw = function(this) 

            if Te2_firstTickDone then
            if not(Te2CloseButtonDone) then
                Te2CloseButtonDone = true
                makeCloseButton(Te2CloseButton, Te2Frame, Te2Button)
            end
            else
                Te2_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height
               if height>=768  then             
                    Te2Frame:attach(screenBox, width-Te2FrameWidth-36, height-Te2FrameHeight-128-27, 36, 128+27) 
               else
                    Te2Frame:attach(screenBox, width-Te2FrameWidth-200, height-Te2FrameHeight-3, 200, 3) 
               end                   
            end
          
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_("    STUDY OF EARTH-1"))
         
end

--===============
-- Подключение команд 
--===============
Te2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Object / Country / Device / Date:"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--================
Te2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Earth"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--================
Te2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-3), 132, 5+14*3)

Te2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ACE"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-3), 45, 5+14*3)
	
Te2203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ACE")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Earth:ACE/2005-06-27T01:15:52.29565?x=/UBn//7//////////////w&y=fA+sh////////////////w&z=w/QcTA&ow=0.125458&ox=-0.584882&oy=-0.16801&oz=0.783547&track=Sun:Earth:ACE&select=Sun:Earth:ACE&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient(0.8)
            end
        end
    end) ()	

Te2303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-08-97"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-3), 2, 5+14*3)
--================
Te2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-4), 132, 5+14*4)

Te2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aeolus"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-4), 45, 5+14*4)
	
Te2204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Aeolus")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Earth:Aeolus/2018-08-22T05:58:21.41015?x=ZVqlNP7//////////////w&y=LRdtmf///////////////w&z=yNBohf7//////////////w&ow=0.414721&ox=0.0576926&oy=0.900031&oz=-0.120922&track=Sol:Earth:Aeolus&select=Sol:Earth:Aeolus&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:show("stars")
               celestia:setstarstyle("point")			   
               celestia:setambient(0.8)
            end
        end
    end) ()	

Te2304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("22-08-18"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-4), 2, 5+14*4)	
--================
Te2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-5),  132, 5+14*5)

Te2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("AIM"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-5), 45, 5+14*5)

Te2205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("AIM")           
            celestia:select(obj)           
            if not(empty(obj)) then 
               celestia:seturl("cel://Chase/Sol:Earth:AIM/2018-08-22T06:21:29.47227?x=rB+hUwE&y=37TMNg&z=ZbwwNQ&ow=0.145253&ox=0.650502&oy=-0.0211719&oz=0.745185&track=Sol:Earth:AIM&select=Sol:Earth:AIM&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient(0.75)
            end
        end
    end) ()

Te2305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-04-07"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-5), 2, 5+14*5)
--============================
Te2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Can"))
    :movable(false)
    :active(false)
    :attach(Te2Frame, 2, 2+14*(gg-6), 132, 5+14*6)

Te2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Alouette 1 +"))
    :movable(false)
    :active(true)
    :attach(Te2Frame, 40, 2+14*(gg-6), 46, 5+14*6)

Te2206Box.Action = (function()
    return
        function()
            local obj = celestia:find("Alouette 1")
            celestia:select(obj)
            if not(empty(obj)) then               
			   celestia:seturl("cel://Follow/Sol:Earth:Alouette%201/1962-09-29T06:18:43.94924?x=SZQD5/7//////////////w&y=zWtAOg&z=CZ77OP///////////////w&ow=0.458114&ox=0.0429471&oy=0.88493&oz=0.0720147&track=Sol:Earth:Alouette%201&select=Sol:Earth:Alouette%201&fov=50.233&ts=0.5&ltd=0&p=0&rf=2135443&lm=130&tsrc=0&ver=3")
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.75)			   
            end
        end
    end) ()

Te2306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("29-09-62"))
    :movable(false)
    :active(false)
    :attach(Te2Frame, 127, 2+14*(gg-6), 2, 5+14*6)	
--================
Te2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Amsat"))
    :movable(false)
    :active(false)
    :attach(Te2Frame, 2, 2+14*(gg-7), 132, 5+14*7)

Te2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("AMSAT-OSC. 7"))
    :movable(false)
    :active(true)
    :attach(Te2Frame, 40, 2+14*(gg-7), 46, 5+14*7)

Te2207Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Earth/AMSAT-OSCAR 7")
            celestia:select(obj)
            if not(empty(obj)) then			
			   celestia:seturl("cel://PhaseLock/Sun:Earth:AMSAT-OSCAR%207/Sun:Earth/1974-11-15T21:39:01.12373?x=B3Ez5f///////////////w&y=I4Fy/////////////////w&z=iNUa/////////////////w&ow=0.671647&ox=0.171181&oy=0.69813&oz=-0.179447&track=Sun:Earth:AMSAT-OSCAR%207&select=Sun:Earth:AMSAT-OSCAR%207&fov=120&ts=10&ltd=0&p=0&rf=2134419&lm=130&tsrc=0&ver=3")
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.5)			   
             end
        end
    end) ()

Te2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("15-11-74"))
    :movable(false)
    :active(false)
    :attach(Te2Frame, 127, 2+14*(gg-7), 2, 5+14*7)
--================
Te2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-8),  132, 5+14*8)

Te2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aqua"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-8), 45, 5+14*8)

Te2208Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Aqua")           
            celestia:select(obj)            
            if not(empty(obj)) then 
               celestia:seturl("cel://Follow/Sol:Earth:Aqua/2005-06-05T04:53:31.37746?x=H5b+0/v//////////////w&y=ikDW1gE&z=9NlNCv3//////////////w&ow=0.178966&ox=-0.612484&oy=0.630168&oz=0.442406&track=Sol:Earth:Aqua&select=Sol:Earth:Aqua&fov=120&ts=10&ltd=0&p=0&rf=2130327&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)
            end
        end
    end) ()

Te2308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-05-02"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-8), 2, 5+14*8)
--================
Te2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-9), 132, 5+14*9)

Te2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aquarius SAC-D"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-9), 45, 5+14*9)

Te2209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Aquarius")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Earth:SAC-D/2011-06-10T00:16:23.13339?x=CB4EpP///////////////w&y=QtE3WP7//////////////w&z=PWcTBAE&ow=0.079027&ox=-0.147831&oy=-0.470086&oz=0.866556&track=Sun:Earth:SAC-D&select=Sun:Earth:SAC-D&fov=120&ts=2&ltd=0&p=0&rf=2130327&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)
            end
        end
    end) ()

Te2309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-06-11"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-9), 2, 5+14*9)
--================
Te2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-10), 132, 5+14*10)

Te2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Aura (EOS CH-1)"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-10), 45, 5+14*10)
	
Te2210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Aura")           
            celestia:select(obj)           
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Earth:Aura/1992-12-27T15:42:20.18091?x=o3weK/7//////////////w&y=SRCUOv3//////////////w&z=HkWk8f///////////////w&ow=0.00352802&ox=-0.396154&oy=-0.592877&oz=0.701104&track=Sol:Earth:Aura&select=Sol:Earth:Aura&fov=120&ts=10&ltd=0&p=0&rf=2130327&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)
            end
        end
    end) ()	

Te2309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-07-04"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-10), 2, 5+14*10)
--================	
Te2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-11), 132, 5+14*11)

Te2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-11), 45, 5+14*11)

Te2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-11), 2, 5+14*11)
--================
Te2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-12), 132, 5+14*12)

Te2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("B"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-12), 45, 5+14*12)

Te2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-12), 2, 5+14*12)	
--================
Te2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-13), 132, 5+14*13)

Te2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-13), 45, 5+14*13)

Te23013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-13), 2, 5+14*13)
--================
Te2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-14), 132, 5+14*14)

Te2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Calipso"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-14), 45, 5+14*14)
	
Te2214Box.Action = (function()
    return 
        function() 
		    local obj = celestia:find("Calipso")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Earth:CALIPSO/2006-08-02T13:41:16.00003?x=IJe/6P///////////////w&y=qr8olQ&z=htjx8////////////////w&ow=0.67796&ox=0.729473&oy=0.0875847&oz=-0.0238376&track=Sun:Earth:CALIPSO&select=Sun:Earth:CALIPSO&fov=78.8042&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)  
            end
        end
    end) ()

Te2314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-04-06"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-14), 2, 5+14*14)
--================
Te2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-15), 132, 5+14*15)

Te2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Claster II +"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-15), 45, 5+14*15)
	
Te2215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cluster II-FM5(RUMBA)")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Earth:Cluster%20II-FM5(RUMBA)/Sun:Earth/2000-08-16T11:58:32.63149?x=5TRnlcX//////////////w&y=HljsPwM&z=po747/T//////////////w&ow=0.324341&ox=0.683808&oy=0.35398&oz=-0.549461&track=Sun:Earth:Cluster%20II-FM5(RUMBA)&select=Sun:Earth:Cluster%20II-FM5(RUMBA)&fov=32.7174&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)  
             end
        end
    end) () 

Te2315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-08-00"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-15), 2, 5+14*15)
--================
Te2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-16), 132, 5+14*16)

Te2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CloudSat"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-16), 45, 5+14*16)

Te2216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("CloudSat")               
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Earth:CloudSat/Sol:Earth/2006-04-28T00:04:29.16309?x=thgwQP7//////////////w&y=D90mc/7//////////////w&z=0hkibgE&ow=-0.0227708&ox=0.374242&oy=0.314598&oz=-0.872039&track=Sol:Earth:CloudSat&select=Sol:Earth:CloudSat&fov=120&ts=4&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7) 
            end
        end
    end) ()

Te2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-04-06"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-16), 2, 5+14*16)
--================	
Te2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-17), 132, 5+14*17)

Te2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("C-NoFS"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-17), 45, 5+14*17)

Te2217Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("C-NoFS")               
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Earth:C-NOFS/Sol:Earth/2008-04-17T00:15:09.12913?x=prrwZf///////////////w&y=QYE7rf///////////////w&z=uUVYCg&ow=0.593617&ox=-0.614294&oy=0.305153&oz=0.420884&track=Sol:Earth:C-NOFS&select=Sol:Earth:C-NOFS&fov=62.4535&ts=2&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)  
            end
        end
    end) ()

Te2317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-04-06"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-17), 2, 5+14*17)
--===============================
Te2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rus"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-18), 132, 5+14*18)

Te2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cosmos 2237"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-18), 45, 5+14*18)

Te2218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cosmos 2237")               
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Earth:Cosmos%202237/Sun:Earth/1993-03-26T02:42:47.45195?x=J1wqLf///////////////w&y=JxFnLP7//////////////w&z=CukeoQE&ow=0.851909&ox=-0.428009&oy=0.0366856&oz=0.299522&track=Sun:Earth:Cosmos%202237&select=Sun:Earth&fov=62.4535&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)
            end
        end
    end) ()

Te2318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("26-03-93"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-18), 2, 5+14*18)	
--================
Te2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-19), 132, 5+14*19)

Te2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-19), 45, 5+14*19)

Te23019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-19), 2, 5+14*19)
--=====================
Te2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-20), 132, 5+14*20)

Te2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("D"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-20), 45, 5+14*20)

Te2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-20), 2, 5+14*20)
--========================
Te2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-21), 132, 5+14*21)

Te2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-21), 45, 5+14*21)

Te2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-21), 2, 5+14*21)
--========================
Te2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-22), 132, 5+14*22)

Te2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Earth Observ.-1"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-22), 45, 5+14*22)

Te2222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("EO-1")          
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Earth:EO-1/2000-11-21T18:40:49.12279?x=CgFBD////////////////w&y=T29xfA&z=HlJ76/7//////////////w&ow=0.302337&ox=-0.153708&oy=0.912945&oz=0.226933&track=Sol:Earth:EO-1&select=Sol:Earth:EO-1&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7)
            end
        end
    end) ()	

Te2322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-11-00"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-22), 2, 5+14*22)	
--========================
Te2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-23), 132, 5+14*23)

Te2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Echostar 16"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-23), 45, 5+14*23)
	
Te2223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Echostar 16")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Earth:EchoStar%2016/2012-11-20T20:25:23.08678?x=C3WuQQU&y=d6Z+vgI&z=nLu8oP///////////////w&ow=0.665903&ox=0.178105&oy=-0.70682&oz=-0.158926&track=Sun:Earth:EchoStar%2016&select=Sun:Earth:EchoStar%2016&fov=92.5131&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7) 
            end
        end
    end) ()	
	
Te2323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-11-18"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-23), 2, 5+14*23)	
--========================	
Te2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-24), 132, 5+14*24)

Te2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-24), 45, 5+14*24)

Te2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-24), 2, 5+14*24)	
--========================
Te2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tai"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-25), 132, 5+14*25)

Te2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Formosat 5"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-25), 45, 5+14*25)
	
Te2225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Formosat 5")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Earth:Formosat%205/2017-08-24T19:07:36.11757?x=ETf39/7//////////////w&y=x8NiRw&z=EoGdMg&ow=0.768121&ox=0.141727&oy=0.623643&oz=0.0311957&track=Sol:Earth:Formosat%205&select=Sol:Earth:Formosat%205&fov=92.5131&ts=25&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.7) 
            end
        end
    end) ()	

Te2325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-08-17"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-25), 2, 5+14*25)
--========================
Te2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-26), 132, 5+14*26)

Te2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-26), 45, 5+14*26)

Te2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-26), 2, 5+14*26)
--========================
Te2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-27), 132, 5+14*27)

Te2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("GOES-P"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-27), 45, 5+14*27)

Te2227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("GOES-P")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Earth:GOES-P/2010-03-05T05:12:46.71132?x=A3WPKf///////////////w&y=svX/8A&z=NK2OcgE&ow=0.934276&ox=0.245039&oy=0.250676&oz=0.0651531&track=Sol:Earth:GOES-P&select=HIP%20118195&fov=120&ts=200&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.87)      
            end
        end
    end) ()	

Te2327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-03-10"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-27), 2, 5+14*27)
--========================	
Te218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-28), 132, 5+14*28)

Te2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("GPM-CORE"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-28), 45, 5+14*28)

Te2228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("GPM-CORE")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Earth:GPM-CORE/Sol:Earth/2014-02-28T09:51:24.59445?x=hCkTCP7//////////////w&y=MIsSWv///////////////w&z=I3grdQM&ow=0.403372&ox=-0.264985&oy=0.03027&oz=0.875304&track=Sol:Earth:GPM-CORE&fov=37.7031&ts=10&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.87)     
            end
        end
    end) ()	

Te2328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-03-02"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-28), 2, 5+14*28)	
--========================
Te2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-29), 132, 5+14*29)

Te2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("GRACE-1 +"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-29), 45, 5+14*29)

Te2229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("GRACE-1")           
            celestia:select(obj)           
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Earth:GRACE-1/2002-03-17T09:42:10.86195?x=P1sbEAM&y=UIjNBQE&z=5xHhif7//////////////w&ow=0.194723&ox=0.839473&oy=-0.0379552&oz=0.505893&track=Sol:Earth:GRACE-1&select=Sol:Earth:GRACE-1&fov=37.7031&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.87) 
            end
        end
    end) ()	

Te2329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-03-02"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-29), 2, 5+14*29)
--===========================
Te2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-30), 132, 5+14*30)

Te2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-30), 45, 5+14*30)

Te2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-30), 2, 5+14*30)
--===========================
Te2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-31), 132, 5+14*31)

Te2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("H"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-31), 45, 5+14*31)

Te2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-31), 2, 5+14*31)
--========================
Te2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-32), 132, 5+14*32)

Te2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-32), 45, 5+14*32)

Te2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-32), 2, 5+14*32)
--========================
Te2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-33), 132, 5+14*33)

Te2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-33), 45, 5+14*33)
	
Te2333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-33), 2, 5+14*33)	
--================
Te2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-34), 132, 5+14*34)

Te2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ICESat"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-34), 45, 5+14*34)
	
Te2234Box.Action = (function()
    return
        function()
            local obj = celestia:find("ICESat")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Earth:ICESat/2003-01-13T03:27:20.73421?x=rvhd2P7//////////////w&y=3rKDAg&z=NOlLq////////////////w&ow=0.589871&ox=-0.152217&oy=0.783927&oz=0.119751&track=Sol:Earth:ICESat&select=Sol:Earth:ICESat&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (1.0)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
     end) ()	
	
Te2334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("13-01-03"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-34), 2, 5+14*34)
--================
Te2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-35), 132, 5+14*35)

Te2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ICESat-2"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-35), 45, 5+14*35)
	
Te2235Box.Action = (function()
    return
        function()
            local obj = celestia:find("ICESat-2")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sun:Earth:ICESat-2/2018-09-15T16:36:11.67664?x=8VS8g/z//////////////w&y=aJmv5A&z=GbT7YAI&ow=0.542217&ox=0.43387&oy=0.189746&oz=-0.694086&track=Sun:Earth:ICESat-2&select=Sun:Earth:ICESat-2&fov=37.7031&ts=20&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (1.0)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
     end) ()	
	
Te2335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-09-18"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-35), 2, 5+14*35)
--================
Te2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Can"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-36), 132, 5+14*36)

Te2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ISIS 1 +"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-36), 45, 5+14*36)

Te2236Box.Action = (function()
    return
        function()
            local obj = celestia:find("ISIS 1")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:Earth:ISIS%201/Sol:Earth/1969-01-30T07:14:12.35907?x=/WfNRf7//////////////w&y=SDfUygE&z=U1CZ+f3//////////////w&ow=0.0529663&ox=0.702079&oy=-0.567996&oz=-0.426215&track=Sol:Earth:ISIS%201&select=Sol:Earth:ISIS%201&fov=63.7501&ts=0.5&ltd=0&p=0&rf=2135443&lm=130&tsrc=0&ver=3")
               celestia:setambient (0.75)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
     end) ()

Te2336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("30-01-69"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-36), 2, 5+14*36)
--================
Te2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-37), 132, 5+14*37)

Te2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-37), 45, 5+14*37)

Te2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-37), 2, 5+14*37)	
--================
Te2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("US+Fr"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-38), 132, 5+14*38)	

Te2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jason-1 +"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-38), 45, 5+14*38)
	
Te2238Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Jason-1")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Earth:Jason-1/2001-12-07T16:57:09.00561?x=/LEcJQI&y=Mp4R6Q&z=+attEw&ow=0.540204&ox=-0.217836&oy=-0.660509&oz=-0.473767&track=Sun:Earth:Jason-1&select=Sun:Earth:Jason-1&fov=63.7501&ts=1&ltd=0&p=0&rf=2135443&lm=130&tsrc=0&ver=3")			
               celestia:show("stars")
               celestia:setstarstyle("point")
               celestia:setambient (0.75) 
            end
        end
    end) ()	
	
Te2338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-12-01"))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-38), 2, 5+14*38)
--===============
Te2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-39), 132, 5+14*39)

Te2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-39), 45, 5+14*39)
	
Te2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-39), 2, 5+14*39)
--================
Te2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-40), 132, 5+14*40)

Te2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("K"))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-40), 45, 5+14*40)
	
Te2340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-40), 2, 5+14*40)
--================
Te2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 2, 2+14*(gg-41), 132, 5+14*41)

Te2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Te2Frame, 40, 2+14*(gg-41), 45, 5+14*41)

Te2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Te2Frame, 127, 2+14*(gg-41), 2, 5+14*41)
	
--=====================================	
