----------------------------------------------
-- ToutatisBox.lua
-- by Lygin Gennady a.k.a Croc 26.04.2017. 03.05.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local ToutatisFrameWidth, ToutatisFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
ToutatisBox = CXBox:new()
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

ToutatisButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("TM"))
    :movable(false)
    :visible(false)
    :active(true)
    :attach(ToutatisBox,0,0,0,0)

ToutatisCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)
        :attach(ToutatisBox, 20, 0, 0, 0)

ToutatisBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    ToutatisButton.Visible = GuidesVisibility -- display or undisplay Button
    ToutatisCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if ToutatisCheck.Text ==  "o" then
		ToutatisFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

ToutatisButton.Action = (function()
        return
            function()
              display_Toutatis= not display_Toutatis
                if display_Toutatis then                    				
                    ToutatisFrame.Visible = true                    
                    ToutatisCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    ToutatisFrame.Visible = false                  
                    ToutatisCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
------------------------------------------------------------------------------------------------------------------------------
ToutatisFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :movable(true)
    :clickable(false)
    :visible(false)
    :attach(screenBox, (width-ToutatisFrameWidth)/2, height-ToutatisFrameHeight-2, (width-ToutatisFrameWidth)/2, 2)

 ToutatisFrame.Customdraw = function(this)

            if Toutatis_firstTickDone then
            if not(ToutatisCloseButtonDone) then
                ToutatisCloseButtonDone = true
                makeCloseButton(ToutatisCloseButton, ToutatisFrame, ToutatisButton)
            end
            else
                Toutatis_firstTickDone = true
            end

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height
               if height>=768  then
                    ToutatisFrame:attach(screenBox, width-ToutatisFrameWidth-36, height-ToutatisFrameHeight-128-27, 36, 128+27)
               else
                    ToutatisFrame:attach(screenBox, width-ToutatisFrameWidth-200, height-ToutatisFrameHeight-3, 200, 3)
               end
            end

	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})
	    textlayout:setpos(this.lb+2, this.tb - 14)
            textlayout:println(_("  Toutatis missions:"))
end
--===============
-- Подключение команд
--===============
Toutatis101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("DateBeg./ Cosm. machine /DateEnd."))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
Toutatis002Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-2), 128-3, 5+14*2)

Toutatis102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-2), 49-3, 5+14*2)

Toutatis202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-2), 2, 5+14*2)
--============================
Toutatis003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("11-06-18"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-3), 128-3, 5+14*3)

Toutatis103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis 1"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-3), 49-3, 5+14*3)
	
Toutatis103Box.Action = (function()	
    return
        function()
            local obj = celestia:find("Sol/Earth/Toutatis 1")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sun:Earth:Toutatis%201/2018-06-11T21:04:23.41293?x=zTzCzg&y=n2qaEwM&z=KADvvP7//////////////w&ow=0.482796&ox=0.795061&oy=0.228626&oz=0.287258&select=Sun:Earth:Toutatis%201&fov=36.4986&ts=1000&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   --tdb_dt = celestia:utctotdb(2018, 06, 11, 12, 40, 00) 
               --celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               --obs:chase(obj)
               --obs:goto(obj); 
               --celestia:settimescale(1000);			   
            end
        end
    end) ()	

Toutatis203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-3), 2, 5+14*3)
--=====================
Toutatis004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-4), 128-3, 5+14*4)

Toutatis104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-4), 49-3, 5+14*4)

Toutatis204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-4), 2, 5+14*4)
--===========================
Toutatis005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("03-11-18"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-5), 128-3, 5+14*5)

Toutatis105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-2"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-5), 49-3, 5+14*5)
	
Toutatis105Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Toutatis-2")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sun:Toutatis-2/2018-11-03T13:26:37.18195?x=r0kReP7//////////////w&y=y0j8HQY&z=rCt9Rfn//////////////w&ow=0.359499&ox=0.929418&oy=0.031785&oz=-0.0770211&select=Sun:Toutatis-2&fov=36.4986&ts=5&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   --tdb_dt = celestia:utctotdb(2018, 11, 03, 13, 20, 00) 
               --celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               --obs:chase(obj)
               --obs:goto(obj); 
               --celestia:settimescale(10)				   
            end
        end
    end) ()	

Toutatis205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("08-02-20"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-5), 2, 5+14*5)
--===========================
Toutatis006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-6), 128-3, 5+14*6)

Toutatis106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-6), 49-3, 5+14*6)

Toutatis206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-6), 2, 5+14*6)
--===========================
Toutatis007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Mission Jupiter - Ganymede"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-7), 2, 5+14*7)
--============================
Toutatis008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("25-02-19"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-8), 128-3, 5+14*8)

Toutatis108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-3(IC)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-8), 49-3, 5+14*8)
	
Toutatis108Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Toutatis-3(IC)")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Chase/Sun:Toutatis-3(IC)/2019-02-25T09:05:53.66064?x=BdMlAfz//////////////w&y=PPoZj/7//////////////w&z=2TLbcf7//////////////w&ow=-0.423495&ox=0.692136&oy=-0.218748&oz=-0.541986&track=Sun:Earth&select=Sun:Toutatis-3(IC)&fov=59.3555&ts=100&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
			   --tdb_dt = celestia:utctotdb(2019, 02, 25, 08, 45, 04) 
               --celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               --obs:chase(obj)
               --obs:goto(obj); 
               --celestia:settimescale(10)			   
            end
        end
    end) ()	

Toutatis208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("19-05-21"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-8), 2, 5+14*8)
--============================
Toutatis009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("19-05-21"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-9), 128-3, 5+14*9)

Toutatis109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-3(JS)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-9), 49-3, 5+14*9)
	
Toutatis109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Toutatis-3(JS)")
            celestia:select(obj)
            if not(empty(obj)) then
			   -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2021, 05, 19, 20, 12, 02) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);   
            end
        end
    end) ()	
	
Toutatis209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("12-06-24"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-9), 2, 5+14*9)
-----------------------
Toutatis010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("12-06-24"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-10), 128-3, 5+14*10)

Toutatis110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-3(GS)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-10), 49-3, 5+14*10)
	
Toutatis110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Ganymede/Toutatis-3(GS)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2024, 06, 12, 04, 32, 01) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()	

Toutatis210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("12-12-24"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-10), 2, 5+14*10)
----------------------------
Toutatis011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-11), 128-3, 5+14*11)

Toutatis111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-11), 49-3, 5+14*11)

Toutatis211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-11), 2, 5+14*11)
--=====================
Toutatis012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Mission Saturn - Titan"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-12), 2, 5+14*12)
--=====================
Toutatis013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("22-03-19"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-13), 128-3, 5+14*13)

Toutatis113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-4(IC)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-13), 49-3, 5+14*13)
	
Toutatis113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Toutatis-4(IC)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2019, 03, 22, 00, 22, 50) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()	

Toutatis213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("29-09-25"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-13), 2, 5+14*13)
--=====================
Toutatis014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("29-09-25"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-14), 128-3, 5+14*14)

Toutatis114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-4(S1)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-14), 49-3, 5+14*14)
	
Toutatis114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Toutatis-4(S1)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2025, 09, 29, 11, 40, 02) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()	

Toutatis214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("05-08-26"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-14), 2, 5+14*14)	
--============================
Toutatis015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("13-02-27"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-15), 128-3, 5+14*15)

Toutatis115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-4(S2)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-15), 49-3, 5+14*15)
	
Toutatis115Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Toutatis-4(S2)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2027, 02, 13, 23, 09, 22) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()	

Toutatis215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("27-04-28"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-15), 2, 5+14*15)	
-----------------------
Toutatis016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("05-08-26"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-16), 128-3, 5+14*16)

Toutatis116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-4(TS)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-16), 49-3, 5+14*16)
	
Toutatis116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Titan/Toutatis-4(TS)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2026, 08, 05, 23, 12, 33) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()	

Toutatis216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("13-02-27"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-16), 2, 5+14*16)	
-----------------------
Toutatis017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-17), 128-3, 5+14*17)

Toutatis117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-17), 49-3, 5+14*17)

Toutatis217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-17), 2, 5+14*17)
-----------------------
Toutatis018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Mission Uranus - Oberon"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-18), 2, 5+14*18)	
-----------------------
Toutatis019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("18-06-19"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 2, 2+14*(gg-19), 128-3, 5+14*19)

Toutatis119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-5(IC)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-19), 49-3, 5+14*19)
	
Toutatis119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Toutatis-5(IC)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2019, 06, 18, 11, 25, 02) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()		
	
Toutatis219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("15-11-30"))
    :movable(false)
    :active(false)
	:attach(ToutatisFrame, 123+3, 2+14*(gg-19), 2, 5+14*19)	
--===================================
Toutatis020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("15-11-30"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 2, 2+14*(gg-20), 128-3, 5+14*20)

Toutatis120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-5(U1)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-20), 49-3, 5+14*20)
	
Toutatis120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Uranus/Toutatis-5(U1)")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2030, 11, 15, 10, 01, 32) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()		
	
Toutatis220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("05-11-31"))
    :movable(false)
    :active(false)
	:attach(ToutatisFrame, 123+3, 2+14*(gg-20), 2, 5+14*20)	
--==============================
Toutatis021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("16-01-32"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-21), 128-3, 5+14*21)

Toutatis121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-5(U2)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-21), 49-3, 5+14*21)
	
Toutatis121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Uranus/Toutatis-5(U2)")
            celestia:select(obj)
            if not(empty(obj)) then
			   --celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2032, 01, 16, 02, 20, 50) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1000);			   
            end
        end
    end) ()	

Toutatis221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("14-08-33"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-21), 2, 5+14*21)
--======================
Toutatis022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("05-10-31"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-22), 128-3, 5+14*22)

Toutatis122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Toutatis-5(OBS)"))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-22), 49-3, 5+14*22)
	
Toutatis122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Uranus/Oberon/Toutatis-5(OBS)")
            celestia:select(obj)
            if not(empty(obj)) then
			   --celestia:seturl("")
			   tdb_dt = celestia:utctotdb(2032, 01, 16, 02, 20, 50) 
               celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1000);			   
            end
        end
    end) ()	
	
Toutatis222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("16-01-32"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-22), 2, 5+14*22)
--======================
Toutatis023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-23), 128-3, 5+14*23)

Toutatis123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-23), 49-3, 5+14*23)
	
Toutatis123Box.Action = (function()
    return
        function()
            local obj = celestia:find("")
            celestia:select(obj)
            if not(empty(obj)) then
			   --celestia:seturl("")
			   -- tdb_dt = celestia:utctotdb(2018, 11, 03, 13, 20, 00) 
               -- celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10)	   			   
            end
        end
    end) ()		

Toutatis223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-23), 2, 5+14*23)
----------------------------
Toutatis024Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("Mission"))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-24), 2, 5+14*24)
-----------------------------
Toutatis025Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-25), 128-3, 5+14*25)

Toutatis125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-25), 49-3, 5+14*25)
	
Toutatis125Box.Action = (function()
    return
        function()
            local obj = celestia:find("")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			  -- tdb_dt = celestia:utctotdb(2019, 02, 25, 08, 45, 04) 
              -- celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);			   
			   
            end
        end
    end) ()		
	
Toutatis225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-25), 2, 5+14*25)
-----------------------
Toutatis026Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-26), 128-3, 5+14*26)

Toutatis126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-26), 49-3, 5+14*26)
	
Toutatis126Box.Action = (function()
    return
        function()
            local obj = celestia:find("")
            celestia:select(obj)
            if not(empty(obj)) then
			  -- celestia:seturl("")
			  -- tdb_dt = celestia:utctotdb(2019, 02, 25, 08, 45, 04) 
              -- celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);   
            end
        end
    end) ()	
	
Toutatis226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-26), 2, 5+14*26)
-----------------------------
Toutatis027Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-27), 128-3, 5+14*27)

Toutatis127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-27), 49-3, 5+14*27)
	
Toutatis127Box.Action = (function()
    return
        function()
            local obj = celestia:find("")
            celestia:select(obj)
            if not(empty(obj)) then
			  --celestia:seturl("")
			  -- tdb_dt = celestia:utctotdb() 
              -- celestia:settime(tdb_dt)
               celestia:setambient (0.6)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);   
            end
        end
    end) ()

Toutatis227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-27), 2, 5+14*27)
--=====================
Toutatis028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-28), 128-3, 5+14*28)

Toutatis128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-28), 49-3, 5+14*28)

Toutatis228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-28), 2, 5+14*28)
---------------------------
Toutatis029Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-29), 128-3, 5+14*29)

Toutatis129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-29), 49-3, 5+14*29)

Toutatis229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-29), 2, 5+14*29)
--=====================
Toutatis030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-30), 128-3, 5+14*30)

Toutatis130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-30), 49-3, 5+14*30)

Toutatis230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-30), 2, 5+14*30)
--===========================
Toutatis031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-31), 128-3, 5+14*31)

Toutatis131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-31), 49-3, 5+14*31)

Toutatis231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-31), 2, 5+14*31)
-----------------------------
Toutatis032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-32), 128-3, 5+14*32)

Toutatis132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-32), 49-3, 5+14*32)

Toutatis232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-32), 2, 5+14*32)
--=====================
Toutatis033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-33), 128-3, 5+14*33)

Toutatis133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-33), 49-3, 5+14*33)

Toutatis233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-33), 2, 5+14*33)
----------------------------
Toutatis034Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-34), 128-3, 5+14*34)

Toutatis134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-34), 49-3, 5+14*34)

Toutatis234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-34), 2, 5+14*34)	
-----------------------
Toutatis035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-35), 128-3, 5+14*35)

Toutatis135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-35), 49-3, 5+14*35)

Toutatis235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-35), 2, 5+14*35)	
-----------------------
Toutatis036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-36), 128-3, 5+14*36)

Toutatis136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-36), 49-3, 5+14*36)

Toutatis236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-36), 2, 5+14*36)	
-----------------------
Toutatis037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-37), 128-3, 5+14*37)

Toutatis137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-37), 49-3, 5+14*37)

Toutatis237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-37), 2, 5+14*37)
-----------------------
Toutatis038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-38), 128-3, 5+14*38)

Toutatis138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-38), 49-3, 5+14*38)

Toutatis238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-38), 2, 5+14*38)	
-----------------------
Toutatis039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-39), 128-3, 5+14*39)

Toutatis139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-39), 49-3, 5+14*39)

Toutatis239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-39), 2, 5+14*39)
----------------------------
Toutatis040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-40), 128-3, 5+14*40)

Toutatis140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-40), 49-3, 5+14*40)

Toutatis240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-40), 2, 5+14*40)
---------------------------
	Toutatis041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 2, 2+14*(gg-41), 128-3, 5+14*41)

Toutatis141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color2)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(ToutatisFrame, 44+3, 2+14*(gg-41), 49-3, 5+14*41)

Toutatis241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(ToutatisFrame, 123+3, 2+14*(gg-41), 2, 5+14*41)
	