----------------------------------------------
-- VenusBox.lua
-- by Lygin Gennady a.k.a. Croc 14.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  VenusFrameWidth, VenusFrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
VenusBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

VenusButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ve"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(VenusBox,0,0,0,0) 

VenusCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(VenusBox, 20, 0, 0, 0)

VenusBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    VenusButton.Visible = GuidesVisibility -- display or undisplay Button
    VenusCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if VenusCheck.Text ==  "o" then
		VenusFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

VenusButton.Action = (function()
        return
            function()
              display_Venus= not display_Venus
                if display_Venus then                    				
                    VenusFrame.Visible = true                    
                    VenusCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    VenusFrame.Visible = false                  
                    VenusCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
---------------------------------
VenusFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-VenusFrameWidth)/2, height-VenusFrameHeight-2, (width-VenusFrameWidth)/2, 2)

 VenusFrame.Customdraw = function(this)   

            if Venus_firstTickDone then
            if not(VenusCloseButtonDone) then
                VenusCloseButtonDone = true
                makeCloseButton(VenusCloseButton, VenusFrame, VenusButton)
            end
            else
                Venus_firstTickDone = true            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height              
               if height>=768  then  
                    VenusFrame:attach(screenBox, width-VenusFrameWidth-36, height-VenusFrameHeight-128-27, 36, 128+27) 
               else
                    VenusFrame:attach(screenBox, width-VenusFrameWidth-200, height-VenusFrameHeight-3, 200, 3) 
               end                    
            end 
         
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})        
	    textlayout:setpos(this.lb+10, this.tb - 14)         
            textlayout:println(_(" VENUS EXPLORATION"))
end
--===============
-- Подключение команд 
--===============
Venus101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Date of start:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--==================
Venus102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-2), 128, 5+14*2)
-----------------------------------
Venus202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 1"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-2), 49, 5+14*2)

Venus302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-02-61"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-2), 2, 5+14*2)
--==================
Venus103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-3), 128, 5+14*3)
-----------------------------------
Venus203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 2"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-3), 49, 5+14*3)

Venus203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 2")  
            celestia:select(obj)
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Mariner%202/1962-08-30T01:37:15.01961?x=+a35BP///////////////w&y=3NNMBA&z=Spntmg&ow=-0.0412781&ox=0.486252&oy=-0.0313654&oz=-0.87228&select=Sun:Mariner%202&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("27-08-62"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-3), 2, 5+14*3)
--==================
Venus104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-4), 128, 5+14*4)
-----------------------------------
Venus204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 2"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-4), 49, 5+14*4)

Venus204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 2")
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%202/2018-08-30T01:34:51.68315?x=38zBtv7//////////////w&y=tT09GQ&z=iSgGLQE&ow=0.00684781&ox=-0.402498&oy=0.0338873&oz=0.914768&select=Sun:Venus:Venera%202&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-11-65"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-4), 2, 5+14*4)
--==================
Venus105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-5), 128, 5+14*5)
-----------------------------------
Venus205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 3"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-5), 49, 5+14*5)

Venus205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 3") 
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%203/2018-08-30T01:35:46.91254?x=v+Ozbf7//////////////w&y=02ad+f///////////////w&z=PdssZP///////////////w&ow=0.0138392&ox=-0.824939&oy=0.00711&oz=0.565008&select=Sun:Venus:Venera%203&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()          
-----------------------------------
Venus305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("16-11-65"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-5), 2, 5+14*5)
--==================
Venus106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-6), 128, 5+14*6)
-----------------------------------
Venus206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 4"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-6), 49, 5+14*6)

Venus206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 4")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%204/2018-08-30T01:37:16.31375?x=USiUMf///////////////w&y=v9JLCA&z=SNABmAE&ow=0.00442711&ox=-0.23198&oy=0.0103812&oz=0.972655&select=Sun:Venus:Venera%204&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-06-67"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-6), 2, 5+14*6)
--==================
Venus107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-7), 128, 5+14*7)
-----------------------------------
Venus207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 5"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-7), 49, 5+14*7)

Venus307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-06-67"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-7), 2, 5+14*7)
--==================
Venus108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-8), 128, 5+14*8)
-----------------------------------
Venus208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 5"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-8), 49, 5+14*8)

Venus208Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 5")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%205/2018-08-30T01:38:32.51269?x=KdHEbAE&y=hdat+P///////////////w&z=BNZPXg&ow=0.00360127&ox=-0.612187&oy=0.00949737&oz=-0.790648&select=Sun:Venus:Venera%205&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) () 
-----------------------------------
Venus308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("05-01-69"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-8), 2, 5+14*8)
--==================
Venus109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-9), 128, 5+14*9)
-----------------------------------
Venus209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 6"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-9), 49, 5+14*9)

Venus209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 6")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%206/2018-08-30T01:33:55.82829?x=GkmLVwE&y=e7+lEA&z=Xisa5A&ow=0.881093&ox=0.020378&oy=-0.472481&oz=-0.00468489&select=Sun:Venus:Venera%206&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("10-01-69"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-9), 2, 5+14*9)
--==================
Venus110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-10), 128, 5+14*10)
------------------------------------
Venus210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 7"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-10), 49, 5+14*10)

Venus210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 7")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%207/2018-08-30T01:40:24.89800?x=1lij+////////////////w&y=5DM3/v///////////////w&z=V7dgWf7//////////////w&ow=0.00215978&ox=-0.99994&oy=0.0094782&oz=0.00514007&select=Sun:Venus:Venera%207&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("17-08-70"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-10), 2, 5+14*10)
--==================
Venus111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-11),  128, 5+14*11)
-----------------------------------
Venus211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 8"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-11), 49, 5+14*11)

Venus211Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 8")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%208/2018-08-30T01:41:18.58163?x=EoNxD////////////////w&y=iD/bCw&z=6Tk1eAE&ow=0.0102378&ox=0.280687&oy=-0.0108343&oz=-0.959684&select=Sun:Venus:Venera%208&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
-----------------------------------
Venus311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("27-03-72"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-11), 2, 5+14*11)
--==================
Venus112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus and Mercury:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-12), 2, 5+14*12)
-----------------------------------
Venus113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-13), 128, 5+14*13)
-----------------------------------
Venus213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 10"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-13), 49, 5+14*13)

Venus213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 10")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sun:Mariner%2010/1974-03-27T19:28:02.15707?x=PpqwlQE&y=sp70tAU&z=G8PTdQ&ow=0.726107&ox=0.673931&oy=-0.0841311&oz=0.107268&track=Sun:Mariner%2010&select=Sun:Mariner%2010&fov=77.909&ts=100000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("03-11-73"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-13), 2, 5+14*13)
--==================
Venus114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-14), 2, 5+14*14)
--==================
Venus115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-15), 128, 5+14*15)
-----------------------------------
Venus215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 9"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-15), 49, 5+14*15)

Venus215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 9")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%209/2018-08-30T01:44:13.28264?x=WXrDcA&y=fDCK+f///////////////w&z=utQHdQ&ow=0.927211&ox=-0.0185067&oy=-0.374012&oz=0.0072194&select=Sun:Venus:Venera%209&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-06-75"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-15), 2, 5+14*15)
--==================
Venus116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-16), 128, 5+14*16)
-----------------------------------
Venus216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 10"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-16), 49, 5+14*16)

Venus216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 10")           
             celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%2010/2018-08-30T01:34:25.28060?x=UYhf/////////////////w&y=ZMXwoQ&z=kqrl/v///////////////w&ow=0.394996&ox=0.399966&oy=-0.586031&oz=-0.583587&select=Sun:Venus:Venera%2010&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-06-75"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-16), 2, 5+14*16)
--==================
Venus117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-17), 128, 5+14*17)
-----------------------------------
Venus217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pioneer 12"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-17), 49, 5+14*17)	

Venus317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-05-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-17), 2, 5+14*17)
--==================
Venus118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-18), 128, 5+14*18)
----------------------------------
Venus218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pioneer 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-18), 49, 5+14*18)

Venus318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-08-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-18), 2, 5+14*18)
--==================
Venus119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-19), 128, 5+14*19)
----------------------------------
Venus219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 11"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-19), 49, 5+14*19)

Venus219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 11")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%2011/2006-02-15T12:10:04.65997?x=vY80OQE&y=aSmw2v///////////////w&z=RXN7Df///////////////w&ow=0.439801&ox=-0.0198738&oy=-0.896867&oz=0.0425352&select=Sun:Venus:Venera%2011&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-09-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-19), 2, 5+14*19)
--==================
Venus120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-20), 128, 5+14*20)
-----------------------------------
Venus220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 12"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-20), 49, 5+14*20)

Venus320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-09-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-20), 2, 5+14*20)
--==================
--[[
Venus121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-21), 128, 5+14*21)
----------------------------------
Venus221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-21), 49, 5+14*21)

Venus221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 13")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sol:Venera%2013/1982-07-18T20:22:09.95912?x=3JtZpP7//////////////w&y=RVUz9v///////////////w&z=CvFlLAE&ow=0.909299&ox=-0.0105068&oy=0.416002&oz=-0.0026634&track=Sol:Venera%2013&select=Sol:Venera%2013&fov=91.5044&ts=200000&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("30-10-81"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-21), 2, 5+14*21)
]]	
--==================
Venus121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-21), 128, 5+14*21)
---------------------------------------------------------------
Venus221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-21), 49, 5+14*21)

	Venus221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 13");           
            celestia:select(obj);           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%2013/2018-08-30T01:36:18.04591?x=yoslKw&y=s0Ty1////////////////w&z=aI+83AE&ow=0.998113&ox=-0.0417442&oy=-0.0450201&oz=0.000578861&select=Sun:Venus:Venera%2013&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)				
              -- tdb_dt = celestia:utctotdb(1981, 10, 29, 23, 59, 18) 
              -- celestia:settime(tdb_dt)               
              -- obs:follow(obj)
              -- obs:goto(obj); 
              -- celestia:settimescale(100000);
            end
        end
    end) ();
------------------------------------------------------------------------
Venus321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
	
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("30-10-81"))
    :movable(false)
    :active(false) 
  --  :attach(VenusFrame, 111, 2+14*(gg-21), 2, 5+14*21)	
    :attach(VenusFrame, 123, 2+14*(gg-21), 2, 5+14*21)	
--==================
Venus122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-22), 128, 5+14*22)
-----------------------------------
Venus222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 14"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-22), 49, 5+14*22)

Venus222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 14")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%2014/1982-05-07T13:25:37.77672?x=EY8AtwE&y=1D4d3////////////////w&z=4KtrLQ&ow=0.742265&ox=-0.0330157&oy=-0.669026&oz=0.0189034&select=Sun:Venus:Venera%2014&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-11-81"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-22), 2, 5+14*22)
--==================
Venus123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-23), 128, 5+14*23)
-----------------------------------
Venus223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 15"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-23), 49, 5+14*23)

Venus323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("01-06-83"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-23), 2, 5+14*23)
--==================
Venus124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-24), 128, 5+14*24)
----------------------------------
Venus224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 16"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-24), 49, 5+14*24)

Venus224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 16")           
            celestia:select(obj)           
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Venus:Venera%2016/1984-05-07T13:27:16.82812?x=V6Q+Gg&y=QTpU5g&z=vEMF1v///////////////w&ow=0.0966971&ox=0.0291374&oy=-0.766972&oz=-0.633684&select=Sun:Venus:Venera%2016&fov=120&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("07-06-83"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-24), 2, 5+14*24)
--==================
Venus125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus and Halley's:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
Venus126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR+"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-26), 128, 5+14*26)
-----------------------------------
Venus226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Vega-1a"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-26), 49, 5+14*26)

Venus226Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Vega 1")           
            celestia:select(obj)            
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Vega%201/1985-02-23T22:25:49.10734?x=Smz7cwE&y=qTDvgA&z=uSLNpv7//////////////w&ow=-0.368188&ox=-0.00995914&oy=0.922278&oz=0.117222&select=Sun:Vega%201&fov=79.0843&ts=100000&ltd=0&p=0&rf=2164115&lm=2176&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Planet = false} -- орбиты планет			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
             end
        end
    end) ()
----------------------------------
Venus326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("15-12-84"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-26), 2, 5+14*26)
--==================
Venus127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR+"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-27), 128, 5+14*27)
----------------------------------
Venus227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Vega-1b"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-27), 49, 5+14*27)

Venus227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega 1")   -- Это не ошибка !           
            celestia:select(obj)            
            if not(empty(obj)) then
	   		   celestia:seturl("cel://Follow/Sun:Vega%201/1985-06-14T20:22:50.15042?x=ssmVBAI&y=oj4fTA&z=9/bb3f///////////////w&ow=0.665305&ox=-0.0626038&oy=-0.72712&oz=-0.157314&track=Sun:Vega%201b&select=Sun:Vega%201b&fov=120&ts=50000&ltd=0&p=0&rf=2164115&lm=2176&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Planet = false} -- орбиты планет			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
   
            end
        end
    end) ()
-----------------------------------
Venus327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-06-85"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-27), 2, 5+14*27)
--==================
Venus128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("center")   
    :movetext(-2, 10)
    :text(_("Mapping Venus:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-28), 2, 5+14*28)
--==================
Venus129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-29), 128, 5+14*29)
-----------------------------------
Venus229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Magellan"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-29), 49, 5+14*29)

Venus229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Magellan")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Venus:Magellan/1990-08-10T17:01:33.33505?x=1RC47/v//////////////w&y=KcZd+wM&z=XGTT3Q&ow=0.3596&ox=0.626089&oy=-0.180911&oz=-0.667811&track=Sol:Venus:Magellan&select=Sol:Venus:Magellan&fov=41.569&ts=20&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-05-89"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-29), 2, 5+14*29)
--==================
Venus130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus from orbit:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-30), 2, 5+14*30)
--==================
Venus131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-31), 128, 5+14*31)
----------------------------------
Venus231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-31), 49, 5+14*31)
-----------------------------------
Venus331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-31), 2, 5+14*31)
--==================
Venus132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-32), 128, 5+14*32)
----------------------------------
Venus232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-32), 49, 5+14*32)
----------------------------------
Venus332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-32), 2, 5+14*32)
--==================
Venus133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-33), 128, 5+14*33)
-----------------------------------
Venus233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venus Express"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-33), 49, 5+14*33)

Venus233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venus Express")           
            celestia:select(obj)           
            if not(empty(obj)) then 
	   		   celestia:seturl("cel://Chase/Sol:Venus:Venus%20Express/2006-04-28T07:24:26.96173?x=DAyexwU&y=kMup5wU&z=ztrtEgY&ow=0.797972&ox=0.429874&oy=-0.138077&oz=0.399229&track=Sol:Venus:Venus%20Express&select=Sol:Venus:Venus%20Express&fov=17.2401&ts=1&ltd=0&p=0&rf=2098579&lm=2176&tsrc=0&ver=3")
               celestia:setambient (0.5)			   
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
            end
        end
    end) ()
----------------------------------
Venus333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-33), 2, 5+14*33)
--==================
Venus134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Launch of Venus Express:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-34), 2, 5+14*34)
--==================
Venus135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rus"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-35), 128, 5+14*35)
----------------------------------
Venus235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Soyuz FT"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-35), 49, 5+14*35)

Venus335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-35), 2, 5+14*35)
--==================
Venus136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-36), 128, 5+14*36)
-----------------------------------
Venus236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-36), 49, 5+14*36)
-----------------------------------
Venus336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-36), 2, 5+14*36)
--==================
Venus137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-37), 128, 5+14*37)
-----------------------------------
Venus237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-37), 49, 5+14*37)
-----------------------------------
Venus337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-37), 2, 5+14*37)
--==================
Venus138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-38), 128, 5+14*38)
-----------------------------------
Venus238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-38), 49, 5+14*38)
-----------------------------------
Venus338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-38), 2, 5+14*38)
--==================
Venus139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-39), 128, 5+14*39)
-----------------------------------
Venus239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-39), 49, 5+14*39)
-----------------------------------
Venus339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-39), 2, 5+14*39)
--==================
Venus140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-40), 128, 5+14*40)
----------------------------------
Venus240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-40), 49, 5+14*40)
-----------------------------------
Venus340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-40), 2, 5+14*40)
--==================
Venus141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-41), 128, 5+14*41)
-----------------------------------
Venus241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 44, 2+14*(gg-41), 49, 5+14*41)
-----------------------------------
Venus341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 123, 2+14*(gg-41), 2, 5+14*41)
--===================